!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_22216) = 3d0*(4d0*Nc*cMB*coupl(nGC_342)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_333)**3d0 + 4d0*Nc*cMD*coupl(nGC_345)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_363)**3d0 + 4d0*Nc*cMT*coupl(nGC_369)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_381)**3d0 + 4d0*cME*coupl(      &
                       nGC_351)**3d0 + 4d0*cMM*coupl(nGC_357)**3d0 + 4d0*cMTA* &
                       coupl(nGC_375)**3d0 + cima*coupl(nGC_224)*coupl(nGC_329 &
                       ) + 2d0*cima*coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0&
                       )
    coupl(nGC_22214) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_384) - coupl(nGC_346)*&
                       coupl(nGC_348)*coupl(nGC_382) - coupl(nGC_348)*coupl(   &
                       nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(    &
                       nGC_384) - coupl(nGC_383)**2d0*coupl(nGC_384) - coupl(  &
                       nGC_384)**3d0 - coupl(nGC_384)*coupl(nGC_386)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22215) = coupl(nGC_13)**2d0*coupl(nGC_384)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22218) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) - coupl(nGC_1433  &
                       )**2d0*coupl(nGC_342) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_342) - coupl(nGC_339)**2d0*coupl(nGC_342) - &
                       coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) - coupl(   &
                       nGC_342)**3d0 - coupl(nGC_342)*coupl(nGC_4237)**2d0 -   &
                       coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/(32d0*pi**&
                       2d0)
    coupl(nGC_22219) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_342) - coupl(nGC_339  &
                       )**2d0*coupl(nGC_342) - coupl(nGC_340)*coupl(nGC_369)*  &
                       coupl(nGC_373) - coupl(nGC_341)**2d0*coupl(nGC_342) -   &
                       coupl(nGC_342)**3d0 - coupl(nGC_342)*coupl(nGC_344)**2d0&
                        - coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/(32d0* &
                       pi**2d0)
    coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32648) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_32649) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_22686)
    coupl(nGC_45750) = coupl(nGC_339)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_32645) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*           &
                       dZHMinus_QED2 + coupl(nGC_221)*dZZ_QED2/2d0 + coupl(    &
                       nGC_22703) + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29&
                       )*dZAZ_QED2/2d0
    coupl(nGC_22366) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0 + &
                       10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 + 20d0* &
                       Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)*coupl(  &
                       nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_366)** &
                       2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)**2d0 + &
                       10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_373)**2d0 + 20d0* &
                       Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_372)*coupl(  &
                       nGC_373) + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_372)** &
                       2d0 + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_349)**2d0 + &
                       10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_385)**2d0 + 20d0* &
                       Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_384)*coupl(  &
                       nGC_385) + 10d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_384)** &
                       2d0 + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_367)**2d0 + &
                       10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0* &
                       Nc*coupl(nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*&
                       coupl(nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 &
                        + 10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0* &
                       coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(   &
                       nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22367) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_337&
                       )**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(    &
                       nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*   &
                       coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_336)*  &
                       coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*&
                       Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*coupl(nGC_342) +  &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_369)*    &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*  &
                       coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_340)**2d0*coupl( &
                       nGC_369)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340)*coupl(  &
                       nGC_342)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_345)*coupl(nGC_348)*coupl(nGC_349)**2d0 + 5d0*Nc*   &
                       coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_385)**2d0 + 5d0*&
                       Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_384)*coupl(  &
                       nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(  &
                       nGC_381)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_349)**2d0*   &
                       coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_366)*coupl(nGC_367)**2d0 + 5d0*Nc*coupl(      &
                       nGC_369)*coupl(nGC_372)*coupl(nGC_373)**2d0 + 5d0*Nc*   &
                       coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_385)**2d0 + 6d0*&
                       coupl(nGC_174)*coupl(nGC_180) + 6d0*coupl(nGC_21)*coupl(&
                       nGC_23) + 5d0*coupl(nGC_351)*coupl(nGC_354)*coupl(      &
                       nGC_355)**2d0 + 5d0*coupl(nGC_357)*coupl(nGC_360)*coupl(&
                       nGC_361)**2d0 + 5d0*coupl(nGC_375)*coupl(nGC_378)*coupl(&
                       nGC_379)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22364) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)*  &
                       coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi**&
                       2d0)
    coupl(nGC_22365) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_206) - coupl(nGC_1)*coupl(nGC_209) - coupl(nGC_2)*  &
                       coupl(nGC_207) - coupl(nGC_2)*coupl(nGC_210))/(32d0*pi**&
                       2d0*Nc)
    coupl(nGC_22362) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                       10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + 10d0* &
                       Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*Nc*   &
                       coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(&
                       nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(      &
                       nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)**&
                       2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 &
                        + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0*   &
                       coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl(   &
                       nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379  &
                       )**2d0)/(48d0*pi**2d0)
    coupl(nGC_22368) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0 + &
                       10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 + 20d0* &
                       Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*coupl(  &
                       nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)** &
                       2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_342)**2d0 + &
                       10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_369)**2d0 + 20d0* &
                       Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_369)*coupl(  &
                       nGC_373) + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_373)** &
                       2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_349)**2d0 + &
                       10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_385)**2d0 + 20d0* &
                       Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_381)*coupl(  &
                       nGC_385) + 10d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)** &
                       2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_367)**2d0 + &
                       10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0* &
                       Nc*coupl(nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0&
                       *coupl(nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229  &
                       ) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*&
                       coupl(nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(   &
                       nGC_375)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22369) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
    coupl(nGC_22548) = coupl(nGC_21853)*dsw_QED2 + coupl(nGC_21854)*dZee_QED2
    coupl(nGC_22549) = coupl(nGC_20862)*dsw_QED2 + coupl(nGC_20863)*dcw_QED2 + &
                       coupl(nGC_20864)*dZee_QED2
    coupl(nGC_22546) = coupl(nGC_21237)*dsw_QED2 + coupl(nGC_21238)*dZee_QED2
    coupl(nGC_22547) = coupl(nGC_21866)*dsw_QED2 + coupl(nGC_21867)*dZee_QED2
    coupl(nGC_22544) = coupl(nGC_20984)*dl3_QED4 + coupl(nGC_20985)*dl1_QED4 + &
                       coupl(nGC_20986)*dl2_QED4 + coupl(nGC_20987)*dl5_QED4 + &
                       coupl(nGC_20988)*dl4_QED4 + coupl(nGC_20989)*db_QED2
    coupl(nGC_22545) = coupl(nGC_21380)*dsw_QED2 + coupl(nGC_21381)*dZee_QED2
    coupl(nGC_22542) = coupl(nGC_21101)*dl3_QED4 + coupl(nGC_21102)*dl1_QED4 + &
                       coupl(nGC_21103)*dl2_QED4 + coupl(nGC_21104)*dl5_QED4 + &
                       coupl(nGC_21105)*dl4_QED4 + coupl(nGC_21106)*db_QED2
    coupl(nGC_22543) = coupl(nGC_21186)*dl3_QED4 + coupl(nGC_21187)*dl1_QED4 + &
                       coupl(nGC_21188)*dl2_QED4 + coupl(nGC_21189)*dl5_QED4 + &
                       coupl(nGC_21190)*dl4_QED4 + coupl(nGC_21191)*db_QED2
    coupl(nGC_22540) = coupl(nGC_21107)*dl3_QED4 + coupl(nGC_21108)*dl1_QED4 + &
                       coupl(nGC_21109)*dl2_QED4 + coupl(nGC_21110)*dl5_QED4 + &
                       coupl(nGC_21111)*dl4_QED4 + coupl(nGC_21112)*db_QED2
    coupl(nGC_22541) = coupl(nGC_21052)*dl3_QED4 + coupl(nGC_21053)*dl1_QED4 + &
                       coupl(nGC_21054)*dl2_QED4 + coupl(nGC_21055)*dl5_QED4 + &
                       coupl(nGC_21056)*dl4_QED4 + coupl(nGC_21057)*db_QED2
    coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32347) = coupl(nGC_I)*dZHMinus_QED2
    coupl(nGC_32346) = coupl(nGC_187)*dZHMinus_QED2/2d0 + coupl(nGC_187)*      &
                       dZHa_QED2/2d0 + coupl(nGC_22547)
    coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35423) = coupl(nGC_179)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_22148) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(   &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334)*&
                       coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl(   &
                       nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_338)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_22149) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(   &
                       nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347)*&
                       coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl(   &
                       nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(nGC_382)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_33908) = coupl(nGC_13)*dZuR_QCD2
    coupl(nGC_22142) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc* &
                       coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(&
                       nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl( &
                       nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(      &
                       nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(nGC_358&
                       )*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378))/(24d0*&
                       pi**2d0)
    coupl(nGC_33905) = coupl(nGC_13)*dZuL_QED2
    coupl(nGC_33906) = coupl(nGC_13)*dZuL_QCD2
    coupl(nGC_33907) = coupl(nGC_13)*dZuR_QED2
    coupl(nGC_22146) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) - coupl(  &
                       nGC_1433)*coupl(nGC_1541)*coupl(nGC_343) + 8d0*coupl(   &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(nGC_2081 &
                       )*coupl(nGC_343)*coupl(nGC_4237) - coupl(nGC_339)*coupl(&
                       nGC_343)*coupl(nGC_372) - coupl(nGC_342)*coupl(nGC_343)*&
                       coupl(nGC_369))/(32d0*pi**2d0)
    coupl(nGC_22147) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) - coupl(  &
                       nGC_1949)*coupl(nGC_3141)*coupl(nGC_364) + 8d0*coupl(   &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(nGC_3071 &
                       )*coupl(nGC_364)*coupl(nGC_989) - coupl(nGC_333)*coupl( &
                       nGC_363)*coupl(nGC_364) - coupl(nGC_336)*coupl(nGC_364)*&
                       coupl(nGC_366))/(32d0*pi**2d0)
    coupl(nGC_22145) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(   &
                       nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341)*&
                       coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl(   &
                       nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(nGC_370)*&
                       coupl(nGC_371))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
    coupl(nGC_44806) = coupl(nGC_22855) + coupl(nGC_44797)
    coupl(nGC_44804) = coupl(nGC_22854) + coupl(nGC_TS_GC_339_Hh) + coupl(     &
                       nGC_TS_GC_342_Hl)
    coupl(nGC_44803) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_44802) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_32239) = coupl(nGC_362)*dZG0/2d0
    coupl(nGC_22644) = coupl(nGC_21484)*db_QED2 + coupl(nGC_21485)*dytau1_QED3 &
                        + coupl(nGC_21486)*dytau2_QED3
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
