!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl12()
    coupl(nGC_33639) = coupl(nGC_13)*dZbL_QED2
    coupl(nGC_33637) = coupl(nGC_13)*dZbR_QED2
    coupl(nGC_21952) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0 + &
                       Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc*   &
                       coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + coupl(   &
                       nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)**  &
                       2d0)/(48d0*pi**2d0)
    coupl(nGC_21953) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*    &
                       coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(   &
                       16d0*pi**2d0)
    coupl(nGC_45751) = coupl(nGC_339)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_33750) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_33753) = 3d0*coupl(nGC_59)*dZG0/2d0
    coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22371) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_22370) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_32651) = -coupl(nGC_32648)
    coupl(nGC_22375) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0  &
                        - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl(   &
                       nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)**  &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22376) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0 + &
                       coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl(      &
                       nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)**  &
                       2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22551) = coupl(nGC_21755)*dsw_QED2 + coupl(nGC_21756)*db_QED2 +  &
                       coupl(nGC_21757)*dZee_QED2 + coupl(nGC_21758)*da_QED2
    coupl(nGC_22550) = coupl(nGC_21799)*dsw_QED2 + coupl(nGC_21800)*db_QED2 +  &
                       coupl(nGC_21801)*dZee_QED2 + coupl(nGC_21802)*da_QED2
    coupl(nGC_22553) = coupl(nGC_21121)*dvev2_QED1 + coupl(nGC_21122)*dcw_QED2 &
                        + coupl(nGC_21123)*db_QED2 + coupl(nGC_21124)*         &
                       dvev1_QED1 + coupl(nGC_21125)*dZee_QED2
    coupl(nGC_22552) = coupl(nGC_21741)*dsw_QED2 + coupl(nGC_21742)*db_QED2 +  &
                       coupl(nGC_21743)*dZee_QED2 + coupl(nGC_21744)*da_QED2
    coupl(nGC_22555) = coupl(nGC_21639)*dl3_QED4 + coupl(nGC_21640)*db_QED2 +  &
                       coupl(nGC_21641)*dl2_QED4 + coupl(nGC_21642)*dl5_QED4 + &
                       coupl(nGC_21643)*dvev2_QED1 + coupl(nGC_21644)*         &
                       dvev1_QED1 + coupl(nGC_21645)*dl1_QED4 + coupl(nGC_21646&
                       )*dl4_QED4 + coupl(nGC_21647)*da_QED2
    coupl(nGC_22554) = coupl(nGC_21436)*dZee_QED2 + coupl(nGC_21437)*dsw_QED2  &
                        + coupl(nGC_21438)*dcw_QED2 + coupl(nGC_21439)*        &
                       dvev2_QED1 + coupl(nGC_21440)*dvev1_QED1 + coupl(       &
                       nGC_21441)*da_QED2
    coupl(nGC_22557) = coupl(nGC_21113)*dl3_QED4 + coupl(nGC_21114)*dl1_QED4 + &
                       coupl(nGC_21115)*dl2_QED4 + coupl(nGC_21116)*dl5_QED4 + &
                       coupl(nGC_21117)*dl4_QED4 + coupl(nGC_21118)*dvev1_QED1 &
                        + coupl(nGC_21119)*dvev2_QED1 + coupl(nGC_21120)*      &
                       da_QED2
    coupl(nGC_22556) = coupl(nGC_21890)*dl3_QED4 + coupl(nGC_21891)*db_QED2 +  &
                       coupl(nGC_21892)*dl2_QED4 + coupl(nGC_21893)*dl5_QED4 + &
                       coupl(nGC_21894)*dvev2_QED1 + coupl(nGC_21895)*         &
                       dvev1_QED1 + coupl(nGC_21896)*dl1_QED4 + coupl(nGC_21897&
                       )*dl4_QED4 + coupl(nGC_21898)*da_QED2
    coupl(nGC_22559) = coupl(nGC_20779)*dl3_QED4 + coupl(nGC_20780)*dl1_QED4 + &
                       coupl(nGC_20781)*dl2_QED4 + coupl(nGC_20782)*dl5_QED4 + &
                       coupl(nGC_20783)*dl4_QED4 + coupl(nGC_20784)*dvev1_QED1 &
                        + coupl(nGC_20785)*dvev2_QED1 + coupl(nGC_20786)*      &
                       da_QED2
    coupl(nGC_22558) = coupl(nGC_21828)*dl3_QED4 + coupl(nGC_21829)*db_QED2 +  &
                       coupl(nGC_21830)*dl2_QED4 + coupl(nGC_21831)*dl5_QED4 + &
                       coupl(nGC_21832)*dvev2_QED1 + coupl(nGC_21833)*         &
                       dvev1_QED1 + coupl(nGC_21834)*dl1_QED4 + coupl(nGC_21835&
                       )*dl4_QED4 + coupl(nGC_21836)*da_QED2
    coupl(nGC_22209) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339)*&
                       coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(   &
                       nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(    &
                       nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl(  &
                       nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22159) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -     &
                       coupl(nGC_2755)*coupl(nGC_351)**2d0 - coupl(nGC_2755)*  &
                       coupl(nGC_353)**2d0 - coupl(nGC_2755)*coupl(nGC_354)**  &
                       2d0 - coupl(nGC_2755)*coupl(nGC_356)**2d0 + 8d0*coupl(  &
                       nGC_353)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22155) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22154) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) - coupl(nGC_1433)*&
                       coupl(nGC_339)**2d0 - coupl(nGC_1433)*coupl(nGC_341)**  &
                       2d0 - coupl(nGC_1433)*coupl(nGC_342)**2d0 - coupl(      &
                       nGC_1433)*coupl(nGC_344)**2d0 - coupl(nGC_1541)*coupl(  &
                       nGC_340)*coupl(nGC_373) - coupl(nGC_1541)*coupl(nGC_343 &
                       )*coupl(nGC_370) + 8d0*coupl(nGC_206)*coupl(nGC_209)*   &
                       coupl(nGC_344))/(32d0*pi**2d0)
    coupl(nGC_22153) = coupl(nGC_13)**2d0*coupl(nGC_1433)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22152) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1433) - coupl(nGC_1433 &
                       )**2d0*coupl(nGC_344) + 8d0*coupl(nGC_1433)*coupl(      &
                       nGC_206)*coupl(nGC_209) - coupl(nGC_339)**2d0*coupl(    &
                       nGC_344) - coupl(nGC_340)*coupl(nGC_371)*coupl(nGC_373  &
                       ) - coupl(nGC_342)**2d0*coupl(nGC_344) - coupl(nGC_343)*&
                       coupl(nGC_370)*coupl(nGC_371) - coupl(nGC_344)*coupl(   &
                       nGC_4237)**2d0)/(32d0*pi**2d0)
    coupl(nGC_41576) = coupl(nGC_I)*dZG0
    coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22664) = coupl(nGC_21272)*dyup2_QED3 + coupl(nGC_21273)*         &
                       dyup1_QED3 + coupl(nGC_21274)*da_QED2
    coupl(nGC_61006) = -coupl(nGC_22142)
    coupl(nGC_32240) = coupl(nGC_22646) + coupl(nGC_359)*dZHaG0_QED2/2d0
    coupl(nGC_32241) = -coupl(nGC_32236) - coupl(nGC_32240)
    coupl(nGC_32242) = coupl(nGC_32236) + coupl(nGC_32240)
    coupl(nGC_32243) = -coupl(nGC_32239)
    coupl(nGC_34764) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*           &
                       dZmuMinusL_QED2 + coupl(nGC_22730)
    coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35161) = coupl(nGC_22640) + coupl(nGC_358)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(nGC_361&
                       )*dZnu_muL_QED2/2d0
    coupl(nGC_35421) = coupl(nGC_172)*dZGMinus/2d0
    coupl(nGC_32394) = coupl(nGC_46)*dZGMinus/2d0
    coupl(nGC_32391) = coupl(nGC_22540) + coupl(nGC_55)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*  &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
    coupl(nGC_32869) = coupl(nGC_325)*dZGMinus/2d0
    coupl(nGC_38534) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_38537) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_38539) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
    coupl(nGC_32864) = coupl(nGC_175)*dZA_QED2/2d0 + coupl(nGC_175)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_175)*dZHh_QED2/2d0 + coupl&
                       (nGC_175)*dZWMinus_QED2/2d0 + coupl(nGC_180)*           &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_180)*dZHlHh_QED2/2d0&
                        + coupl(nGC_22)*dZZA_QED2/2d0 + coupl(nGC_22551)
  end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
