!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_35704) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_35706) = coupl(nGC_22575) + coupl(nGC_247)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_258)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_53_Hh  &
                       ) + coupl(nGC_TS_GC_62_Hl)
    coupl(nGC_38621) = coupl(nGC_200)*dZZA_QED2/2d0 + coupl(nGC_22584) + coupl(&
                       nGC_6)*dZA_QED2/2d0
    coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
    coupl(nGC_35942) = -coupl(nGC_35937)
    coupl(nGC_34385) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_34541) = coupl(nGC_13)*dZsR_QED2
    coupl(nGC_34543) = coupl(nGC_13)*dZsL_QED2
    coupl(nGC_34542) = coupl(nGC_13)*dZsR_QCD2
    coupl(nGC_34544) = coupl(nGC_13)*dZsL_QCD2
    coupl(nGC_34014) = coupl(nGC_386)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_34018) = coupl(nGC_386)*dZG0/2d0
    coupl(nGC_22140) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22141) = coupl(nGC_197)*(Nc*coupl(nGC_1433)*coupl(nGC_343) + Nc* &
                       coupl(nGC_2345)*coupl(nGC_346) + Nc*coupl(nGC_3141)*    &
                       coupl(nGC_364) - Nc*coupl(nGC_334)*coupl(nGC_335) - Nc* &
                       coupl(nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(&
                       nGC_383) + coupl(nGC_1931)*coupl(nGC_358) + coupl(      &
                       nGC_2755)*coupl(nGC_352) + coupl(nGC_376)*coupl(nGC_6589&
                       ))/(24d0*pi**2d0)
    coupl(nGC_32539) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_43632) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_43634) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_33173) = coupl(nGC_22595) + coupl(nGC_367)*dZcL_QCD2/2d0 + coupl(&
                       nGC_367)*dZsR_QCD2/2d0
    coupl(nGC_34830) = coupl(nGC_173)*dZHlHh_QED2/2d0 + coupl(nGC_179)*        &
                       dZHh_QED2/2d0 + coupl(nGC_179)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_22687)
    coupl(nGC_34832) = -coupl(nGC_34828)
    coupl(nGC_41678) = coupl(nGC_375)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_32408) = coupl(nGC_56)*dZGMinus/2d0
    coupl(nGC_54098) = coupl(nGC_22557) + 3d0*coupl(nGC_233)*dZHlHh_QED2/2d0 + &
                       3d0*coupl(nGC_235)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_17_Hl&
                       ) + coupl(nGC_TS_GC_19_Hh)
    coupl(nGC_43259) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_37151) = coupl(nGC_22655) + coupl(nGC_359)*dZHa_QED2/2d0 + coupl(&
                       nGC_362)*dZG0Ha_QED2/2d0
    coupl(nGC_57811) = -coupl(nGC_22141)
    coupl(nGC_56562) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_32711) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_21948) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_337)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_349)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_385)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_355)**2d0 - cMM**2d0*cima*coupl(nGC_361)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_379)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*    &
                       coupl(nGC_237)**2d0 + 2d0*cima*coupl(nGC_324)**2d0)/(   &
                       16d0*pi**2d0)
    coupl(nGC_21944) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc*  &
                       cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*   &
                       coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(      &
                       nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*   &
                       coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(      &
                       nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) -  &
                       Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0*&
                       coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(      &
                       nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*   &
                       coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(      &
                       nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM &
                       **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl(  &
                       nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(     &
                       nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi**&
                       2d0)
    coupl(nGC_21943) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(      &
                       nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(      &
                       nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl( &
                       nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(      &
                       nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_358&
                       )*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379))/(48d0*&
                       pi**2d0)
    coupl(nGC_40858) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusR_QED2
    coupl(nGC_40857) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusL_QED2
    coupl(nGC_22098) = coupl(nGC_13)**2d0*coupl(nGC_4525)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22099) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_350) - coupl(nGC_1083)*&
                       coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_1083)*coupl(  &
                       nGC_349)*coupl(nGC_385) + 8d0*coupl(nGC_206)*coupl(     &
                       nGC_209)*coupl(nGC_350) - coupl(nGC_345)**2d0*coupl(    &
                       nGC_4525) - coupl(nGC_347)**2d0*coupl(nGC_4525) - coupl(&
                       nGC_348)**2d0*coupl(nGC_4525) - coupl(nGC_350)**2d0*    &
                       coupl(nGC_4525))/(32d0*pi**2d0)
    coupl(nGC_22094) = coupl(nGC_13)**2d0*coupl(nGC_3071)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22095) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_338) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_338) - coupl(nGC_3071 &
                       )*coupl(nGC_333)**2d0 - coupl(nGC_3071)*coupl(nGC_335)**&
                       2d0 - coupl(nGC_3071)*coupl(nGC_336)**2d0 - coupl(      &
                       nGC_3071)*coupl(nGC_338)**2d0 - coupl(nGC_334)*coupl(   &
                       nGC_364)*coupl(nGC_989) - coupl(nGC_337)*coupl(nGC_367)*&
                       coupl(nGC_989))/(32d0*pi**2d0)
    coupl(nGC_22096) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22097) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_4525) + 8d0*coupl(     &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_4525) - coupl(nGC_2345&
                       )**2d0*coupl(nGC_350) - coupl(nGC_345)**2d0*coupl(      &
                       nGC_350) - coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_386  &
                       ) - coupl(nGC_348)**2d0*coupl(nGC_350) - coupl(nGC_349)*&
                       coupl(nGC_385)*coupl(nGC_386) - coupl(nGC_350)*coupl(   &
                       nGC_4525)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22090) = coupl(nGC_13)**2d0*coupl(nGC_4237)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22091) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_341) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_341) - coupl(nGC_2081 &
                       )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_2081)*coupl(&
                       nGC_343)*coupl(nGC_370) - coupl(nGC_339)**2d0*coupl(    &
                       nGC_4237) - coupl(nGC_341)**2d0*coupl(nGC_4237) - coupl(&
                       nGC_342)**2d0*coupl(nGC_4237) - coupl(nGC_344)**2d0*    &
                       coupl(nGC_4237))/(32d0*pi**2d0)
    coupl(nGC_22092) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22093) = (-coupl(nGC_1949)**2d0*coupl(nGC_338) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_3071) + 8d0*coupl(nGC_207)*coupl(      &
                       nGC_210)*coupl(nGC_3071) - coupl(nGC_3071)**2d0*coupl(  &
                       nGC_338) - coupl(nGC_333)**2d0*coupl(nGC_338) - coupl(  &
                       nGC_334)*coupl(nGC_364)*coupl(nGC_368) - coupl(nGC_336  &
                       )**2d0*coupl(nGC_338) - coupl(nGC_337)*coupl(nGC_367)*  &
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_32665) = coupl(nGC_37)*dZGMinus/2d0
    coupl(nGC_22301) = coupl(nGC_13)*sq2*(-coupl(nGC_1541)*coupl(nGC_371) - 4d0&
                       *coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 - coupl(   &
                       nGC_2081)*coupl(nGC_374) - coupl(nGC_369)**2d0 - coupl( &
                       nGC_370)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_373)**  &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22302) = coupl(nGC_13)*sq2*(coupl(nGC_1541)*coupl(nGC_371) + 4d0*&
                       coupl(nGC_197)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(    &
                       nGC_2081)*coupl(nGC_374) + 4d0*coupl(nGC_210)**2d0 +    &
                       coupl(nGC_340)**2d0 + coupl(nGC_343)**2d0 + coupl(      &
                       nGC_369)**2d0 + coupl(nGC_372)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22303) = coupl(nGC_13)*sq2*(coupl(nGC_1541)*coupl(nGC_371) + 4d0*&
                       coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 + coupl(    &
                       nGC_2081)*coupl(nGC_374) + coupl(nGC_369)**2d0 + coupl( &
                       nGC_370)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_373)**  &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_22524) = coupl(nGC_21149)*dl3_QED4 + coupl(nGC_21150)*dl1_QED4 + &
                       coupl(nGC_21151)*dl2_QED4 + coupl(nGC_21152)*dl5_QED4 + &
                       coupl(nGC_21153)*dl4_QED4 + coupl(nGC_21154)*db_QED2
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
