!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_22525) = coupl(nGC_21541)*dcw_QED2 + coupl(nGC_21542)*db_QED2 +  &
                       coupl(nGC_21543)*dZee_QED2 + coupl(nGC_21544)*da_QED2
    coupl(nGC_22526) = coupl(nGC_21058)*dcw_QED2 + coupl(nGC_21059)*db_QED2 +  &
                       coupl(nGC_21060)*dZee_QED2 + coupl(nGC_21061)*da_QED2
    coupl(nGC_22527) = coupl(nGC_20800)*dl3_QED4 + coupl(nGC_20801)*db_QED2 +  &
                       coupl(nGC_20802)*dl2_QED4 + coupl(nGC_20803)*dl5_QED4 + &
                       coupl(nGC_20804)*dl4_QED4 + coupl(nGC_20805)*dl1_QED4 + &
                       coupl(nGC_20806)*da_QED2
    coupl(nGC_22520) = coupl(nGC_21245)*db_QED2 + coupl(nGC_21246)*dl5_QED4 +  &
                       coupl(nGC_21247)*dl4_QED4 + coupl(nGC_21248)*da_QED2
    coupl(nGC_22521) = coupl(nGC_21233)*db_QED2 + coupl(nGC_21234)*dl5_QED4 +  &
                       coupl(nGC_21235)*dl4_QED4 + coupl(nGC_21236)*da_QED2
    coupl(nGC_22522) = coupl(nGC_20996)*dl3_QED4 + coupl(nGC_20997)*db_QED2 +  &
                       coupl(nGC_20998)*dl2_QED4 + coupl(nGC_20999)*dl5_QED4 + &
                       coupl(nGC_21000)*dl4_QED4 + coupl(nGC_21001)*dl1_QED4 + &
                       coupl(nGC_21002)*da_QED2
    coupl(nGC_22523) = coupl(nGC_20736)*dl3_QED4 + coupl(nGC_20737)*db_QED2 +  &
                       coupl(nGC_20738)*dl2_QED4 + coupl(nGC_20739)*dl5_QED4 + &
                       coupl(nGC_20740)*dl4_QED4 + coupl(nGC_20741)*dl1_QED4 + &
                       coupl(nGC_20742)*da_QED2
    coupl(nGC_22528) = coupl(nGC_20822)*dl3_QED4 + coupl(nGC_20823)*db_QED2 +  &
                       coupl(nGC_20824)*dl2_QED4 + coupl(nGC_20825)*dl5_QED4 + &
                       coupl(nGC_20826)*dl4_QED4 + coupl(nGC_20827)*dl1_QED4 + &
                       coupl(nGC_20828)*da_QED2
    coupl(nGC_22529) = coupl(nGC_21075)*dl3_QED4 + coupl(nGC_21076)*dl1_QED4 + &
                       coupl(nGC_21077)*dl2_QED4 + coupl(nGC_21078)*dl5_QED4 + &
                       coupl(nGC_21079)*dl4_QED4 + coupl(nGC_21080)*da_QED2
    coupl(nGC_33924) = coupl(nGC_22554) + coupl(nGC_328)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_331)*dZHh_QED2/2d0
    coupl(nGC_22411) = cima*(10d0*Nc*coupl(nGC_1083)**2d0*coupl(nGC_384)**2d0  &
                        + 40d0*Nc*coupl(nGC_1083)*coupl(nGC_384)**2d0*coupl(   &
                       nGC_386) + 10d0*Nc*coupl(nGC_2081)**2d0*coupl(nGC_372)**&
                       2d0 + 40d0*Nc*coupl(nGC_2081)*coupl(nGC_372)**2d0*coupl(&
                       nGC_374) + 10d0*Nc*coupl(nGC_3071)**2d0*coupl(nGC_336)**&
                       2d0 + 40d0*Nc*coupl(nGC_3071)*coupl(nGC_336)**2d0*coupl(&
                       nGC_338) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_338)** &
                       2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_341)**2d0 + &
                       40d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_341)*coupl(       &
                       nGC_4237) + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_4237  &
                       )**2d0 + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_350)**2d0&
                        + 40d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_350)*coupl(    &
                       nGC_4525) + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_4525  &
                       )**2d0 + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)**2d0&
                        + 40d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)*coupl(    &
                       nGC_989) + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_989)** &
                       2d0 + 10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_374)**2d0 + &
                       10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_386)**2d0 + 6d0*  &
                       coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(nGC_224)*coupl(&
                       nGC_230) + 10d0*coupl(nGC_2697)**2d0*coupl(nGC_360)**2d0&
                        + 40d0*coupl(nGC_2697)*coupl(nGC_360)**2d0*coupl(      &
                       nGC_362) + 10d0*coupl(nGC_2841)**2d0*coupl(nGC_378)**2d0&
                        + 40d0*coupl(nGC_2841)*coupl(nGC_378)**2d0*coupl(      &
                       nGC_380) + 10d0*coupl(nGC_354)**2d0*coupl(nGC_356)**2d0 &
                        + 40d0*coupl(nGC_354)**2d0*coupl(nGC_356)*coupl(nGC_997&
                       ) + 10d0*coupl(nGC_354)**2d0*coupl(nGC_997)**2d0 + 10d0*&
                       coupl(nGC_360)**2d0*coupl(nGC_362)**2d0 + 10d0*coupl(   &
                       nGC_378)**2d0*coupl(nGC_380)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22412) = 5d0*cima*(Nc*coupl(nGC_1083)**2d0*coupl(nGC_381)*coupl( &
                       nGC_384) + 4d0*Nc*coupl(nGC_1083)*coupl(nGC_381)*coupl( &
                       nGC_384)*coupl(nGC_386) + Nc*coupl(nGC_2081)**2d0*coupl(&
                       nGC_369)*coupl(nGC_372) + 4d0*Nc*coupl(nGC_2081)*coupl( &
                       nGC_369)*coupl(nGC_372)*coupl(nGC_374) + Nc*coupl(      &
                       nGC_3071)**2d0*coupl(nGC_333)*coupl(nGC_336) + 4d0*Nc*  &
                       coupl(nGC_3071)*coupl(nGC_333)*coupl(nGC_336)*coupl(    &
                       nGC_338) + Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                       nGC_338)**2d0 + Nc*coupl(nGC_339)*coupl(nGC_341)**2d0*  &
                       coupl(nGC_342) + 4d0*Nc*coupl(nGC_339)*coupl(nGC_341)*  &
                       coupl(nGC_342)*coupl(nGC_4237) + Nc*coupl(nGC_339)*coupl&
                       (nGC_342)*coupl(nGC_4237)**2d0 + Nc*coupl(nGC_345)*coupl&
                       (nGC_348)*coupl(nGC_350)**2d0 + 4d0*Nc*coupl(nGC_345)*  &
                       coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_4525) + Nc*coupl&
                       (nGC_345)*coupl(nGC_348)*coupl(nGC_4525)**2d0 + Nc*coupl&
                       (nGC_363)*coupl(nGC_366)*coupl(nGC_368)**2d0 + 4d0*Nc*  &
                       coupl(nGC_363)*coupl(nGC_366)*coupl(nGC_368)*coupl(     &
                       nGC_989) + Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(      &
                       nGC_989)**2d0 + Nc*coupl(nGC_369)*coupl(nGC_372)*coupl( &
                       nGC_374)**2d0 + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl( &
                       nGC_386)**2d0 + coupl(nGC_2697)**2d0*coupl(nGC_357)*    &
                       coupl(nGC_360) + 4d0*coupl(nGC_2697)*coupl(nGC_357)*    &
                       coupl(nGC_360)*coupl(nGC_362) + coupl(nGC_2841)**2d0*   &
                       coupl(nGC_375)*coupl(nGC_378) + 4d0*coupl(nGC_2841)*    &
                       coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_380) + coupl(   &
                       nGC_351)*coupl(nGC_354)*coupl(nGC_356)**2d0 + 4d0*coupl(&
                       nGC_351)*coupl(nGC_354)*coupl(nGC_356)*coupl(nGC_997) + &
                       coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_997)**2d0 +     &
                       coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_362)**2d0 +     &
                       coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_380)**2d0)/(24d0&
                       *pi**2d0)
    coupl(nGC_22414) = cima*(10d0*Nc*coupl(nGC_1083)**2d0*coupl(nGC_381)**2d0  &
                        + 40d0*Nc*coupl(nGC_1083)*coupl(nGC_381)**2d0*coupl(   &
                       nGC_386) + 10d0*Nc*coupl(nGC_2081)**2d0*coupl(nGC_369)**&
                       2d0 + 40d0*Nc*coupl(nGC_2081)*coupl(nGC_369)**2d0*coupl(&
                       nGC_374) + 10d0*Nc*coupl(nGC_3071)**2d0*coupl(nGC_333)**&
                       2d0 + 40d0*Nc*coupl(nGC_3071)*coupl(nGC_333)**2d0*coupl(&
                       nGC_338) + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_338)** &
                       2d0 + 10d0*Nc*coupl(nGC_341)**2d0*coupl(nGC_342)**2d0 + &
                       40d0*Nc*coupl(nGC_341)*coupl(nGC_342)**2d0*coupl(       &
                       nGC_4237) + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_4237  &
                       )**2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_350)**2d0&
                        + 40d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_350)*coupl(    &
                       nGC_4525) + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_4525  &
                       )**2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_368)**2d0&
                        + 40d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_368)*coupl(    &
                       nGC_989) + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_989)** &
                       2d0 + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)**2d0 + &
                       10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_386)**2d0 + 6d0*  &
                       coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(nGC_224)*coupl(&
                       nGC_230) + 10d0*coupl(nGC_2697)**2d0*coupl(nGC_357)**2d0&
                        + 40d0*coupl(nGC_2697)*coupl(nGC_357)**2d0*coupl(      &
                       nGC_362) + 10d0*coupl(nGC_2841)**2d0*coupl(nGC_375)**2d0&
                        + 40d0*coupl(nGC_2841)*coupl(nGC_375)**2d0*coupl(      &
                       nGC_380) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_356)**2d0 &
                        + 40d0*coupl(nGC_351)**2d0*coupl(nGC_356)*coupl(nGC_997&
                       ) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_997)**2d0 + 10d0*&
                       coupl(nGC_357)**2d0*coupl(nGC_362)**2d0 + 10d0*coupl(   &
                       nGC_375)**2d0*coupl(nGC_380)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22416) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1083)*coupl(      &
                       nGC_207)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_209)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_210)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_346)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_2081)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_207)*coupl( &
                       nGC_3071)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_2081)*coupl(&
                       nGC_209)*coupl(nGC_370) - 4d0*Nc*coupl(nGC_2081)*coupl( &
                       nGC_210)*coupl(nGC_370) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_3071)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_209)*coupl( &
                       nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_364)*coupl(nGC_368) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_3071)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_210)*coupl( &
                       nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_364)*coupl(nGC_368) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_352)*coupl(nGC_356) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_358)*coupl(nGC_362) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_376)*coupl(nGC_380))/(48d0*pi**2d0)
    coupl(nGC_22417) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(nGC_343&
                       )*coupl(nGC_4237) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_346 &
                       )*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_364 &
                       )*coupl(nGC_989) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_334)*&
                       coupl(nGC_338) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_370)*  &
                       coupl(nGC_374) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_382)*  &
                       coupl(nGC_386) - 4d0*Nc*coupl(nGC_209)*coupl(nGC_334)*  &
                       coupl(nGC_338) - 4d0*Nc*coupl(nGC_209)*coupl(nGC_343)*  &
                       coupl(nGC_4237) - 4d0*Nc*coupl(nGC_209)*coupl(nGC_346)* &
                       coupl(nGC_4525) - 4d0*Nc*coupl(nGC_209)*coupl(nGC_364)* &
                       coupl(nGC_989) - 4d0*Nc*coupl(nGC_209)*coupl(nGC_370)*  &
                       coupl(nGC_374) - 4d0*Nc*coupl(nGC_209)*coupl(nGC_382)*  &
                       coupl(nGC_386) - 4d0*Nc*coupl(nGC_210)*coupl(nGC_334)*  &
                       coupl(nGC_338) - 4d0*Nc*coupl(nGC_210)*coupl(nGC_343)*  &
                       coupl(nGC_4237) - 4d0*Nc*coupl(nGC_210)*coupl(nGC_346)* &
                       coupl(nGC_4525) - 4d0*Nc*coupl(nGC_210)*coupl(nGC_364)* &
                       coupl(nGC_989) - 4d0*Nc*coupl(nGC_210)*coupl(nGC_370)*  &
                       coupl(nGC_374) - 4d0*Nc*coupl(nGC_210)*coupl(nGC_382)*  &
                       coupl(nGC_386) + 5d0*coupl(nGC_208)*coupl(nGC_2697)*    &
                       coupl(nGC_358) + 5d0*coupl(nGC_208)*coupl(nGC_2841)*    &
                       coupl(nGC_376) + 5d0*coupl(nGC_208)*coupl(nGC_352)*coupl&
                       (nGC_997) - 4d0*coupl(nGC_211)*coupl(nGC_2697)*coupl(   &
                       nGC_358) - 4d0*coupl(nGC_211)*coupl(nGC_2841)*coupl(    &
                       nGC_376) - 4d0*coupl(nGC_211)*coupl(nGC_352)*coupl(     &
                       nGC_997) - 4d0*coupl(nGC_212)*coupl(nGC_2697)*coupl(    &
                       nGC_358) - 4d0*coupl(nGC_212)*coupl(nGC_2841)*coupl(    &
                       nGC_376) - 4d0*coupl(nGC_212)*coupl(nGC_352)*coupl(     &
                       nGC_997))/(48d0*pi**2d0)
    coupl(nGC_22638) = coupl(nGC_21539)*dyd13x3_QED1_QCD2 + coupl(nGC_21540)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22639) = coupl(nGC_21684)*db_QED2 + coupl(nGC_21685)*dye2_QED3 + &
                       coupl(nGC_21686)*dye1_QED3
    coupl(nGC_22630) = coupl(nGC_20837)*dys2_QED3 + coupl(nGC_20838)*          &
                       dyd12x2_QED3 + coupl(nGC_20839)*da_QED2
    coupl(nGC_22631) = coupl(nGC_21528)*dyd13x3_QED1_QCD2 + coupl(nGC_21530)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22632) = coupl(nGC_21528)*dyd13x3_QED3 + coupl(nGC_21529)*da_QED2&
                        + coupl(nGC_21530)*dyb2_QED3
    coupl(nGC_22633) = coupl(nGC_20840)*dydo2_QED1_QCD2 + coupl(nGC_20842)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22634) = coupl(nGC_20840)*dydo2_QED3 + coupl(nGC_20841)*db_QED2  &
                        + coupl(nGC_20842)*dydo1_QED3
    coupl(nGC_22635) = coupl(nGC_21745)*dyd12x2_QED1_QCD2 + coupl(nGC_21746)*  &
                       dys2_QED1_QCD2
    coupl(nGC_22636) = coupl(nGC_21745)*dyd12x2_QED3 + coupl(nGC_21746)*       &
                       dys2_QED3 + coupl(nGC_21747)*db_QED2
    coupl(nGC_22637) = coupl(nGC_21538)*db_QED2 + coupl(nGC_21539)*dyd13x3_QED3&
                        + coupl(nGC_21540)*dyb2_QED3
    coupl(nGC_32255) = coupl(nGC_42)*dZGMinus
    coupl(nGC_36978) = coupl(nGC_22555) + coupl(nGC_242)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_245)*dZHaG0_QED2 + coupl(nGC_250)*dZHh_QED2/  &
                       2d0 + coupl(nGC_TS_GC_35_Hl) + coupl(nGC_TS_GC_43_Hh)
    coupl(nGC_36976) = coupl(nGC_250)*dZG0
    coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35375) = coupl(nGC_22567) + coupl(nGC_241)*dZHl_QED2/2d0 + coupl(&
                       nGC_249)*dZHhHl_QED2/2d0 + coupl(nGC_252)*              &
                       dZHMinusGMinus_QED2 + coupl(nGC_TS_GC_33_Hh) + coupl(   &
                       nGC_TS_GC_45_Hl)
    coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35372) = coupl(nGC_241)*dZGMinus
    coupl(nGC_39653) = -coupl(nGC_39648) + coupl(nGC_39652)
    coupl(nGC_32387) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
    coupl(nGC_32870) = coupl(nGC_22579) + coupl(nGC_322)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_22333) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1433)*   &
                       coupl(nGC_340) + Nc*coupl(nGC_1)*coupl(nGC_2345)*coupl( &
                       nGC_349) + Nc*coupl(nGC_1)*coupl(nGC_3141)*coupl(nGC_367&
                       ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_335)*coupl(nGC_337) - &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(nGC_373) - 4d0*&
                       Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(nGC_385) - 4d0*Nc* &
                       coupl(nGC_1433)*coupl(nGC_2)*coupl(nGC_340) - 4d0*Nc*   &
                       coupl(nGC_2)*coupl(nGC_2345)*coupl(nGC_349) - 4d0*Nc*   &
                       coupl(nGC_2)*coupl(nGC_3141)*coupl(nGC_367) + Nc*coupl( &
                       nGC_2)*coupl(nGC_335)*coupl(nGC_337) + Nc*coupl(nGC_2)* &
                       coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_2)*coupl(  &
                       nGC_383)*coupl(nGC_385) + coupl(nGC_1931)*coupl(nGC_361 &
                       )*coupl(nGC_4) + coupl(nGC_2755)*coupl(nGC_355)*coupl(  &
                       nGC_4) + coupl(nGC_379)*coupl(nGC_4)*coupl(nGC_6589))/( &
                       48d0*pi**2d0)
    coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34022) = -coupl(nGC_34018)
    coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
    coupl(nGC_48332) = coupl(nGC_I)*dZHa_QED2
    coupl(nGC_43644) = coupl(nGC_22851) + coupl(nGC_43635)
    coupl(nGC_43640) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_43641) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_43642) = coupl(nGC_22850) + coupl(nGC_TS_GC_345_Hl) + coupl(     &
                       nGC_TS_GC_348_Hh)
    coupl(nGC_43643) = coupl(nGC_43634) + coupl(nGC_43642)
    coupl(nGC_32418) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*          &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/2d0&
                        + coupl(nGC_22551)
    coupl(nGC_32412) = coupl(nGC_22544) + 3d0*coupl(nGC_56)*dZHMinus_QED2/2d0  &
                        + coupl(nGC_65)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_71 &
                       )*dZGMinusHMinus_QED2 + coupl(nGC_74)*                  &
                       dZGMinusHMinus_QED2/2d0
    coupl(nGC_34848) = coupl(nGC_67)*(dZG0 + dZGMinus)
    coupl(nGC_37386) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
