!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl17()
    coupl(nGC_22517) = coupl(nGC_20703)*dl3_QED4 + coupl(nGC_20704)*dl1_QED4 + &
                       coupl(nGC_20705)*dl2_QED4 + coupl(nGC_20706)*dl5_QED4 + &
                       coupl(nGC_20707)*dl4_QED4 + coupl(nGC_20708)*db_QED2
    coupl(nGC_22322) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_339)*coupl(nGC_342&
                       ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_345)*coupl(nGC_348   &
                       ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_363)*coupl(nGC_366   &
                       ) - Nc*coupl(nGC_2)**2d0*coupl(nGC_333)*coupl(nGC_336   &
                       ) - Nc*coupl(nGC_2)**2d0*coupl(nGC_369)*coupl(nGC_372   &
                       ) - Nc*coupl(nGC_2)**2d0*coupl(nGC_381)*coupl(nGC_384   &
                       ) - coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4)**2d0 -   &
                       coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4)**2d0 - coupl(&
                       nGC_375)*coupl(nGC_378)*coupl(nGC_4)**2d0)/(4d0*pi**2d0)
    coupl(nGC_22326) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340 &
                       )*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*  &
                       coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(nGC_1)*    &
                       coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337&
                       ) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_370)*  &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*    &
                       coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl(nGC_1)*    &
                       coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) - 8d0*Nc*  &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373&
                       ) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_382)*  &
                       coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*    &
                       coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1)*    &
                       coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*  &
                       coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367&
                       ) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_340)*  &
                       coupl(nGC_343) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*    &
                       coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) - 8d0*Nc*  &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337&
                       ) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_370)*  &
                       coupl(nGC_373) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*    &
                       coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*  &
                       coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373&
                       ) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_382)*  &
                       coupl(nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*    &
                       coupl(nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*  &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367&
                       ) - 8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_355)*   &
                       coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(nGC_358)*coupl( &
                       nGC_361)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(nGC_376&
                       )*coupl(nGC_379)*coupl(nGC_4) + 5d0*coupl(nGC_212)*coupl&
                       (nGC_352)*coupl(nGC_355)*coupl(nGC_4) + 5d0*coupl(      &
                       nGC_212)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_4) +   &
                       5d0*coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379)*coupl( &
                       nGC_4))/(48d0*pi**2d0)
    coupl(nGC_32602) = coupl(nGC_22711) + coupl(nGC_231)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_231)*dZWMinus_QED2/2d0 + coupl(nGC_231)*      &
                       dZZ_QED2/2d0 + coupl(nGC_237)*dZGMinusHMinus_QED2/2d0 + &
                       coupl(nGC_321)*dZAZ_QED2/2d0 + coupl(nGC_TS_GC_22_Hh) + &
                       coupl(nGC_TS_GC_23_Hl)
    coupl(nGC_22511) = coupl(nGC_21095)*dl3_QED4 + coupl(nGC_21096)*dl1_QED4 + &
                       coupl(nGC_21097)*dl2_QED4 + coupl(nGC_21098)*dl5_QED4 + &
                       coupl(nGC_21099)*dl4_QED4 + coupl(nGC_21100)*db_QED2
    coupl(nGC_22046) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc*  &
                       coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(&
                       nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208)*&
                       coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(   &
                       nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376)*&
                       coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                       nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361  &
                       ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22513) = coupl(nGC_20743)*dl3_QED4 + coupl(nGC_20744)*db_QED2 +  &
                       coupl(nGC_20745)*dl2_QED4 + coupl(nGC_20746)*dl5_QED4 + &
                       coupl(nGC_20747)*dl4_QED4 + coupl(nGC_20748)*dl1_QED4 + &
                       coupl(nGC_20749)*da_QED2
    coupl(nGC_37177) = coupl(nGC_I)*dZGMinus
    coupl(nGC_22512) = coupl(nGC_20915)*dl3_QED4 + coupl(nGC_20916)*dl1_QED4 + &
                       coupl(nGC_20917)*dl2_QED4 + coupl(nGC_20918)*dl5_QED4 + &
                       coupl(nGC_20919)*dl4_QED4 + coupl(nGC_20920)*db_QED2
    coupl(nGC_TS_GC_332_Hh) = -coupl(nGC_332)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22186) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0* &
                       Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc*cMD*&
                       coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS*coupl( &
                       nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl(nGC_369&
                       )*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(nGC_381)*coupl&
                       (nGC_384)**2d0 + 12d0*cME*coupl(nGC_351)*coupl(nGC_354  &
                       )**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(nGC_360)**2d0 +  &
                       12d0*cMTA*coupl(nGC_375)*coupl(nGC_378)**2d0 + cima*    &
                       coupl(nGC_224)*coupl(nGC_329) + 2d0*cima*coupl(nGC_261)*&
                       coupl(nGC_77))/(16d0*pi**2d0)
    coupl(nGC_22184) = coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22185) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*coupl(      &
                       nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 + 4d0*cMTA* &
                       coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*coupl(nGC_332 &
                       ) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0&
                       )
    coupl(nGC_22180) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_6589) -    &
                       coupl(nGC_2841)**2d0*coupl(nGC_377) - coupl(nGC_375)**  &
                       2d0*coupl(nGC_377) - coupl(nGC_377)*coupl(nGC_378)**2d0 &
                        - coupl(nGC_377)*coupl(nGC_6589)**2d0 + 8d0*coupl(nGC_4&
                       )**2d0*coupl(nGC_6589))/(32d0*pi**2d0)
    coupl(nGC_32111) = coupl(nGC_181)*dZGMinus/2d0
    coupl(nGC_32114) = coupl(nGC_174)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_175)*&
                       dZHlHh_QED2/2d0 + coupl(nGC_181)*dZHh_QED2/2d0 + coupl( &
                       nGC_22550)
    coupl(nGC_22188) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0* &
                       Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc*cMD*&
                       coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS*coupl( &
                       nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl(nGC_369&
                       )**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(nGC_381)**2d0*&
                       coupl(nGC_384) + 12d0*cME*coupl(nGC_351)**2d0*coupl(    &
                       nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0*coupl(nGC_360   &
                       ) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl(nGC_378) + cima*&
                       coupl(nGC_224)*coupl(nGC_332) + 2d0*cima*coupl(nGC_272)*&
                       coupl(nGC_77))/(16d0*pi**2d0)
    coupl(nGC_32117) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*           &
                       dZnu_muL_QED2 + coupl(nGC_22728)
    coupl(nGC_22436) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0  &
                        - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl(   &
                       nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)**  &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22437) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0 + &
                       coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl(      &
                       nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)**  &
                       2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22434) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl(  &
                       nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(  &
                       nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl(  &
                       nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)**  &
                       2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334&
                       )*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*&
                       coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343)**2d0 + 5d0*&
                       Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_370)**2d0 +  &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369)*    &
                       coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343)*  &
                       coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_343)** &
                       2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_345&
                       )*coupl(nGC_346)**2d0*coupl(nGC_348) + 5d0*Nc*coupl(    &
                       nGC_345)*coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_384) + &
                       5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_382)**2d0&
                        + 5d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_381)*coupl(     &
                       nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(  &
                       nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_363)*coupl(  &
                       nGC_364)**2d0*coupl(nGC_366) + 5d0*Nc*coupl(nGC_369)*   &
                       coupl(nGC_370)**2d0*coupl(nGC_372) + 5d0*Nc*coupl(      &
                       nGC_381)*coupl(nGC_382)**2d0*coupl(nGC_384) + 6d0*coupl(&
                       nGC_175)*coupl(nGC_180) + 6d0*coupl(nGC_22)*coupl(nGC_23&
                       ) + 5d0*coupl(nGC_351)*coupl(nGC_352)**2d0*coupl(nGC_354&
                       ) + 5d0*coupl(nGC_357)*coupl(nGC_358)**2d0*coupl(nGC_360&
                       ) + 5d0*coupl(nGC_375)*coupl(nGC_376)**2d0*coupl(nGC_378&
                       ))/(24d0*pi**2d0)
    coupl(nGC_22433) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0 + &
                       10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 + 20d0* &
                       Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*coupl(  &
                       nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_363)** &
                       2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_343)**2d0 + &
                       10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_370)**2d0 + 20d0* &
                       Nc*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_369)*coupl(  &
                       nGC_370) + 10d0*Nc*coupl(nGC_343)**2d0*coupl(nGC_369)** &
                       2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_346)**2d0 + &
                       10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_382)**2d0 + 20d0* &
                       Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_381)*coupl(  &
                       nGC_382) + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_381)** &
                       2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_364)**2d0 + &
                       10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0* &
                       Nc*coupl(nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*&
                       coupl(nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 &
                        + 10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0* &
                       coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(   &
                       nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22430) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0 + &
                       10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 + 20d0* &
                       Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*coupl(  &
                       nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_364)** &
                       2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_343)**2d0 + &
                       10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)**2d0 + 20d0* &
                       Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_370)*coupl(  &
                       nGC_372) + 10d0*Nc*coupl(nGC_343)**2d0*coupl(nGC_372)** &
                       2d0 + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_348)**2d0 + &
                       10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_384)**2d0 + 20d0* &
                       Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_382)*coupl(  &
                       nGC_384) + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_382)** &
                       2d0 + 10d0*Nc*coupl(nGC_364)**2d0*coupl(nGC_366)**2d0 + &
                       10d0*Nc*coupl(nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0* &
                       Nc*coupl(nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0&
                       *coupl(nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229  &
                       ) + 10d0*coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*&
                       coupl(nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(   &
                       nGC_376)**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22438) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0 - &
                       4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0 +   &
                       5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343 &
                       )**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl&
                       (nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                       nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc*cima*coupl(nGC_207&
                       )**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*&
                       coupl(nGC_209)*coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_370)**2d0 + 5d0*Nc*   &
                       cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_334)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_370)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_382)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_343)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_346)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_364)**2d0  &
                        + 3d0*cima*coupl(nGC_100)*coupl(nGC_195) - 4d0*cima*   &
                       coupl(nGC_208)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*coupl&
                       (nGC_208)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*coupl(    &
                       nGC_208)**2d0*coupl(nGC_376)**2d0 + 5d0*cima*coupl(     &
                       nGC_208)*coupl(nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima* &
                       coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*&
                       cima*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0  &
                        - 4d0*cima*coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 -   &
                       4d0*cima*coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0* &
                       cima*coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl&
                       (nGC_100)*coupl(nGC_1275)**2d0 + 3d0*coupl(nGC_100)*    &
                       coupl(nGC_199)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22618) = coupl(nGC_21651)*dyd12x2_QED3 + coupl(nGC_21652)*       &
                       dys2_QED3 + coupl(nGC_21653)*db_QED2
    coupl(nGC_22619) = coupl(nGC_20750)*db_QED2 + coupl(nGC_20751)*dyd13x3_QED3&
                        + coupl(nGC_20752)*dyb2_QED3
    coupl(nGC_22616) = coupl(nGC_21280)*dydo2_QED3 + coupl(nGC_21281)*db_QED2  &
                        + coupl(nGC_21282)*dydo1_QED3
    coupl(nGC_22617) = coupl(nGC_21651)*dyd12x2_QED1_QCD2 + coupl(nGC_21652)*  &
                       dys2_QED1_QCD2
    coupl(nGC_22614) = coupl(nGC_21198)*dyd13x3_QED1_QCD2 + coupl(nGC_21199)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22615) = coupl(nGC_21280)*dydo2_QED1_QCD2 + coupl(nGC_21282)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22612) = coupl(nGC_20932)*dyt1_QED1_QCD2 + coupl(nGC_20933)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_22610) = coupl(nGC_20891)*dyd12x2_QED3 + coupl(nGC_20892)*       &
                       dys2_QED3 + coupl(nGC_20893)*db_QED2
    coupl(nGC_22611) = coupl(nGC_20931)*db_QED2 + coupl(nGC_20932)*dyt1_QED3 + &
                       coupl(nGC_20933)*dyt2_QED3
    coupl(nGC_32275) = coupl(nGC_22533) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHlHh_QED2/&
                       2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
    coupl(nGC_32272) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_22058) = coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22508) = coupl(nGC_21766)*dl3_QED4 + coupl(nGC_21767)*dl1_QED4 + &
                       coupl(nGC_21768)*dl2_QED4 + coupl(nGC_21769)*dl5_QED4 + &
                       coupl(nGC_21770)*dl4_QED4 + coupl(nGC_21771)*db_QED2
    coupl(nGC_22502) = coupl(nGC_20760)*dl3_QED4 + coupl(nGC_20761)*db_QED2 +  &
                       coupl(nGC_20762)*dl2_QED4 + coupl(nGC_20763)*dl5_QED4 + &
                       coupl(nGC_20764)*dl4_QED4 + coupl(nGC_20765)*dl1_QED4 + &
                       coupl(nGC_20766)*da_QED2
    coupl(nGC_22503) = coupl(nGC_20729)*dl3_QED4 + coupl(nGC_20730)*db_QED2 +  &
                       coupl(nGC_20731)*dl2_QED4 + coupl(nGC_20732)*dl5_QED4 + &
                       coupl(nGC_20733)*dl4_QED4 + coupl(nGC_20734)*dl1_QED4 + &
                       coupl(nGC_20735)*da_QED2
    coupl(nGC_22500) = coupl(nGC_20693)*dl3_QED4 + coupl(nGC_20694)*dl1_QED4 + &
                       coupl(nGC_20695)*dl2_QED4 + coupl(nGC_20696)*dl5_QED4 + &
                       coupl(nGC_20697)*dl4_QED4 + coupl(nGC_20698)*db_QED2
    coupl(nGC_22501) = coupl(nGC_20816)*dl3_QED4 + coupl(nGC_20817)*dl1_QED4 + &
                       coupl(nGC_20818)*dl2_QED4 + coupl(nGC_20819)*dl5_QED4 + &
                       coupl(nGC_20820)*dl4_QED4 + coupl(nGC_20821)*db_QED2
    coupl(nGC_22506) = coupl(nGC_20793)*dl3_QED4 + coupl(nGC_20794)*db_QED2 +  &
                       coupl(nGC_20795)*dl2_QED4 + coupl(nGC_20796)*dl5_QED4 + &
                       coupl(nGC_20797)*dl4_QED4 + coupl(nGC_20798)*dl1_QED4 + &
                       coupl(nGC_20799)*da_QED2
    coupl(nGC_22507) = coupl(nGC_21046)*dl3_QED4 + coupl(nGC_21047)*dl1_QED4 + &
                       coupl(nGC_21048)*dl2_QED4 + coupl(nGC_21049)*dl5_QED4 + &
                       coupl(nGC_21050)*dl4_QED4 + coupl(nGC_21051)*da_QED2
    coupl(nGC_22504) = coupl(nGC_21031)*dl3_QED4 + coupl(nGC_21032)*dl1_QED4 + &
                       coupl(nGC_21033)*dl2_QED4 + coupl(nGC_21034)*dl5_QED4 + &
                       coupl(nGC_21035)*dl4_QED4 + coupl(nGC_21036)*da_QED2
    coupl(nGC_22505) = coupl(nGC_21902)*dl3_QED4 + coupl(nGC_21903)*dl1_QED4 + &
                       coupl(nGC_21904)*dl2_QED4 + coupl(nGC_21905)*dl5_QED4 + &
                       coupl(nGC_21906)*dl4_QED4 + coupl(nGC_21907)*db_QED2
    coupl(nGC_39580) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
    coupl(nGC_36596) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZcR_QED2  &
                        + coupl(nGC_22724)
    coupl(nGC_35156) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*        &
                       dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*    &
                       coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_22531)
    coupl(nGC_36359) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*           &
                       dZnu_tauL_QED2 + coupl(nGC_22728)
  end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
