!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl19()
    coupl(nGC_22602) = coupl(nGC_20896)*dyd13x3_QED1_QCD2 + coupl(nGC_20897)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22605) = coupl(nGC_21396)*db_QED2 + coupl(nGC_21397)*dyup1_QED3  &
                        + coupl(nGC_21398)*dyup2_QED3
    coupl(nGC_22604) = coupl(nGC_21855)*dydo2_QED3 + coupl(nGC_21856)*db_QED2  &
                        + coupl(nGC_21857)*dydo1_QED3
    coupl(nGC_22607) = coupl(nGC_21471)*db_QED2 + coupl(nGC_21472)*dyc1_QED3 + &
                       coupl(nGC_21473)*dyc2_QED3
    coupl(nGC_22606) = coupl(nGC_21397)*dyup1_QED1_QCD2 + coupl(nGC_21398)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_22609) = coupl(nGC_20891)*dyd12x2_QED1_QCD2 + coupl(nGC_20892)*  &
                       dys2_QED1_QCD2
    coupl(nGC_22608) = coupl(nGC_21472)*dyc1_QED1_QCD2 + coupl(nGC_21473)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_22049) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc*  &
                       coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl(&
                       nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl( &
                       nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(      &
                       nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(nGC_357&
                       )*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22048) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc*  &
                       coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl(&
                       nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl( &
                       nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(      &
                       nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(nGC_360&
                       )*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22519) = coupl(nGC_21037)*dl3_QED4 + coupl(nGC_21038)*dl1_QED4 + &
                       coupl(nGC_21039)*dl2_QED4 + coupl(nGC_21040)*dl5_QED4 + &
                       coupl(nGC_21041)*dl4_QED4 + coupl(nGC_21042)*db_QED2
    coupl(nGC_22518) = coupl(nGC_20709)*dl3_QED4 + coupl(nGC_20710)*db_QED2 +  &
                       coupl(nGC_20711)*dl2_QED4 + coupl(nGC_20712)*dl5_QED4 + &
                       coupl(nGC_20713)*dl4_QED4 + coupl(nGC_20714)*dl1_QED4 + &
                       coupl(nGC_20715)*da_QED2
    coupl(nGC_22042) = coupl(nGC_197)*(Nc*coupl(nGC_1083)*coupl(nGC_385) + Nc* &
                       coupl(nGC_2081)*coupl(nGC_373) + Nc*coupl(nGC_3071)*    &
                       coupl(nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_341) - Nc* &
                       coupl(nGC_349)*coupl(nGC_350) - Nc*coupl(nGC_367)*coupl(&
                       nGC_368) - coupl(nGC_355)*coupl(nGC_356) - coupl(nGC_361&
                       )*coupl(nGC_362) - coupl(nGC_379)*coupl(nGC_380))/(24d0*&
                       pi**2d0)
    coupl(nGC_22041) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(      &
                       nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl( &
                       nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0 - &
                       Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(nGC_207&
                       )*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_337 &
                       )**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0 + Nc*    &
                       coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(nGC_210)* &
                       coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_349)**&
                       2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0 + coupl(    &
                       nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*coupl(    &
                       nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 -    &
                       coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(nGC_212)*    &
                       coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(nGC_379)**2d0&
                       )/(24d0*pi**2d0)
    coupl(nGC_22040) = (Nc*cMB*coupl(nGC_2081)*coupl(nGC_343)*coupl(nGC_373) + &
                       Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343) + Nc&
                       *cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_4237) + Nc*&
                       cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_374) + Nc*  &
                       cMB*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                       cMB*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_4237) + Nc* &
                       cMC*coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMC*coupl(nGC_3071)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) + Nc*  &
                       cMC*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_368) + Nc*  &
                       cMC*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_989) + Nc*  &
                       cMC*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + Nc*  &
                       cMD*coupl(nGC_1083)*coupl(nGC_346)*coupl(nGC_385) + Nc* &
                       cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_350) + Nc*  &
                       cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_4525) + Nc* &
                       cMD*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_386) + Nc*  &
                       cMD*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385) + Nc*  &
                       cMD*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_4525) + Nc* &
                       cMS*coupl(nGC_3071)*coupl(nGC_337)*coupl(nGC_364) + Nc* &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368) + Nc*  &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_989) + Nc*  &
                       cMS*coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_367) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_989) + Nc*  &
                       cMT*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                       cMT*coupl(nGC_2081)*coupl(nGC_370)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_370) + Nc*  &
                       cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) + Nc*  &
                       cMT*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_4237) + Nc* &
                       cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*  &
                       cMU*coupl(nGC_1083)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMU*coupl(nGC_1083)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386) + Nc*  &
                       cMU*coupl(nGC_346)*coupl(nGC_385)*coupl(nGC_4525) + Nc* &
                       cMU*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_382) + Nc*  &
                       cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386) + cME* &
                       coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356) + cME*coupl&
                       (nGC_352)*coupl(nGC_355)*coupl(nGC_997) + cMM*coupl(    &
                       nGC_2697)*coupl(nGC_358)*coupl(nGC_361) + cMM*coupl(    &
                       nGC_358)*coupl(nGC_361)*coupl(nGC_362) + cMTA*coupl(    &
                       nGC_2841)*coupl(nGC_376)*coupl(nGC_379) + cMTA*coupl(   &
                       nGC_376)*coupl(nGC_379)*coupl(nGC_380) + 2d0*cima*coupl(&
                       nGC_186)*coupl(nGC_321) + 2d0*cima*coupl(nGC_231)*coupl(&
                       nGC_30))/(16d0*pi**2d0)
    coupl(nGC_22510) = coupl(nGC_21239)*dl3_QED4 + coupl(nGC_21240)*dl1_QED4 + &
                       coupl(nGC_21241)*dl2_QED4 + coupl(nGC_21242)*dl5_QED4 + &
                       coupl(nGC_21243)*dl4_QED4 + coupl(nGC_21244)*db_QED2
    coupl(nGC_22045) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343 &
                       ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370  &
                       ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(     &
                       nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl(  &
                       nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*    &
                       coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_364&
                       )*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(nGC_363)*&
                       coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(nGC_363)*  &
                       coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_346&
                       )*coupl(nGC_349) + 2d0*Nc*cMD*coupl(nGC_345)*coupl(     &
                       nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346)*coupl(  &
                       nGC_381)*coupl(nGC_385) + Nc*cMD*coupl(nGC_349)*coupl(  &
                       nGC_381)*coupl(nGC_382) + Nc*cMS*coupl(nGC_333)*coupl(  &
                       nGC_334)*coupl(nGC_367) + Nc*cMS*coupl(nGC_333)*coupl(  &
                       nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*coupl(nGC_334)*    &
                       coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                       )*coupl(nGC_364)*coupl(nGC_367) + Nc*cMT*coupl(nGC_340)*&
                       coupl(nGC_342)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(nGC_340&
                       )*coupl(nGC_343)*coupl(nGC_369) + Nc*cMT*coupl(nGC_342)*&
                       coupl(nGC_343)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369&
                       )*coupl(nGC_370)*coupl(nGC_373) + Nc*cMU*coupl(nGC_345)*&
                       coupl(nGC_346)*coupl(nGC_385) + Nc*cMU*coupl(nGC_345)*  &
                       coupl(nGC_349)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346&
                       )*coupl(nGC_349)*coupl(nGC_381) + 2d0*Nc*cMU*coupl(     &
                       nGC_381)*coupl(nGC_382)*coupl(nGC_385) + 2d0*cME*coupl( &
                       nGC_351)*coupl(nGC_352)*coupl(nGC_355) + 2d0*cMM*coupl( &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_361) + 2d0*cMTA*coupl(&
                       nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 2d0*cima*coupl(&
                       nGC_174)*coupl(nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(&
                       nGC_324) + 2d0*cima*coupl(nGC_21)*coupl(nGC_231) + 2d0* &
                       cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
    coupl(nGC_22044) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343 &
                       ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(     &
                       nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(  &
                       nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl(  &
                       nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*    &
                       coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)*  &
                       coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_364&
                       )*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(nGC_364)*&
                       coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*coupl(nGC_348&
                       )*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)*coupl(nGC_384)*&
                       coupl(nGC_385) + 2d0*Nc*cMD*coupl(nGC_348)*coupl(nGC_382&
                       )*coupl(nGC_385) + Nc*cMD*coupl(nGC_349)*coupl(nGC_382)*&
                       coupl(nGC_384) + Nc*cMS*coupl(nGC_334)*coupl(nGC_336)*  &
                       coupl(nGC_367) + 2d0*Nc*cMS*coupl(nGC_334)*coupl(nGC_337&
                       )*coupl(nGC_366) + Nc*cMS*coupl(nGC_336)*coupl(nGC_337)*&
                       coupl(nGC_364) + 2d0*Nc*cMS*coupl(nGC_364)*coupl(nGC_366&
                       )*coupl(nGC_367) + Nc*cMT*coupl(nGC_339)*coupl(nGC_340)*&
                       coupl(nGC_370) + Nc*cMT*coupl(nGC_339)*coupl(nGC_343)*  &
                       coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_343&
                       )*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_370)*coupl(     &
                       nGC_372)*coupl(nGC_373) + Nc*cMU*coupl(nGC_346)*coupl(  &
                       nGC_348)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_346)*    &
                       coupl(nGC_349)*coupl(nGC_384) + Nc*cMU*coupl(nGC_348)*  &
                       coupl(nGC_349)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382&
                       )*coupl(nGC_384)*coupl(nGC_385) + 2d0*cME*coupl(nGC_352 &
                       )*coupl(nGC_354)*coupl(nGC_355) + 2d0*cMM*coupl(nGC_358 &
                       )*coupl(nGC_360)*coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376&
                       )*coupl(nGC_378)*coupl(nGC_379) + 2d0*cima*coupl(nGC_175&
                       )*coupl(nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321&
                       ) + 2d0*cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*   &
                       coupl(nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
    coupl(nGC_36907) = coupl(nGC_MMW_GF)*dZGMinus/2d0
    coupl(nGC_35589) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
    coupl(nGC_36908) = coupl(nGC_TS_GC_173_Hl) + coupl(nGC_TS_GC_179_Hh)
    coupl(nGC_22039) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc*&
                       cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0* &
                       Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(  &
                       nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337 &
                       )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(     &
                       nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345 &
                       )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl(&
                       nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*    &
                       coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(nGC_337&
                       )**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363)*coupl(&
                       nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*coupl(   &
                       nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_342)*    &
                       coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_373&
                       )**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(&
                       nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**2d0*coupl(nGC_381 &
                       ) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_385)**2d0 + 2d0*&
                       cME*coupl(nGC_351)*coupl(nGC_355)**2d0 + 2d0*cMM*coupl( &
                       nGC_357)*coupl(nGC_361)**2d0 + 2d0*cMTA*coupl(nGC_375)* &
                       coupl(nGC_379)**2d0 + 2d0*cima*coupl(nGC_100)*coupl(    &
                       nGC_261) + 4d0*cima*coupl(nGC_174)*coupl(nGC_324) + 4d0*&
                       cima*coupl(nGC_21)*coupl(nGC_237) + cima*coupl(nGC_229)*&
                       coupl(nGC_329))/(16d0*pi**2d0)
    coupl(nGC_34723) = -coupl(nGC_32794)
    coupl(nGC_36580) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33836) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_32823) = coupl(nGC_22580) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
    coupl(nGC_38371) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*dZWMinus_QED2 &
                        + coupl(nGC_22693)
    coupl(nGC_35587) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_35584) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_34181) = coupl(nGC_22661) + coupl(nGC_34175)
    coupl(nGC_34180) = -coupl(nGC_22661) - coupl(nGC_34175)
    coupl(nGC_34183) = coupl(nGC_22662) + coupl(nGC_371)*dZHaG0_QED2/2d0
    coupl(nGC_34182) = -coupl(nGC_34179)
    coupl(nGC_34185) = coupl(nGC_34174) + coupl(nGC_34183)
    coupl(nGC_34184) = -coupl(nGC_34174) - coupl(nGC_34183)
    coupl(nGC_34509) = coupl(nGC_22639) + coupl(nGC_352)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_355)*dZeMinusR_QED2/2d0 + coupl(nGC_355 &
                       )*dZnu_eL_QED2/2d0
    coupl(nGC_38791) = coupl(nGC_227)*dZG0
    coupl(nGC_34478) = coupl(nGC_22846) + coupl(nGC_TS_GC_333_Hl) + coupl(     &
                       nGC_TS_GC_336_Hh)
    coupl(nGC_32448) = coupl(nGC_22634) + coupl(nGC_347)*dZHa_QED2/2d0 + coupl(&
                       nGC_350)*dZG0Ha_QED2/2d0
    coupl(nGC_32449) = -coupl(nGC_32442) - coupl(nGC_32448)
    coupl(nGC_51408) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*      &
                       dZHl_QED2 + coupl(nGC_22507)
    coupl(nGC_22624) = coupl(nGC_21748)*dys2_QED3 + coupl(nGC_21749)*          &
                       dyd12x2_QED3 + coupl(nGC_21750)*da_QED2
    coupl(nGC_37573) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZsL_QED2  &
                        + coupl(nGC_22726)
    coupl(nGC_37575) = coupl(nGC_32187) + coupl(nGC_37573)
    coupl(nGC_33664) = dZHMinusGMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/2d0
    coupl(nGC_32595) = coupl(nGC_174)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHl_QED2/ &
                       2d0 + coupl(nGC_21)*dZWMinus_QED2/2d0 + coupl(nGC_21)*  &
                       dZZ_QED2/2d0 + coupl(nGC_22526) + coupl(nGC_23)*        &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*dZHhHl_QED2/2d0
    coupl(nGC_32591) = coupl(nGC_21)*dZGMinus/2d0
    coupl(nGC_37191) = coupl(nGC_178)*dZGMinusHMinus_QED2/2d0
  end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
