!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl20()
    coupl(nGC_33471) = coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_203)*      &
                       dZZ_QED2/2d0 + coupl(nGC_22682) + coupl(nGC_7)*dZAZ_QED2&
                       /2d0
    coupl(nGC_22458) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_339)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_348)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_366)**2d0 +   &
                       10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*    &
                       coupl(nGC_348)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_366)**2d0 - 8d0*Nc*cima*coupl(nGC_207&
                       )**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*cima*coupl(nGC_207 &
                       )*coupl(nGC_210)*coupl(nGC_336)**2d0 + 10d0*Nc*cima*    &
                       coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_372)**2d0 + 10d0&
                       *Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_384)** &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_339)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_348)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_366)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_336)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_372)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_384)**  &
                       2d0 + 3d0*cima*coupl(nGC_195)*coupl(nGC_77) - 8d0*cima* &
                       coupl(nGC_208)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*coupl&
                       (nGC_208)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*coupl(    &
                       nGC_208)**2d0*coupl(nGC_378)**2d0 + 10d0*cima*coupl(    &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_354)**2d0 + 10d0*cima*&
                       coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_360)**2d0 + 10d0&
                       *cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_378)**2d0 &
                        - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_354)**2d0 -   &
                       8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_360)**2d0 - 8d0* &
                       cima*coupl(nGC_211)**2d0*coupl(nGC_378)**2d0 + 3d0*coupl&
                       (nGC_1275)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_199)**2d0*&
                       coupl(nGC_77))/(24d0*pi**2d0)
    coupl(nGC_22459) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc*   &
                       coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345)**&
                       3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl(      &
                       nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc*  &
                       coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)**3d0&
                       *coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360) +  &
                       coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
    coupl(nGC_32138) = coupl(nGC_22614) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                       nGC_343)*dZtL_QCD2/2d0
    coupl(nGC_32136) = coupl(nGC_22613) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                       2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343)*&
                       dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
    coupl(nGC_32137) = coupl(nGC_22612) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                       nGC_370)*dZtR_QCD2/2d0
    coupl(nGC_22456) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0 + &
                       20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 + 20d0* &
                       Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0*Nc*   &
                       coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*coupl(&
                       nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*coupl(      &
                       nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(nGC_224)**2d0 &
                        + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354)**2d0 + 20d0* &
                       coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 + 20d0*coupl(   &
                       nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*coupl(nGC_77)** &
                       2d0)/(16d0*pi**2d0)
    coupl(nGC_32135) = coupl(nGC_22611) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2/&
                       2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_22451) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(      &
                       nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc*  &
                       coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 + 20d0&
                       *Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0 + 20d0&
                       *coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0 + 20d0* &
                       coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0)/(16d0*pi**&
                       2d0)
    coupl(nGC_22298) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                       nGC_206)**2d0 + coupl(nGC_3141)*coupl(nGC_365) + coupl( &
                       nGC_363)**2d0 + coupl(nGC_364)**2d0 + coupl(nGC_366)**  &
                       2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(nGC_989&
                       ))/(64d0*pi**2d0)
    coupl(nGC_22299) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_2705&
                       ) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
    coupl(nGC_22292) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_2345&
                       )*coupl(nGC_347) - coupl(nGC_345)**2d0 - coupl(nGC_348  &
                       )**2d0 - coupl(nGC_350)*coupl(nGC_4525) - coupl(nGC_382 &
                       )**2d0 - coupl(nGC_385)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22293) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_206)**2d0 - coupl(nGC_2345)*coupl(nGC_347) - coupl( &
                       nGC_345)**2d0 - coupl(nGC_346)**2d0 - coupl(nGC_348)**  &
                       2d0 - coupl(nGC_349)**2d0 - coupl(nGC_350)*coupl(       &
                       nGC_4525))/(64d0*pi**2d0)
    coupl(nGC_22290) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_2345&
                       )*coupl(nGC_347) + coupl(nGC_345)**2d0 + coupl(nGC_348  &
                       )**2d0 + coupl(nGC_350)*coupl(nGC_4525) + coupl(nGC_382 &
                       )**2d0 + coupl(nGC_385)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22291) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_206)**2d0 + coupl(nGC_2345)*coupl(nGC_347) + coupl( &
                       nGC_345)**2d0 + coupl(nGC_346)**2d0 + coupl(nGC_348)**  &
                       2d0 + coupl(nGC_349)**2d0 + coupl(nGC_350)*coupl(       &
                       nGC_4525))/(64d0*pi**2d0*Nc)
    coupl(nGC_22296) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(       &
                       nGC_2705) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_22297) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                       nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_3141&
                       )*coupl(nGC_365) + coupl(nGC_334)**2d0 + coupl(nGC_337  &
                       )**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_366)**2d0 +    &
                       coupl(nGC_368)*coupl(nGC_989))/(64d0*pi**2d0)
    coupl(nGC_22294) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_3141&
                       )*coupl(nGC_365) - coupl(nGC_334)**2d0 - coupl(nGC_337  &
                       )**2d0 - coupl(nGC_363)**2d0 - coupl(nGC_366)**2d0 -    &
                       coupl(nGC_368)*coupl(nGC_989))/(64d0*pi**2d0*Nc)
    coupl(nGC_22295) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_206)**2d0 - coupl(nGC_3141)*coupl(nGC_365) - coupl( &
                       nGC_363)**2d0 - coupl(nGC_364)**2d0 - coupl(nGC_366)**  &
                       2d0 - coupl(nGC_367)**2d0 - coupl(nGC_368)*coupl(nGC_989&
                       ))/(64d0*pi**2d0*Nc)
    coupl(nGC_22676) = coupl(nGC_21258)*dyup1_QED1_QCD2 + coupl(nGC_21259)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_22677) = coupl(nGC_21481)*db_QED2 + coupl(nGC_21482)*dyc1_QED3 + &
                       coupl(nGC_21483)*dyc2_QED3
    coupl(nGC_22670) = coupl(nGC_21695)*dyup2_QED3 + coupl(nGC_21696)*         &
                       dyup1_QED3 + coupl(nGC_21697)*da_QED2
    coupl(nGC_22671) = coupl(nGC_21453)*dyc1_QED1_QCD2 + coupl(nGC_21454)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_22672) = coupl(nGC_21453)*dyc1_QED3 + coupl(nGC_21454)*dyc2_QED3 &
                        + coupl(nGC_21455)*da_QED2
    coupl(nGC_33947) = coupl(nGC_22584) + coupl(nGC_6)*dZWMinus_QED2/2d0
    coupl(nGC_22678) = coupl(nGC_21482)*dyc1_QED1_QCD2 + coupl(nGC_21483)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_22206) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334)*&
                       coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(   &
                       nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(    &
                       nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl(  &
                       nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_21958) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_341)*coupl(nGC_4237) - &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_3071)*coupl(nGC_338) -   &
                       4d0*Nc*cMD**2d0*cima*coupl(nGC_350)*coupl(nGC_4525) -   &
                       4d0*Nc*cMS**2d0*cima*coupl(nGC_368)*coupl(nGC_989) - 4d0&
                       *Nc*cMT**2d0*cima*coupl(nGC_2081)*coupl(nGC_374) - 4d0* &
                       Nc*cMU**2d0*cima*coupl(nGC_1083)*coupl(nGC_386) - 4d0*  &
                       cME**2d0*cima*coupl(nGC_356)*coupl(nGC_997) - 4d0*cMM** &
                       2d0*cima*coupl(nGC_2697)*coupl(nGC_362) - 4d0*cMTA**2d0*&
                       cima*coupl(nGC_2841)*coupl(nGC_380) - 2d0*cMW**2d0*coupl&
                       (nGC_100) - cMZ**2d0*coupl(nGC_230))/(16d0*pi**2d0)
    coupl(nGC_36020) = -coupl(nGC_34825) + coupl(nGC_34830)
    coupl(nGC_33502) = coupl(nGC_22532) + coupl(nGC_32)*dZHMinus_QED2 + coupl( &
                       nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0 +   &
                       coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
    coupl(nGC_22203) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(      &
                       nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22202) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC*  &
                       coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(nGC_366 &
                       ) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_22078) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(   &
                       nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347)*&
                       coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl(   &
                       nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(nGC_385)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_21955) = cima*(coupl(nGC_1275)*coupl(nGC_1603) + coupl(nGC_199)* &
                       coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22077) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) - coupl(  &
                       nGC_1433)*coupl(nGC_1541)*coupl(nGC_340) + 8d0*coupl(   &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(nGC_2081 &
                       )*coupl(nGC_340)*coupl(nGC_4237) - coupl(nGC_339)*coupl(&
                       nGC_340)*coupl(nGC_372) - coupl(nGC_340)*coupl(nGC_342)*&
                       coupl(nGC_369))/(32d0*pi**2d0)
    coupl(nGC_22074) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) - coupl(  &
                       nGC_1949)*coupl(nGC_3141)*coupl(nGC_367) + 8d0*coupl(   &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(nGC_3071 &
                       )*coupl(nGC_367)*coupl(nGC_989) - coupl(nGC_333)*coupl( &
                       nGC_363)*coupl(nGC_367) - coupl(nGC_336)*coupl(nGC_366)*&
                       coupl(nGC_367))/(32d0*pi**2d0)
    coupl(nGC_22075) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl(   &
                       nGC_333)*coupl(nGC_337)*coupl(nGC_363) - coupl(nGC_335)*&
                       coupl(nGC_337)*coupl(nGC_365) - coupl(nGC_336)*coupl(   &
                       nGC_337)*coupl(nGC_366) - coupl(nGC_337)*coupl(nGC_338)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_22072) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc* &
                       coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(&
                       nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc*coupl( &
                       nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*coupl(      &
                       nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl(nGC_357&
                       )*coupl(nGC_361) + coupl(nGC_375)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22073) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) -  &
                       Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) - Nc&
                       *cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) + Nc* &
                       cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) + Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) + Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) + Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) + Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) + cME* &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*coupl(     &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima*coupl(&
                       nGC_1053)*coupl(nGC_324) + 2d0*cima*coupl(nGC_194)*coupl&
                       (nGC_237) + 2d0*coupl(nGC_1275)*coupl(nGC_199)*coupl(   &
                       nGC_237) + 2d0*coupl(nGC_1275)*coupl(nGC_3)*coupl(      &
                       nGC_324))/(16d0*pi**2d0)
    coupl(nGC_22070) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc* &
                       coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(&
                       nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(      &
                       nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(      &
                       nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(      &
                       nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl(nGC_208)*&
                       coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208)*coupl(   &
                       nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl(nGC_376)*&
                       coupl(nGC_379) + coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                       nGC_355) + coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361  &
                       ) + coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22071) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc* &
                       coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*coupl(&
                       nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc*coupl( &
                       nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*coupl(      &
                       nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl(nGC_360&
                       )*coupl(nGC_361) + coupl(nGC_378)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22708) = coupl(nGC_21499)*dcw_QED2 + coupl(nGC_21500)*db_QED2 +  &
                       coupl(nGC_21501)*dZee_QED2 + coupl(nGC_21502)*da_QED2
    coupl(nGC_22709) = coupl(nGC_21701)*dsw_QED2 + coupl(nGC_21702)*dcw_QED2 + &
                       coupl(nGC_21703)*dZee_QED2
    coupl(nGC_22700) = coupl(nGC_20890)*dZee_QED2
    coupl(nGC_22701) = coupl(nGC_21072)*dsw_QED2 + coupl(nGC_21073)*dcw_QED2 + &
                       coupl(nGC_21074)*dZee_QED2
    coupl(nGC_22702) = coupl(nGC_20877)*dsw_QED2 + coupl(nGC_20878)*dZee_QED2
    coupl(nGC_22704) = coupl(nGC_21908)*dcw_QED2 + coupl(nGC_21909)*db_QED2 +  &
                       coupl(nGC_21910)*dsw_QED2 + coupl(nGC_21911)*dZee_QED2  &
                        + coupl(nGC_21912)*da_QED2
    coupl(nGC_22705) = coupl(nGC_21938)*dcw_QED2 + coupl(nGC_21939)*db_QED2 +  &
                       coupl(nGC_21940)*dsw_QED2 + coupl(nGC_21941)*dZee_QED2  &
                        + coupl(nGC_21942)*da_QED2
    coupl(nGC_22208) = (-coupl(nGC_1541)**2d0*coupl(nGC_372) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_372) + 8d0*coupl(nGC_207)*coupl(nGC_210&
                       )*coupl(nGC_372) - coupl(nGC_2081)**2d0*coupl(nGC_372   &
                       ) - coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_373) - coupl&
                       (nGC_339)*coupl(nGC_343)*coupl(nGC_370) - coupl(nGC_369 &
                       )**2d0*coupl(nGC_372) - coupl(nGC_372)**3d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_35131) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
  end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
