!******************************************************************************!
!                                                                              !
!    fill_ctcouplings24.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings24.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings24
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl24()
    coupl(nGC_22016) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_22017) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*coupl(&
                       nGC_197)**2d0*coupl(nGC_2) - coupl(nGC_1275)*coupl(     &
                       nGC_198)*coupl(nGC_3) - coupl(nGC_1603)*coupl(nGC_3)*   &
                       coupl(nGC_4) + 3d0*coupl(nGC_197)**2d0*coupl(nGC_4))/(  &
                       24d0*pi**2d0)
    coupl(nGC_22012) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) - Nc&
                       *cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc*cMC&
                       *coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc*cMC*   &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*cMD*    &
                       coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*cMD*    &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*cMS*    &
                       coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*cMS*    &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*cMT*    &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*cMT*    &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*cMU*    &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*cMU*    &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME*coupl( &
                       nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl(nGC_211&
                       )*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(nGC_208)*coupl&
                       (nGC_360)*coupl(nGC_4) - cMM*coupl(nGC_211)*coupl(      &
                       nGC_360)*coupl(nGC_4) - cMTA*coupl(nGC_208)*coupl(      &
                       nGC_378)*coupl(nGC_4) - cMTA*coupl(nGC_211)*coupl(      &
                       nGC_378)*coupl(nGC_4) + cima*coupl(nGC_205)*coupl(      &
                       nGC_272) + coupl(nGC_1275)*coupl(nGC_1603)*coupl(nGC_272&
                       ) + coupl(nGC_199)*coupl(nGC_272)*coupl(nGC_3))/(8d0*pi &
                       **2d0)
    coupl(nGC_22013) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) - Nc&
                       *cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc*cMC&
                       *coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc*cMC*   &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*cMD*    &
                       coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*cMD*    &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*cMS*    &
                       coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*cMS*    &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*cMT*    &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*cMT*    &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*cMU*    &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*cMU*    &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME*coupl( &
                       nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl(nGC_211&
                       )*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(nGC_208)*coupl&
                       (nGC_357)*coupl(nGC_4) - cMM*coupl(nGC_211)*coupl(      &
                       nGC_357)*coupl(nGC_4) - cMTA*coupl(nGC_208)*coupl(      &
                       nGC_375)*coupl(nGC_4) - cMTA*coupl(nGC_211)*coupl(      &
                       nGC_375)*coupl(nGC_4) + cima*coupl(nGC_205)*coupl(      &
                       nGC_261) + coupl(nGC_1275)*coupl(nGC_1603)*coupl(nGC_261&
                       ) + coupl(nGC_199)*coupl(nGC_261)*coupl(nGC_3))/(8d0*pi &
                       **2d0)
    coupl(nGC_22018) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*   &
                       coupl(nGC_364)**2d0 + coupl(nGC_1)*coupl(nGC_367)**2d0  &
                        + coupl(nGC_1949)*coupl(nGC_2)*coupl(nGC_335) + 2d0*   &
                       coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(nGC_2)* &
                       coupl(nGC_3071)*coupl(nGC_338) + coupl(nGC_2)*coupl(    &
                       nGC_333)**2d0 + coupl(nGC_2)*coupl(nGC_336)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22019) = (coupl(nGC_1)*coupl(nGC_334)**2d0 + coupl(nGC_1)*coupl( &
                       nGC_337)**2d0 + coupl(nGC_1949)*coupl(nGC_2)*coupl(     &
                       nGC_335) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*    &
                       coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_3071)*coupl&
                       (nGC_338) + coupl(nGC_2)*coupl(nGC_333)**2d0 + coupl(   &
                       nGC_2)*coupl(nGC_336)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22729) = coupl(nGC_21474)*dsw_QED2 + coupl(nGC_21475)*dcw_QED2 + &
                       coupl(nGC_21476)*dZee_QED2
    coupl(nGC_22727) = coupl(nGC_21137)*dsw_QED2 + coupl(nGC_21138)*dcw_QED2 + &
                       coupl(nGC_21139)*dZee_QED2
    coupl(nGC_22725) = coupl(nGC_20940)*dsw_QED2 + coupl(nGC_20941)*dcw_QED2 + &
                       coupl(nGC_20942)*dZee_QED2
    coupl(nGC_22723) = coupl(nGC_21448)*dsw_QED2 + coupl(nGC_21449)*dZee_QED2
    coupl(nGC_22721) = coupl(nGC_21837)*dZee_QED2
    coupl(nGC_32327) = coupl(nGC_22630) + coupl(nGC_363)*dZHl_QED2/2d0 + coupl(&
                       nGC_366)*dZHhHl_QED2/2d0
    coupl(nGC_32326) = coupl(nGC_22629) + coupl(nGC_32325)
    coupl(nGC_36313) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
    coupl(nGC_35448) = -coupl(nGC_35442)
    coupl(nGC_36314) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_22720)
    coupl(nGC_36315) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
    coupl(nGC_22129) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) -  &
                       Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) - Nc&
                       *cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) + Nc* &
                       cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) + Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) + Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) + Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) + Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) + cME* &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*coupl(     &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima*coupl(&
                       nGC_1053)*coupl(nGC_321) + 2d0*cima*coupl(nGC_194)*coupl&
                       (nGC_231) + 2d0*coupl(nGC_198)*coupl(nGC_199)*coupl(    &
                       nGC_231) + 2d0*coupl(nGC_199)*coupl(nGC_321)*coupl(nGC_4&
                       ))/(16d0*pi**2d0)
    coupl(nGC_22658) = coupl(nGC_21451)*dyup1_QED1_QCD2 + coupl(nGC_21452)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_22659) = coupl(nGC_21496)*db_QED2 + coupl(nGC_21497)*dyc1_QED3 + &
                       coupl(nGC_21498)*dyc2_QED3
    coupl(nGC_22120) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_343)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_342)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*    &
                       coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370) + 2d0*Nc*  &
                       cMC*coupl(nGC_333)*coupl(nGC_334)**2d0 + 2d0*Nc*cMC*    &
                       coupl(nGC_333)*coupl(nGC_364)**2d0 + 2d0*Nc*cMC*coupl(  &
                       nGC_334)*coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*    &
                       coupl(nGC_345)*coupl(nGC_346)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_345)*coupl(nGC_382)**2d0 + 2d0*Nc*cMD*coupl(nGC_346 &
                       )*coupl(nGC_381)*coupl(nGC_382) + 2d0*Nc*cMS*coupl(     &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_364) + 2d0*Nc*cMS*    &
                       coupl(nGC_334)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(  &
                       nGC_363)*coupl(nGC_364)**2d0 + 2d0*Nc*cMT*coupl(nGC_342 &
                       )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(     &
                       nGC_343)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_369 &
                       )*coupl(nGC_370)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl(&
                       nGC_346)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346)**2d0&
                       *coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(      &
                       nGC_382)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)** &
                       2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)**2d0 + 2d0* &
                       cMTA*coupl(nGC_375)*coupl(nGC_376)**2d0 + 2d0*cima*coupl&
                       (nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_180)*coupl&
                       (nGC_321) + cima*coupl(nGC_229)*coupl(nGC_329) + 4d0*   &
                       cima*coupl(nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
    coupl(nGC_22121) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(      &
                       nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl( &
                       nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0 - &
                       Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(nGC_207&
                       )*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_334 &
                       )**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0 + Nc*    &
                       coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(nGC_210)* &
                       coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_346)**&
                       2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0 + coupl(    &
                       nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208)*coupl(    &
                       nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376)**2d0 -    &
                       coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(nGC_212)*    &
                       coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(nGC_376)**2d0&
                       )/(24d0*pi**2d0)
    coupl(nGC_22122) = coupl(nGC_197)*(Nc*coupl(nGC_1315)*coupl(nGC_382) + Nc* &
                       coupl(nGC_1541)*coupl(nGC_370) + Nc*coupl(nGC_1949)*    &
                       coupl(nGC_334) - Nc*coupl(nGC_343)*coupl(nGC_344) - Nc* &
                       coupl(nGC_346)*coupl(nGC_347) - Nc*coupl(nGC_364)*coupl(&
                       nGC_365) - coupl(nGC_352)*coupl(nGC_353) - coupl(nGC_358&
                       )*coupl(nGC_359) - coupl(nGC_376)*coupl(nGC_377))/(24d0*&
                       pi**2d0)
    coupl(nGC_22651) = coupl(nGC_21662)*da_QED2 + coupl(nGC_21663)*dye1_QED3 + &
                       coupl(nGC_21664)*dye2_QED3
    coupl(nGC_22124) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_334) - Nc*  &
                       coupl(nGC_342)*coupl(nGC_343) - Nc*coupl(nGC_345)*coupl(&
                       nGC_346) - Nc*coupl(nGC_363)*coupl(nGC_364) + Nc*coupl( &
                       nGC_369)*coupl(nGC_370) + Nc*coupl(nGC_381)*coupl(      &
                       nGC_382) - coupl(nGC_351)*coupl(nGC_352) - coupl(nGC_357&
                       )*coupl(nGC_358) - coupl(nGC_375)*coupl(nGC_376))/(24d0*&
                       pi**2d0)
    coupl(nGC_22125) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) - coupl(  &
                       nGC_1433)*coupl(nGC_1541)*coupl(nGC_370) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(nGC_2081 &
                       )*coupl(nGC_370)*coupl(nGC_4237) - coupl(nGC_339)*coupl(&
                       nGC_370)*coupl(nGC_372) - coupl(nGC_342)*coupl(nGC_369)*&
                       coupl(nGC_370))/(32d0*pi**2d0)
    coupl(nGC_22654) = coupl(nGC_21671)*db_QED2 + coupl(nGC_21672)*dye2_QED3 + &
                       coupl(nGC_21673)*dye1_QED3
    coupl(nGC_22127) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(   &
                       nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341)*&
                       coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(   &
                       nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344)*&
                       coupl(nGC_371))/(32d0*pi**2d0)
    coupl(nGC_22652) = coupl(nGC_21704)*dym1_QED3 + coupl(nGC_21705)*dym2_QED3 &
                        + coupl(nGC_21706)*da_QED2
    coupl(nGC_22653) = coupl(nGC_21155)*dytau1_QED3 + coupl(nGC_21156)*        &
                       dytau2_QED3 + coupl(nGC_21157)*da_QED2
    coupl(nGC_22650) = coupl(nGC_21899)*dytau1_QED3 + coupl(nGC_21900)*        &
                       dytau2_QED3 + coupl(nGC_21901)*da_QED2
    coupl(nGC_22123) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_336) - Nc*  &
                       coupl(nGC_339)*coupl(nGC_343) - Nc*coupl(nGC_346)*coupl(&
                       nGC_348) - Nc*coupl(nGC_364)*coupl(nGC_366) + Nc*coupl( &
                       nGC_370)*coupl(nGC_372) + Nc*coupl(nGC_382)*coupl(      &
                       nGC_384) - coupl(nGC_352)*coupl(nGC_354) - coupl(nGC_358&
                       )*coupl(nGC_360) - coupl(nGC_376)*coupl(nGC_378))/(24d0*&
                       pi**2d0)
    coupl(nGC_38308) = coupl(nGC_22619) + coupl(nGC_344)*dZHaG0_QED2/2d0
    coupl(nGC_22657) = coupl(nGC_21450)*db_QED2 + coupl(nGC_21451)*dyup1_QED3  &
                        + coupl(nGC_21452)*dyup2_QED3
    coupl(nGC_42041) = coupl(nGC_22565) + coupl(nGC_328)*dZHl_QED2/2d0 + coupl(&
                       nGC_331)*dZHhHl_QED2/2d0
    coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22221) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_342) + 2d0*Nc&
                       *cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_342) - 2d0*&
                       Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_342) - 2d0*Nc*cMC* &
                       coupl(nGC_207)**2d0*coupl(nGC_333) + 2d0*Nc*cMC*coupl(  &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_333) - 2d0*Nc*cMC*    &
                       coupl(nGC_210)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl(  &
                       nGC_206)**2d0*coupl(nGC_345) + 2d0*Nc*cMD*coupl(nGC_206 &
                       )*coupl(nGC_209)*coupl(nGC_345) - 2d0*Nc*cMD*coupl(     &
                       nGC_209)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_206 &
                       )**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_363) - 2d0*Nc*cMS*coupl(nGC_209)**2d0&
                       *coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_207)**2d0*coupl( &
                       nGC_369) + 2d0*Nc*cMT*coupl(nGC_207)*coupl(nGC_210)*    &
                       coupl(nGC_369) - 2d0*Nc*cMT*coupl(nGC_210)**2d0*coupl(  &
                       nGC_369) - 2d0*Nc*cMU*coupl(nGC_207)**2d0*coupl(nGC_381 &
                       ) + 2d0*Nc*cMU*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_381) - 2d0*Nc*cMU*coupl(nGC_210)**2d0*coupl(nGC_381 &
                       ) - 2d0*cME*coupl(nGC_208)**2d0*coupl(nGC_351) + 2d0*cME&
                       *coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_351) - 2d0*cME*&
                       coupl(nGC_211)**2d0*coupl(nGC_351) - 2d0*cMM*coupl(     &
                       nGC_208)**2d0*coupl(nGC_357) + 2d0*cMM*coupl(nGC_208)*  &
                       coupl(nGC_211)*coupl(nGC_357) - 2d0*cMM*coupl(nGC_211)**&
                       2d0*coupl(nGC_357) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(&
                       nGC_375) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(&
                       nGC_375) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_375   &
                       ) + cima*coupl(nGC_195)*coupl(nGC_261) + coupl(nGC_1275 &
                       )**2d0*coupl(nGC_261) + coupl(nGC_199)**2d0*coupl(      &
                       nGC_261))/(8d0*pi**2d0)
    coupl(nGC_38545) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*      &
                       dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_22686)
    coupl(nGC_38546) = -coupl(nGC_38545)
    coupl(nGC_38542) = coupl(nGC_36314) + coupl(nGC_38539)
    coupl(nGC_32815) = coupl(nGC_22719) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_32817) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusL_QED2
    coupl(nGC_32816) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusR_QED2
    coupl(nGC_51215) = -coupl(nGC_35322)
    coupl(nGC_33327) = coupl(nGC_22536) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_52)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHaG0_QED2/&
                       2d0 + coupl(nGC_63)*dZHlHh_QED2/2d0
    coupl(nGC_34767) = coupl(nGC_32511) + coupl(nGC_34764)
    coupl(nGC_34339) = coupl(nGC_22636) + coupl(nGC_365)*dZHa_QED2/2d0 + coupl(&
                       nGC_368)*dZG0Ha_QED2/2d0
    coupl(nGC_40284) = -coupl(nGC_36555) + coupl(nGC_36556)
    coupl(nGC_43956) = coupl(nGC_22499) + 2d0*coupl(nGC_59)*dZHaG0_QED2
    coupl(nGC_34939) = coupl(nGC_191)*dZWMinus_QED2 + coupl(nGC_22691)
  end subroutine fill_CTcouplings_mdl24
end module fill_ctcouplings24
