!******************************************************************************!
!                                                                              !
!    fill_ctcouplings26.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings26.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings26
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl26()
    coupl(nGC_22130) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(   &
                       nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335)*&
                       coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl(   &
                       nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(nGC_364)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_22137) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22136) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(   &
                       nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346)*&
                       coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(   &
                       nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22643) = coupl(nGC_21707)*db_QED2 + coupl(nGC_21708)*dym1_QED3 + &
                       coupl(nGC_21709)*dym2_QED3
    coupl(nGC_22642) = coupl(nGC_21665)*db_QED2 + coupl(nGC_21666)*dye2_QED3 + &
                       coupl(nGC_21667)*dye1_QED3
    coupl(nGC_32957) = coupl(nGC_22546) + coupl(nGC_76)*dZHh_QED2
    coupl(nGC_32950) = coupl(nGC_22594) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*    &
                       dZuL_QED2/2d0
    coupl(nGC_32951) = coupl(nGC_22592) + coupl(nGC_385)*dZdL_QCD2/2d0 + coupl(&
                       nGC_385)*dZuR_QCD2/2d0
    coupl(nGC_32952) = coupl(nGC_22593) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                       nGC_349)*dZuL_QCD2/2d0
    coupl(nGC_34788) = coupl(nGC_22656) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                       nGC_380)*dZG0Ha_QED2/2d0
    coupl(nGC_33204) = coupl(nGC_194)*dZWMinus_QED2 + coupl(nGC_194)*dZZ_QED2  &
                        + coupl(nGC_22718)
    coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34242) = coupl(nGC_22496) + coupl(nGC_228)*dZHMinus_QED2
    coupl(nGC_38540) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
    coupl(nGC_22681) = coupl(nGC_21030)*dZee_QED2
    coupl(nGC_34329) = coupl(nGC_22506) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                       nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl(  &
                       nGC_41)*dZHl_QED2
    coupl(nGC_32790) = coupl(nGC_22644) + coupl(nGC_376)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*     &
                       dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                  &
                       dZGMinusHMinus_QED2/2d0
    coupl(nGC_32554) = coupl(nGC_21)*dZHMinus_QED2/2d0 + coupl(nGC_21)*        &
                       dZHh_QED2/2d0 + coupl(nGC_22526) + coupl(nGC_24)*       &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/2d0
    coupl(nGC_40362) = -coupl(nGC_33703)
    coupl(nGC_33024) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_22498)
    coupl(nGC_33021) = coupl(nGC_22536) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_52)*dZHa_QED2/2d0 + coupl(nGC_52)*dZHl_QED2/  &
                       2d0 + coupl(nGC_62)*dZHhHl_QED2/2d0 + coupl(nGC_63)*    &
                       dZG0Ha_QED2/2d0
    coupl(nGC_33029) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_37006) = coupl(nGC_199)*dZWMinus_QED2 + coupl(nGC_199)*dZZ_QED2/ &
                       2d0 + coupl(nGC_22701) + coupl(nGC_3)*dZAZ_QED2/2d0
    coupl(nGC_22079) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) - coupl(  &
                       nGC_1083)*coupl(nGC_349)*coupl(nGC_4525) - coupl(       &
                       nGC_1315)*coupl(nGC_2345)*coupl(nGC_349) + 8d0*coupl(   &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(nGC_345)*&
                       coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_348)*coupl(   &
                       nGC_349)*coupl(nGC_384))/(32d0*pi**2d0)
    coupl(nGC_22076) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(   &
                       nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341)*&
                       coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl(   &
                       nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(nGC_371)*&
                       coupl(nGC_373))/(32d0*pi**2d0)
    coupl(nGC_57411) = -coupl(nGC_22002)
    coupl(nGC_21960) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_1433)*coupl(nGC_344) - &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_1949)*coupl(nGC_335) -   &
                       4d0*Nc*cMD**2d0*cima*coupl(nGC_2345)*coupl(nGC_347) -   &
                       4d0*Nc*cMS**2d0*cima*coupl(nGC_3141)*coupl(nGC_365) -   &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_1541)*coupl(nGC_371) -   &
                       4d0*Nc*cMU**2d0*cima*coupl(nGC_1315)*coupl(nGC_383) -   &
                       4d0*cME**2d0*cima*coupl(nGC_2755)*coupl(nGC_353) - 4d0* &
                       cMM**2d0*cima*coupl(nGC_1931)*coupl(nGC_359) - 4d0*cMTA &
                       **2d0*cima*coupl(nGC_377)*coupl(nGC_6589) - 2d0*cMW**2d0&
                       *coupl(nGC_100) - cMZ**2d0*coupl(nGC_230))/(16d0*pi**2d0&
                       )
    coupl(nGC_21963) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(      &
                       nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(      &
                       nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl( &
                       nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(      &
                       nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(nGC_357&
                       )*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378))/(24d0*&
                       pi**2d0)
    coupl(nGC_21962) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_366&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_360  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(nGC_224) + 2d0* &
                       cima*coupl(nGC_272)**2d0 + cima*coupl(nGC_332)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_33157) = coupl(nGC_22538) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl( &
                       nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +     &
                       coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/  &
                       2d0
    coupl(nGC_57789) = -coupl(nGC_22046)
    coupl(nGC_40707) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_57894) = -coupl(nGC_22049)
    coupl(nGC_57897) = -coupl(nGC_22122)
    coupl(nGC_40708) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_32178) = coupl(nGC_22563) + coupl(nGC_248)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_257)*dZHMinus_QED2/2d0 + coupl(nGC_257)*      &
                       dZHa_QED2/2d0 + coupl(nGC_TS_GC_52_Hl) + coupl(         &
                       nGC_TS_GC_62_Hh)
    coupl(nGC_32176) = coupl(nGC_257)*dZGMinus/2d0
    coupl(nGC_41387) = coupl(nGC_22664) + coupl(nGC_381)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_384)*dZHh_QED2/2d0
    coupl(nGC_41385) = coupl(nGC_384)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_41384) = coupl(nGC_384)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_32770) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZuL_QED2  &
                        + coupl(nGC_22725)
    coupl(nGC_32771) = coupl(nGC_32472) + coupl(nGC_32769)
    coupl(nGC_41389) = coupl(nGC_I)*dZHaG0_QED2/2d0
    coupl(nGC_41388) = coupl(nGC_41384) + coupl(nGC_41387)
    coupl(nGC_22257) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + coupl(nGC_1433)*&
                       coupl(nGC_209)*coupl(nGC_344) + 4d0*coupl(nGC_206)**3d0 &
                        + coupl(nGC_209)*coupl(nGC_339)**2d0 + coupl(nGC_209)* &
                       coupl(nGC_341)*coupl(nGC_4237) + coupl(nGC_209)*coupl(  &
                       nGC_342)**2d0 + coupl(nGC_210)*coupl(nGC_340)**2d0 +    &
                       coupl(nGC_210)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22254) = coupl(nGC_197)*(coupl(nGC_1211)*coupl(nGC_212) + coupl( &
                       nGC_198)*coupl(nGC_211) + 2d0*coupl(nGC_211)*coupl(     &
                       nGC_212) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_22255) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 2d0*coupl(      &
                       nGC_1275)*coupl(nGC_197)**2d0 + coupl(nGC_1433)*coupl(  &
                       nGC_206)*coupl(nGC_344) + 4d0*coupl(nGC_197)**2d0*coupl(&
                       nGC_210) + coupl(nGC_206)*coupl(nGC_339)**2d0 + coupl(  &
                       nGC_206)*coupl(nGC_341)*coupl(nGC_4237) + coupl(nGC_206 &
                       )*coupl(nGC_342)**2d0 + coupl(nGC_207)*coupl(nGC_370)** &
                       2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl(   &
                       nGC_209)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22252) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                       nGC_1)*coupl(nGC_4) + coupl(nGC_1211)*coupl(nGC_210) +  &
                       coupl(nGC_1593)*coupl(nGC_2) + coupl(nGC_198)*coupl(    &
                       nGC_209) + 2d0*coupl(nGC_209)*coupl(nGC_210))/(16d0*pi**&
                       2d0)
    coupl(nGC_22253) = coupl(nGC_197)*(-coupl(nGC_1211)*coupl(nGC_211) - coupl(&
                       nGC_1593)*coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_212   &
                       ) + 2d0*coupl(nGC_211)*coupl(nGC_212))/(16d0*pi**2d0)
    coupl(nGC_22250) = coupl(nGC_197)*(-coupl(nGC_1275)*coupl(nGC_212) - coupl(&
                       nGC_199)*coupl(nGC_211) + 2d0*coupl(nGC_211)*coupl(     &
                       nGC_212) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl26
end module fill_ctcouplings26
