!******************************************************************************!
!                                                                              !
!    fill_ctcouplings27.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings27.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings27
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl27()
    coupl(nGC_58847) = -coupl(nGC_22121)
    coupl(nGC_22259) = (coupl(nGC_1949)*coupl(nGC_207)*coupl(nGC_335) + 2d0*   &
                       coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197  &
                       )**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*coupl(    &
                       nGC_210) + coupl(nGC_206)*coupl(nGC_364)**2d0 + coupl(  &
                       nGC_206)*coupl(nGC_367)**2d0 + coupl(nGC_207)*coupl(    &
                       nGC_3071)*coupl(nGC_338) + coupl(nGC_207)*coupl(nGC_333 &
                       )**2d0 + coupl(nGC_207)*coupl(nGC_336)**2d0 + 4d0*coupl(&
                       nGC_210)**3d0)/(32d0*pi**2d0)
    coupl(nGC_40859) = coupl(nGC_32815) + coupl(nGC_40858)
    coupl(nGC_22038) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*    &
                       coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc*  &
                       cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*    &
                       coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(  &
                       nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*    &
                       coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349 &
                       )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(     &
                       nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*    &
                       coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(  &
                       nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339 &
                       )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(     &
                       nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372 &
                       )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl(&
                       nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**2d0&
                       *coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(      &
                       nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)** &
                       2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0* &
                       cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*coupl&
                       (nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180)*coupl&
                       (nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332) + 4d0*   &
                       cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
    coupl(nGC_33789) = coupl(nGC_35)*dZG0
    coupl(nGC_22032) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*   &
                       coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0  &
                        + coupl(nGC_1541)*coupl(nGC_2)*coupl(nGC_371) + 2d0*   &
                       coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)**3d0&
                        + coupl(nGC_2)*coupl(nGC_2081)*coupl(nGC_374) + 4d0*   &
                       coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(nGC_2)*coupl(  &
                       nGC_369)**2d0 + coupl(nGC_2)*coupl(nGC_372)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22033) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl( &
                       nGC_373)**2d0 + coupl(nGC_1541)*coupl(nGC_2)*coupl(     &
                       nGC_371) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*    &
                       coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_2081)*coupl&
                       (nGC_374) + coupl(nGC_2)*coupl(nGC_369)**2d0 + coupl(   &
                       nGC_2)*coupl(nGC_372)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22030) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_3141)*coupl(nGC_365) +  &
                       coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(      &
                       nGC_989) + 2d0*coupl(nGC_1603)*coupl(nGC_197)**2d0 + 4d0&
                       *coupl(nGC_197)**2d0*coupl(nGC_2) + coupl(nGC_2)*coupl( &
                       nGC_334)**2d0 + coupl(nGC_2)*coupl(nGC_337)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22031) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_3141)*coupl(nGC_365) +  &
                       coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(      &
                       nGC_989) + coupl(nGC_2)*coupl(nGC_364)**2d0 + coupl(    &
                       nGC_2)*coupl(nGC_367)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22036) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*   &
                       coupl(nGC_346)**2d0 + coupl(nGC_1)*coupl(nGC_349)**2d0  &
                        + coupl(nGC_1083)*coupl(nGC_2)*coupl(nGC_386) + coupl( &
                       nGC_1315)*coupl(nGC_2)*coupl(nGC_383) + 2d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)**3d0 + 4d0&
                       *coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(nGC_2)*coupl( &
                       nGC_381)**2d0 + coupl(nGC_2)*coupl(nGC_384)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22037) = (coupl(nGC_1)*coupl(nGC_382)**2d0 + coupl(nGC_1)*coupl( &
                       nGC_385)**2d0 + coupl(nGC_1083)*coupl(nGC_2)*coupl(     &
                       nGC_386) + coupl(nGC_1315)*coupl(nGC_2)*coupl(nGC_383   &
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_381)**2d0 + coupl&
                       (nGC_2)*coupl(nGC_384)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22034) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_2841)*&
                       coupl(nGC_380) + coupl(nGC_375)**2d0 + coupl(nGC_377)*  &
                       coupl(nGC_6589) + coupl(nGC_378)**2d0 + 4d0*coupl(nGC_4 &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_22035) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                       nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_2841)*coupl(     &
                       nGC_380)*coupl(nGC_4) + coupl(nGC_375)**2d0*coupl(nGC_4 &
                       ) + coupl(nGC_377)*coupl(nGC_4)*coupl(nGC_6589) + coupl(&
                       nGC_378)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)**3d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_TS_GC_244_Hh) = -coupl(nGC_244)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32308) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)*  &
                       dZHlHh_QED2/2d0 + coupl(nGC_22497) + coupl(nGC_24)*     &
                       dZHh_QED2/2d0
    coupl(nGC_34013) = coupl(nGC_386)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_34010) = coupl(nGC_34004) + coupl(nGC_34009)
    coupl(nGC_22109) = (-coupl(nGC_1541)**2d0*coupl(nGC_374) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_2081) + 8d0*coupl(nGC_207)*coupl(      &
                       nGC_2081)*coupl(nGC_210) - coupl(nGC_2081)**2d0*coupl(  &
                       nGC_374) - coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_373  &
                       ) - coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_370) - coupl&
                       (nGC_369)**2d0*coupl(nGC_374) - coupl(nGC_372)**2d0*    &
                       coupl(nGC_374))/(32d0*pi**2d0)
    coupl(nGC_22107) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_368) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_368) - coupl(nGC_3071 &
                       )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_3071)*coupl(&
                       nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(    &
                       nGC_989) - coupl(nGC_365)**2d0*coupl(nGC_989) - coupl(  &
                       nGC_366)**2d0*coupl(nGC_989) - coupl(nGC_368)**2d0*coupl&
                       (nGC_989))/(32d0*pi**2d0)
    coupl(nGC_22104) = (-coupl(nGC_1931)**2d0*coupl(nGC_362) + 8d0*coupl(      &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_2697) - coupl(nGC_2697&
                       )**2d0*coupl(nGC_362) + 8d0*coupl(nGC_2697)*coupl(nGC_4 &
                       )**2d0 - coupl(nGC_357)**2d0*coupl(nGC_362) - coupl(    &
                       nGC_360)**2d0*coupl(nGC_362))/(32d0*pi**2d0)
    coupl(nGC_22105) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_989) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_989) - coupl(nGC_3141 &
                       )**2d0*coupl(nGC_368) - coupl(nGC_334)*coupl(nGC_338)*  &
                       coupl(nGC_364) - coupl(nGC_337)*coupl(nGC_338)*coupl(   &
                       nGC_367) - coupl(nGC_363)**2d0*coupl(nGC_368) - coupl(  &
                       nGC_366)**2d0*coupl(nGC_368) - coupl(nGC_368)*coupl(    &
                       nGC_989)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22102) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_997) -     &
                       coupl(nGC_2755)**2d0*coupl(nGC_356) - coupl(nGC_351)**  &
                       2d0*coupl(nGC_356) - coupl(nGC_354)**2d0*coupl(nGC_356  &
                       ) - coupl(nGC_356)*coupl(nGC_997)**2d0 + 8d0*coupl(nGC_4&
                       )**2d0*coupl(nGC_997))/(32d0*pi**2d0)
    coupl(nGC_22103) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) -     &
                       coupl(nGC_2697)*coupl(nGC_357)**2d0 - coupl(nGC_2697)*  &
                       coupl(nGC_359)**2d0 - coupl(nGC_2697)*coupl(nGC_360)**  &
                       2d0 - coupl(nGC_2697)*coupl(nGC_362)**2d0 + 8d0*coupl(  &
                       nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22101) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) -     &
                       coupl(nGC_351)**2d0*coupl(nGC_997) - coupl(nGC_353)**2d0&
                       *coupl(nGC_997) - coupl(nGC_354)**2d0*coupl(nGC_997) -  &
                       coupl(nGC_356)**2d0*coupl(nGC_997) + 8d0*coupl(nGC_356)*&
                       coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_34546) = coupl(nGC_32282) + coupl(nGC_34544)
    coupl(nGC_35799) = coupl(nGC_22713) + coupl(nGC_230)*dZHa_QED2 + coupl(    &
                       nGC_230)*dZZ_QED2
    coupl(nGC_32949) = coupl(nGC_22591) + coupl(nGC_382)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_385)*dZdL_QED2/2d0 + coupl(nGC_385)*    &
                       dZuR_QED2/2d0
    coupl(nGC_35265) = -coupl(nGC_35261)
    coupl(nGC_35262) = coupl(nGC_22645) + coupl(nGC_353)*dZHaG0_QED2/2d0
    coupl(nGC_32940) = coupl(nGC_385)*dZGMinus/2d0
    coupl(nGC_32531) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_35081) = coupl(nGC_22632) + coupl(nGC_339)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_342)*dZHl_QED2/2d0
    coupl(nGC_35080) = coupl(nGC_22631) + coupl(nGC_35075)
    coupl(nGC_35645) = coupl(nGC_22493) + coupl(nGC_31)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_31)*dZHa_QED2/2d0
    coupl(nGC_36513) = coupl(nGC_22492) + coupl(nGC_227)*dZHa_QED2
    coupl(nGC_33239) = coupl(nGC_22672) + coupl(nGC_333)*dZHl_QED2/2d0 + coupl(&
                       nGC_336)*dZHhHl_QED2/2d0
    coupl(nGC_22324) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340 &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                       nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*&
                       coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_207)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_207)*coupl(nGC_385)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_337)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_373)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_385)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(    &
                       nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*&
                       coupl(nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_210)*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_206)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_2)*coupl(nGC_206)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_367)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_337)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_373)**&
                       2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(    &
                       nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*&
                       coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(   &
                       nGC_209)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_209)*coupl(nGC_385)**2d0 - 8d0*Nc*cima*coupl( &
                       nGC_2)*coupl(nGC_210)*coupl(nGC_340)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + &
                       6d0*cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(&
                       nGC_208)*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*   &
                       coupl(nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0*  &
                       cima*coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) +  &
                       5d0*cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4 &
                       ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl(  &
                       nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0*   &
                       coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_1275)*coupl(&
                       nGC_1603) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(    &
                       nGC_3))/(48d0*pi**2d0)
    coupl(nGC_34137) = coupl(nGC_201)*dZWMinus_QED2/2d0 + coupl(nGC_22586)
    coupl(nGC_33300) = coupl(nGC_22673) + coupl(nGC_33293)
    coupl(nGC_34351) = coupl(nGC_249)*dZGMinus
    coupl(nGC_34353) = coupl(nGC_22556) + coupl(nGC_241)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_244)*dZHMinusGMinus_QED2 + coupl(nGC_249)*    &
                       dZHh_QED2/2d0 + coupl(nGC_TS_GC_33_Hl) + coupl(         &
                       nGC_TS_GC_42_Hh)
    coupl(nGC_32786) = coupl(nGC_22545) + coupl(nGC_99)*dZHa_QED2
    coupl(nGC_32547) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl(   &
                       nGC_22723)
    coupl(nGC_33015) = coupl(nGC_22524) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)*      &
                       dZHMinus_QED2
    coupl(nGC_32165) = coupl(nGC_220)*dZHMinus_QED2 + coupl(nGC_22549)
    coupl(nGC_32162) = coupl(nGC_22578) + coupl(nGC_260)*dZHl_QED2/2d0 + coupl(&
                       nGC_271)*dZHhHl_QED2/2d0
    coupl(nGC_22249) = coupl(nGC_197)*(coupl(nGC_1275)*coupl(nGC_211) + coupl( &
                       nGC_1603)*coupl(nGC_4) + coupl(nGC_199)*coupl(nGC_212   &
                       ) + 2d0*coupl(nGC_211)*coupl(nGC_212))/(16d0*pi**2d0)
    coupl(nGC_22248) = (3d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_209) - 3d0*Nc*    &
                       coupl(nGC_197)**2d0*coupl(nGC_210) - coupl(nGC_1275)*   &
                       coupl(nGC_198)*coupl(nGC_199) - coupl(nGC_1603)*coupl(  &
                       nGC_199)*coupl(nGC_4) + 3d0*coupl(nGC_197)**2d0*coupl(  &
                       nGC_211) - 3d0*coupl(nGC_197)**2d0*coupl(nGC_212))/(24d0&
                       *pi**2d0)
    coupl(nGC_22241) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_2841)**2d0 - coupl(nGC_375)**2d0 - coupl(     &
                       nGC_378)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_6589  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_22240) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(      &
                       nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl27
end module fill_ctcouplings27
