!******************************************************************************!
!                                                                              !
!    fill_ctcouplings28.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings28.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings28
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl28()
    coupl(nGC_22243) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345)*&
                       coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(   &
                       nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl(  &
                       nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl(    &
                       nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22242) = (-coupl(nGC_1083)**2d0*coupl(nGC_381) - coupl(nGC_1315  &
                       )**2d0*coupl(nGC_381) + 8d0*coupl(nGC_2)**2d0*coupl(    &
                       nGC_381) + 8d0*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_381) - coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382  &
                       ) - coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_385) - coupl&
                       (nGC_381)**3d0 - coupl(nGC_381)*coupl(nGC_384)**2d0)/(  &
                       32d0*pi**2d0)
    coupl(nGC_22245) = coupl(nGC_197)*(coupl(nGC_1)*coupl(nGC_1603) + 2d0*coupl&
                       (nGC_1)*coupl(nGC_2) + coupl(nGC_1275)*coupl(nGC_209) + &
                       coupl(nGC_199)*coupl(nGC_210) + coupl(nGC_2)*coupl(nGC_3&
                       ) + 2d0*coupl(nGC_209)*coupl(nGC_210))/(16d0*pi**2d0)
    coupl(nGC_22247) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                       nGC_1)*coupl(nGC_3) - coupl(nGC_1275)*coupl(nGC_210) -  &
                       coupl(nGC_1603)*coupl(nGC_2) - coupl(nGC_199)*coupl(    &
                       nGC_209) + 2d0*coupl(nGC_209)*coupl(nGC_210))/(16d0*pi**&
                       2d0)
    coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22029) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl( &
                       nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**2d0&
                       )
    coupl(nGC_22028) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl( &
                       nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**2d0&
                       )
    coupl(nGC_22025) = coupl(nGC_4)*(coupl(nGC_1931)*coupl(nGC_359) + 4d0*coupl&
                       (nGC_208)**2d0 + coupl(nGC_2697)*coupl(nGC_362) + coupl(&
                       nGC_357)**2d0 + coupl(nGC_360)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_33826) = coupl(nGC_22571) + coupl(nGC_243)*dZHMinus_QED2 + coupl(&
                       nGC_243)*dZHl_QED2/2d0 + coupl(nGC_251)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_252)*dZGMinusHMinus_QED2 + coupl(          &
                       nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_40_Hl)
    coupl(nGC_22027) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl( &
                       nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**2d0&
                       )
    coupl(nGC_22026) = (coupl(nGC_1931)*coupl(nGC_359)*coupl(nGC_4) - 2d0*coupl&
                       (nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211)**2d0*  &
                       coupl(nGC_4) + coupl(nGC_2697)*coupl(nGC_362)*coupl(    &
                       nGC_4) + coupl(nGC_357)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_360)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)**3d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22021) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_2345)*coupl(nGC_347) +  &
                       coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(      &
                       nGC_4525) + 2d0*coupl(nGC_1603)*coupl(nGC_197)**2d0 +   &
                       4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + coupl(nGC_2)*    &
                       coupl(nGC_382)**2d0 + coupl(nGC_2)*coupl(nGC_385)**2d0  &
                       )/(32d0*pi**2d0)
    coupl(nGC_22020) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_33793) = coupl(nGC_22527) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                       nGC_35)*dZHl_QED2/2d0 + coupl(nGC_43)*dZHhHl_QED2/2d0 + &
                       coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_49)*dZHlHh_QED2/  &
                       2d0
    coupl(nGC_22022) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206 &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_2345)*coupl(nGC_347) +  &
                       coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(      &
                       nGC_4525) + coupl(nGC_2)*coupl(nGC_346)**2d0 + coupl(   &
                       nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32378) = coupl(nGC_174)*dZHMinus_QED2/2d0 + coupl(nGC_174)*      &
                       dZHh_QED2/2d0 + coupl(nGC_181)*dZGMinusHMinus_QED2/2d0  &
                        + coupl(nGC_181)*dZHlHh_QED2/2d0 + coupl(nGC_22552)
    coupl(nGC_35414) = coupl(nGC_22574) + coupl(nGC_232)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_238)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_32373) = coupl(nGC_22716) + coupl(nGC_329)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_332)*dZHh_QED2/2d0 + coupl(nGC_332)*dZZ_QED2  &
                        + coupl(nGC_TS_GC_224_Hh)
    coupl(nGC_36673) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/2d0
    coupl(nGC_22111) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_374) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_374) - coupl(nGC_2081 &
                       )*coupl(nGC_369)**2d0 - coupl(nGC_2081)*coupl(nGC_371)**&
                       2d0 - coupl(nGC_2081)*coupl(nGC_372)**2d0 - coupl(      &
                       nGC_2081)*coupl(nGC_374)**2d0 - coupl(nGC_340)*coupl(   &
                       nGC_373)*coupl(nGC_4237) - coupl(nGC_343)*coupl(nGC_370 &
                       )*coupl(nGC_4237))/(32d0*pi**2d0)
    coupl(nGC_22110) = coupl(nGC_13)**2d0*coupl(nGC_2081)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_33483) = coupl(nGC_22610) + coupl(nGC_364)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*dZsR_QED2/&
                       2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_33482) = coupl(nGC_22607) + coupl(nGC_334)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*dZsL_QED2/&
                       2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_22115) = (-coupl(nGC_1083)**2d0*coupl(nGC_386) + 8d0*coupl(      &
                       nGC_1083)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1083)*coupl(&
                       nGC_207)*coupl(nGC_210) - coupl(nGC_1315)**2d0*coupl(   &
                       nGC_386) - coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_382  &
                       ) - coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_385) - coupl&
                       (nGC_381)**2d0*coupl(nGC_386) - coupl(nGC_384)**2d0*    &
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22114) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2841) -    &
                       coupl(nGC_2841)**2d0*coupl(nGC_380) + 8d0*coupl(nGC_2841&
                       )*coupl(nGC_4)**2d0 - coupl(nGC_375)**2d0*coupl(nGC_380 &
                       ) - coupl(nGC_378)**2d0*coupl(nGC_380) - coupl(nGC_380)*&
                       coupl(nGC_6589)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22117) = (-coupl(nGC_1083)*coupl(nGC_381)**2d0 - coupl(nGC_1083)*&
                       coupl(nGC_383)**2d0 - coupl(nGC_1083)*coupl(nGC_384)**  &
                       2d0 - coupl(nGC_1083)*coupl(nGC_386)**2d0 + 8d0*coupl(  &
                       nGC_2)**2d0*coupl(nGC_386) + 8d0*coupl(nGC_207)*coupl(  &
                       nGC_210)*coupl(nGC_386) - coupl(nGC_346)*coupl(nGC_382)*&
                       coupl(nGC_4525) - coupl(nGC_349)*coupl(nGC_385)*coupl(  &
                       nGC_4525))/(32d0*pi**2d0)
    coupl(nGC_22116) = coupl(nGC_1083)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22119) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_343)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_339)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*    &
                       coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 2d0*Nc*  &
                       cMC*coupl(nGC_334)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*    &
                       coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc*  &
                       cMC*coupl(nGC_336)*coupl(nGC_364)**2d0 + 2d0*Nc*cMD*    &
                       coupl(nGC_346)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(  &
                       nGC_346)*coupl(nGC_382)*coupl(nGC_384) + 2d0*Nc*cMD*    &
                       coupl(nGC_348)*coupl(nGC_382)**2d0 + 2d0*Nc*cMS*coupl(  &
                       nGC_334)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_334 &
                       )*coupl(nGC_336)*coupl(nGC_364) + 2d0*Nc*cMS*coupl(     &
                       nGC_364)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(nGC_339 &
                       )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(     &
                       nGC_343)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_370 &
                       )**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(nGC_346)**2d0* &
                       coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_348&
                       )*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)**2d0*coupl(&
                       nGC_384) + 2d0*cME*coupl(nGC_352)**2d0*coupl(nGC_354) + &
                       2d0*cMM*coupl(nGC_358)**2d0*coupl(nGC_360) + 2d0*cMTA*  &
                       coupl(nGC_376)**2d0*coupl(nGC_378) + 2d0*cima*coupl(    &
                       nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_175)*coupl(&
                       nGC_321) + 4d0*cima*coupl(nGC_22)*coupl(nGC_231) + cima*&
                       coupl(nGC_229)*coupl(nGC_332))/(16d0*pi**2d0)
    coupl(nGC_33488) = coupl(nGC_22494) + coupl(nGC_30)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_30)*dZHa_QED2/2d0
    coupl(nGC_36690) = coupl(nGC_22618) + coupl(nGC_365)*dZHaG0_QED2/2d0
    coupl(nGC_36695) = coupl(nGC_22617) + coupl(nGC_36685)
    coupl(nGC_36694) = -coupl(nGC_22617) - coupl(nGC_36685)
    coupl(nGC_22189) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) - coupl(nGC_1433  &
                       )**2d0*coupl(nGC_339) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_339) - coupl(nGC_339)**3d0 - coupl(nGC_339)*&
                       coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(nGC_4237)**  &
                       2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) -    &
                       coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372))/(32d0*pi**&
                       2d0)
    coupl(nGC_32972) = -coupl(nGC_32971)
    coupl(nGC_36215) = coupl(nGC_22512) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
    coupl(nGC_32997) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 + coupl(&
                       nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*dZZ_QED2/2d0  &
                        + coupl(nGC_22525) + coupl(nGC_23)*dZGMinusHMinus_QED2/&
                       2d0 + coupl(nGC_23)*dZHlHh_QED2/2d0
    coupl(nGC_34233) = coupl(nGC_32187) + coupl(nGC_34231)
    coupl(nGC_34230) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZbR_QED2  &
                        + coupl(nGC_22727)
    coupl(nGC_33221) = coupl(nGC_22685) + coupl(nGC_231)*dZZA_QED2/2d0 + coupl(&
                       nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*dZHMinus_QED2/2d0&
                        + coupl(nGC_321)*dZWMinus_QED2/2d0 + coupl(nGC_324)*   &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_TS_GC_175_Hh) +     &
                       coupl(nGC_TS_GC_180_Hl)
    coupl(nGC_35743) = coupl(nGC_32282) + coupl(nGC_35740)
    coupl(nGC_35744) = coupl(nGC_32282) + coupl(nGC_35742)
    coupl(nGC_33314) = coupl(nGC_22560) + coupl(nGC_243)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_244)*dZGMinusHMinus_QED2 + coupl(nGC_251)*    &
                       dZHMinus_QED2 + coupl(nGC_251)*dZHh_QED2/2d0 + coupl(   &
                       nGC_TS_GC_32_Hl) + coupl(nGC_TS_GC_44_Hh)
    coupl(nGC_34343) = coupl(nGC_22635) + coupl(nGC_34338)
    coupl(nGC_34342) = -coupl(nGC_22635) - coupl(nGC_34338)
    coupl(nGC_34341) = coupl(nGC_34337) + coupl(nGC_34339)
    coupl(nGC_34340) = -coupl(nGC_34337) - coupl(nGC_34339)
    coupl(nGC_32577) = coupl(nGC_22)*dZGMinus/2d0
    coupl(nGC_32572) = coupl(nGC_32567) + coupl(nGC_32571)
    coupl(nGC_49071) = coupl(nGC_22569) + coupl(nGC_246)*dZHa_QED2 + coupl(    &
                       nGC_246)*dZHl_QED2/2d0 + coupl(nGC_253)*dZG0Ha_QED2 +   &
                       coupl(nGC_254)*dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_36_Hh  &
                       ) + coupl(nGC_TS_GC_41_Hl)
  end subroutine fill_CTcouplings_mdl28
end module fill_ctcouplings28
