!******************************************************************************!
!                                                                              !
!    fill_ctcouplings34.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings34.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings34
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl34()
    coupl(nGC_21970) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(nGC_207&
                       )**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*coupl(     &
                       nGC_210)**2d0 - coupl(nGC_1275)**2d0 - coupl(nGC_199)** &
                       2d0 - 3d0*coupl(nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 &
                        - 3d0*coupl(nGC_212)**2d0)/(48d0*pi**2d0)
    coupl(nGC_21971) = cima*(coupl(nGC_1275)**2d0 + coupl(nGC_199)**2d0)/(48d0*&
                       pi**2d0)
    coupl(nGC_22308) = coupl(nGC_13)*sq2*(coupl(nGC_1083)*coupl(nGC_386) +     &
                       coupl(nGC_1315)*coupl(nGC_383) + 4d0*coupl(nGC_197)**2d0&
                        + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 +    &
                       coupl(nGC_346)**2d0 + coupl(nGC_349)**2d0 + coupl(      &
                       nGC_381)**2d0 + coupl(nGC_384)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22158) = (Nc*coupl(nGC_1315)*coupl(nGC_207)*coupl(nGC_381) - Nc* &
                       coupl(nGC_1315)*coupl(nGC_210)*coupl(nGC_381) + Nc*coupl&
                       (nGC_1433)*coupl(nGC_206)*coupl(nGC_342) - Nc*coupl(    &
                       nGC_1433)*coupl(nGC_209)*coupl(nGC_342) + Nc*coupl(     &
                       nGC_1541)*coupl(nGC_207)*coupl(nGC_369) - Nc*coupl(     &
                       nGC_1541)*coupl(nGC_210)*coupl(nGC_369) + Nc*coupl(     &
                       nGC_1949)*coupl(nGC_207)*coupl(nGC_333) - Nc*coupl(     &
                       nGC_1949)*coupl(nGC_210)*coupl(nGC_333) + Nc*coupl(     &
                       nGC_206)*coupl(nGC_2345)*coupl(nGC_345) + Nc*coupl(     &
                       nGC_206)*coupl(nGC_3141)*coupl(nGC_363) - Nc*coupl(     &
                       nGC_206)*coupl(nGC_342)*coupl(nGC_344) - Nc*coupl(      &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_347) - Nc*coupl(      &
                       nGC_206)*coupl(nGC_363)*coupl(nGC_365) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_333)*coupl(nGC_335) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_369)*coupl(nGC_371) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_381)*coupl(nGC_383) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_2345)*coupl(nGC_345) - Nc*coupl(     &
                       nGC_209)*coupl(nGC_3141)*coupl(nGC_363) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_342)*coupl(nGC_344) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_345)*coupl(nGC_347) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_363)*coupl(nGC_365) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_333)*coupl(nGC_335) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_371) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_381)*coupl(nGC_383) + coupl(nGC_1931 &
                       )*coupl(nGC_208)*coupl(nGC_357) - coupl(nGC_1931)*coupl(&
                       nGC_211)*coupl(nGC_357) + coupl(nGC_208)*coupl(nGC_2755 &
                       )*coupl(nGC_351) - coupl(nGC_208)*coupl(nGC_351)*coupl( &
                       nGC_353) - coupl(nGC_208)*coupl(nGC_357)*coupl(nGC_359  &
                       ) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_377) + coupl&
                       (nGC_208)*coupl(nGC_375)*coupl(nGC_6589) - coupl(nGC_211&
                       )*coupl(nGC_2755)*coupl(nGC_351) + coupl(nGC_211)*coupl(&
                       nGC_351)*coupl(nGC_353) + coupl(nGC_211)*coupl(nGC_357)*&
                       coupl(nGC_359) + coupl(nGC_211)*coupl(nGC_375)*coupl(   &
                       nGC_377) - coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_6589 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_47066) = coupl(nGC_22566) + coupl(nGC_242)*dZHl_QED2/2d0 + coupl(&
                       nGC_250)*dZHhHl_QED2/2d0 + coupl(nGC_253)*dZHaG0_QED2 + &
                       coupl(nGC_TS_GC_35_Hh) + coupl(nGC_TS_GC_49_Hl)
    coupl(nGC_32669) = coupl(nGC_22534) + coupl(nGC_37)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_37)*dZHh_QED2 + coupl(nGC_42)*                &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_44)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2
    coupl(nGC_22304) = sq2**3d0*(Nc*cima*coupl(nGC_2705)**3d0 - 12d0*coupl(    &
                       nGC_13)**3d0)/(192d0*pi**2d0)
    coupl(nGC_22305) = sq2**3d0*(-Nc*cima*coupl(nGC_2705)**3d0 + 12d0*coupl(   &
                       nGC_13)**3d0)/(192d0*pi**2d0)
    coupl(nGC_22157) = (Nc*coupl(nGC_1315)*coupl(nGC_207)*coupl(nGC_384) - Nc* &
                       coupl(nGC_1315)*coupl(nGC_210)*coupl(nGC_384) + Nc*coupl&
                       (nGC_1433)*coupl(nGC_206)*coupl(nGC_339) - Nc*coupl(    &
                       nGC_1433)*coupl(nGC_209)*coupl(nGC_339) + Nc*coupl(     &
                       nGC_1541)*coupl(nGC_207)*coupl(nGC_372) - Nc*coupl(     &
                       nGC_1541)*coupl(nGC_210)*coupl(nGC_372) + Nc*coupl(     &
                       nGC_1949)*coupl(nGC_207)*coupl(nGC_336) - Nc*coupl(     &
                       nGC_1949)*coupl(nGC_210)*coupl(nGC_336) + Nc*coupl(     &
                       nGC_206)*coupl(nGC_2345)*coupl(nGC_348) + Nc*coupl(     &
                       nGC_206)*coupl(nGC_3141)*coupl(nGC_366) - Nc*coupl(     &
                       nGC_206)*coupl(nGC_339)*coupl(nGC_344) - Nc*coupl(      &
                       nGC_206)*coupl(nGC_347)*coupl(nGC_348) - Nc*coupl(      &
                       nGC_206)*coupl(nGC_365)*coupl(nGC_366) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_335)*coupl(nGC_336) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_371)*coupl(nGC_372) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_383)*coupl(nGC_384) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_2345)*coupl(nGC_348) - Nc*coupl(     &
                       nGC_209)*coupl(nGC_3141)*coupl(nGC_366) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_339)*coupl(nGC_344) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_347)*coupl(nGC_348) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_365)*coupl(nGC_366) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_335)*coupl(nGC_336) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_371)*coupl(nGC_372) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_383)*coupl(nGC_384) + coupl(nGC_1931 &
                       )*coupl(nGC_208)*coupl(nGC_360) - coupl(nGC_1931)*coupl(&
                       nGC_211)*coupl(nGC_360) + coupl(nGC_208)*coupl(nGC_2755 &
                       )*coupl(nGC_354) - coupl(nGC_208)*coupl(nGC_353)*coupl( &
                       nGC_354) - coupl(nGC_208)*coupl(nGC_359)*coupl(nGC_360  &
                       ) - coupl(nGC_208)*coupl(nGC_377)*coupl(nGC_378) + coupl&
                       (nGC_208)*coupl(nGC_378)*coupl(nGC_6589) - coupl(nGC_211&
                       )*coupl(nGC_2755)*coupl(nGC_354) + coupl(nGC_211)*coupl(&
                       nGC_353)*coupl(nGC_354) + coupl(nGC_211)*coupl(nGC_359)*&
                       coupl(nGC_360) + coupl(nGC_211)*coupl(nGC_377)*coupl(   &
                       nGC_378) - coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_6589 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_22156) = (2d0*Nc*cMB*coupl(nGC_1433)**2d0*coupl(nGC_342) + 8d0*Nc&
                       *cMB*coupl(nGC_1433)*coupl(nGC_342)*coupl(nGC_344) + 2d0&
                       *Nc*cMB*coupl(nGC_342)*coupl(nGC_344)**2d0 + 2d0*Nc*cMC*&
                       coupl(nGC_1949)**2d0*coupl(nGC_333) + 8d0*Nc*cMC*coupl( &
                       nGC_1949)*coupl(nGC_333)*coupl(nGC_335) + 2d0*Nc*cMC*   &
                       coupl(nGC_333)*coupl(nGC_335)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_2345)**2d0*coupl(nGC_345) + 8d0*Nc*cMD*coupl(       &
                       nGC_2345)*coupl(nGC_345)*coupl(nGC_347) + 2d0*Nc*cMD*   &
                       coupl(nGC_345)*coupl(nGC_347)**2d0 + 2d0*Nc*cMS*coupl(  &
                       nGC_3141)**2d0*coupl(nGC_363) + 8d0*Nc*cMS*coupl(       &
                       nGC_3141)*coupl(nGC_363)*coupl(nGC_365) + 2d0*Nc*cMS*   &
                       coupl(nGC_363)*coupl(nGC_365)**2d0 + 2d0*Nc*cMT*coupl(  &
                       nGC_1541)**2d0*coupl(nGC_369) + 8d0*Nc*cMT*coupl(       &
                       nGC_1541)*coupl(nGC_369)*coupl(nGC_371) + 2d0*Nc*cMT*   &
                       coupl(nGC_369)*coupl(nGC_371)**2d0 + 2d0*Nc*cMU*coupl(  &
                       nGC_1315)**2d0*coupl(nGC_381) + 8d0*Nc*cMU*coupl(       &
                       nGC_1315)*coupl(nGC_381)*coupl(nGC_383) + 2d0*Nc*cMU*   &
                       coupl(nGC_381)*coupl(nGC_383)**2d0 + 2d0*cME*coupl(     &
                       nGC_2755)**2d0*coupl(nGC_351) + 8d0*cME*coupl(nGC_2755)*&
                       coupl(nGC_351)*coupl(nGC_353) + 2d0*cME*coupl(nGC_351)* &
                       coupl(nGC_353)**2d0 + 2d0*cMM*coupl(nGC_1931)**2d0*coupl&
                       (nGC_357) + 8d0*cMM*coupl(nGC_1931)*coupl(nGC_357)*coupl&
                       (nGC_359) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_359)**2d0  &
                        + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_377)**2d0 + 8d0*   &
                       cMTA*coupl(nGC_375)*coupl(nGC_377)*coupl(nGC_6589) + 2d0&
                       *cMTA*coupl(nGC_375)*coupl(nGC_6589)**2d0 + 2d0*cima*   &
                       coupl(nGC_100)*coupl(nGC_261) + cima*coupl(nGC_230)*    &
                       coupl(nGC_329))/(16d0*pi**2d0)
    coupl(nGC_22151) = (2d0*Nc*cMB*coupl(nGC_1433)**2d0*coupl(nGC_339) + 8d0*Nc&
                       *cMB*coupl(nGC_1433)*coupl(nGC_339)*coupl(nGC_344) + 2d0&
                       *Nc*cMB*coupl(nGC_339)*coupl(nGC_344)**2d0 + 2d0*Nc*cMC*&
                       coupl(nGC_1949)**2d0*coupl(nGC_336) + 8d0*Nc*cMC*coupl( &
                       nGC_1949)*coupl(nGC_335)*coupl(nGC_336) + 2d0*Nc*cMC*   &
                       coupl(nGC_335)**2d0*coupl(nGC_336) + 2d0*Nc*cMD*coupl(  &
                       nGC_2345)**2d0*coupl(nGC_348) + 8d0*Nc*cMD*coupl(       &
                       nGC_2345)*coupl(nGC_347)*coupl(nGC_348) + 2d0*Nc*cMD*   &
                       coupl(nGC_347)**2d0*coupl(nGC_348) + 2d0*Nc*cMS*coupl(  &
                       nGC_3141)**2d0*coupl(nGC_366) + 8d0*Nc*cMS*coupl(       &
                       nGC_3141)*coupl(nGC_365)*coupl(nGC_366) + 2d0*Nc*cMS*   &
                       coupl(nGC_365)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(  &
                       nGC_1541)**2d0*coupl(nGC_372) + 8d0*Nc*cMT*coupl(       &
                       nGC_1541)*coupl(nGC_371)*coupl(nGC_372) + 2d0*Nc*cMT*   &
                       coupl(nGC_371)**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(  &
                       nGC_1315)**2d0*coupl(nGC_384) + 8d0*Nc*cMU*coupl(       &
                       nGC_1315)*coupl(nGC_383)*coupl(nGC_384) + 2d0*Nc*cMU*   &
                       coupl(nGC_383)**2d0*coupl(nGC_384) + 2d0*cME*coupl(     &
                       nGC_2755)**2d0*coupl(nGC_354) + 8d0*cME*coupl(nGC_2755)*&
                       coupl(nGC_353)*coupl(nGC_354) + 2d0*cME*coupl(nGC_353)**&
                       2d0*coupl(nGC_354) + 2d0*cMM*coupl(nGC_1931)**2d0*coupl(&
                       nGC_360) + 8d0*cMM*coupl(nGC_1931)*coupl(nGC_359)*coupl(&
                       nGC_360) + 2d0*cMM*coupl(nGC_359)**2d0*coupl(nGC_360) + &
                       2d0*cMTA*coupl(nGC_377)**2d0*coupl(nGC_378) + 8d0*cMTA* &
                       coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_6589) + 2d0*cMTA&
                       *coupl(nGC_378)*coupl(nGC_6589)**2d0 + 2d0*cima*coupl(  &
                       nGC_100)*coupl(nGC_272) + cima*coupl(nGC_230)*coupl(    &
                       nGC_332))/(16d0*pi**2d0)
    coupl(nGC_22150) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) - coupl(  &
                       nGC_1083)*coupl(nGC_346)*coupl(nGC_4525) - coupl(       &
                       nGC_1315)*coupl(nGC_2345)*coupl(nGC_346) + 8d0*coupl(   &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(nGC_345)*&
                       coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346)*coupl(   &
                       nGC_348)*coupl(nGC_384))/(32d0*pi**2d0)
    coupl(nGC_32807) = coupl(nGC_32805) - coupl(nGC_32806)/2d0
    coupl(nGC_33253) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(         &
                       nGC_TS_GC_244_Hh) + coupl(nGC_TS_GC_252_Hl)
    coupl(nGC_22010) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) - Nc&
                       *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*cMD&
                       *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS*   &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima*  &
                       coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321)*&
                       coupl(nGC_4485) + 2d0*coupl(nGC_198)*coupl(nGC_231)*    &
                       coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(   &
                       nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22332) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337 &
                       )*coupl(nGC_338) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_340)*coupl(nGC_4237) + Nc*cima*coupl(nGC_1)*  &
                       coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_4525) + Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(nGC_989&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_385)*coupl(nGC_386) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_337)*coupl(nGC_338) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340)* &
                       coupl(nGC_4237) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2&
                       )*coupl(nGC_349)*coupl(nGC_4525) - 4d0*Nc*cima*coupl(   &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_367)*coupl(nGC_989) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_373)*coupl( &
                       nGC_374) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_385)*coupl(nGC_386) + 6d0*cima*coupl(nGC_187)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_2697)*coupl(  &
                       nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_2841)*coupl(nGC_379)*coupl(nGC_4) + cima*coupl(     &
                       nGC_197)*coupl(nGC_355)*coupl(nGC_4)*coupl(nGC_997) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
    coupl(nGC_59580) = -coupl(nGC_22087)
    coupl(nGC_36933) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22585) + coupl(&
                       nGC_26)*dZA_QED2/2d0
    coupl(nGC_37572) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZsR_QED2  &
                        + coupl(nGC_22727)
    coupl(nGC_37768) = -coupl(nGC_35423) + coupl(nGC_35424)
    coupl(nGC_32620) = coupl(nGC_22717) + coupl(nGC_329)*dZHl_QED2/2d0 + coupl(&
                       nGC_329)*dZZ_QED2 + coupl(nGC_332)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_TS_GC_224_Hl)
    coupl(nGC_32328) = coupl(nGC_32324) + coupl(nGC_32327)
    coupl(nGC_35285) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0 +  &
                       coupl(nGC_22723)
    coupl(nGC_33506) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22585) + coupl(&
                       nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZHMinus_QED2
    coupl(nGC_21990) = cima*sq2**2d0*(-Nc*coupl(nGC_2705)**2d0 + 6d0*coupl(    &
                       nGC_13)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_21991) = cima*coupl(nGC_2705)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_32475) = coupl(nGC_32472) + coupl(nGC_32474)
    coupl(nGC_32473) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZtL_QED2  &
                        + coupl(nGC_22725)
    coupl(nGC_21968) = cima*(coupl(nGC_1211)*coupl(nGC_199) + coupl(nGC_1275)* &
                       coupl(nGC_198) + coupl(nGC_1593)*coupl(nGC_3) + coupl(  &
                       nGC_1603)*coupl(nGC_4))/(48d0*pi**2d0)
    coupl(nGC_34065) = coupl(nGC_200)*dZZ_QED2/2d0 + coupl(nGC_22587) + coupl( &
                       nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_33241) = coupl(nGC_22671) + coupl(nGC_33234)
    coupl(nGC_33240) = coupl(nGC_33233) + coupl(nGC_33239)
    coupl(nGC_32248) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_196)*dZZA_QED2/ &
                       2d0 + coupl(nGC_204)*dZA_QED2/2d0 + coupl(nGC_204)*     &
                       dZZ_QED2/2d0 + coupl(nGC_22697)
    coupl(nGC_41257) = -coupl(nGC_35131)
    coupl(nGC_32487) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22494) + coupl(&
                       nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*dZHa_QED2/2d0 &
                        + coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*     &
                       dZZ_QED2/2d0
    coupl(nGC_22086) = (2d0*Nc*cMB*coupl(nGC_1433)*coupl(nGC_341)*coupl(nGC_342&
                       ) + Nc*cMB*coupl(nGC_1433)*coupl(nGC_342)*coupl(nGC_4237&
                       ) + Nc*cMB*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_344  &
                       ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_344)*coupl(     &
                       nGC_4237) + Nc*cMC*coupl(nGC_1949)*coupl(nGC_3071)*coupl&
                       (nGC_333) + 2d0*Nc*cMC*coupl(nGC_1949)*coupl(nGC_333)*  &
                       coupl(nGC_338) + 2d0*Nc*cMC*coupl(nGC_3071)*coupl(      &
                       nGC_333)*coupl(nGC_335) + Nc*cMC*coupl(nGC_333)*coupl(  &
                       nGC_335)*coupl(nGC_338) + 2d0*Nc*cMD*coupl(nGC_2345)*   &
                       coupl(nGC_345)*coupl(nGC_350) + Nc*cMD*coupl(nGC_2345)* &
                       coupl(nGC_345)*coupl(nGC_4525) + Nc*cMD*coupl(nGC_345)* &
                       coupl(nGC_347)*coupl(nGC_350) + 2d0*Nc*cMD*coupl(nGC_345&
                       )*coupl(nGC_347)*coupl(nGC_4525) + 2d0*Nc*cMS*coupl(    &
                       nGC_3141)*coupl(nGC_363)*coupl(nGC_368) + Nc*cMS*coupl( &
                       nGC_3141)*coupl(nGC_363)*coupl(nGC_989) + Nc*cMS*coupl( &
                       nGC_363)*coupl(nGC_365)*coupl(nGC_368) + 2d0*Nc*cMS*    &
                       coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_989) + Nc*cMT*  &
                       coupl(nGC_1541)*coupl(nGC_2081)*coupl(nGC_369) + 2d0*Nc*&
                       cMT*coupl(nGC_1541)*coupl(nGC_369)*coupl(nGC_374) + 2d0*&
                       Nc*cMT*coupl(nGC_2081)*coupl(nGC_369)*coupl(nGC_371) +  &
                       Nc*cMT*coupl(nGC_369)*coupl(nGC_371)*coupl(nGC_374) + Nc&
                       *cMU*coupl(nGC_1083)*coupl(nGC_1315)*coupl(nGC_381) +   &
                       2d0*Nc*cMU*coupl(nGC_1083)*coupl(nGC_381)*coupl(nGC_383 &
                       ) + 2d0*Nc*cMU*coupl(nGC_1315)*coupl(nGC_381)*coupl(    &
                       nGC_386) + Nc*cMU*coupl(nGC_381)*coupl(nGC_383)*coupl(  &
                       nGC_386) + 2d0*cME*coupl(nGC_2755)*coupl(nGC_351)*coupl(&
                       nGC_356) + cME*coupl(nGC_2755)*coupl(nGC_351)*coupl(    &
                       nGC_997) + cME*coupl(nGC_351)*coupl(nGC_353)*coupl(     &
                       nGC_356) + 2d0*cME*coupl(nGC_351)*coupl(nGC_353)*coupl( &
                       nGC_997) + cMM*coupl(nGC_1931)*coupl(nGC_2697)*coupl(   &
                       nGC_357) + 2d0*cMM*coupl(nGC_1931)*coupl(nGC_357)*coupl(&
                       nGC_362) + 2d0*cMM*coupl(nGC_2697)*coupl(nGC_357)*coupl(&
                       nGC_359) + cMM*coupl(nGC_357)*coupl(nGC_359)*coupl(     &
                       nGC_362) + 2d0*cMTA*coupl(nGC_2841)*coupl(nGC_375)*coupl&
                       (nGC_377) + cMTA*coupl(nGC_2841)*coupl(nGC_375)*coupl(  &
                       nGC_6589) + cMTA*coupl(nGC_375)*coupl(nGC_377)*coupl(   &
                       nGC_380) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_380)*coupl(&
                       nGC_6589))/(8d0*pi**2d0)
    coupl(nGC_22085) = (2d0*Nc*cMB*coupl(nGC_1433)*coupl(nGC_339)*coupl(nGC_341&
                       ) + Nc*cMB*coupl(nGC_1433)*coupl(nGC_339)*coupl(nGC_4237&
                       ) + Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_344  &
                       ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_344)*coupl(     &
                       nGC_4237) + Nc*cMC*coupl(nGC_1949)*coupl(nGC_3071)*coupl&
                       (nGC_336) + 2d0*Nc*cMC*coupl(nGC_1949)*coupl(nGC_336)*  &
                       coupl(nGC_338) + 2d0*Nc*cMC*coupl(nGC_3071)*coupl(      &
                       nGC_335)*coupl(nGC_336) + Nc*cMC*coupl(nGC_335)*coupl(  &
                       nGC_336)*coupl(nGC_338) + 2d0*Nc*cMD*coupl(nGC_2345)*   &
                       coupl(nGC_348)*coupl(nGC_350) + Nc*cMD*coupl(nGC_2345)* &
                       coupl(nGC_348)*coupl(nGC_4525) + Nc*cMD*coupl(nGC_347)* &
                       coupl(nGC_348)*coupl(nGC_350) + 2d0*Nc*cMD*coupl(nGC_347&
                       )*coupl(nGC_348)*coupl(nGC_4525) + 2d0*Nc*cMS*coupl(    &
                       nGC_3141)*coupl(nGC_366)*coupl(nGC_368) + Nc*cMS*coupl( &
                       nGC_3141)*coupl(nGC_366)*coupl(nGC_989) + Nc*cMS*coupl( &
                       nGC_365)*coupl(nGC_366)*coupl(nGC_368) + 2d0*Nc*cMS*    &
                       coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_989) + Nc*cMT*  &
                       coupl(nGC_1541)*coupl(nGC_2081)*coupl(nGC_372) + 2d0*Nc*&
                       cMT*coupl(nGC_1541)*coupl(nGC_372)*coupl(nGC_374) + 2d0*&
                       Nc*cMT*coupl(nGC_2081)*coupl(nGC_371)*coupl(nGC_372) +  &
                       Nc*cMT*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_374) + Nc&
                       *cMU*coupl(nGC_1083)*coupl(nGC_1315)*coupl(nGC_384) +   &
                       2d0*Nc*cMU*coupl(nGC_1083)*coupl(nGC_383)*coupl(nGC_384 &
                       ) + 2d0*Nc*cMU*coupl(nGC_1315)*coupl(nGC_384)*coupl(    &
                       nGC_386) + Nc*cMU*coupl(nGC_383)*coupl(nGC_384)*coupl(  &
                       nGC_386) + 2d0*cME*coupl(nGC_2755)*coupl(nGC_354)*coupl(&
                       nGC_356) + cME*coupl(nGC_2755)*coupl(nGC_354)*coupl(    &
                       nGC_997) + cME*coupl(nGC_353)*coupl(nGC_354)*coupl(     &
                       nGC_356) + 2d0*cME*coupl(nGC_353)*coupl(nGC_354)*coupl( &
                       nGC_997) + cMM*coupl(nGC_1931)*coupl(nGC_2697)*coupl(   &
                       nGC_360) + 2d0*cMM*coupl(nGC_1931)*coupl(nGC_360)*coupl(&
                       nGC_362) + 2d0*cMM*coupl(nGC_2697)*coupl(nGC_359)*coupl(&
                       nGC_360) + cMM*coupl(nGC_359)*coupl(nGC_360)*coupl(     &
                       nGC_362) + 2d0*cMTA*coupl(nGC_2841)*coupl(nGC_377)*coupl&
                       (nGC_378) + cMTA*coupl(nGC_2841)*coupl(nGC_378)*coupl(  &
                       nGC_6589) + cMTA*coupl(nGC_377)*coupl(nGC_378)*coupl(   &
                       nGC_380) + 2d0*cMTA*coupl(nGC_378)*coupl(nGC_380)*coupl(&
                       nGC_6589))/(8d0*pi**2d0)
    coupl(nGC_34674) = coupl(nGC_34672) - coupl(nGC_34673)
    coupl(nGC_22080) = (Nc*cMB*coupl(nGC_1433)*coupl(nGC_341)**2d0 + 2d0*Nc*cMB&
                       *coupl(nGC_1433)*coupl(nGC_341)*coupl(nGC_4237) + 2d0*Nc&
                       *cMB*coupl(nGC_341)*coupl(nGC_344)*coupl(nGC_4237) + Nc*&
                       cMB*coupl(nGC_344)*coupl(nGC_4237)**2d0 + 2d0*Nc*cMC*   &
                       coupl(nGC_1949)*coupl(nGC_3071)*coupl(nGC_338) + Nc*cMC*&
                       coupl(nGC_1949)*coupl(nGC_338)**2d0 + Nc*cMC*coupl(     &
                       nGC_3071)**2d0*coupl(nGC_335) + 2d0*Nc*cMC*coupl(       &
                       nGC_3071)*coupl(nGC_335)*coupl(nGC_338) + Nc*cMD*coupl( &
                       nGC_2345)*coupl(nGC_350)**2d0 + 2d0*Nc*cMD*coupl(       &
                       nGC_2345)*coupl(nGC_350)*coupl(nGC_4525) + 2d0*Nc*cMD*  &
                       coupl(nGC_347)*coupl(nGC_350)*coupl(nGC_4525) + Nc*cMD* &
                       coupl(nGC_347)*coupl(nGC_4525)**2d0 + Nc*cMS*coupl(     &
                       nGC_3141)*coupl(nGC_368)**2d0 + 2d0*Nc*cMS*coupl(       &
                       nGC_3141)*coupl(nGC_368)*coupl(nGC_989) + 2d0*Nc*cMS*   &
                       coupl(nGC_365)*coupl(nGC_368)*coupl(nGC_989) + Nc*cMS*  &
                       coupl(nGC_365)*coupl(nGC_989)**2d0 + 2d0*Nc*cMT*coupl(  &
                       nGC_1541)*coupl(nGC_2081)*coupl(nGC_374) + Nc*cMT*coupl(&
                       nGC_1541)*coupl(nGC_374)**2d0 + Nc*cMT*coupl(nGC_2081)**&
                       2d0*coupl(nGC_371) + 2d0*Nc*cMT*coupl(nGC_2081)*coupl(  &
                       nGC_371)*coupl(nGC_374) + Nc*cMU*coupl(nGC_1083)**2d0*  &
                       coupl(nGC_383) + 2d0*Nc*cMU*coupl(nGC_1083)*coupl(      &
                       nGC_1315)*coupl(nGC_386) + 2d0*Nc*cMU*coupl(nGC_1083)*  &
                       coupl(nGC_383)*coupl(nGC_386) + Nc*cMU*coupl(nGC_1315)* &
                       coupl(nGC_386)**2d0 + cME*coupl(nGC_2755)*coupl(nGC_356 &
                       )**2d0 + 2d0*cME*coupl(nGC_2755)*coupl(nGC_356)*coupl(  &
                       nGC_997) + 2d0*cME*coupl(nGC_353)*coupl(nGC_356)*coupl( &
                       nGC_997) + cME*coupl(nGC_353)*coupl(nGC_997)**2d0 + 2d0*&
                       cMM*coupl(nGC_1931)*coupl(nGC_2697)*coupl(nGC_362) + cMM&
                       *coupl(nGC_1931)*coupl(nGC_362)**2d0 + cMM*coupl(       &
                       nGC_2697)**2d0*coupl(nGC_359) + 2d0*cMM*coupl(nGC_2697)*&
                       coupl(nGC_359)*coupl(nGC_362) + cMTA*coupl(nGC_2841)**  &
                       2d0*coupl(nGC_377) + 2d0*cMTA*coupl(nGC_2841)*coupl(    &
                       nGC_377)*coupl(nGC_380) + 2d0*cMTA*coupl(nGC_2841)*coupl&
                       (nGC_380)*coupl(nGC_6589) + cMTA*coupl(nGC_380)**2d0*   &
                       coupl(nGC_6589))/(8d0*pi**2d0)
    coupl(nGC_21967) = cima*(-3d0*Nc*coupl(nGC_197)**2d0 - coupl(nGC_1211)*    &
                       coupl(nGC_199) - coupl(nGC_1275)*coupl(nGC_198) - coupl(&
                       nGC_1593)*coupl(nGC_3) - coupl(nGC_1603)*coupl(nGC_4) - &
                       3d0*coupl(nGC_197)**2d0)/(48d0*pi**2d0)
    coupl(nGC_51745) = coupl(nGC_22853) + coupl(nGC_51736)
    coupl(nGC_35447) = coupl(nGC_22857) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                       nGC_TS_GC_261_Hl) + coupl(nGC_TS_GC_272_Hh)
    coupl(nGC_33642) = coupl(nGC_32282) + coupl(nGC_33640)
    coupl(nGC_22319) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 +   &
                       9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(nGC_2&
                       ) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2)**2d0 - &
                       2d0*cima*coupl(nGC_1211)*coupl(nGC_1603)**2d0*coupl(    &
                       nGC_199) - 2d0*cima*coupl(nGC_1275)*coupl(nGC_198)*coupl&
                       (nGC_3)**2d0 - 2d0*cima*coupl(nGC_1593)*coupl(nGC_1603  &
                       )**2d0*coupl(nGC_3) - 2d0*cima*coupl(nGC_1603)*coupl(   &
                       nGC_3)**2d0*coupl(nGC_4) - 3d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_202)**2d0 + 3d0* &
                       cima*coupl(nGC_4485)**2d0 + 3d0*coupl(nGC_1275)*coupl(  &
                       nGC_202)*coupl(nGC_3) + 3d0*coupl(nGC_1603)*coupl(nGC_3 &
                       )*coupl(nGC_4485) + 3d0*coupl(nGC_198)*coupl(nGC_202)*  &
                       coupl(nGC_3) + 3d0*coupl(nGC_3)*coupl(nGC_4)*coupl(     &
                       nGC_4485))/(24d0*pi**2d0)
    coupl(nGC_22318) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_206) + Nc*cima*    &
                       coupl(nGC_1)**3d0*coupl(nGC_209) + Nc*cima*coupl(nGC_2  &
                       )**3d0*coupl(nGC_207) + Nc*cima*coupl(nGC_2)**3d0*coupl(&
                       nGC_210) - 2d0*cima*coupl(nGC_1275)*coupl(nGC_1603)**3d0&
                        - 2d0*cima*coupl(nGC_199)*coupl(nGC_3)**3d0 + cima*    &
                       coupl(nGC_205)*coupl(nGC_9) + cima*coupl(nGC_208)*coupl(&
                       nGC_4)**3d0 + cima*coupl(nGC_211)*coupl(nGC_4)**3d0 +   &
                       coupl(nGC_1275)*coupl(nGC_1603)*coupl(nGC_9) + coupl(   &
                       nGC_1603)**2d0*coupl(nGC_205) + coupl(nGC_199)*coupl(   &
                       nGC_3)*coupl(nGC_9) + coupl(nGC_205)*coupl(nGC_3)**2d0  &
                       )/(8d0*pi**2d0)
    coupl(nGC_22317) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_339)**2d0 -   &
                       2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_348)**2d0 - 2d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_366)**2d0 - 2d0*Nc* &
                       cima*coupl(nGC_2)**2d0*coupl(nGC_336)**2d0 - 2d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_372)**2d0 - 2d0*Nc*cima*   &
                       coupl(nGC_2)**2d0*coupl(nGC_384)**2d0 - 2d0*cima*coupl( &
                       nGC_354)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_360&
                       )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_378)**2d0*&
                       coupl(nGC_4)**2d0 + cima*coupl(nGC_77)*coupl(nGC_9) +   &
                       coupl(nGC_1603)**2d0*coupl(nGC_77) + coupl(nGC_3)**2d0* &
                       coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_22316) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(nGC_2&
                       )**4d0 - 2d0*cima*coupl(nGC_1603)**4d0 - 2d0*cima*coupl(&
                       nGC_3)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima*coupl(  &
                       nGC_9)**2d0 + 2d0*coupl(nGC_1603)**2d0*coupl(nGC_9) +   &
                       2d0*coupl(nGC_3)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_22315) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1433)*coupl(  &
                       nGC_344) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_2345 &
                       )*coupl(nGC_347) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl( &
                       nGC_3141)*coupl(nGC_365) - 2d0*Nc*cima*coupl(nGC_1315)* &
                       coupl(nGC_2)**2d0*coupl(nGC_383) - 2d0*Nc*cima*coupl(   &
                       nGC_1541)*coupl(nGC_2)**2d0*coupl(nGC_371) - 2d0*Nc*cima&
                       *coupl(nGC_1949)*coupl(nGC_2)**2d0*coupl(nGC_335) + cima&
                       *coupl(nGC_100)*coupl(nGC_9) - 2d0*cima*coupl(nGC_1931)*&
                       coupl(nGC_359)*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                       nGC_2755)*coupl(nGC_353)*coupl(nGC_4)**2d0 - 2d0*cima*  &
                       coupl(nGC_377)*coupl(nGC_4)**2d0*coupl(nGC_6589) + coupl&
                       (nGC_100)*coupl(nGC_1603)**2d0 + coupl(nGC_100)*coupl(  &
                       nGC_3)**2d0)/(8d0*pi**2d0)
    coupl(nGC_22314) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_341)*coupl(   &
                       nGC_4237) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_350 &
                       )*coupl(nGC_4525) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                       nGC_368)*coupl(nGC_989) - 2d0*Nc*cima*coupl(nGC_1083)*  &
                       coupl(nGC_2)**2d0*coupl(nGC_386) - 2d0*Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_2081)*coupl(nGC_374) - 2d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_3071)*coupl(nGC_338) + cima&
                       *coupl(nGC_100)*coupl(nGC_9) - 2d0*cima*coupl(nGC_2697)*&
                       coupl(nGC_362)*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                       nGC_2841)*coupl(nGC_380)*coupl(nGC_4)**2d0 - 2d0*cima*  &
                       coupl(nGC_356)*coupl(nGC_4)**2d0*coupl(nGC_997) + coupl(&
                       nGC_100)*coupl(nGC_1603)**2d0 + coupl(nGC_100)*coupl(   &
                       nGC_3)**2d0)/(8d0*pi**2d0)
    coupl(nGC_22313) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_1433)*coupl(      &
                       nGC_341) - Nc*coupl(nGC_1)**2d0*coupl(nGC_2345)*coupl(  &
                       nGC_350) - Nc*coupl(nGC_1)**2d0*coupl(nGC_3141)*coupl(  &
                       nGC_368) - Nc*coupl(nGC_1)**2d0*coupl(nGC_344)*coupl(   &
                       nGC_4237) - Nc*coupl(nGC_1)**2d0*coupl(nGC_347)*coupl(  &
                       nGC_4525) - Nc*coupl(nGC_1)**2d0*coupl(nGC_365)*coupl(  &
                       nGC_989) - Nc*coupl(nGC_1083)*coupl(nGC_2)**2d0*coupl(  &
                       nGC_383) - Nc*coupl(nGC_1315)*coupl(nGC_2)**2d0*coupl(  &
                       nGC_386) - Nc*coupl(nGC_1541)*coupl(nGC_2)**2d0*coupl(  &
                       nGC_374) - Nc*coupl(nGC_1949)*coupl(nGC_2)**2d0*coupl(  &
                       nGC_338) - Nc*coupl(nGC_2)**2d0*coupl(nGC_2081)*coupl(  &
                       nGC_371) - Nc*coupl(nGC_2)**2d0*coupl(nGC_3071)*coupl(  &
                       nGC_335) - coupl(nGC_1931)*coupl(nGC_362)*coupl(nGC_4)**&
                       2d0 - coupl(nGC_2697)*coupl(nGC_359)*coupl(nGC_4)**2d0  &
                        - coupl(nGC_2755)*coupl(nGC_356)*coupl(nGC_4)**2d0 -   &
                       coupl(nGC_2841)*coupl(nGC_377)*coupl(nGC_4)**2d0 - coupl&
                       (nGC_353)*coupl(nGC_4)**2d0*coupl(nGC_997) - coupl(     &
                       nGC_380)*coupl(nGC_4)**2d0*coupl(nGC_6589))/(8d0*pi**2d0&
                       )
  end subroutine fill_CTcouplings_mdl34
end module fill_ctcouplings34
