!******************************************************************************!
!                                                                              !
!    fill_ctcouplings35.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings35.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings35
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl35()
    coupl(nGC_22312) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_334)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_343)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_1)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334)**2d0 + 5d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343)**2d0 + 5d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)**2d0  &
                        + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364  &
                       )**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(   &
                       nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*  &
                       coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_364)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_382)**2d0 + 3d0*cima*coupl(nGC_100)*coupl(    &
                       nGC_9) - 4d0*cima*coupl(nGC_352)**2d0*coupl(nGC_4)**2d0 &
                        - 4d0*cima*coupl(nGC_358)**2d0*coupl(nGC_4)**2d0 - 4d0*&
                       cima*coupl(nGC_376)**2d0*coupl(nGC_4)**2d0 + 3d0*coupl( &
                       nGC_100)*coupl(nGC_1603)**2d0 + 3d0*coupl(nGC_100)*coupl&
                       (nGC_3)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22311) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**2d0 + 5d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)**2d0 + 5d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349)**2d0  &
                        + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367  &
                       )**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(   &
                       nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*  &
                       coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_385)**2d0 + 3d0*cima*coupl(nGC_100)*coupl(    &
                       nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*coupl(nGC_4)**2d0 &
                        - 4d0*cima*coupl(nGC_361)**2d0*coupl(nGC_4)**2d0 - 4d0*&
                       cima*coupl(nGC_379)**2d0*coupl(nGC_4)**2d0 + 3d0*coupl( &
                       nGC_100)*coupl(nGC_1603)**2d0 + 3d0*coupl(nGC_100)*coupl&
                       (nGC_3)**2d0)/(24d0*pi**2d0)
    coupl(nGC_42794) = -coupl(nGC_36931)
    coupl(nGC_22410) = cima*(10d0*Nc*coupl(nGC_1083)**2d0*coupl(nGC_383)**2d0  &
                        + 40d0*Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(nGC_383&
                       )*coupl(nGC_386) + 10d0*Nc*coupl(nGC_1315)**2d0*coupl(  &
                       nGC_386)**2d0 + 10d0*Nc*coupl(nGC_1433)**2d0*coupl(     &
                       nGC_341)**2d0 + 40d0*Nc*coupl(nGC_1433)*coupl(nGC_341)* &
                       coupl(nGC_344)*coupl(nGC_4237) + 10d0*Nc*coupl(nGC_1541 &
                       )**2d0*coupl(nGC_374)**2d0 + 40d0*Nc*coupl(nGC_1541)*   &
                       coupl(nGC_2081)*coupl(nGC_371)*coupl(nGC_374) + 10d0*Nc*&
                       coupl(nGC_1949)**2d0*coupl(nGC_338)**2d0 + 40d0*Nc*coupl&
                       (nGC_1949)*coupl(nGC_3071)*coupl(nGC_335)*coupl(nGC_338 &
                       ) + 10d0*Nc*coupl(nGC_2081)**2d0*coupl(nGC_371)**2d0 +  &
                       10d0*Nc*coupl(nGC_2345)**2d0*coupl(nGC_350)**2d0 + 40d0*&
                       Nc*coupl(nGC_2345)*coupl(nGC_347)*coupl(nGC_350)*coupl( &
                       nGC_4525) + 10d0*Nc*coupl(nGC_3071)**2d0*coupl(nGC_335  &
                       )**2d0 + 10d0*Nc*coupl(nGC_3141)**2d0*coupl(nGC_368)**  &
                       2d0 + 40d0*Nc*coupl(nGC_3141)*coupl(nGC_365)*coupl(     &
                       nGC_368)*coupl(nGC_989) + 10d0*Nc*coupl(nGC_344)**2d0*  &
                       coupl(nGC_4237)**2d0 + 10d0*Nc*coupl(nGC_347)**2d0*coupl&
                       (nGC_4525)**2d0 + 10d0*Nc*coupl(nGC_365)**2d0*coupl(    &
                       nGC_989)**2d0 + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(   &
                       nGC_1931)**2d0*coupl(nGC_362)**2d0 + 40d0*coupl(nGC_1931&
                       )*coupl(nGC_2697)*coupl(nGC_359)*coupl(nGC_362) + 3d0*  &
                       coupl(nGC_230)**2d0 + 10d0*coupl(nGC_2697)**2d0*coupl(  &
                       nGC_359)**2d0 + 10d0*coupl(nGC_2755)**2d0*coupl(nGC_356 &
                       )**2d0 + 40d0*coupl(nGC_2755)*coupl(nGC_353)*coupl(     &
                       nGC_356)*coupl(nGC_997) + 10d0*coupl(nGC_2841)**2d0*    &
                       coupl(nGC_377)**2d0 + 40d0*coupl(nGC_2841)*coupl(nGC_377&
                       )*coupl(nGC_380)*coupl(nGC_6589) + 10d0*coupl(nGC_353)**&
                       2d0*coupl(nGC_997)**2d0 + 10d0*coupl(nGC_380)**2d0*coupl&
                       (nGC_6589)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22006) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - Nc&
                       *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*cMD&
                       *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS*   &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima*  &
                       coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324)*&
                       coupl(nGC_4485) + 2d0*coupl(nGC_1603)*coupl(nGC_199)*   &
                       coupl(nGC_237) + 2d0*coupl(nGC_1603)*coupl(nGC_3)*coupl(&
                       nGC_324))/(16d0*pi**2d0)
    coupl(nGC_22413) = (-8d0*Nc*cima*coupl(nGC_1083)*coupl(nGC_197)**2d0*coupl(&
                       nGC_386) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(       &
                       nGC_2081)*coupl(nGC_374) - 8d0*Nc*cima*coupl(nGC_197)** &
                       2d0*coupl(nGC_3071)*coupl(nGC_338) - 8d0*Nc*cima*coupl( &
                       nGC_197)**2d0*coupl(nGC_341)*coupl(nGC_4237) - 8d0*Nc*  &
                       cima*coupl(nGC_197)**2d0*coupl(nGC_350)*coupl(nGC_4525  &
                       ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_368)*coupl&
                       (nGC_989) + 6d0*cima*coupl(nGC_100)*coupl(nGC_3465) +   &
                       3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*cima*coupl(&
                       nGC_197)**2d0*coupl(nGC_2697)*coupl(nGC_362) - 8d0*cima*&
                       coupl(nGC_197)**2d0*coupl(nGC_2841)*coupl(nGC_380) - 8d0&
                       *cima*coupl(nGC_197)**2d0*coupl(nGC_356)*coupl(nGC_997  &
                       ) + 6d0*coupl(nGC_100)*coupl(nGC_1275)*coupl(nGC_198) + &
                       6d0*coupl(nGC_100)*coupl(nGC_1603)*coupl(nGC_4) + 6d0*  &
                       coupl(nGC_1211)*coupl(nGC_199)*coupl(nGC_230))/(48d0*pi &
                       **2d0)
    coupl(nGC_22415) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_2345)*coupl(     &
                       nGC_346)*coupl(nGC_382) + Nc*coupl(nGC_1083)*coupl(     &
                       nGC_346)**2d0*coupl(nGC_383) + Nc*coupl(nGC_1083)*coupl(&
                       nGC_382)**2d0*coupl(nGC_383) + Nc*coupl(nGC_1315)*coupl(&
                       nGC_346)**2d0*coupl(nGC_386) + Nc*coupl(nGC_1315)*coupl(&
                       nGC_346)*coupl(nGC_382)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_1315)*coupl(nGC_382)**2d0*coupl(nGC_386) + Nc*coupl(&
                       nGC_1433)*coupl(nGC_2081)*coupl(nGC_343)*coupl(nGC_370  &
                       ) + Nc*coupl(nGC_1433)*coupl(nGC_341)*coupl(nGC_343)**  &
                       2d0 + Nc*coupl(nGC_1433)*coupl(nGC_341)*coupl(nGC_370)**&
                       2d0 + Nc*coupl(nGC_1541)*coupl(nGC_343)**2d0*coupl(     &
                       nGC_374) + Nc*coupl(nGC_1541)*coupl(nGC_343)*coupl(     &
                       nGC_370)*coupl(nGC_4237) + Nc*coupl(nGC_1541)*coupl(    &
                       nGC_370)**2d0*coupl(nGC_374) + Nc*coupl(nGC_1949)*coupl(&
                       nGC_334)**2d0*coupl(nGC_338) + Nc*coupl(nGC_1949)*coupl(&
                       nGC_334)*coupl(nGC_364)*coupl(nGC_989) + Nc*coupl(      &
                       nGC_1949)*coupl(nGC_338)*coupl(nGC_364)**2d0 + Nc*coupl(&
                       nGC_2081)*coupl(nGC_343)**2d0*coupl(nGC_371) + Nc*coupl(&
                       nGC_2081)*coupl(nGC_370)**2d0*coupl(nGC_371) + Nc*coupl(&
                       nGC_2345)*coupl(nGC_346)**2d0*coupl(nGC_350) + Nc*coupl(&
                       nGC_2345)*coupl(nGC_350)*coupl(nGC_382)**2d0 + Nc*coupl(&
                       nGC_3071)*coupl(nGC_3141)*coupl(nGC_334)*coupl(nGC_364  &
                       ) + Nc*coupl(nGC_3071)*coupl(nGC_334)**2d0*coupl(nGC_335&
                       ) + Nc*coupl(nGC_3071)*coupl(nGC_335)*coupl(nGC_364)**  &
                       2d0 + Nc*coupl(nGC_3141)*coupl(nGC_334)**2d0*coupl(     &
                       nGC_368) + Nc*coupl(nGC_3141)*coupl(nGC_364)**2d0*coupl(&
                       nGC_368) + Nc*coupl(nGC_334)**2d0*coupl(nGC_365)*coupl( &
                       nGC_989) + Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(      &
                       nGC_364)*coupl(nGC_368) + Nc*coupl(nGC_334)*coupl(      &
                       nGC_338)*coupl(nGC_364)*coupl(nGC_365) + Nc*coupl(      &
                       nGC_341)*coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371) + &
                       Nc*coupl(nGC_343)**2d0*coupl(nGC_344)*coupl(nGC_4237) + &
                       Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_370)*coupl(  &
                       nGC_374) + Nc*coupl(nGC_344)*coupl(nGC_370)**2d0*coupl( &
                       nGC_4237) + Nc*coupl(nGC_346)**2d0*coupl(nGC_347)*coupl(&
                       nGC_4525) + Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(     &
                       nGC_382)*coupl(nGC_386) + Nc*coupl(nGC_346)*coupl(      &
                       nGC_350)*coupl(nGC_382)*coupl(nGC_383) + Nc*coupl(      &
                       nGC_347)*coupl(nGC_382)**2d0*coupl(nGC_4525) + Nc*coupl(&
                       nGC_364)**2d0*coupl(nGC_365)*coupl(nGC_989) + coupl(    &
                       nGC_1931)*coupl(nGC_358)**2d0*coupl(nGC_362) + coupl(   &
                       nGC_2697)*coupl(nGC_358)**2d0*coupl(nGC_359) + coupl(   &
                       nGC_2755)*coupl(nGC_352)**2d0*coupl(nGC_356) + coupl(   &
                       nGC_2841)*coupl(nGC_376)**2d0*coupl(nGC_377) + coupl(   &
                       nGC_352)**2d0*coupl(nGC_353)*coupl(nGC_997) + coupl(    &
                       nGC_376)**2d0*coupl(nGC_380)*coupl(nGC_6589))/(48d0*pi**&
                       2d0)
    coupl(nGC_36881) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0  &
                        + coupl(nGC_22723)
    coupl(nGC_35195) = coupl(nGC_22519) + coupl(nGC_54)*dZHMinusGMinus_QED2/2d0&
                        + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*       &
                       dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/2d0 &
                        + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*     &
                       dZHa_QED2/2d0
    coupl(nGC_22419) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(     &
                       nGC_383)**2d0 + Nc*coupl(nGC_1315)**2d0*coupl(nGC_383)* &
                       coupl(nGC_386) + Nc*coupl(nGC_1433)**2d0*coupl(nGC_341)*&
                       coupl(nGC_344) + Nc*coupl(nGC_1433)*coupl(nGC_344)**2d0*&
                       coupl(nGC_4237) + Nc*coupl(nGC_1541)**2d0*coupl(nGC_371 &
                       )*coupl(nGC_374) + Nc*coupl(nGC_1541)*coupl(nGC_2081)*  &
                       coupl(nGC_371)**2d0 + Nc*coupl(nGC_1949)**2d0*coupl(    &
                       nGC_335)*coupl(nGC_338) + Nc*coupl(nGC_1949)*coupl(     &
                       nGC_3071)*coupl(nGC_335)**2d0 + Nc*coupl(nGC_2345)**2d0*&
                       coupl(nGC_347)*coupl(nGC_350) + Nc*coupl(nGC_2345)*coupl&
                       (nGC_347)**2d0*coupl(nGC_4525) + Nc*coupl(nGC_3141)**2d0&
                       *coupl(nGC_365)*coupl(nGC_368) + Nc*coupl(nGC_3141)*    &
                       coupl(nGC_365)**2d0*coupl(nGC_989) + coupl(nGC_1931)**  &
                       2d0*coupl(nGC_359)*coupl(nGC_362) + coupl(nGC_1931)*    &
                       coupl(nGC_2697)*coupl(nGC_359)**2d0 + coupl(nGC_2755)** &
                       2d0*coupl(nGC_353)*coupl(nGC_356) + coupl(nGC_2755)*    &
                       coupl(nGC_353)**2d0*coupl(nGC_997) + coupl(nGC_2841)*   &
                       coupl(nGC_377)**2d0*coupl(nGC_6589) + coupl(nGC_377)*   &
                       coupl(nGC_380)*coupl(nGC_6589)**2d0)/(8d0*pi**2d0)
    coupl(nGC_32625) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22494) + coupl(&
                       nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
    coupl(nGC_36691) = -coupl(nGC_36684) - coupl(nGC_36690)
    coupl(nGC_60736) = -coupl(nGC_22304)
    coupl(nGC_22429) = cima*(10d0*Nc*coupl(nGC_1315)*coupl(nGC_2345)*coupl(    &
                       nGC_346)*coupl(nGC_382) + 10d0*Nc*coupl(nGC_1315)*coupl(&
                       nGC_346)**2d0*coupl(nGC_383) + 10d0*Nc*coupl(nGC_1315)* &
                       coupl(nGC_382)**2d0*coupl(nGC_383) + 10d0*Nc*coupl(     &
                       nGC_1433)*coupl(nGC_1541)*coupl(nGC_343)*coupl(nGC_370  &
                       ) + 10d0*Nc*coupl(nGC_1433)*coupl(nGC_343)**2d0*coupl(  &
                       nGC_344) + 10d0*Nc*coupl(nGC_1433)*coupl(nGC_344)*coupl(&
                       nGC_370)**2d0 + 10d0*Nc*coupl(nGC_1541)*coupl(nGC_343)**&
                       2d0*coupl(nGC_371) + 10d0*Nc*coupl(nGC_1541)*coupl(     &
                       nGC_370)**2d0*coupl(nGC_371) + 10d0*Nc*coupl(nGC_1949)* &
                       coupl(nGC_3141)*coupl(nGC_334)*coupl(nGC_364) + 10d0*Nc*&
                       coupl(nGC_1949)*coupl(nGC_334)**2d0*coupl(nGC_335) +    &
                       10d0*Nc*coupl(nGC_1949)*coupl(nGC_335)*coupl(nGC_364)** &
                       2d0 + 10d0*Nc*coupl(nGC_2345)*coupl(nGC_346)**2d0*coupl(&
                       nGC_347) + 10d0*Nc*coupl(nGC_2345)*coupl(nGC_347)*coupl(&
                       nGC_382)**2d0 + 10d0*Nc*coupl(nGC_3141)*coupl(nGC_334)**&
                       2d0*coupl(nGC_365) + 10d0*Nc*coupl(nGC_3141)*coupl(     &
                       nGC_364)**2d0*coupl(nGC_365) + 10d0*Nc*coupl(nGC_334)*  &
                       coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_365) + 10d0*Nc* &
                       coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_370)*coupl(     &
                       nGC_371) + 10d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl( &
                       nGC_382)*coupl(nGC_383) + 6d0*coupl(nGC_100)**2d0 + 12d0&
                       *coupl(nGC_186)*coupl(nGC_187) + 10d0*coupl(nGC_1931)*  &
                       coupl(nGC_358)**2d0*coupl(nGC_359) + 3d0*coupl(nGC_229)*&
                       coupl(nGC_230) + 10d0*coupl(nGC_2755)*coupl(nGC_352)**  &
                       2d0*coupl(nGC_353) + 12d0*coupl(nGC_30)*coupl(nGC_31) + &
                       10d0*coupl(nGC_376)**2d0*coupl(nGC_377)*coupl(nGC_6589  &
                       ))/(48d0*pi**2d0)
    coupl(nGC_34790) = coupl(nGC_34787) + coupl(nGC_34788)
    coupl(nGC_49409) = coupl(nGC_TS_GC_172_Hh) + coupl(nGC_TS_GC_179_Hl)
    coupl(nGC_59747) = -coupl(nGC_22067)
    coupl(nGC_60738) = -coupl(nGC_22305)
    coupl(nGC_36945) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +    &
                       coupl(nGC_22695)
    coupl(nGC_22389) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1315)*coupl(      &
                       nGC_207)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_1315)*coupl( &
                       nGC_209)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_1315)*coupl( &
                       nGC_210)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_207)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_209)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_210)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1949)*coupl( &
                       nGC_207)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_1949)*coupl( &
                       nGC_209)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_1949)*coupl( &
                       nGC_210)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_340)*coupl(nGC_344) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_365)*coupl(nGC_367) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_359)*coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_377)*coupl(nGC_379) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_353)*coupl(nGC_355) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_359)*coupl(nGC_361) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_377)*coupl(nGC_379) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_353)*coupl(nGC_355) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_359)*coupl(nGC_361) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_377)*coupl(nGC_379))/(48d0*pi**2d0)
    coupl(nGC_33276) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_22721)
    coupl(nGC_22418) = (-8d0*Nc*cima*coupl(nGC_1083)*coupl(nGC_207)**2d0*coupl(&
                       nGC_386) + 10d0*Nc*cima*coupl(nGC_1083)*coupl(nGC_207)* &
                       coupl(nGC_210)*coupl(nGC_386) - 8d0*Nc*cima*coupl(      &
                       nGC_1083)*coupl(nGC_210)**2d0*coupl(nGC_386) - 8d0*Nc*  &
                       cima*coupl(nGC_206)**2d0*coupl(nGC_341)*coupl(nGC_4237  &
                       ) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_350)*coupl&
                       (nGC_4525) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(     &
                       nGC_368)*coupl(nGC_989) + 10d0*Nc*cima*coupl(nGC_206)*  &
                       coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_4237) + 10d0*Nc*&
                       cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_350)*coupl(&
                       nGC_4525) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)* &
                       coupl(nGC_368)*coupl(nGC_989) - 8d0*Nc*cima*coupl(      &
                       nGC_207)**2d0*coupl(nGC_2081)*coupl(nGC_374) - 8d0*Nc*  &
                       cima*coupl(nGC_207)**2d0*coupl(nGC_3071)*coupl(nGC_338  &
                       ) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_2081)*coupl(  &
                       nGC_210)*coupl(nGC_374) + 10d0*Nc*cima*coupl(nGC_207)*  &
                       coupl(nGC_210)*coupl(nGC_3071)*coupl(nGC_338) - 8d0*Nc* &
                       cima*coupl(nGC_2081)*coupl(nGC_210)**2d0*coupl(nGC_374  &
                       ) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_341)*coupl&
                       (nGC_4237) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(     &
                       nGC_350)*coupl(nGC_4525) - 8d0*Nc*cima*coupl(nGC_209)** &
                       2d0*coupl(nGC_368)*coupl(nGC_989) - 8d0*Nc*cima*coupl(  &
                       nGC_210)**2d0*coupl(nGC_3071)*coupl(nGC_338) + 3d0*cima*&
                       coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_208  &
                       )**2d0*coupl(nGC_2697)*coupl(nGC_362) - 8d0*cima*coupl( &
                       nGC_208)**2d0*coupl(nGC_2841)*coupl(nGC_380) - 8d0*cima*&
                       coupl(nGC_208)**2d0*coupl(nGC_356)*coupl(nGC_997) + 10d0&
                       *cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2697)*    &
                       coupl(nGC_362) + 10d0*cima*coupl(nGC_208)*coupl(nGC_211 &
                       )*coupl(nGC_2841)*coupl(nGC_380) + 10d0*cima*coupl(     &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_356)*coupl(nGC_997) - &
                       8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_2697)*coupl(     &
                       nGC_362) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_2841)*&
                       coupl(nGC_380) - 8d0*cima*coupl(nGC_211)**2d0*coupl(    &
                       nGC_356)*coupl(nGC_997) + 3d0*coupl(nGC_100)*coupl(     &
                       nGC_1275)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_199)**2d0 &
                       )/(24d0*pi**2d0)
    coupl(nGC_32259) = coupl(nGC_190)*dZWMinus_QED2 + coupl(nGC_22694)
    coupl(nGC_32256) = coupl(nGC_22503) + coupl(nGC_33)*dZHlHh_QED2 + coupl(   &
                       nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
    coupl(nGC_34765) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*           &
                       dZmuMinusR_QED2 + coupl(nGC_22729)
    coupl(nGC_41680) = coupl(nGC_41678) + coupl(nGC_41679)
    coupl(nGC_34766) = coupl(nGC_32511) + coupl(nGC_34765)
    coupl(nGC_35425) = coupl(nGC_35423) - coupl(nGC_35424)
    coupl(nGC_22320) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 -    &
                       15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(    &
                       nGC_2) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2)** &
                       2d0 - 2d0*cima*coupl(nGC_1211)*coupl(nGC_1603)**2d0*    &
                       coupl(nGC_199) - 2d0*cima*coupl(nGC_1275)*coupl(nGC_198 &
                       )*coupl(nGC_3)**2d0 - 2d0*cima*coupl(nGC_1593)*coupl(   &
                       nGC_1603)**2d0*coupl(nGC_3) - 2d0*cima*coupl(nGC_1603)* &
                       coupl(nGC_3)**2d0*coupl(nGC_4) + 9d0*cima*coupl(nGC_197 &
                       )**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_3465)*    &
                       coupl(nGC_9) + 3d0*coupl(nGC_1275)*coupl(nGC_198)*coupl(&
                       nGC_9) + 3d0*coupl(nGC_1603)**2d0*coupl(nGC_3465) + 3d0*&
                       coupl(nGC_1603)*coupl(nGC_4)*coupl(nGC_9) + 3d0*coupl(  &
                       nGC_3)**2d0*coupl(nGC_3465))/(24d0*pi**2d0)
    coupl(nGC_22321) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 +   &
                       9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(nGC_2&
                       ) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2)**2d0 - &
                       2d0*cima*coupl(nGC_1211)*coupl(nGC_1603)**2d0*coupl(    &
                       nGC_199) - 2d0*cima*coupl(nGC_1275)*coupl(nGC_198)*coupl&
                       (nGC_3)**2d0 - 2d0*cima*coupl(nGC_1593)*coupl(nGC_1603  &
                       )**2d0*coupl(nGC_3) - 2d0*cima*coupl(nGC_1603)*coupl(   &
                       nGC_3)**2d0*coupl(nGC_4) - 3d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_202)**2d0 + 3d0* &
                       cima*coupl(nGC_4485)**2d0 + 3d0*coupl(nGC_1211)*coupl(  &
                       nGC_1603)*coupl(nGC_202) + 3d0*coupl(nGC_1593)*coupl(   &
                       nGC_1603)*coupl(nGC_4485) + 3d0*coupl(nGC_1603)*coupl(  &
                       nGC_199)*coupl(nGC_202) + 3d0*coupl(nGC_1603)*coupl(    &
                       nGC_3)*coupl(nGC_4485))/(24d0*pi**2d0)
    coupl(nGC_22327) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_1315&
                       )*coupl(nGC_385) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_1541)* &
                       coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_1949)*   &
                       coupl(nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl(  &
                       nGC_344) + Nc*coupl(nGC_1)*coupl(nGC_347)*coupl(nGC_349 &
                       ) + Nc*coupl(nGC_1)*coupl(nGC_365)*coupl(nGC_367) + Nc* &
                       coupl(nGC_1315)*coupl(nGC_2)*coupl(nGC_385) + Nc*coupl( &
                       nGC_1541)*coupl(nGC_2)*coupl(nGC_373) + Nc*coupl(       &
                       nGC_1949)*coupl(nGC_2)*coupl(nGC_337) - 4d0*Nc*coupl(   &
                       nGC_2)*coupl(nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(    &
                       nGC_2)*coupl(nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(    &
                       nGC_2)*coupl(nGC_365)*coupl(nGC_367) + coupl(nGC_353)*  &
                       coupl(nGC_355)*coupl(nGC_4) + coupl(nGC_359)*coupl(     &
                       nGC_361)*coupl(nGC_4) + coupl(nGC_377)*coupl(nGC_379)*  &
                       coupl(nGC_4))/(48d0*pi**2d0)
    coupl(nGC_32884) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22493) + coupl(&
                       nGC_31)*dZHMinus_QED2/2d0 + coupl(nGC_31)*dZHa_QED2/2d0 &
                        + coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*     &
                       dZZ_QED2/2d0
    coupl(nGC_22325) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1083)*coupl(nGC_197&
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_1)*coupl(      &
                       nGC_197)*coupl(nGC_2081)*coupl(nGC_373) - 4d0*Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_3071)*coupl(      &
                       nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(   &
                       nGC_340)*coupl(nGC_341) + Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_197)*coupl(nGC_349)*coupl(nGC_350) + Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(nGC_368) + Nc&
                       *cima*coupl(nGC_1083)*coupl(nGC_197)*coupl(nGC_2)*coupl(&
                       nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_2081)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*coupl(&
                       nGC_2)*coupl(nGC_3071)*coupl(nGC_337) - 4d0*Nc*cima*    &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_341&
                       ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(      &
                       nGC_349)*coupl(nGC_350) - 4d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_2)*coupl(nGC_367)*coupl(nGC_368) + 6d0*cima*  &
                       coupl(nGC_186)*coupl(nGC_4485) + cima*coupl(nGC_197)*   &
                       coupl(nGC_355)*coupl(nGC_356)*coupl(nGC_4) + cima*coupl(&
                       nGC_197)*coupl(nGC_361)*coupl(nGC_362)*coupl(nGC_4) +   &
                       cima*coupl(nGC_197)*coupl(nGC_379)*coupl(nGC_380)*coupl(&
                       nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*   &
                       coupl(nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(   &
                       nGC_198)*coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
    coupl(nGC_40722) = -coupl(nGC_40720) - coupl(nGC_40721)
    coupl(nGC_40723) = coupl(nGC_40720) + coupl(nGC_40721)
    coupl(nGC_36149) = coupl(nGC_201)*dZZA_QED2/2d0 + coupl(nGC_22583) + coupl(&
                       nGC_5)*dZA_QED2/2d0
    coupl(nGC_22329) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*coupl( &
                       nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(nGC_2)**&
                       2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(nGC_1275)**2d0*&
                       coupl(nGC_1603)**2d0 - 2d0*cima*coupl(nGC_199)**2d0*    &
                       coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**2d0 + cima*    &
                       coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima*coupl(     &
                       nGC_211)**2d0*coupl(nGC_4)**2d0 + 2d0*coupl(nGC_1275)*  &
                       coupl(nGC_1603)*coupl(nGC_205) + 2d0*coupl(nGC_199)*    &
                       coupl(nGC_205)*coupl(nGC_3))/(8d0*pi**2d0)
    coupl(nGC_33831) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_22581)
    coupl(nGC_22402) = cima*(5d0*Nc*coupl(nGC_1315)*coupl(nGC_345)*coupl(      &
                       nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1315)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl(  &
                       nGC_1315)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_340)*coupl(nGC_342 &
                       )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_340 &
                       )*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1433 &
                       )*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_342)*coupl(    &
                       nGC_370) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_340)*coupl( &
                       nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_369)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_1949)*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_337   &
                       ) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_333)*coupl(nGC_364 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_334 &
                       )*coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_2345 &
                       )*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*&
                       coupl(nGC_2345)*coupl(nGC_345)*coupl(nGC_382)*coupl(    &
                       nGC_385) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_349)*coupl( &
                       nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_3141)*coupl( &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_3141)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363   &
                       ) + 5d0*Nc*coupl(nGC_3141)*coupl(nGC_363)*coupl(nGC_364 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*&
                       coupl(nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*  &
                       coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364)*coupl(     &
                       nGC_365) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(  &
                       nGC_363)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_335)*coupl(  &
                       nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(  &
                       nGC_340)*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*    &
                       coupl(nGC_371) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343)*  &
                       coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*  &
                       coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*  &
                       coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_369)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(  &
                       nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(  &
                       nGC_346)*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_345)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_381)*    &
                       coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*  &
                       coupl(nGC_381)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_371)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(  &
                       nGC_383)*coupl(nGC_385) + 6d0*coupl(nGC_174)*coupl(     &
                       nGC_186) + 5d0*coupl(nGC_1931)*coupl(nGC_357)*coupl(    &
                       nGC_358)*coupl(nGC_361) + 6d0*coupl(nGC_21)*coupl(nGC_30&
                       ) + 5d0*coupl(nGC_2755)*coupl(nGC_351)*coupl(nGC_352)*  &
                       coupl(nGC_355) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl&
                       (nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_357)*coupl(    &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(     &
                       nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379) + &
                       5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379)*coupl( &
                       nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_22401) = cima*(5d0*Nc*coupl(nGC_1315)*coupl(nGC_346)*coupl(      &
                       nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_1315)*coupl( &
                       nGC_348)*coupl(nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(  &
                       nGC_1315)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_339)*coupl(nGC_340 &
                       )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_339 &
                       )*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1433 &
                       )*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*&
                       coupl(nGC_1541)*coupl(nGC_339)*coupl(nGC_340)*coupl(    &
                       nGC_370) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_340)*coupl( &
                       nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_1949)*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_337   &
                       ) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_334)*coupl(nGC_366 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_336 &
                       )*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_2345 &
                       )*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                       coupl(nGC_2345)*coupl(nGC_348)*coupl(nGC_382)*coupl(    &
                       nGC_385) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_349)*coupl( &
                       nGC_382)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_3141)*coupl( &
                       nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_3141)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366   &
                       ) + 5d0*Nc*coupl(nGC_3141)*coupl(nGC_364)*coupl(nGC_366 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*&
                       coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*  &
                       coupl(nGC_337)*coupl(nGC_365)*coupl(nGC_366) + 5d0*Nc*  &
                       coupl(nGC_335)*coupl(nGC_336)*coupl(nGC_364)*coupl(     &
                       nGC_367) + 5d0*Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(  &
                       nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_336)*coupl(  &
                       nGC_337)*coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(  &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_371)*    &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_344)*  &
                       coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*  &
                       coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_372) + 5d0*Nc*  &
                       coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_372)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(  &
                       nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(  &
                       nGC_347)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_346)*coupl(nGC_348)*coupl(nGC_383)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383)*    &
                       coupl(nGC_384) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_348)*  &
                       coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_364)*  &
                       coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_372)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_383)*coupl(  &
                       nGC_384)*coupl(nGC_385) + 6d0*coupl(nGC_180)*coupl(     &
                       nGC_186) + 5d0*coupl(nGC_1931)*coupl(nGC_358)*coupl(    &
                       nGC_360)*coupl(nGC_361) + 6d0*coupl(nGC_23)*coupl(nGC_30&
                       ) + 5d0*coupl(nGC_2755)*coupl(nGC_352)*coupl(nGC_354)*  &
                       coupl(nGC_355) + 5d0*coupl(nGC_352)*coupl(nGC_353)*coupl&
                       (nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl(    &
                       nGC_359)*coupl(nGC_360)*coupl(nGC_361) + 5d0*coupl(     &
                       nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_379) + &
                       5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl( &
                       nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_22400) = 5d0*cima*(Nc*coupl(nGC_1315)*coupl(nGC_2345)*coupl(     &
                       nGC_349)*coupl(nGC_382) + Nc*coupl(nGC_1315)*coupl(     &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*coupl(      &
                       nGC_1315)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385   &
                       ) + Nc*coupl(nGC_1433)*coupl(nGC_1541)*coupl(nGC_340)*  &
                       coupl(nGC_370) + Nc*coupl(nGC_1433)*coupl(nGC_340)*coupl&
                       (nGC_343)*coupl(nGC_344) + Nc*coupl(nGC_1433)*coupl(    &
                       nGC_344)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(      &
                       nGC_1541)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371   &
                       ) + Nc*coupl(nGC_1541)*coupl(nGC_370)*coupl(nGC_371)*   &
                       coupl(nGC_373) + Nc*coupl(nGC_1949)*coupl(nGC_3141)*    &
                       coupl(nGC_334)*coupl(nGC_367) + Nc*coupl(nGC_1949)*coupl&
                       (nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*coupl(     &
                       nGC_1949)*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367   &
                       ) + Nc*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_347)*   &
                       coupl(nGC_349) + Nc*coupl(nGC_2345)*coupl(nGC_347)*coupl&
                       (nGC_382)*coupl(nGC_385) + Nc*coupl(nGC_3141)*coupl(    &
                       nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*coupl(      &
                       nGC_3141)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367   &
                       ) + Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*    &
                       coupl(nGC_365) + Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(&
                       nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_346)*coupl(      &
                       nGC_347)*coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_1931 &
                       )*coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361) + coupl( &
                       nGC_2755)*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355   &
                       ) + coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379)*coupl( &
                       nGC_6589))/(24d0*pi**2d0)
    coupl(nGC_22407) = 5d0*cima*(Nc*coupl(nGC_1083)**2d0*coupl(nGC_383)*coupl( &
                       nGC_386) + Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(    &
                       nGC_386)**2d0 + Nc*coupl(nGC_1433)*coupl(nGC_341)**2d0* &
                       coupl(nGC_4237) + Nc*coupl(nGC_1541)*coupl(nGC_2081)*   &
                       coupl(nGC_374)**2d0 + Nc*coupl(nGC_1949)*coupl(nGC_3071 &
                       )*coupl(nGC_338)**2d0 + Nc*coupl(nGC_2081)**2d0*coupl(  &
                       nGC_371)*coupl(nGC_374) + Nc*coupl(nGC_2345)*coupl(     &
                       nGC_350)**2d0*coupl(nGC_4525) + Nc*coupl(nGC_3071)**2d0*&
                       coupl(nGC_335)*coupl(nGC_338) + Nc*coupl(nGC_3141)*coupl&
                       (nGC_368)**2d0*coupl(nGC_989) + Nc*coupl(nGC_341)*coupl(&
                       nGC_344)*coupl(nGC_4237)**2d0 + Nc*coupl(nGC_347)*coupl(&
                       nGC_350)*coupl(nGC_4525)**2d0 + Nc*coupl(nGC_365)*coupl(&
                       nGC_368)*coupl(nGC_989)**2d0 + coupl(nGC_1931)*coupl(   &
                       nGC_2697)*coupl(nGC_362)**2d0 + coupl(nGC_2697)**2d0*   &
                       coupl(nGC_359)*coupl(nGC_362) + coupl(nGC_2755)*coupl(  &
                       nGC_356)**2d0*coupl(nGC_997) + coupl(nGC_2841)**2d0*    &
                       coupl(nGC_377)*coupl(nGC_380) + coupl(nGC_2841)*coupl(  &
                       nGC_380)**2d0*coupl(nGC_6589) + coupl(nGC_353)*coupl(   &
                       nGC_356)*coupl(nGC_997)**2d0)/(8d0*pi**2d0)
    coupl(nGC_40860) = coupl(nGC_32815) + coupl(nGC_40857)
    coupl(nGC_32399) = coupl(nGC_22522) + coupl(nGC_32)*dZHMinusGMinus_QED2/2d0&
                        + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_34 &
                       )*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*        &
                       dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
    coupl(nGC_34789) = -coupl(nGC_34787) - coupl(nGC_34788)
    coupl(nGC_22409) = 5d0*cima*(Nc*coupl(nGC_1083)**2d0*coupl(nGC_381)*coupl( &
                       nGC_383) + 2d0*Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(&
                       nGC_381)*coupl(nGC_386) + 2d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_381)*coupl(nGC_383)*coupl(nGC_386) + Nc*coupl(      &
                       nGC_1315)*coupl(nGC_381)*coupl(nGC_386)**2d0 + Nc*coupl(&
                       nGC_1433)*coupl(nGC_341)**2d0*coupl(nGC_342) + 2d0*Nc*  &
                       coupl(nGC_1433)*coupl(nGC_341)*coupl(nGC_342)*coupl(    &
                       nGC_4237) + 2d0*Nc*coupl(nGC_1541)*coupl(nGC_2081)*coupl&
                       (nGC_369)*coupl(nGC_374) + Nc*coupl(nGC_1541)*coupl(    &
                       nGC_369)*coupl(nGC_374)**2d0 + 2d0*Nc*coupl(nGC_1949)*  &
                       coupl(nGC_3071)*coupl(nGC_333)*coupl(nGC_338) + Nc*coupl&
                       (nGC_1949)*coupl(nGC_333)*coupl(nGC_338)**2d0 + Nc*coupl&
                       (nGC_2081)**2d0*coupl(nGC_369)*coupl(nGC_371) + 2d0*Nc* &
                       coupl(nGC_2081)*coupl(nGC_369)*coupl(nGC_371)*coupl(    &
                       nGC_374) + Nc*coupl(nGC_2345)*coupl(nGC_345)*coupl(     &
                       nGC_350)**2d0 + 2d0*Nc*coupl(nGC_2345)*coupl(nGC_345)*  &
                       coupl(nGC_350)*coupl(nGC_4525) + Nc*coupl(nGC_3071)**2d0&
                       *coupl(nGC_333)*coupl(nGC_335) + 2d0*Nc*coupl(nGC_3071)*&
                       coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_338) + Nc*coupl(&
                       nGC_3141)*coupl(nGC_363)*coupl(nGC_368)**2d0 + 2d0*Nc*  &
                       coupl(nGC_3141)*coupl(nGC_363)*coupl(nGC_368)*coupl(    &
                       nGC_989) + 2d0*Nc*coupl(nGC_341)*coupl(nGC_342)*coupl(  &
                       nGC_344)*coupl(nGC_4237) + Nc*coupl(nGC_342)*coupl(     &
                       nGC_344)*coupl(nGC_4237)**2d0 + 2d0*Nc*coupl(nGC_345)*  &
                       coupl(nGC_347)*coupl(nGC_350)*coupl(nGC_4525) + Nc*coupl&
                       (nGC_345)*coupl(nGC_347)*coupl(nGC_4525)**2d0 + 2d0*Nc* &
                       coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_368)*coupl(     &
                       nGC_989) + Nc*coupl(nGC_363)*coupl(nGC_365)*coupl(      &
                       nGC_989)**2d0 + 2d0*coupl(nGC_1931)*coupl(nGC_2697)*    &
                       coupl(nGC_357)*coupl(nGC_362) + coupl(nGC_1931)*coupl(  &
                       nGC_357)*coupl(nGC_362)**2d0 + coupl(nGC_2697)**2d0*    &
                       coupl(nGC_357)*coupl(nGC_359) + 2d0*coupl(nGC_2697)*    &
                       coupl(nGC_357)*coupl(nGC_359)*coupl(nGC_362) + coupl(   &
                       nGC_2755)*coupl(nGC_351)*coupl(nGC_356)**2d0 + 2d0*coupl&
                       (nGC_2755)*coupl(nGC_351)*coupl(nGC_356)*coupl(nGC_997  &
                       ) + coupl(nGC_2841)**2d0*coupl(nGC_375)*coupl(nGC_377   &
                       ) + 2d0*coupl(nGC_2841)*coupl(nGC_375)*coupl(nGC_377)*  &
                       coupl(nGC_380) + 2d0*coupl(nGC_2841)*coupl(nGC_375)*    &
                       coupl(nGC_380)*coupl(nGC_6589) + 2d0*coupl(nGC_351)*    &
                       coupl(nGC_353)*coupl(nGC_356)*coupl(nGC_997) + coupl(   &
                       nGC_351)*coupl(nGC_353)*coupl(nGC_997)**2d0 + coupl(    &
                       nGC_375)*coupl(nGC_380)**2d0*coupl(nGC_6589))/(24d0*pi**&
                       2d0)
    coupl(nGC_34278) = -coupl(nGC_34277)
    coupl(nGC_22306) = coupl(nGC_13)*sq2*(-coupl(nGC_1083)*coupl(nGC_386) -    &
                       coupl(nGC_1315)*coupl(nGC_383) - 4d0*coupl(nGC_197)**2d0&
                        - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 -    &
                       coupl(nGC_346)**2d0 - coupl(nGC_349)**2d0 - coupl(      &
                       nGC_381)**2d0 - coupl(nGC_384)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_60708) = -coupl(nGC_22157)
    coupl(nGC_22134) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) - coupl(  &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_4525) - coupl(       &
                       nGC_1315)*coupl(nGC_2345)*coupl(nGC_382) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(nGC_345)*&
                       coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348)*coupl(   &
                       nGC_382)*coupl(nGC_384))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl35
end module fill_ctcouplings35
