!******************************************************************************!
!                                                                              !
!    fill_ctcouplings37.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings37.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings37
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl37()
    coupl(nGC_40503) = coupl(nGC_40497) + coupl(nGC_40502)
    coupl(nGC_37519) = coupl(nGC_33276) + coupl(nGC_37517)
    coupl(nGC_22420) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(     &
                       nGC_384)**2d0 + 2d0*Nc*coupl(nGC_1083)*coupl(nGC_383)*  &
                       coupl(nGC_384)**2d0 + 2d0*Nc*coupl(nGC_1315)*coupl(     &
                       nGC_384)**2d0*coupl(nGC_386) + 2d0*Nc*coupl(nGC_1433)*  &
                       coupl(nGC_339)**2d0*coupl(nGC_341) + Nc*coupl(nGC_1433)*&
                       coupl(nGC_339)**2d0*coupl(nGC_4237) + Nc*coupl(nGC_1541 &
                       )*coupl(nGC_2081)*coupl(nGC_372)**2d0 + 2d0*Nc*coupl(   &
                       nGC_1541)*coupl(nGC_372)**2d0*coupl(nGC_374) + Nc*coupl(&
                       nGC_1949)*coupl(nGC_3071)*coupl(nGC_336)**2d0 + 2d0*Nc* &
                       coupl(nGC_1949)*coupl(nGC_336)**2d0*coupl(nGC_338) + 2d0&
                       *Nc*coupl(nGC_2081)*coupl(nGC_371)*coupl(nGC_372)**2d0  &
                        + 2d0*Nc*coupl(nGC_2345)*coupl(nGC_348)**2d0*coupl(    &
                       nGC_350) + Nc*coupl(nGC_2345)*coupl(nGC_348)**2d0*coupl(&
                       nGC_4525) + 2d0*Nc*coupl(nGC_3071)*coupl(nGC_335)*coupl(&
                       nGC_336)**2d0 + 2d0*Nc*coupl(nGC_3141)*coupl(nGC_366)** &
                       2d0*coupl(nGC_368) + Nc*coupl(nGC_3141)*coupl(nGC_366)**&
                       2d0*coupl(nGC_989) + Nc*coupl(nGC_335)*coupl(nGC_336)** &
                       2d0*coupl(nGC_338) + Nc*coupl(nGC_339)**2d0*coupl(      &
                       nGC_341)*coupl(nGC_344) + 2d0*Nc*coupl(nGC_339)**2d0*   &
                       coupl(nGC_344)*coupl(nGC_4237) + Nc*coupl(nGC_347)*coupl&
                       (nGC_348)**2d0*coupl(nGC_350) + 2d0*Nc*coupl(nGC_347)*  &
                       coupl(nGC_348)**2d0*coupl(nGC_4525) + Nc*coupl(nGC_365)*&
                       coupl(nGC_366)**2d0*coupl(nGC_368) + 2d0*Nc*coupl(      &
                       nGC_365)*coupl(nGC_366)**2d0*coupl(nGC_989) + Nc*coupl( &
                       nGC_371)*coupl(nGC_372)**2d0*coupl(nGC_374) + Nc*coupl( &
                       nGC_383)*coupl(nGC_384)**2d0*coupl(nGC_386) + coupl(    &
                       nGC_1931)*coupl(nGC_2697)*coupl(nGC_360)**2d0 + 2d0*    &
                       coupl(nGC_1931)*coupl(nGC_360)**2d0*coupl(nGC_362) + 2d0&
                       *coupl(nGC_2697)*coupl(nGC_359)*coupl(nGC_360)**2d0 +   &
                       2d0*coupl(nGC_2755)*coupl(nGC_354)**2d0*coupl(nGC_356   &
                       ) + coupl(nGC_2755)*coupl(nGC_354)**2d0*coupl(nGC_997   &
                       ) + 2d0*coupl(nGC_2841)*coupl(nGC_377)*coupl(nGC_378)** &
                       2d0 + coupl(nGC_2841)*coupl(nGC_378)**2d0*coupl(nGC_6589&
                       ) + coupl(nGC_353)*coupl(nGC_354)**2d0*coupl(nGC_356) + &
                       2d0*coupl(nGC_353)*coupl(nGC_354)**2d0*coupl(nGC_997) + &
                       coupl(nGC_359)*coupl(nGC_360)**2d0*coupl(nGC_362) +     &
                       coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(nGC_380) + 2d0*&
                       coupl(nGC_378)**2d0*coupl(nGC_380)*coupl(nGC_6589))/(   &
                       24d0*pi**2d0)
    coupl(nGC_22423) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(     &
                       nGC_381)*coupl(nGC_384) + 2d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_381)*coupl(nGC_383)*coupl(nGC_384) + 2d0*Nc*coupl(  &
                       nGC_1315)*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386   &
                       ) + 2d0*Nc*coupl(nGC_1433)*coupl(nGC_339)*coupl(nGC_341 &
                       )*coupl(nGC_342) + Nc*coupl(nGC_1433)*coupl(nGC_339)*   &
                       coupl(nGC_342)*coupl(nGC_4237) + Nc*coupl(nGC_1541)*    &
                       coupl(nGC_2081)*coupl(nGC_369)*coupl(nGC_372) + 2d0*Nc* &
                       coupl(nGC_1541)*coupl(nGC_369)*coupl(nGC_372)*coupl(    &
                       nGC_374) + Nc*coupl(nGC_1949)*coupl(nGC_3071)*coupl(    &
                       nGC_333)*coupl(nGC_336) + 2d0*Nc*coupl(nGC_1949)*coupl( &
                       nGC_333)*coupl(nGC_336)*coupl(nGC_338) + 2d0*Nc*coupl(  &
                       nGC_2081)*coupl(nGC_369)*coupl(nGC_371)*coupl(nGC_372   &
                       ) + 2d0*Nc*coupl(nGC_2345)*coupl(nGC_345)*coupl(nGC_348 &
                       )*coupl(nGC_350) + Nc*coupl(nGC_2345)*coupl(nGC_345)*   &
                       coupl(nGC_348)*coupl(nGC_4525) + 2d0*Nc*coupl(nGC_3071)*&
                       coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_336) + 2d0*Nc*  &
                       coupl(nGC_3141)*coupl(nGC_363)*coupl(nGC_366)*coupl(    &
                       nGC_368) + Nc*coupl(nGC_3141)*coupl(nGC_363)*coupl(     &
                       nGC_366)*coupl(nGC_989) + Nc*coupl(nGC_333)*coupl(      &
                       nGC_335)*coupl(nGC_336)*coupl(nGC_338) + Nc*coupl(      &
                       nGC_339)*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_344) + &
                       2d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_344)*    &
                       coupl(nGC_4237) + Nc*coupl(nGC_345)*coupl(nGC_347)*coupl&
                       (nGC_348)*coupl(nGC_350) + 2d0*Nc*coupl(nGC_345)*coupl( &
                       nGC_347)*coupl(nGC_348)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_363)*coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_368) + &
                       2d0*Nc*coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_366)*    &
                       coupl(nGC_989) + Nc*coupl(nGC_369)*coupl(nGC_371)*coupl(&
                       nGC_372)*coupl(nGC_374) + Nc*coupl(nGC_381)*coupl(      &
                       nGC_383)*coupl(nGC_384)*coupl(nGC_386) + coupl(nGC_1931 &
                       )*coupl(nGC_2697)*coupl(nGC_357)*coupl(nGC_360) + 2d0*  &
                       coupl(nGC_1931)*coupl(nGC_357)*coupl(nGC_360)*coupl(    &
                       nGC_362) + 2d0*coupl(nGC_2697)*coupl(nGC_357)*coupl(    &
                       nGC_359)*coupl(nGC_360) + 2d0*coupl(nGC_2755)*coupl(    &
                       nGC_351)*coupl(nGC_354)*coupl(nGC_356) + coupl(nGC_2755 &
                       )*coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_997) + 2d0*   &
                       coupl(nGC_2841)*coupl(nGC_375)*coupl(nGC_377)*coupl(    &
                       nGC_378) + coupl(nGC_2841)*coupl(nGC_375)*coupl(nGC_378 &
                       )*coupl(nGC_6589) + coupl(nGC_351)*coupl(nGC_353)*coupl(&
                       nGC_354)*coupl(nGC_356) + 2d0*coupl(nGC_351)*coupl(     &
                       nGC_353)*coupl(nGC_354)*coupl(nGC_997) + coupl(nGC_357)*&
                       coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_362) + coupl(   &
                       nGC_375)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_380) + &
                       2d0*coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_380)*coupl( &
                       nGC_6589))/(24d0*pi**2d0)
    coupl(nGC_37428) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_22582) + coupl(    &
                       nGC_29)*dZA_QED2 + coupl(nGC_29)*dZHMinus_QED2
    coupl(nGC_22425) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_1315)*coupl(     &
                       nGC_381)**2d0 + 2d0*Nc*coupl(nGC_1083)*coupl(nGC_381)** &
                       2d0*coupl(nGC_383) + 2d0*Nc*coupl(nGC_1315)*coupl(      &
                       nGC_381)**2d0*coupl(nGC_386) + 2d0*Nc*coupl(nGC_1433)*  &
                       coupl(nGC_341)*coupl(nGC_342)**2d0 + Nc*coupl(nGC_1433)*&
                       coupl(nGC_342)**2d0*coupl(nGC_4237) + Nc*coupl(nGC_1541 &
                       )*coupl(nGC_2081)*coupl(nGC_369)**2d0 + 2d0*Nc*coupl(   &
                       nGC_1541)*coupl(nGC_369)**2d0*coupl(nGC_374) + Nc*coupl(&
                       nGC_1949)*coupl(nGC_3071)*coupl(nGC_333)**2d0 + 2d0*Nc* &
                       coupl(nGC_1949)*coupl(nGC_333)**2d0*coupl(nGC_338) + 2d0&
                       *Nc*coupl(nGC_2081)*coupl(nGC_369)**2d0*coupl(nGC_371   &
                       ) + 2d0*Nc*coupl(nGC_2345)*coupl(nGC_345)**2d0*coupl(   &
                       nGC_350) + Nc*coupl(nGC_2345)*coupl(nGC_345)**2d0*coupl(&
                       nGC_4525) + 2d0*Nc*coupl(nGC_3071)*coupl(nGC_333)**2d0* &
                       coupl(nGC_335) + 2d0*Nc*coupl(nGC_3141)*coupl(nGC_363)**&
                       2d0*coupl(nGC_368) + Nc*coupl(nGC_3141)*coupl(nGC_363)**&
                       2d0*coupl(nGC_989) + Nc*coupl(nGC_333)**2d0*coupl(      &
                       nGC_335)*coupl(nGC_338) + Nc*coupl(nGC_341)*coupl(      &
                       nGC_342)**2d0*coupl(nGC_344) + 2d0*Nc*coupl(nGC_342)**  &
                       2d0*coupl(nGC_344)*coupl(nGC_4237) + Nc*coupl(nGC_345)**&
                       2d0*coupl(nGC_347)*coupl(nGC_350) + 2d0*Nc*coupl(nGC_345&
                       )**2d0*coupl(nGC_347)*coupl(nGC_4525) + Nc*coupl(nGC_363&
                       )**2d0*coupl(nGC_365)*coupl(nGC_368) + 2d0*Nc*coupl(    &
                       nGC_363)**2d0*coupl(nGC_365)*coupl(nGC_989) + Nc*coupl( &
                       nGC_369)**2d0*coupl(nGC_371)*coupl(nGC_374) + Nc*coupl( &
                       nGC_381)**2d0*coupl(nGC_383)*coupl(nGC_386) + coupl(    &
                       nGC_1931)*coupl(nGC_2697)*coupl(nGC_357)**2d0 + 2d0*    &
                       coupl(nGC_1931)*coupl(nGC_357)**2d0*coupl(nGC_362) + 2d0&
                       *coupl(nGC_2697)*coupl(nGC_357)**2d0*coupl(nGC_359) +   &
                       2d0*coupl(nGC_2755)*coupl(nGC_351)**2d0*coupl(nGC_356   &
                       ) + coupl(nGC_2755)*coupl(nGC_351)**2d0*coupl(nGC_997   &
                       ) + 2d0*coupl(nGC_2841)*coupl(nGC_375)**2d0*coupl(      &
                       nGC_377) + coupl(nGC_2841)*coupl(nGC_375)**2d0*coupl(   &
                       nGC_6589) + coupl(nGC_351)**2d0*coupl(nGC_353)*coupl(   &
                       nGC_356) + 2d0*coupl(nGC_351)**2d0*coupl(nGC_353)*coupl(&
                       nGC_997) + coupl(nGC_357)**2d0*coupl(nGC_359)*coupl(    &
                       nGC_362) + coupl(nGC_375)**2d0*coupl(nGC_377)*coupl(    &
                       nGC_380) + 2d0*coupl(nGC_375)**2d0*coupl(nGC_380)*coupl(&
                       nGC_6589))/(24d0*pi**2d0)
    coupl(nGC_22424) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_1083)*coupl(    &
                       nGC_383) - Nc*coupl(nGC_1315)*coupl(nGC_386) - Nc*coupl(&
                       nGC_1433)*coupl(nGC_341) - Nc*coupl(nGC_1541)*coupl(    &
                       nGC_374) - Nc*coupl(nGC_1949)*coupl(nGC_338) - Nc*coupl(&
                       nGC_2081)*coupl(nGC_371) - Nc*coupl(nGC_2345)*coupl(    &
                       nGC_350) - Nc*coupl(nGC_3071)*coupl(nGC_335) - Nc*coupl(&
                       nGC_3141)*coupl(nGC_368) - Nc*coupl(nGC_344)*coupl(     &
                       nGC_4237) - Nc*coupl(nGC_347)*coupl(nGC_4525) - Nc*coupl&
                       (nGC_365)*coupl(nGC_989) - coupl(nGC_1931)*coupl(nGC_362&
                       ) - coupl(nGC_2697)*coupl(nGC_359) - coupl(nGC_2755)*   &
                       coupl(nGC_356) - coupl(nGC_2841)*coupl(nGC_377) - coupl(&
                       nGC_353)*coupl(nGC_997) - coupl(nGC_380)*coupl(nGC_6589 &
                       ))/(12d0*pi**2d0)
    coupl(nGC_22426) = cima*(-4d0*Nc*coupl(nGC_1083)*coupl(nGC_207)**2d0*coupl(&
                       nGC_383) + 5d0*Nc*coupl(nGC_1083)*coupl(nGC_207)*coupl( &
                       nGC_210)*coupl(nGC_383) - 4d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_210)**2d0*coupl(nGC_383) - 4d0*Nc*coupl(nGC_1315)*  &
                       coupl(nGC_207)**2d0*coupl(nGC_386) + 5d0*Nc*coupl(      &
                       nGC_1315)*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_386   &
                       ) - 4d0*Nc*coupl(nGC_1315)*coupl(nGC_210)**2d0*coupl(   &
                       nGC_386) - 4d0*Nc*coupl(nGC_1433)*coupl(nGC_206)**2d0*  &
                       coupl(nGC_341) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_206)* &
                       coupl(nGC_209)*coupl(nGC_341) - 4d0*Nc*coupl(nGC_1433)* &
                       coupl(nGC_209)**2d0*coupl(nGC_341) - 4d0*Nc*coupl(      &
                       nGC_1541)*coupl(nGC_207)**2d0*coupl(nGC_374) + 5d0*Nc*  &
                       coupl(nGC_1541)*coupl(nGC_207)*coupl(nGC_210)*coupl(    &
                       nGC_374) - 4d0*Nc*coupl(nGC_1541)*coupl(nGC_210)**2d0*  &
                       coupl(nGC_374) - 4d0*Nc*coupl(nGC_1949)*coupl(nGC_207)**&
                       2d0*coupl(nGC_338) + 5d0*Nc*coupl(nGC_1949)*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_338) - 4d0*Nc*coupl(  &
                       nGC_1949)*coupl(nGC_210)**2d0*coupl(nGC_338) - 4d0*Nc*  &
                       coupl(nGC_206)**2d0*coupl(nGC_2345)*coupl(nGC_350) - 4d0&
                       *Nc*coupl(nGC_206)**2d0*coupl(nGC_3141)*coupl(nGC_368   &
                       ) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_344)*coupl(    &
                       nGC_4237) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_347)*  &
                       coupl(nGC_4525) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                       nGC_365)*coupl(nGC_989) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_209)*coupl(nGC_2345)*coupl(nGC_350) + 5d0*Nc*coupl( &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_3141)*coupl(nGC_368   &
                       ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_344)*&
                       coupl(nGC_4237) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)* &
                       coupl(nGC_347)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_206)* &
                       coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_989) - 4d0*Nc*  &
                       coupl(nGC_207)**2d0*coupl(nGC_2081)*coupl(nGC_371) - 4d0&
                       *Nc*coupl(nGC_207)**2d0*coupl(nGC_3071)*coupl(nGC_335   &
                       ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_2081)*coupl(nGC_210 &
                       )*coupl(nGC_371) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*&
                       coupl(nGC_3071)*coupl(nGC_335) - 4d0*Nc*coupl(nGC_2081)*&
                       coupl(nGC_210)**2d0*coupl(nGC_371) - 4d0*Nc*coupl(      &
                       nGC_209)**2d0*coupl(nGC_2345)*coupl(nGC_350) - 4d0*Nc*  &
                       coupl(nGC_209)**2d0*coupl(nGC_3141)*coupl(nGC_368) - 4d0&
                       *Nc*coupl(nGC_209)**2d0*coupl(nGC_344)*coupl(nGC_4237   &
                       ) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(nGC_347)*coupl(    &
                       nGC_4525) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(nGC_365)*  &
                       coupl(nGC_989) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(      &
                       nGC_3071)*coupl(nGC_335) - 4d0*coupl(nGC_1931)*coupl(   &
                       nGC_208)**2d0*coupl(nGC_362) + 5d0*coupl(nGC_1931)*coupl&
                       (nGC_208)*coupl(nGC_211)*coupl(nGC_362) - 4d0*coupl(    &
                       nGC_1931)*coupl(nGC_211)**2d0*coupl(nGC_362) - 4d0*coupl&
                       (nGC_208)**2d0*coupl(nGC_2697)*coupl(nGC_359) - 4d0*    &
                       coupl(nGC_208)**2d0*coupl(nGC_2755)*coupl(nGC_356) - 4d0&
                       *coupl(nGC_208)**2d0*coupl(nGC_2841)*coupl(nGC_377) -   &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_353)*coupl(nGC_997) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_380)*coupl(nGC_6589   &
                       ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2697)*  &
                       coupl(nGC_359) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl&
                       (nGC_2755)*coupl(nGC_356) + 5d0*coupl(nGC_208)*coupl(   &
                       nGC_211)*coupl(nGC_2841)*coupl(nGC_377) + 5d0*coupl(    &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_997) + &
                       5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380)*coupl( &
                       nGC_6589) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_2697)*    &
                       coupl(nGC_359) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_2755 &
                       )*coupl(nGC_356) - 4d0*coupl(nGC_211)**2d0*coupl(       &
                       nGC_2841)*coupl(nGC_377) - 4d0*coupl(nGC_211)**2d0*coupl&
                       (nGC_353)*coupl(nGC_997) - 4d0*coupl(nGC_211)**2d0*coupl&
                       (nGC_380)*coupl(nGC_6589))/(24d0*pi**2d0)
    coupl(nGC_43568) = coupl(nGC_43562) + coupl(nGC_43567)
    coupl(nGC_22059) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) - coupl(  &
                       nGC_1083)*coupl(nGC_385)*coupl(nGC_4525) - coupl(       &
                       nGC_1315)*coupl(nGC_2345)*coupl(nGC_385) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(nGC_345)*&
                       coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_348)*coupl(   &
                       nGC_384)*coupl(nGC_385))/(32d0*pi**2d0)
    coupl(nGC_53492) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22589)
    coupl(nGC_53493) = -coupl(nGC_53492)
    coupl(nGC_34545) = coupl(nGC_32282) + coupl(nGC_34542)
    coupl(nGC_22345) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_364&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_334) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_342)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_364) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_370) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_352)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_37195) = coupl(nGC_172)*dZHMinus_QED2/2d0 + coupl(nGC_172)*      &
                       dZHh_QED2/2d0 + coupl(nGC_172)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_179)*dZHlHh_QED2/2d0 + coupl(nGC_22692)
    coupl(nGC_22347) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334 &
                       )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(nGC_366&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_336) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_366) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)*coupl( &
                       nGC_372) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_382)*coupl(nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_352)*coupl(   &
                       nGC_354)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_175)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
    coupl(nGC_22348) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_364&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_334) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_342)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_364) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_370) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_352)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_180)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
    coupl(nGC_34019) = coupl(nGC_22657) + coupl(nGC_383)*dZHaG0_QED2/2d0
    coupl(nGC_35498) = coupl(nGC_22677) + coupl(nGC_335)*dZHa_QED2/2d0 + coupl(&
                       nGC_338)*dZG0Ha_QED2/2d0
    coupl(nGC_35499) = -coupl(nGC_35496) - coupl(nGC_35498)
    coupl(nGC_38309) = -coupl(nGC_38302) - coupl(nGC_38308)
    coupl(nGC_34479) = coupl(nGC_34470) + coupl(nGC_34478)
    coupl(nGC_39588) = coupl(nGC_39579) + coupl(nGC_39587)
    coupl(nGC_37139) = -2d0*coupl(nGC_37138)
    coupl(nGC_32476) = coupl(nGC_32472) + coupl(nGC_32473)
    coupl(nGC_39685) = coupl(nGC_39680) + coupl(nGC_39684)
    coupl(nGC_59573) = -coupl(nGC_22158)
    coupl(nGC_37520) = coupl(nGC_33276) + coupl(nGC_37518)
    coupl(nGC_35500) = coupl(nGC_35496) + coupl(nGC_35498)
    coupl(nGC_36598) = coupl(nGC_32472) + coupl(nGC_36595)
    coupl(nGC_32912) = coupl(nGC_32907) + coupl(nGC_32911)
    coupl(nGC_34020) = -coupl(nGC_34013) - coupl(nGC_34019)
    coupl(nGC_34021) = coupl(nGC_34013) + coupl(nGC_34019)
    coupl(nGC_33887) = coupl(nGC_33885) + coupl(nGC_33886)
    coupl(nGC_37324) = -coupl(nGC_34498)
    coupl(nGC_37843) = coupl(nGC_37839) + coupl(nGC_37842)
    coupl(nGC_35944) = -coupl(nGC_35938) - coupl(nGC_35943)
    coupl(nGC_35945) = coupl(nGC_35938) + coupl(nGC_35943)
    coupl(nGC_58279) = -coupl(nGC_22047)
    coupl(nGC_33278) = coupl(nGC_33276) + coupl(nGC_33277)
    coupl(nGC_33279) = coupl(nGC_33275) + coupl(nGC_33276)
    coupl(nGC_33507) = -coupl(nGC_33506)
    coupl(nGC_45754) = coupl(nGC_45750) + coupl(nGC_45753)
    coupl(nGC_37574) = coupl(nGC_32187) + coupl(nGC_37572)
    coupl(nGC_35591) = coupl(nGC_33276) + coupl(nGC_35589)
    coupl(nGC_53503) = -2d0*coupl(nGC_53492)
    coupl(nGC_35592) = coupl(nGC_33276) + coupl(nGC_35590)
    coupl(nGC_53494) = 2d0*coupl(nGC_53492)
    coupl(nGC_37196) = -coupl(nGC_37191) + coupl(nGC_37195)
    coupl(nGC_44503) = coupl(nGC_37191) - coupl(nGC_37195)
  end subroutine fill_CTcouplings_mdl37
end module fill_ctcouplings37
