!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_22139) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22138) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22649) = coupl(nGC_21713)*dym1_QED3 + coupl(nGC_21714)*dym2_QED3 &
                        + coupl(nGC_21715)*da_QED2
    coupl(nGC_22648) = coupl(nGC_21668)*da_QED2 + coupl(nGC_21669)*dye1_QED3 + &
                       coupl(nGC_21670)*dye2_QED3
    coupl(nGC_22133) = coupl(nGC_13)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22131) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22135) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22675) = coupl(nGC_21257)*db_QED2 + coupl(nGC_21258)*dyup1_QED3  &
                        + coupl(nGC_21259)*dyup2_QED3
    coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    coupl(nGC_36279) = coupl(nGC_43)*dZG0
    coupl(nGC_22860) = coupl(nGC_781)*dMZ2_QED2
    coupl(nGC_34787) = coupl(nGC_377)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33203) = coupl(nGC_205)*dZAZ_QED2
    coupl(nGC_33200) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_36193) = coupl(nGC_344)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33336) = coupl(nGC_39)*dZG0/2d0
    coupl(nGC_22682) = coupl(nGC_21738)*dsw_QED2 + coupl(nGC_21739)*dcw_QED2 + &
                       coupl(nGC_21740)*dZee_QED2
    coupl(nGC_32794) = coupl(nGC_215)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32224) = coupl(nGC_45)*dZGMinus
    coupl(nGC_33153) = coupl(nGC_38)*dZG0/2d0
    coupl(nGC_37840) = coupl(nGC_345)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32775) = coupl(nGC_28)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_22256) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22258) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22707) = coupl(nGC_21603)*dcw_QED2 + coupl(nGC_21604)*db_QED2 +  &
                       coupl(nGC_21605)*dsw_QED2 + coupl(nGC_21606)*dZee_QED2  &
                        + coupl(nGC_21607)*da_QED2
    coupl(nGC_32301) = coupl(nGC_29)*dZGMinus
    coupl(nGC_32305) = coupl(nGC_24)*dZGMinus/2d0
    coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22108) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22106) = coupl(nGC_13)**2d0*coupl(nGC_989)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22100) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_36689) = coupl(nGC_368)*dZG0/2d0
    coupl(nGC_33703) = coupl(nGC_218)*dZHMinus_QED2 + coupl(nGC_218)*dZZ_QED2/ &
                       2d0 + coupl(nGC_22706) + coupl(nGC_26)*dZAZ_QED2/2d0
    coupl(nGC_32946) = coupl(nGC_349)*dZGMinus/2d0
    coupl(nGC_35261) = coupl(nGC_356)*dZG0/2d0
    coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34228) = coupl(nGC_209)*dZbL_QCD2
    coupl(nGC_34225) = coupl(nGC_206)*dZbR_QCD2
    coupl(nGC_33233) = coupl(nGC_333)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_33234) = coupl(nGC_333)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_32764) = coupl(nGC_207)*dZuR_QCD2
    coupl(nGC_33018) = coupl(nGC_52)*dZGMinus/2d0
    coupl(nGC_32546) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
