!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_22143) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc* &
                       coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl(&
                       nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl( &
                       nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(      &
                       nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(nGC_357&
                       )*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376))/(24d0*&
                       pi**2d0)
    coupl(nGC_32549) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_33014) = coupl(nGC_74)*dZGMinus
    coupl(nGC_43633) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_43635) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_33167) = coupl(nGC_367)*dZGMinus/2d0
    coupl(nGC_33161) = coupl(nGC_337)*dZGMinus/2d0
    coupl(nGC_40713) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*        &
                       dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(      &
                       nGC_TS_GC_236_Hl)
    coupl(nGC_34663) = coupl(nGC_54)*dZG0/2d0
    coupl(nGC_40719) = coupl(nGC_380)*dZG0/2d0
    coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32769) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZuR_QED2  &
                        + coupl(nGC_22724)
    coupl(nGC_22244) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22246) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_41020) = coupl(nGC_237)*dZGMinus/2d0
    coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
    coupl(nGC_36077) = -coupl(nGC_32492)
    coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33955) = coupl(nGC_212)*dZZA_QED2/2d0
    coupl(nGC_36693) = -coupl(nGC_36689)
    coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22023) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_2755)*&
                       coupl(nGC_353) + coupl(nGC_351)**2d0 + coupl(nGC_354)** &
                       2d0 + coupl(nGC_356)*coupl(nGC_997) + 4d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_32202) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_32971) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_22690) + coupl(&
                       nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
    coupl(nGC_35258) = coupl(nGC_356)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_36214) = coupl(nGC_70)*dZGMinus
    coupl(nGC_34231) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZbL_QED2  &
                        + coupl(nGC_22726)
    coupl(nGC_35322) = coupl(nGC_214)*dZZA_QED2/2d0
    coupl(nGC_22854) = -cima*dMB_QED2
    coupl(nGC_43047) = coupl(nGC_350)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_33226) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    coupl(nGC_43045) = coupl(nGC_350)*dZG0/2d0
    coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35740) = coupl(nGC_13)*dZcR_QCD2
    coupl(nGC_35741) = coupl(nGC_13)*dZcL_QED2
    coupl(nGC_35742) = coupl(nGC_13)*dZcL_QCD2
    coupl(nGC_33319) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22613) = coupl(nGC_21197)*db_QED2 + coupl(nGC_21198)*dyd13x3_QED3&
                        + coupl(nGC_21199)*dyb2_QED3
    coupl(nGC_22024) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                       nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_2755)*coupl(     &
                       nGC_353)*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(nGC_4 &
                       ) + coupl(nGC_354)**2d0*coupl(nGC_4) + coupl(nGC_356)*  &
                       coupl(nGC_4)*coupl(nGC_997) + 4d0*coupl(nGC_4)**3d0)/(  &
                       32d0*pi**2d0)
    coupl(nGC_47063) = coupl(nGC_242)*dZG0
    coupl(nGC_32574) = coupl(nGC_99)*dZGMinus
    coupl(nGC_32571) = coupl(nGC_22648) + coupl(nGC_351)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_354)*dZHh_QED2/2d0
    coupl(nGC_33970) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_22706) + coupl( &
                       nGC_26)*dZAZ_QED2/2d0
    coupl(nGC_43566) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_43561) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_43562) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
