!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl9()
    coupl(nGC_22575) = coupl(nGC_21204)*dl4_QED4 + coupl(nGC_21205)*dl5_QED4 + &
                       coupl(nGC_21206)*db_QED2 + coupl(nGC_21207)*dvev1_QED1  &
                        + coupl(nGC_21208)*dvev2_QED1
    coupl(nGC_22574) = coupl(nGC_21794)*dvev2_QED1 + coupl(nGC_21795)*dcw_QED2 &
                        + coupl(nGC_21796)*db_QED2 + coupl(nGC_21797)*         &
                       dvev1_QED1 + coupl(nGC_21798)*dZee_QED2
    coupl(nGC_32352) = coupl(nGC_22836) + coupl(nGC_MHC)*dZHMinus_QED2 + coupl(&
                       nGC_TS_GC_243_Hl) + coupl(nGC_TS_GC_251_Hh)
    coupl(nGC_33496) = coupl(nGC_28)*dZGMinus
    coupl(nGC_32358) = coupl(nGC_221)*dZGMinus
    coupl(nGC_22689) = coupl(nGC_21787)*dsw_QED2 + coupl(nGC_21788)*db_QED2 +  &
                       coupl(nGC_21789)*dZee_QED2 + coupl(nGC_21790)*da_QED2
    coupl(nGC_22688) = coupl(nGC_21734)*dsw_QED2 + coupl(nGC_21735)*db_QED2 +  &
                       coupl(nGC_21736)*dZee_QED2 + coupl(nGC_21737)*da_QED2
    coupl(nGC_22680) = coupl(nGC_579)*dyt2_QED3 + coupl(nGC_581)*db_QED2 +     &
                       coupl(nGC_583)*dyt1_QED3
    coupl(nGC_22683) = coupl(nGC_20699)*dsw_QED2 + coupl(nGC_20700)*db_QED2 +  &
                       coupl(nGC_20701)*dZee_QED2 + coupl(nGC_20702)*da_QED2
    coupl(nGC_33972) = -coupl(nGC_33968)
    coupl(nGC_22685) = coupl(nGC_21588)*dvev2_QED1 + coupl(nGC_21589)*dsw_QED2 &
                        + coupl(nGC_21590)*db_QED2 + coupl(nGC_21591)*         &
                       dvev1_QED1 + coupl(nGC_21592)*dZee_QED2
    coupl(nGC_22687) = coupl(nGC_21716)*dsw_QED2 + coupl(nGC_21717)*db_QED2 +  &
                       coupl(nGC_21718)*dZee_QED2 + coupl(nGC_21719)*da_QED2
    coupl(nGC_22686) = coupl(nGC_21821)*dsw_QED2 + coupl(nGC_21822)*dZee_QED2
    coupl(nGC_22177) = (-coupl(nGC_1433)*coupl(nGC_340)*coupl(nGC_373) - coupl(&
                       nGC_1433)*coupl(nGC_343)*coupl(nGC_370) - coupl(nGC_1541&
                       )*coupl(nGC_369)**2d0 - coupl(nGC_1541)*coupl(nGC_371)**&
                       2d0 - coupl(nGC_1541)*coupl(nGC_372)**2d0 - coupl(      &
                       nGC_1541)*coupl(nGC_374)**2d0 + 8d0*coupl(nGC_2)**2d0*  &
                       coupl(nGC_371) + 8d0*coupl(nGC_207)*coupl(nGC_210)*coupl&
                       (nGC_371))/(32d0*pi**2d0)
    coupl(nGC_22176) = coupl(nGC_13)**2d0*coupl(nGC_1541)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22175) = (-coupl(nGC_1541)**2d0*coupl(nGC_371) + 8d0*coupl(      &
                       nGC_1541)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1541)*coupl(&
                       nGC_207)*coupl(nGC_210) - coupl(nGC_2081)**2d0*coupl(   &
                       nGC_371) - coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_373  &
                       ) - coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_370) - coupl&
                       (nGC_369)**2d0*coupl(nGC_371) - coupl(nGC_371)*coupl(   &
                       nGC_372)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22174) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22173) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_365) - coupl(nGC_1949)*&
                       coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_1949)*coupl(  &
                       nGC_337)*coupl(nGC_367) + 8d0*coupl(nGC_206)*coupl(     &
                       nGC_209)*coupl(nGC_365) - coupl(nGC_3141)*coupl(nGC_363 &
                       )**2d0 - coupl(nGC_3141)*coupl(nGC_365)**2d0 - coupl(   &
                       nGC_3141)*coupl(nGC_366)**2d0 - coupl(nGC_3141)*coupl(  &
                       nGC_368)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22172) = coupl(nGC_13)**2d0*coupl(nGC_3141)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22171) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_3141) + 8d0*coupl(     &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_3141) - coupl(nGC_3141&
                       )**2d0*coupl(nGC_365) - coupl(nGC_334)*coupl(nGC_335)*  &
                       coupl(nGC_364) - coupl(nGC_335)*coupl(nGC_337)*coupl(   &
                       nGC_367) - coupl(nGC_363)**2d0*coupl(nGC_365) - coupl(  &
                       nGC_365)*coupl(nGC_366)**2d0 - coupl(nGC_365)*coupl(    &
                       nGC_989)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22170) = (-coupl(nGC_1931)**2d0*coupl(nGC_359) + 8d0*coupl(      &
                       nGC_1931)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(    &
                       nGC_1931)*coupl(nGC_4)**2d0 - coupl(nGC_2697)**2d0*coupl&
                       (nGC_359) - coupl(nGC_357)**2d0*coupl(nGC_359) - coupl( &
                       nGC_359)*coupl(nGC_360)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22179) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) -     &
                       coupl(nGC_375)**2d0*coupl(nGC_6589) - coupl(nGC_377)**  &
                       2d0*coupl(nGC_6589) + 8d0*coupl(nGC_377)*coupl(nGC_4)** &
                       2d0 - coupl(nGC_378)**2d0*coupl(nGC_6589) - coupl(      &
                       nGC_380)**2d0*coupl(nGC_6589))/(32d0*pi**2d0)
    coupl(nGC_22178) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_39287) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*dZHh_QED2/&
                       2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(nGC_215)*     &
                       dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_22707)
    coupl(nGC_22165) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2345) + 8d0*coupl(     &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_2345) - coupl(nGC_2345&
                       )**2d0*coupl(nGC_347) - coupl(nGC_345)**2d0*coupl(      &
                       nGC_347) - coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_383  &
                       ) - coupl(nGC_347)*coupl(nGC_348)**2d0 - coupl(nGC_347)*&
                       coupl(nGC_4525)**2d0 - coupl(nGC_349)*coupl(nGC_383)*   &
                       coupl(nGC_385))/(32d0*pi**2d0)
    coupl(nGC_32228) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_22166) = coupl(nGC_13)**2d0*coupl(nGC_2345)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_34215) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZmuMinusR_QED2
    coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22465) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*coupl(&
                       nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl(nGC_345&
                       )*coupl(nGC_348) - coupl(nGC_363)*coupl(nGC_366) - coupl&
                       (nGC_369)*coupl(nGC_372) - coupl(nGC_381)*coupl(nGC_384 &
                       ))/(16d0*pi**2d0)
    coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
    coupl(nGC_21974) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_22162) = coupl(nGC_13)**2d0*coupl(nGC_1949)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_33117) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
    coupl(nGC_33378) = coupl(nGC_372)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_33377) = coupl(nGC_372)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_22112) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22163) = (-coupl(nGC_1949)*coupl(nGC_333)**2d0 - coupl(nGC_1949)*&
                       coupl(nGC_335)**2d0 - coupl(nGC_1949)*coupl(nGC_336)**  &
                       2d0 - coupl(nGC_1949)*coupl(nGC_338)**2d0 + 8d0*coupl(  &
                       nGC_2)**2d0*coupl(nGC_335) + 8d0*coupl(nGC_207)*coupl(  &
                       nGC_210)*coupl(nGC_335) - coupl(nGC_3141)*coupl(nGC_334 &
                       )*coupl(nGC_364) - coupl(nGC_3141)*coupl(nGC_337)*coupl(&
                       nGC_367))/(32d0*pi**2d0)
    coupl(nGC_35937) = coupl(nGC_338)*dZG0/2d0
    coupl(nGC_34562) = coupl(nGC_252)*dZGMinus/2d0
    coupl(nGC_32518) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_22730) = coupl(nGC_21648)*dsw_QED2 + coupl(nGC_21649)*dcw_QED2 + &
                       coupl(nGC_21650)*dZee_QED2
    coupl(nGC_32511) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_32512) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*           &
                       dZeMinusL_QED2 + coupl(nGC_22730)
    coupl(nGC_22168) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
    coupl(nGC_56589) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22211) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(      &
                       nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
