!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(7200)%branch(0:0))
    call av(7200, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_212])

    allocate(vertices(7201)%branch(0:0))
    call av(7201, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_80])

    allocate(vertices(7202)%branch(0:0))
    call av(7202, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7203)%branch(0:0))
    call av(7203, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_99])

    allocate(vertices(7204)%branch(0:0))
    call av(7204, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_187])

    allocate(vertices(7205)%branch(0:0))
    call av(7205, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7206)%branch(0:0))
    call av(7206, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_77])

    allocate(vertices(7207)%branch(0:0))
    call av(7207, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_321])

    allocate(vertices(7208)%branch(0:0))
    call av(7208, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_10])

    allocate(vertices(7209)%branch(0:0))
    call av(7209, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_1603])

    allocate(vertices(7210)%branch(0:0))
    call av(7210, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_174])

    allocate(vertices(7211)%branch(0:0))
    call av(7211, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7212)%branch(0:0))
    call av(7212, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_263])

    allocate(vertices(7213)%branch(0:0))
    call av(7213, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_229])

    allocate(vertices(7214)%branch(0:0))
    call av(7214, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_126])

    allocate(vertices(7215)%branch(0:0))
    call av(7215, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_26])

    allocate(vertices(7216)%branch(0:0))
    call av(7216, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_22])

    allocate(vertices(7217)%branch(0:0))
    call av(7217, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7218)%branch(0:0))
    call av(7218, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7219)%branch(0:0))
    call av(7219, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(7220)%branch(0:0))
    call av(7220, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_28])

    allocate(vertices(7221)%branch(0:0))
    call av(7221, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_229])

    allocate(vertices(7222)%branch(0:0))
    call av(7222, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(7223)%branch(0:1))
    call av(7223, 0, 2, 2, 0, UVUa0, 0, [1, 0], [nGC_11])

    call av(7223, 1, 3, 3, 0, UVUa0, 0, [1, 0], [nGC_11])

    allocate(vertices(7224)%branch(0:0))
    call av(7224, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(7225)%branch(0:0))
    call av(7225, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(7226)%branch(0:0))
    call av(7226, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_229])

    allocate(vertices(7227)%branch(0:0))
    call av(7227, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_358])

    allocate(vertices(7228)%branch(0:0))
    call av(7228, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_177])

    allocate(vertices(7229)%branch(0:0))
    call av(7229, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_230])

    allocate(vertices(7230)%branch(0:0))
    call av(7230, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(7231)%branch(0:0))
    call av(7231, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7232)%branch(0:0))
    call av(7232, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_251])

    allocate(vertices(7233)%branch(0:0))
    call av(7233, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_125])

    allocate(vertices(7234)%branch(0:0))
    call av(7234, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_266])

    allocate(vertices(7235)%branch(0:0))
    call av(7235, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_91])

    allocate(vertices(7236)%branch(0:0))
    call av(7236, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_361])

    allocate(vertices(7237)%branch(0:0))
    call av(7237, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_273])

    allocate(vertices(7238)%branch(0:0))
    call av(7238, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_143])

    allocate(vertices(7239)%branch(0:0))
    call av(7239, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(7240)%branch(0:0))
    call av(7240, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_320])

    allocate(vertices(7241)%branch(0:0))
    call av(7241, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_271])

    allocate(vertices(7242)%branch(0:0))
    call av(7242, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_119])

    allocate(vertices(7243)%branch(0:0))
    call av(7243, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_173])

    allocate(vertices(7244)%branch(0:0))
    call av(7244, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_193])

    allocate(vertices(7245)%branch(0:0))
    call av(7245, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_226])

    allocate(vertices(7246)%branch(0:0))
    call av(7246, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7247)%branch(0:0))
    call av(7247, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7248)%branch(0:0))
    call av(7248, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7249)%branch(0:0))
    call av(7249, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1067, nGC_8, nGC_8])

    allocate(vertices(7250)%branch(0:0))
    call av(7250, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7251)%branch(0:0))
    call av(7251, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_22])

    allocate(vertices(7252)%branch(0:0))
    call av(7252, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_186])

    allocate(vertices(7253)%branch(0:0))
    call av(7253, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_153])

    allocate(vertices(7254)%branch(0:0))
    call av(7254, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_186])

    allocate(vertices(7255)%branch(0:0))
    call av(7255, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_117])

    allocate(vertices(7256)%branch(0:0))
    call av(7256, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_322])

    allocate(vertices(7257)%branch(0:0))
    call av(7257, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(7258)%branch(0:0))
    call av(7258, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(7259)%branch(0:0))
    call av(7259, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_1275])

    allocate(vertices(7260)%branch(0:0))
    call av(7260, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7261)%branch(0:0))
    call av(7261, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_118])

    allocate(vertices(7262)%branch(0:0))
    call av(7262, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7263)%branch(0:0))
    call av(7263, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7264)%branch(0:0))
    call av(7264, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

    allocate(vertices(7265)%branch(0:0))
    call av(7265, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_99])

    allocate(vertices(7266)%branch(0:0))
    call av(7266, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_997, nGC_356])

    allocate(vertices(7267)%branch(0:0))
    call av(7267, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(7268)%branch(0:0))
    call av(7268, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_21])

    allocate(vertices(7269)%branch(0:0))
    call av(7269, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_146])

    allocate(vertices(7270)%branch(0:0))
    call av(7270, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_31])

    allocate(vertices(7271)%branch(0:0))
    call av(7271, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_204])

    allocate(vertices(7272)%branch(0:0))
    call av(7272, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_85])

    allocate(vertices(7273)%branch(0:0))
    call av(7273, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_148])

    allocate(vertices(7274)%branch(0:0))
    call av(7274, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7275)%branch(0:0))
    call av(7275, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_206, nGC_209])

    allocate(vertices(7276)%branch(0:0))
    call av(7276, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_219])

    allocate(vertices(7277)%branch(0:0))
    call av(7277, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(7278)%branch(0:0))
    call av(7278, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_22])

    allocate(vertices(7279)%branch(0:0))
    call av(7279, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_329])

    allocate(vertices(7280)%branch(0:0))
    call av(7280, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(7281)%branch(0:0))
    call av(7281, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7282)%branch(0:0))
    call av(7282, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_177])

    allocate(vertices(7283)%branch(0:0))
    call av(7283, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_204])

    allocate(vertices(7284)%branch(0:0))
    call av(7284, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_87])

    allocate(vertices(7285)%branch(0:0))
    call av(7285, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7286)%branch(0:0))
    call av(7286, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7287)%branch(0:0))
    call av(7287, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(7288)%branch(0:0))
    call av(7288, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(7289)%branch(0:0))
    call av(7289, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_231])

    allocate(vertices(7290)%branch(0:0))
    call av(7290, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_95])

    allocate(vertices(7291)%branch(0:0))
    call av(7291, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7292)%branch(0:0))
    call av(7292, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7293)%branch(0:0))
    call av(7293, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(7294)%branch(0:0))
    call av(7294, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_3465, nGC_191, nGC_3467])

    allocate(vertices(7295)%branch(0:0))
    call av(7295, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7296)%branch(0:0))
    call av(7296, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_114])

    allocate(vertices(7297)%branch(0:0))
    call av(7297, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7298)%branch(0:0))
    call av(7298, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(7299)%branch(0:0))
    call av(7299, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7300)%branch(0:0))
    call av(7300, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_221])

    allocate(vertices(7301)%branch(0:0))
    call av(7301, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(7302)%branch(0:0))
    call av(7302, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_31])

    allocate(vertices(7303)%branch(0:0))
    call av(7303, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33])

    allocate(vertices(7304)%branch(0:0))
    call av(7304, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(7305)%branch(0:0))
    call av(7305, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7306)%branch(0:0))
    call av(7306, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_123])

    allocate(vertices(7307)%branch(0:0))
    call av(7307, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7308)%branch(0:0))
    call av(7308, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_229])

    allocate(vertices(7309)%branch(0:0))
    call av(7309, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_91])

    allocate(vertices(7310)%branch(0:0))
    call av(7310, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_94])

    allocate(vertices(7311)%branch(0:0))
    call av(7311, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_113])

    allocate(vertices(7312)%branch(0:0))
    call av(7312, 0, 31, 1, 0, FaSF0, 0, [0, 1], [nGC_3071, nGC_338])

    allocate(vertices(7313)%branch(0:0))
    call av(7313, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_95])

    allocate(vertices(7314)%branch(0:0))
    call av(7314, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_93])

    allocate(vertices(7315)%branch(0:0))
    call av(7315, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7316)%branch(0:0))
    call av(7316, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7317)%branch(0:0))
    call av(7317, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(7318)%branch(0:0))
    call av(7318, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_114])

    allocate(vertices(7319)%branch(0:0))
    call av(7319, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_77])

    allocate(vertices(7320)%branch(0:0))
    call av(7320, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_204])

    allocate(vertices(7321)%branch(0:0))
    call av(7321, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(7322)%branch(0:0))
    call av(7322, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_116])

    allocate(vertices(7323)%branch(0:0))
    call av(7323, 0, 18, 1, 0, SFFa1, 0, [0, 1], [nGC_370, nGC_343])

    allocate(vertices(7324)%branch(0:0))
    call av(7324, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(7325)%branch(0:0))
    call av(7325, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_159])

    allocate(vertices(7326)%branch(0:0))
    call av(7326, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_197])

    allocate(vertices(7327)%branch(0:0))
    call av(7327, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(7328)%branch(0:0))
    call av(7328, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_6])

    allocate(vertices(7329)%branch(0:0))
    call av(7329, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7330)%branch(0:0))
    call av(7330, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_156])

    allocate(vertices(7331)%branch(0:0))
    call av(7331, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_31])

    allocate(vertices(7332)%branch(0:0))
    call av(7332, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7333)%branch(0:0))
    call av(7333, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_233])

    allocate(vertices(7334)%branch(0:0))
    call av(7334, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7335)%branch(0:0))
    call av(7335, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(7336)%branch(0:0))
    call av(7336, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_236])

    allocate(vertices(7337)%branch(0:0))
    call av(7337, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(7338)%branch(0:0))
    call av(7338, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_200])

    allocate(vertices(7339)%branch(0:0))
    call av(7339, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_121])

    allocate(vertices(7340)%branch(0:0))
    call av(7340, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7341)%branch(0:0))
    call av(7341, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_117])

    allocate(vertices(7342)%branch(0:0))
    call av(7342, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_327])

    allocate(vertices(7343)%branch(0:0))
    call av(7343, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7344)%branch(0:0))
    call av(7344, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_204])

    allocate(vertices(7345)%branch(0:0))
    call av(7345, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(7346)%branch(0:0))
    call av(7346, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(7347)%branch(0:0))
    call av(7347, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_224])

    allocate(vertices(7348)%branch(0:0))
    call av(7348, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7349)%branch(0:0))
    call av(7349, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_28])

    allocate(vertices(7350)%branch(0:0))
    call av(7350, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_119])

    allocate(vertices(7351)%branch(0:0))
    call av(7351, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_989, nGC_368])

    allocate(vertices(7352)%branch(0:0))
    call av(7352, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_372, nGC_372])

    allocate(vertices(7353)%branch(0:0))
    call av(7353, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_197])

    allocate(vertices(7354)%branch(0:0))
    call av(7354, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(7355)%branch(0:0))
    call av(7355, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(7356)%branch(0:0))
    call av(7356, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7357)%branch(0:0))
    call av(7357, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(7358)%branch(0:0))
    call av(7358, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_361])

    allocate(vertices(7359)%branch(0:0))
    call av(7359, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_123])

    allocate(vertices(7360)%branch(0:0))
    call av(7360, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(7361)%branch(0:0))
    call av(7361, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_125])

    allocate(vertices(7362)%branch(0:0))
    call av(7362, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(7363)%branch(0:0))
    call av(7363, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7364)%branch(0:0))
    call av(7364, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7365)%branch(0:0))
    call av(7365, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7366)%branch(0:0))
    call av(7366, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_175])

    allocate(vertices(7367)%branch(0:0))
    call av(7367, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_30])

    allocate(vertices(7368)%branch(0:0))
    call av(7368, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_348, nGC_348])

    allocate(vertices(7369)%branch(0:0))
    call av(7369, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7370)%branch(0:0))
    call av(7370, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

    allocate(vertices(7371)%branch(0:0))
    call av(7371, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_204])

    allocate(vertices(7372)%branch(0:0))
    call av(7372, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7373)%branch(0:0))
    call av(7373, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(7374)%branch(0:0))
    call av(7374, 0, 19, 1, 0, VFaF1, 0, [0, 1], [nGC_197])

    allocate(vertices(7375)%branch(0:0))
    call av(7375, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_322])

    allocate(vertices(7376)%branch(0:0))
    call av(7376, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(7377)%branch(0:0))
    call av(7377, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(7378)%branch(0:0))
    call av(7378, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_8])

    allocate(vertices(7379)%branch(0:0))
    call av(7379, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_289])

    allocate(vertices(7380)%branch(0:0))
    call av(7380, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_226])

    allocate(vertices(7381)%branch(0:0))
    call av(7381, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7382)%branch(0:0))
    call av(7382, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_190])

    allocate(vertices(7383)%branch(0:0))
    call av(7383, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_173])

    allocate(vertices(7384)%branch(0:0))
    call av(7384, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_191])

    allocate(vertices(7385)%branch(0:0))
    call av(7385, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_1593])

    allocate(vertices(7386)%branch(0:0))
    call av(7386, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_98])

    allocate(vertices(7387)%branch(0:0))
    call av(7387, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_190])

    allocate(vertices(7388)%branch(0:0))
    call av(7388, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_286])

    allocate(vertices(7389)%branch(0:0))
    call av(7389, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7390)%branch(0:0))
    call av(7390, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_208, nGC_211])

    allocate(vertices(7391)%branch(0:0))
    call av(7391, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_230])

    allocate(vertices(7392)%branch(0:0))
    call av(7392, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_142])

    allocate(vertices(7393)%branch(0:0))
    call av(7393, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33])

    allocate(vertices(7394)%branch(0:0))
    call av(7394, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(7395)%branch(0:0))
    call av(7395, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(7396)%branch(0:0))
    call av(7396, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_319])

    allocate(vertices(7397)%branch(0:0))
    call av(7397, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7398)%branch(0:0))
    call av(7398, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_247])

    allocate(vertices(7399)%branch(0:0))
    call av(7399, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(7400)%branch(0:0))
    call av(7400, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(7401)%branch(0:0))
    call av(7401, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_77])

    allocate(vertices(7402)%branch(0:0))
    call av(7402, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_1083, nGC_386])

    allocate(vertices(7403)%branch(0:0))
    call av(7403, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_120])

    allocate(vertices(7404)%branch(0:0))
    call av(7404, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_93])

    allocate(vertices(7405)%branch(0:0))
    call av(7405, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_232])

    allocate(vertices(7406)%branch(0:0))
    call av(7406, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7407)%branch(0:0))
    call av(7407, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_183])

    allocate(vertices(7408)%branch(0:0))
    call av(7408, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_96])

    allocate(vertices(7409)%branch(0:0))
    call av(7409, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(7410)%branch(0:0))
    call av(7410, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_221])

    allocate(vertices(7411)%branch(0:0))
    call av(7411, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7412)%branch(0:0))
    call av(7412, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_151])

    allocate(vertices(7413)%branch(0:0))
    call av(7413, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(7414)%branch(0:0))
    call av(7414, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_196])

    allocate(vertices(7415)%branch(0:0))
    call av(7415, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(7416)%branch(0:0))
    call av(7416, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(7417)%branch(0:0))
    call av(7417, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(7418)%branch(0:0))
    call av(7418, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_75])

    allocate(vertices(7419)%branch(0:0))
    call av(7419, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_174])

    allocate(vertices(7420)%branch(0:0))
    call av(7420, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_194])

    allocate(vertices(7421)%branch(0:0))
    call av(7421, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7422)%branch(0:0))
    call av(7422, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(7423)%branch(0:0))
    call av(7423, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7424)%branch(0:0))
    call av(7424, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_327])

    allocate(vertices(7425)%branch(0:0))
    call av(7425, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_28])

    allocate(vertices(7426)%branch(0:0))
    call av(7426, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_187])

    allocate(vertices(7427)%branch(0:0))
    call av(7427, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_99])

    allocate(vertices(7428)%branch(0:0))
    call av(7428, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_206, nGC_209])

    allocate(vertices(7429)%branch(0:0))
    call av(7429, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7430)%branch(0:0))
    call av(7430, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7431)%branch(0:0))
    call av(7431, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_117])

    allocate(vertices(7432)%branch(0:0))
    call av(7432, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_5])

    allocate(vertices(7433)%branch(0:0))
    call av(7433, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_122])

    allocate(vertices(7434)%branch(0:0))
    call av(7434, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_160])

    allocate(vertices(7435)%branch(0:0))
    call av(7435, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(7436)%branch(0:0))
    call av(7436, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_140])

    allocate(vertices(7437)%branch(0:0))
    call av(7437, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_187])

    allocate(vertices(7438)%branch(0:0))
    call av(7438, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7439)%branch(0:0))
    call av(7439, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_203])

    allocate(vertices(7440)%branch(0:0))
    call av(7440, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_219])

    allocate(vertices(7441)%branch(0:0))
    call av(7441, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(7442)%branch(0:0))
    call av(7442, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_27])

    allocate(vertices(7443)%branch(0:0))
    call av(7443, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_189])

    allocate(vertices(7444)%branch(0:0))
    call av(7444, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_178])

    allocate(vertices(7445)%branch(0:0))
    call av(7445, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_2841, nGC_380])

    allocate(vertices(7446)%branch(0:0))
    call av(7446, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_221])

    allocate(vertices(7447)%branch(0:0))
    call av(7447, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_220])

    allocate(vertices(7448)%branch(0:0))
    call av(7448, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_323])

    allocate(vertices(7449)%branch(0:0))
    call av(7449, 0, 18, 1, 0, SFFa1, 0, [0, 1], [nGC_1541, nGC_371])

    allocate(vertices(7450)%branch(0:0))
    call av(7450, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(7451)%branch(0:1))
    call av(7451, 0, 20, 4, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    call av(7451, 1, 21, 5, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7452)%branch(0:0))
    call av(7452, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7453)%branch(0:0))
    call av(7453, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7454)%branch(0:0))
    call av(7454, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_205, nGC_1053, nGC_1053])

    allocate(vertices(7455)%branch(0:0))
    call av(7455, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(7456)%branch(0:0))
    call av(7456, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_202])

    allocate(vertices(7457)%branch(0:0))
    call av(7457, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7458)%branch(0:0))
    call av(7458, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7459)%branch(0:0))
    call av(7459, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_94])

    allocate(vertices(7460)%branch(0:0))
    call av(7460, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_117])

    allocate(vertices(7461)%branch(0:0))
    call av(7461, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7462)%branch(0:0))
    call av(7462, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7463)%branch(0:0))
    call av(7463, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(7464)%branch(0:0))
    call av(7464, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_202, nGC_204, nGC_205])

    allocate(vertices(7465)%branch(0:0))
    call av(7465, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_364, nGC_334])

    allocate(vertices(7466)%branch(0:0))
    call av(7466, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7467)%branch(0:0))
    call av(7467, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7468)%branch(0:0))
    call av(7468, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(7469)%branch(0:0))
    call av(7469, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(7470)%branch(0:0))
    call av(7470, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_215])

    allocate(vertices(7471)%branch(0:0))
    call av(7471, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_190])

    allocate(vertices(7472)%branch(0:0))
    call av(7472, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_176])

    allocate(vertices(7473)%branch(0:0))
    call av(7473, 0, 18, 1, 0, VFFa1, 0, [0, 1], [nGC_197])

    allocate(vertices(7474)%branch(0:0))
    call av(7474, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_202])

    allocate(vertices(7475)%branch(0:0))
    call av(7475, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7476)%branch(0:0))
    call av(7476, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7477)%branch(0:0))
    call av(7477, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_228])

    allocate(vertices(7478)%branch(0:0))
    call av(7478, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(7479)%branch(0:0))
    call av(7479, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_190])

    allocate(vertices(7480)%branch(0:0))
    call av(7480, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(7481)%branch(0:0))
    call av(7481, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_933])

    allocate(vertices(7482)%branch(0:0))
    call av(7482, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7483)%branch(0:0))
    call av(7483, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_197])

    allocate(vertices(7484)%branch(0:0))
    call av(7484, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7485)%branch(0:0))
    call av(7485, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_228])

    allocate(vertices(7486)%branch(0:0))
    call av(7486, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_173])

    allocate(vertices(7487)%branch(0:0))
    call av(7487, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7488)%branch(0:0))
    call av(7488, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_127])

    allocate(vertices(7489)%branch(0:0))
    call av(7489, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(7490)%branch(0:0))
    call av(7490, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7491)%branch(0:0))
    call av(7491, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_246])

    allocate(vertices(7492)%branch(0:0))
    call av(7492, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7493)%branch(0:0))
    call av(7493, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_346, nGC_382])

    allocate(vertices(7494)%branch(0:0))
    call av(7494, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7495)%branch(0:0))
    call av(7495, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7496)%branch(0:0))
    call av(7496, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_149])

    allocate(vertices(7497)%branch(0:0))
    call av(7497, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_10])

    allocate(vertices(7498)%branch(0:0))
    call av(7498, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_194])

    allocate(vertices(7499)%branch(0:1))
    call av(7499, 0, 20, 4, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    call av(7499, 1, 21, 5, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7500)%branch(0:0))
    call av(7500, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(7501)%branch(0:0))
    call av(7501, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_29])

    allocate(vertices(7502)%branch(0:0))
    call av(7502, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_1949, nGC_335])

    allocate(vertices(7503)%branch(0:0))
    call av(7503, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_1949, nGC_335])

    allocate(vertices(7504)%branch(0:0))
    call av(7504, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7505)%branch(0:0))
    call av(7505, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

    allocate(vertices(7506)%branch(0:0))
    call av(7506, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_85])

    allocate(vertices(7507)%branch(0:0))
    call av(7507, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7508)%branch(0:0))
    call av(7508, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7509)%branch(0:0))
    call av(7509, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_39])

    allocate(vertices(7510)%branch(0:0))
    call av(7510, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_279])

    allocate(vertices(7511)%branch(0:0))
    call av(7511, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7512)%branch(0:0))
    call av(7512, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_119])

    allocate(vertices(7513)%branch(0:0))
    call av(7513, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_202])

    allocate(vertices(7514)%branch(0:0))
    call av(7514, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_351, nGC_351])

    allocate(vertices(7515)%branch(0:0))
    call av(7515, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_207, nGC_210])

    allocate(vertices(7516)%branch(0:0))
    call av(7516, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_30])

    allocate(vertices(7517)%branch(0:0))
    call av(7517, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(7518)%branch(0:0))
    call av(7518, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(7519)%branch(0:0))
    call av(7519, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_31])

    allocate(vertices(7520)%branch(0:0))
    call av(7520, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(7521)%branch(0:0))
    call av(7521, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_197])

    allocate(vertices(7522)%branch(0:0))
    call av(7522, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_87])

    allocate(vertices(7523)%branch(0:0))
    call av(7523, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_284])

    allocate(vertices(7524)%branch(0:0))
    call av(7524, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_187])

    allocate(vertices(7525)%branch(0:0))
    call av(7525, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_325])

    allocate(vertices(7526)%branch(0:0))
    call av(7526, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_4237, nGC_341])

    allocate(vertices(7527)%branch(0:0))
    call av(7527, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7528)%branch(0:0))
    call av(7528, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

    allocate(vertices(7529)%branch(0:0))
    call av(7529, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_75])

    allocate(vertices(7530)%branch(0:0))
    call av(7530, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_212])

    allocate(vertices(7531)%branch(0:0))
    call av(7531, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_174])

    allocate(vertices(7532)%branch(0:0))
    call av(7532, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_227])

    allocate(vertices(7533)%branch(0:0))
    call av(7533, 0, 31, 1, 0, FaVF1, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(7534)%branch(0:0))
    call av(7534, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7535)%branch(0:0))
    call av(7535, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7536)%branch(0:5))
    call av(7536, 0, 4, 7, 0, UaUVV0, 0, [2, 0], [nGC_1113])

    call av(7536, 1, 5, 7, 0, UaUVV0, 0, [2, 0], [nGC_1113])

    call av(7536, 2, 6, 6, 0, UaUVV0, 0, [2, 0], [nGC_15])

    call av(7536, 3, 7, 6, 0, UaUVV0, 0, [2, 0], [nGC_15])

    call av(7536, 4, 8, 6, 0, UaUVV0, 0, [2, 0], [nGC_15])

    call av(7536, 5, 9, 6, 0, UaUVV0, 0, [2, 0], [nGC_15])

    allocate(vertices(7537)%branch(0:0))
    call av(7537, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_30])

    allocate(vertices(7538)%branch(0:0))
    call av(7538, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7539)%branch(0:0))
    call av(7539, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_326])

    allocate(vertices(7540)%branch(0:0))
    call av(7540, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7541)%branch(0:0))
    call av(7541, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_175])

    allocate(vertices(7542)%branch(0:0))
    call av(7542, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(7543)%branch(0:0))
    call av(7543, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7544)%branch(0:0))
    call av(7544, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_222])

    allocate(vertices(7545)%branch(0:0))
    call av(7545, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7546)%branch(0:0))
    call av(7546, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_221])

    allocate(vertices(7547)%branch(0:0))
    call av(7547, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_287])

    allocate(vertices(7548)%branch(0:0))
    call av(7548, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_22])

    allocate(vertices(7549)%branch(0:0))
    call av(7549, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_22])

    allocate(vertices(7550)%branch(0:0))
    call av(7550, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_204])

    allocate(vertices(7551)%branch(0:0))
    call av(7551, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7552)%branch(0:0))
    call av(7552, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(7553)%branch(0:0))
    call av(7553, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_158])

    allocate(vertices(7554)%branch(0:0))
    call av(7554, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7555)%branch(0:0))
    call av(7555, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_183])

    allocate(vertices(7556)%branch(0:0))
    call av(7556, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(7557)%branch(0:0))
    call av(7557, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_125])

    allocate(vertices(7558)%branch(0:0))
    call av(7558, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_202])

    allocate(vertices(7559)%branch(0:0))
    call av(7559, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_27])

    allocate(vertices(7560)%branch(0:0))
    call av(7560, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7561)%branch(0:0))
    call av(7561, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(7562)%branch(0:0))
    call av(7562, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_156])

    allocate(vertices(7563)%branch(0:0))
    call av(7563, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_373, nGC_340])

    allocate(vertices(7564)%branch(0:0))
    call av(7564, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7565)%branch(0:0))
    call av(7565, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(7566)%branch(0:0))
    call av(7566, 0, 30, 1, 0, FSFa0, 0, [0, 1], [nGC_337, nGC_367])

    allocate(vertices(7567)%branch(0:0))
    call av(7567, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_378, nGC_378])

    allocate(vertices(7568)%branch(0:0))
    call av(7568, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_245])

    allocate(vertices(7569)%branch(0:0))
    call av(7569, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_109])

    allocate(vertices(7570)%branch(0:0))
    call av(7570, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7571)%branch(0:0))
    call av(7571, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7572)%branch(0:0))
    call av(7572, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_345, nGC_345])

    allocate(vertices(7573)%branch(0:0))
    call av(7573, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(7574)%branch(0:0))
    call av(7574, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_31])

    allocate(vertices(7575)%branch(0:0))
    call av(7575, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7576)%branch(0:0))
    call av(7576, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7577)%branch(0:0))
    call av(7577, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_75])

    allocate(vertices(7578)%branch(0:1))
    call av(7578, 0, 28, 4, 0, FaFV0, 0, [1, 0], [nGC_13, nGC_13])

    call av(7578, 1, 29, 5, 0, FaFV0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7579)%branch(0:0))
    call av(7579, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(7580)%branch(0:0))
    call av(7580, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

    allocate(vertices(7581)%branch(0:0))
    call av(7581, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_176])

    allocate(vertices(7582)%branch(0:0))
    call av(7582, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_117])

    allocate(vertices(7583)%branch(0:0))
    call av(7583, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_99])

    allocate(vertices(7584)%branch(0:0))
    call av(7584, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7585)%branch(0:0))
    call av(7585, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_229])

    allocate(vertices(7586)%branch(0:0))
    call av(7586, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(7587)%branch(0:0))
    call av(7587, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_375, nGC_375])

    allocate(vertices(7588)%branch(0:0))
    call av(7588, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(7589)%branch(0:0))
    call av(7589, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_348, nGC_348])

    allocate(vertices(7590)%branch(0:0))
    call av(7590, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7591)%branch(0:0))
    call av(7591, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1067, nGC_8, nGC_8])

    allocate(vertices(7592)%branch(0:0))
    call av(7592, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_84])

    allocate(vertices(7593)%branch(0:0))
    call av(7593, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_84])

    allocate(vertices(7594)%branch(0:0))
    call av(7594, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_225])

    allocate(vertices(7595)%branch(0:0))
    call av(7595, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

    allocate(vertices(7596)%branch(0:0))
    call av(7596, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7597)%branch(0:0))
    call av(7597, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7598)%branch(0:0))
    call av(7598, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_325])

    allocate(vertices(7599)%branch(0:0))
    call av(7599, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(7600)%branch(0:0))
    call av(7600, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_202])

    allocate(vertices(7601)%branch(0:0))
    call av(7601, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_92])

    allocate(vertices(7602)%branch(0:0))
    call av(7602, 0, 31, 1, 0, FaSF0, 0, [0, 1], [nGC_336, nGC_336])

    allocate(vertices(7603)%branch(0:0))
    call av(7603, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(7604)%branch(0:0))
    call av(7604, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(7605)%branch(0:0))
    call av(7605, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_375, nGC_375])

    allocate(vertices(7606)%branch(0:0))
    call av(7606, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(7607)%branch(0:0))
    call av(7607, 0, 19, 1, 0, VFaF1, 0, [0, 1], [nGC_197])

    allocate(vertices(7608)%branch(0:0))
    call av(7608, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(7609)%branch(0:0))
    call av(7609, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7610)%branch(0:0))
    call av(7610, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_80])

    allocate(vertices(7611)%branch(0:0))
    call av(7611, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_320])

    allocate(vertices(7612)%branch(0:0))
    call av(7612, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7613)%branch(0:0))
    call av(7613, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_222])

    allocate(vertices(7614)%branch(0:0))
    call av(7614, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(7615)%branch(0:1))
    call av(7615, 0, 28, 4, 0, FaFV0, 0, [1, 0], [nGC_13, nGC_13])

    call av(7615, 1, 29, 5, 0, FaFV0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7616)%branch(0:0))
    call av(7616, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_203])

    allocate(vertices(7617)%branch(0:0))
    call av(7617, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(7618)%branch(0:0))
    call av(7618, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7619)%branch(0:0))
    call av(7619, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7620)%branch(0:0))
    call av(7620, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7621)%branch(0:0))
    call av(7621, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7622)%branch(0:0))
    call av(7622, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(7623)%branch(0:0))
    call av(7623, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_158])

    allocate(vertices(7624)%branch(0:0))
    call av(7624, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7625)%branch(0:0))
    call av(7625, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_186])

    allocate(vertices(7626)%branch(0:0))
    call av(7626, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_4477])

    allocate(vertices(7627)%branch(0:0))
    call av(7627, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_1275])

    allocate(vertices(7628)%branch(0:0))
    call av(7628, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7629)%branch(0:0))
    call av(7629, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_75])

    allocate(vertices(7630)%branch(0:0))
    call av(7630, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(7631)%branch(0:0))
    call av(7631, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_22])

    allocate(vertices(7632)%branch(0:0))
    call av(7632, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(7633)%branch(0:0))
    call av(7633, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(7634)%branch(0:0))
    call av(7634, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_130])

    allocate(vertices(7635)%branch(0:0))
    call av(7635, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_178])

    allocate(vertices(7636)%branch(0:0))
    call av(7636, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_157])

    allocate(vertices(7637)%branch(0:0))
    call av(7637, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7638)%branch(0:0))
    call av(7638, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

    allocate(vertices(7639)%branch(0:0))
    call av(7639, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_1603])

    allocate(vertices(7640)%branch(0:0))
    call av(7640, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7641)%branch(0:0))
    call av(7641, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7642)%branch(0:0))
    call av(7642, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

    allocate(vertices(7643)%branch(0:0))
    call av(7643, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7644)%branch(0:0))
    call av(7644, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_76])

    allocate(vertices(7645)%branch(0:0))
    call av(7645, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7646)%branch(0:0))
    call av(7646, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_202])

    allocate(vertices(7647)%branch(0:0))
    call av(7647, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7648)%branch(0:0))
    call av(7648, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(7649)%branch(0:0))
    call av(7649, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(7650)%branch(0:0))
    call av(7650, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_205])

    allocate(vertices(7651)%branch(0:0))
    call av(7651, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_39])

    allocate(vertices(7652)%branch(0:0))
    call av(7652, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_157])

    allocate(vertices(7653)%branch(0:0))
    call av(7653, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_207, nGC_210])

    allocate(vertices(7654)%branch(0:0))
    call av(7654, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(7655)%branch(0:0))
    call av(7655, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7656)%branch(0:0))
    call av(7656, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7657)%branch(0:0))
    call av(7657, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_168])

    allocate(vertices(7658)%branch(0:0))
    call av(7658, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_190])

    allocate(vertices(7659)%branch(0:0))
    call av(7659, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(7660)%branch(0:0))
    call av(7660, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_355])

    allocate(vertices(7661)%branch(0:0))
    call av(7661, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_190])

    allocate(vertices(7662)%branch(0:0))
    call av(7662, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(7663)%branch(0:0))
    call av(7663, 0, 31, 1, 0, FaSF0, 0, [0, 1], [nGC_373, nGC_340])

    allocate(vertices(7664)%branch(0:0))
    call av(7664, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_357, nGC_357])

    allocate(vertices(7665)%branch(0:0))
    call av(7665, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7666)%branch(0:0))
    call av(7666, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7667)%branch(0:0))
    call av(7667, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_197])

    allocate(vertices(7668)%branch(0:0))
    call av(7668, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7669)%branch(0:0))
    call av(7669, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(7670)%branch(0:0))
    call av(7670, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7671)%branch(0:0))
    call av(7671, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7672)%branch(0:0))
    call av(7672, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7673)%branch(0:0))
    call av(7673, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_150])

    allocate(vertices(7674)%branch(0:0))
    call av(7674, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(7675)%branch(0:0))
    call av(7675, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7676)%branch(0:0))
    call av(7676, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(7677)%branch(0:0))
    call av(7677, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_322])

    allocate(vertices(7678)%branch(0:0))
    call av(7678, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(7679)%branch(0:0))
    call av(7679, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7680)%branch(0:0))
    call av(7680, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_124])

    allocate(vertices(7681)%branch(0:0))
    call av(7681, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7682)%branch(0:0))
    call av(7682, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_187])

    allocate(vertices(7683)%branch(0:0))
    call av(7683, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7684)%branch(0:0))
    call av(7684, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_183])

    allocate(vertices(7685)%branch(0:0))
    call av(7685, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(7686)%branch(0:0))
    call av(7686, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_271])

    allocate(vertices(7687)%branch(0:0))
    call av(7687, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_212])

    allocate(vertices(7688)%branch(0:0))
    call av(7688, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7689)%branch(0:0))
    call av(7689, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_116])

    allocate(vertices(7690)%branch(0:0))
    call av(7690, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7691)%branch(0:0))
    call av(7691, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_287])

    allocate(vertices(7692)%branch(0:0))
    call av(7692, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_83])

    allocate(vertices(7693)%branch(0:0))
    call av(7693, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_187])

    allocate(vertices(7694)%branch(0:0))
    call av(7694, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7695)%branch(0:0))
    call av(7695, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_222])

    allocate(vertices(7696)%branch(0:0))
    call av(7696, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_204])

    allocate(vertices(7697)%branch(0:0))
    call av(7697, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

    allocate(vertices(7698)%branch(0:0))
    call av(7698, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_120])

    allocate(vertices(7699)%branch(0:0))
    call av(7699, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_28])

    allocate(vertices(7700)%branch(0:0))
    call av(7700, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_179])

    allocate(vertices(7701)%branch(0:0))
    call av(7701, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7702)%branch(0:0))
    call av(7702, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(7703)%branch(0:0))
    call av(7703, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_4517])

    allocate(vertices(7704)%branch(0:0))
    call av(7704, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7705)%branch(0:0))
    call av(7705, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_376])

    allocate(vertices(7706)%branch(0:0))
    call av(7706, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_229])

    allocate(vertices(7707)%branch(0:0))
    call av(7707, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_236])

    allocate(vertices(7708)%branch(0:0))
    call av(7708, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_116])

    allocate(vertices(7709)%branch(0:0))
    call av(7709, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_114])

    allocate(vertices(7710)%branch(0:0))
    call av(7710, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_1603])

    allocate(vertices(7711)%branch(0:0))
    call av(7711, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_28])

    allocate(vertices(7712)%branch(0:0))
    call av(7712, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_187])

    allocate(vertices(7713)%branch(0:0))
    call av(7713, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_212])

    allocate(vertices(7714)%branch(0:0))
    call av(7714, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_114])

    allocate(vertices(7715)%branch(0:0))
    call av(7715, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7716)%branch(0:0))
    call av(7716, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_21])

    allocate(vertices(7717)%branch(0:0))
    call av(7717, 0, 1, 1, 0, SFFa1, 0, [0, 1], [nGC_1931, nGC_359])

    allocate(vertices(7718)%branch(0:0))
    call av(7718, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7719)%branch(0:0))
    call av(7719, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7720)%branch(0:0))
    call av(7720, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7721)%branch(0:0))
    call av(7721, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7722)%branch(0:0))
    call av(7722, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7723)%branch(0:0))
    call av(7723, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_254])

    allocate(vertices(7724)%branch(0:0))
    call av(7724, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_119])

    allocate(vertices(7725)%branch(0:0))
    call av(7725, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_173])

    allocate(vertices(7726)%branch(0:0))
    call av(7726, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7727)%branch(0:0))
    call av(7727, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(7728)%branch(0:0))
    call av(7728, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_186])

    allocate(vertices(7729)%branch(0:0))
    call av(7729, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

    allocate(vertices(7730)%branch(0:0))
    call av(7730, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_172])

    allocate(vertices(7731)%branch(0:0))
    call av(7731, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_174])

    allocate(vertices(7732)%branch(0:0))
    call av(7732, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_184])

    allocate(vertices(7733)%branch(0:0))
    call av(7733, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(7734)%branch(0:0))
    call av(7734, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_223])

    allocate(vertices(7735)%branch(0:0))
    call av(7735, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_200])

    allocate(vertices(7736)%branch(0:0))
    call av(7736, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_112])

    allocate(vertices(7737)%branch(0:0))
    call av(7737, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_202])

    allocate(vertices(7738)%branch(0:0))
    call av(7738, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_82])

    allocate(vertices(7739)%branch(0:0))
    call av(7739, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7740)%branch(0:0))
    call av(7740, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_260])

    allocate(vertices(7741)%branch(0:0))
    call av(7741, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_124])

    allocate(vertices(7742)%branch(0:0))
    call av(7742, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_179])

    allocate(vertices(7743)%branch(0:0))
    call av(7743, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_321])

    allocate(vertices(7744)%branch(0:0))
    call av(7744, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_151])

    allocate(vertices(7745)%branch(0:0))
    call av(7745, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7746)%branch(0:0))
    call av(7746, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7747)%branch(0:0))
    call av(7747, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_223])

    allocate(vertices(7748)%branch(0:0))
    call av(7748, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_238])

    allocate(vertices(7749)%branch(0:0))
    call av(7749, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7750)%branch(0:0))
    call av(7750, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_77])

    allocate(vertices(7751)%branch(0:0))
    call av(7751, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7752)%branch(0:0))
    call av(7752, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(7753)%branch(0:0))
    call av(7753, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_115])

    allocate(vertices(7754)%branch(0:0))
    call av(7754, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_22])

    allocate(vertices(7755)%branch(0:0))
    call av(7755, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7756)%branch(0:0))
    call av(7756, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_115])

    allocate(vertices(7757)%branch(0:0))
    call av(7757, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_343, nGC_370])

    allocate(vertices(7758)%branch(0:0))
    call av(7758, 0, 1, 1, 0, SFaF2, 0, [0, 1], [nGC_352])

    allocate(vertices(7759)%branch(0:0))
    call av(7759, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7760)%branch(0:0))
    call av(7760, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7761)%branch(0:0))
    call av(7761, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(7762)%branch(0:0))
    call av(7762, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(7763)%branch(0:0))
    call av(7763, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_316])

    allocate(vertices(7764)%branch(0:0))
    call av(7764, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(7765)%branch(0:0))
    call av(7765, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_124])

    allocate(vertices(7766)%branch(0:0))
    call av(7766, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(7767)%branch(0:0))
    call av(7767, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_3141, nGC_365])

    allocate(vertices(7768)%branch(0:0))
    call av(7768, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7769)%branch(0:0))
    call av(7769, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7770)%branch(0:0))
    call av(7770, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_325])

    allocate(vertices(7771)%branch(0:0))
    call av(7771, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7772)%branch(0:0))
    call av(7772, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(7773)%branch(0:0))
    call av(7773, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_328])

    allocate(vertices(7774)%branch(0:0))
    call av(7774, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_78])

    allocate(vertices(7775)%branch(0:0))
    call av(7775, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(7776)%branch(0:0))
    call av(7776, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(7777)%branch(0:1))
    call av(7777, 0, 28, 4, 0, FaFV0, 0, [1, 0], [nGC_13, nGC_13])

    call av(7777, 1, 29, 5, 0, FaFV0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7778)%branch(0:0))
    call av(7778, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(7779)%branch(0:0))
    call av(7779, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(7780)%branch(0:0))
    call av(7780, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_76])

    allocate(vertices(7781)%branch(0:0))
    call av(7781, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7782)%branch(0:0))
    call av(7782, 0, 18, 1, 0, SFFa1, 0, [0, 1], [nGC_381, nGC_381])

    allocate(vertices(7783)%branch(0:0))
    call av(7783, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7784)%branch(0:0))
    call av(7784, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7785)%branch(0:0))
    call av(7785, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(7786)%branch(0:0))
    call av(7786, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_194])

    allocate(vertices(7787)%branch(0:0))
    call av(7787, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33])

    allocate(vertices(7788)%branch(0:0))
    call av(7788, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_175])

    allocate(vertices(7789)%branch(0:1))
    call av(7789, 0, 20, 4, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    call av(7789, 1, 21, 5, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7790)%branch(0:0))
    call av(7790, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_113])

    allocate(vertices(7791)%branch(0:0))
    call av(7791, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_21])

    allocate(vertices(7792)%branch(0:0))
    call av(7792, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

    allocate(vertices(7793)%branch(0:0))
    call av(7793, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_84])

    allocate(vertices(7794)%branch(0:0))
    call av(7794, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(7795)%branch(0:0))
    call av(7795, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7796)%branch(0:0))
    call av(7796, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_94])

    allocate(vertices(7797)%branch(0:0))
    call av(7797, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7798)%branch(0:0))
    call av(7798, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(7799)%branch(0:0))
    call av(7799, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_175])

    allocate(vertices(7800)%branch(0:0))
    call av(7800, 0, 31, 1, 0, FaVF1, 0, [0, 1], [nGC_207, nGC_210])

    allocate(vertices(7801)%branch(0:0))
    call av(7801, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(7802)%branch(0:0))
    call av(7802, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_321])

    allocate(vertices(7803)%branch(0:0))
    call av(7803, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_229])

    allocate(vertices(7804)%branch(0:0))
    call av(7804, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_119])

    allocate(vertices(7805)%branch(0:0))
    call av(7805, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(7806)%branch(0:0))
    call av(7806, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

    allocate(vertices(7807)%branch(0:0))
    call av(7807, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_191])

    allocate(vertices(7808)%branch(0:0))
    call av(7808, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(7809)%branch(0:0))
    call av(7809, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_136])

    allocate(vertices(7810)%branch(0:0))
    call av(7810, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(7811)%branch(0:0))
    call av(7811, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(7812)%branch(0:0))
    call av(7812, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7813)%branch(0:0))
    call av(7813, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_30])

    allocate(vertices(7814)%branch(0:0))
    call av(7814, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_212])

    allocate(vertices(7815)%branch(0:0))
    call av(7815, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(7816)%branch(0:0))
    call av(7816, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_232])

    allocate(vertices(7817)%branch(0:0))
    call av(7817, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_77])

    allocate(vertices(7818)%branch(0:0))
    call av(7818, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_310])

    allocate(vertices(7819)%branch(0:0))
    call av(7819, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(7820)%branch(0:0))
    call av(7820, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7821)%branch(0:0))
    call av(7821, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7822)%branch(0:0))
    call av(7822, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_328])

    allocate(vertices(7823)%branch(0:0))
    call av(7823, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7824)%branch(0:0))
    call av(7824, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7825)%branch(0:0))
    call av(7825, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_187])

    allocate(vertices(7826)%branch(0:0))
    call av(7826, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_258])

    allocate(vertices(7827)%branch(0:0))
    call av(7827, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(7828)%branch(0:0))
    call av(7828, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_174])

    allocate(vertices(7829)%branch(0:0))
    call av(7829, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_197])

    allocate(vertices(7830)%branch(0:0))
    call av(7830, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(7831)%branch(0:0))
    call av(7831, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_190])

    allocate(vertices(7832)%branch(0:0))
    call av(7832, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_30])

    allocate(vertices(7833)%branch(0:0))
    call av(7833, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7834)%branch(0:0))
    call av(7834, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(7835)%branch(0:0))
    call av(7835, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_324])

    allocate(vertices(7836)%branch(0:0))
    call av(7836, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7837)%branch(0:0))
    call av(7837, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_220])

    allocate(vertices(7838)%branch(0:0))
    call av(7838, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(7839)%branch(0:0))
    call av(7839, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_112])

    allocate(vertices(7840)%branch(0:0))
    call av(7840, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_267])

    allocate(vertices(7841)%branch(0:0))
    call av(7841, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_219])

    allocate(vertices(7842)%branch(0:0))
    call av(7842, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_174])

    allocate(vertices(7843)%branch(0:0))
    call av(7843, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

    allocate(vertices(7844)%branch(0:0))
    call av(7844, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7845)%branch(0:0))
    call av(7845, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_212])

    allocate(vertices(7846)%branch(0:0))
    call av(7846, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7847)%branch(0:0))
    call av(7847, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_157])

    allocate(vertices(7848)%branch(0:0))
    call av(7848, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(7849)%branch(0:0))
    call av(7849, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(7850)%branch(0:0))
    call av(7850, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(7851)%branch(0:0))
    call av(7851, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_376])

    allocate(vertices(7852)%branch(0:0))
    call av(7852, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_114])

    allocate(vertices(7853)%branch(0:0))
    call av(7853, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_193])

    allocate(vertices(7854)%branch(0:0))
    call av(7854, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_201])

    allocate(vertices(7855)%branch(0:0))
    call av(7855, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(7856)%branch(0:0))
    call av(7856, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7857)%branch(0:0))
    call av(7857, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7858)%branch(0:0))
    call av(7858, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(7859)%branch(0:0))
    call av(7859, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_29])

    allocate(vertices(7860)%branch(0:0))
    call av(7860, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_194])

    allocate(vertices(7861)%branch(0:0))
    call av(7861, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_174])

    allocate(vertices(7862)%branch(0:0))
    call av(7862, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_197])

    allocate(vertices(7863)%branch(0:0))
    call av(7863, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7864)%branch(0:0))
    call av(7864, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_208, nGC_211])

    allocate(vertices(7865)%branch(0:0))
    call av(7865, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7866)%branch(0:0))
    call av(7866, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_227])

    allocate(vertices(7867)%branch(0:0))
    call av(7867, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_76])

    allocate(vertices(7868)%branch(0:0))
    call av(7868, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(7869)%branch(0:0))
    call av(7869, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

    allocate(vertices(7870)%branch(0:0))
    call av(7870, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_174])

    allocate(vertices(7871)%branch(0:0))
    call av(7871, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_151])

    allocate(vertices(7872)%branch(0:0))
    call av(7872, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(7873)%branch(0:0))
    call av(7873, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_193])

    allocate(vertices(7874)%branch(0:0))
    call av(7874, 0, 1, 1, 0, SFFa1, 0, [0, 1], [nGC_6589, nGC_377])

    allocate(vertices(7875)%branch(0:0))
    call av(7875, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(7876)%branch(0:0))
    call av(7876, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_94])

    allocate(vertices(7877)%branch(0:0))
    call av(7877, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(7878)%branch(0:0))
    call av(7878, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_327])

    allocate(vertices(7879)%branch(0:0))
    call av(7879, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_91])

    allocate(vertices(7880)%branch(0:0))
    call av(7880, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_4477])

    allocate(vertices(7881)%branch(0:0))
    call av(7881, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_174])

    allocate(vertices(7882)%branch(0:0))
    call av(7882, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7883)%branch(0:0))
    call av(7883, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_196])

    allocate(vertices(7884)%branch(0:0))
    call av(7884, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7885)%branch(0:0))
    call av(7885, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(7886)%branch(0:0))
    call av(7886, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(7887)%branch(0:0))
    call av(7887, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_31])

    allocate(vertices(7888)%branch(0:0))
    call av(7888, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_204])

    allocate(vertices(7889)%branch(0:0))
    call av(7889, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(7890)%branch(0:0))
    call av(7890, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_196])

    allocate(vertices(7891)%branch(0:0))
    call av(7891, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_4485, nGC_10, nGC_4487])

    allocate(vertices(7892)%branch(0:0))
    call av(7892, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(7893)%branch(0:0))
    call av(7893, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_71])

    allocate(vertices(7894)%branch(0:0))
    call av(7894, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_8])

    allocate(vertices(7895)%branch(0:0))
    call av(7895, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_107])

    allocate(vertices(7896)%branch(0:0))
    call av(7896, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(7897)%branch(0:0))
    call av(7897, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_178])

    allocate(vertices(7898)%branch(0:0))
    call av(7898, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(7899)%branch(0:0))
    call av(7899, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_113])

    allocate(vertices(7900)%branch(0:0))
    call av(7900, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_340, nGC_373])

    allocate(vertices(7901)%branch(0:0))
    call av(7901, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7902)%branch(0:0))
    call av(7902, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(7903)%branch(0:0))
    call av(7903, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_22])

    allocate(vertices(7904)%branch(0:0))
    call av(7904, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7905)%branch(0:0))
    call av(7905, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(7906)%branch(0:0))
    call av(7906, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_204])

    allocate(vertices(7907)%branch(0:0))
    call av(7907, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7908)%branch(0:0))
    call av(7908, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_190])

    allocate(vertices(7909)%branch(0:0))
    call av(7909, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_1275])

    allocate(vertices(7910)%branch(0:0))
    call av(7910, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_186])

    allocate(vertices(7911)%branch(0:0))
    call av(7911, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7912)%branch(0:0))
    call av(7912, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_324])

    allocate(vertices(7913)%branch(0:0))
    call av(7913, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_207, nGC_210])

    allocate(vertices(7914)%branch(0:0))
    call av(7914, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(7915)%branch(0:0))
    call av(7915, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_229])

    allocate(vertices(7916)%branch(0:0))
    call av(7916, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_115])

    allocate(vertices(7917)%branch(0:0))
    call av(7917, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_79])

    allocate(vertices(7918)%branch(0:0))
    call av(7918, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_76])

    allocate(vertices(7919)%branch(0:0))
    call av(7919, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(7920)%branch(0:0))
    call av(7920, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_204])

    allocate(vertices(7921)%branch(0:0))
    call av(7921, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_85])

    allocate(vertices(7922)%branch(0:0))
    call av(7922, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7923)%branch(0:0))
    call av(7923, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_376])

    allocate(vertices(7924)%branch(0:0))
    call av(7924, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_203])

    allocate(vertices(7925)%branch(0:0))
    call av(7925, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_223])

    allocate(vertices(7926)%branch(0:0))
    call av(7926, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_324])

    allocate(vertices(7927)%branch(0:0))
    call av(7927, 0, 18, 1, 0, SFFa1, 0, [0, 1], [nGC_2345, nGC_347])

    allocate(vertices(7928)%branch(0:0))
    call av(7928, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(7929)%branch(0:0))
    call av(7929, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_93])

    allocate(vertices(7930)%branch(0:0))
    call av(7930, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_187])

    allocate(vertices(7931)%branch(0:0))
    call av(7931, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(7932)%branch(0:0))
    call av(7932, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(7933)%branch(0:0))
    call av(7933, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_186])

    allocate(vertices(7934)%branch(0:0))
    call av(7934, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(7935)%branch(0:0))
    call av(7935, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7936)%branch(0:0))
    call av(7936, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(7937)%branch(0:0))
    call av(7937, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_186])

    allocate(vertices(7938)%branch(0:0))
    call av(7938, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_22])

    allocate(vertices(7939)%branch(0:0))
    call av(7939, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_361])

    allocate(vertices(7940)%branch(0:0))
    call av(7940, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_220])

    allocate(vertices(7941)%branch(0:0))
    call av(7941, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_2841, nGC_380])

    allocate(vertices(7942)%branch(0:0))
    call av(7942, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_219])

    allocate(vertices(7943)%branch(0:0))
    call av(7943, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_186])

    allocate(vertices(7944)%branch(0:0))
    call av(7944, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7945)%branch(0:0))
    call av(7945, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(7946)%branch(0:0))
    call av(7946, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_24])

    allocate(vertices(7947)%branch(0:0))
    call av(7947, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_154])

    allocate(vertices(7948)%branch(0:0))
    call av(7948, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(7949)%branch(0:0))
    call av(7949, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_80])

    allocate(vertices(7950)%branch(0:0))
    call av(7950, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_1315, nGC_383])

    allocate(vertices(7951)%branch(0:0))
    call av(7951, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_100])

    allocate(vertices(7952)%branch(0:0))
    call av(7952, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7953)%branch(0:0))
    call av(7953, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(7954)%branch(0:0))
    call av(7954, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_352])

    allocate(vertices(7955)%branch(0:0))
    call av(7955, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_187])

    allocate(vertices(7956)%branch(0:0))
    call av(7956, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_159])

    allocate(vertices(7957)%branch(0:0))
    call av(7957, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_227])

    allocate(vertices(7958)%branch(0:0))
    call av(7958, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_138])

    allocate(vertices(7959)%branch(0:0))
    call av(7959, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_318])

    allocate(vertices(7960)%branch(0:0))
    call av(7960, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(7961)%branch(0:0))
    call av(7961, 0, 1, 1, 0, SFaF1, 0, [0, 1], [nGC_352])

    allocate(vertices(7962)%branch(0:0))
    call av(7962, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_202, nGC_204, nGC_205])

    allocate(vertices(7963)%branch(0:0))
    call av(7963, 0, 31, 1, 0, FaVF1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(7964)%branch(0:0))
    call av(7964, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_106])

    allocate(vertices(7965)%branch(0:0))
    call av(7965, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_190])

    allocate(vertices(7966)%branch(0:0))
    call av(7966, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_21])

    allocate(vertices(7967)%branch(0:0))
    call av(7967, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_175])

    allocate(vertices(7968)%branch(0:0))
    call av(7968, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(7969)%branch(0:0))
    call av(7969, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_76])

    allocate(vertices(7970)%branch(0:0))
    call av(7970, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(7971)%branch(0:0))
    call av(7971, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_114])

    allocate(vertices(7972)%branch(0:0))
    call av(7972, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_325])

    allocate(vertices(7973)%branch(0:0))
    call av(7973, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(7974)%branch(0:0))
    call av(7974, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_269])

    allocate(vertices(7975)%branch(0:0))
    call av(7975, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_175])

    allocate(vertices(7976)%branch(0:0))
    call av(7976, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_238])

    allocate(vertices(7977)%branch(0:0))
    call av(7977, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_221])

    allocate(vertices(7978)%branch(0:0))
    call av(7978, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(7979)%branch(0:0))
    call av(7979, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(7980)%branch(0:0))
    call av(7980, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(7981)%branch(0:0))
    call av(7981, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

    allocate(vertices(7982)%branch(0:0))
    call av(7982, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7983)%branch(0:0))
    call av(7983, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(7984)%branch(0:0))
    call av(7984, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_221])

    allocate(vertices(7985)%branch(0:0))
    call av(7985, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_194])

    allocate(vertices(7986)%branch(0:0))
    call av(7986, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(7987)%branch(0:0))
    call av(7987, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7988)%branch(0:0))
    call av(7988, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(7989)%branch(0:0))
    call av(7989, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_67])

    allocate(vertices(7990)%branch(0:1))
    call av(7990, 0, 11, 4, 0, FFaV1, 0, [1, 0], [nGC_13, nGC_13])

    call av(7990, 1, 12, 5, 0, FFaV1, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(7991)%branch(0:0))
    call av(7991, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1053, nGC_205, nGC_1827])

    allocate(vertices(7992)%branch(0:0))
    call av(7992, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_139])

    allocate(vertices(7993)%branch(0:0))
    call av(7993, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_98])

    allocate(vertices(7994)%branch(0:0))
    call av(7994, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(7995)%branch(0:0))
    call av(7995, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(7996)%branch(0:0))
    call av(7996, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_180])

    allocate(vertices(7997)%branch(0:0))
    call av(7997, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_31])

    allocate(vertices(7998)%branch(0:0))
    call av(7998, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_208, nGC_211])

    allocate(vertices(7999)%branch(0:0))
    call av(7999, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

  end subroutine fill_vertices_mdl10
end module vertices_info10
