!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  implicit none
  contains
  subroutine fill_vertices_mdl21()
    use class_vertices
    use class_couplings
    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9211)%branchR2(0:0))
    call avR2(9211, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22084])

    allocate(vertices(10462)%branchR2(0:0))
    call avR2(10462, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5024)%branchR2(0:0))
    call avR2(5024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(1596)%branchR2(0:0))
    call avR2(1596, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22200, nGC_22199])

    allocate(vertices(7054)%branchR2(0:0))
    call avR2(7054, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(7029)%branchR2(0:1))
    call avR2(7029, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22193, nGC_22194])

    call avR2(7029, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22195, nGC_22195])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22138])

    allocate(vertices(6544)%branchR2(0:0))
    call avR2(6544, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(4507)%branchR2(0:0))
    call avR2(4507, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10113)%branchR2(0:0))
    call avR2(10113, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(3695)%branchR2(0:1))
    call avR2(3695, 0, 31, 1, 0, FaVF0, 0, [0, 3], [nGC_22245])

    call avR2(3695, 1, 31, 1, 0, FaVF0, 0, [2, 1], [nGC_22246])

    allocate(vertices(10249)%branchR2(0:0))
    call avR2(10249, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2173)%branchR2(0:0))
    call avR2(2173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(4273)%branchR2(0:0))
    call avR2(4273, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(4986)%branchR2(0:0))
    call avR2(4986, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(1584)%branchR2(0:0))
    call avR2(1584, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3767)%branchR2(0:0))
    call avR2(3767, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22271])

    allocate(vertices(5590)%branchR2(0:0))
    call avR2(5590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(1611)%branchR2(0:1))
    call avR2(1611, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22089, nGC_22091])

    call avR2(1611, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22090, nGC_22092])

    allocate(vertices(3998)%branchR2(0:0))
    call avR2(3998, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22081])

    allocate(vertices(1631)%branchR2(0:0))
    call avR2(1631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(10527)%branchR2(0:0))
    call avR2(10527, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22313])

    allocate(vertices(1950)%branchR2(0:0))
    call avR2(1950, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(3738)%branchR2(0:0))
    call avR2(3738, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22073])

    allocate(vertices(6471)%branchR2(0:0))
    call avR2(6471, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(7675)%branchR2(0:0))
    call avR2(7675, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10472)%branchR2(0:0))
    call avR2(10472, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(26)%branchR2(0:0))
    call avR2(26, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10528)%branchR2(0:0))
    call avR2(10528, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(7777)%branchR2(0:3))
    call avR2(7777, 0, 28, 1, 0, FaFV0, 0, [1, 2], [nGC_22283, nGC_22281])

    call avR2(7777, 1, 28, 1, 0, FaFV0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(7777, 2, 29, 1, 0, FaFV0, 0, [1, 2], [nGC_22280, nGC_22278])

    call avR2(7777, 3, 29, 1, 0, FaFV0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(9729)%branchR2(0:0))
    call avR2(9729, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(8965)%branchR2(0:0))
    call avR2(8965, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21955, nGC_21954,        &
    nGC_21956])

    allocate(vertices(712)%branchR2(0:0))
    call avR2(712, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22276, nGC_22277])

    allocate(vertices(9063)%branchR2(0:0))
    call avR2(9063, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(5589)%branchR2(0:0))
    call avR2(5589, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(4420)%branchR2(0:0))
    call avR2(4420, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22040])

    allocate(vertices(10529)%branchR2(0:1))
    call avR2(10529, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_22477, nGC_22477,     &
    nGC_22477])

    call avR2(10529, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_22478, nGC_22478,     &
    nGC_22478])

    allocate(vertices(6129)%branchR2(0:0))
    call avR2(6129, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58137])

    allocate(vertices(10530)%branchR2(0:0))
    call avR2(10530, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(4509)%branchR2(0:0))
    call avR2(4509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(3378)%branchR2(0:1))
    call avR2(3378, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22051, nGC_22053])

    call avR2(3378, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22052, nGC_22054])

    allocate(vertices(9639)%branchR2(0:0))
    call avR2(9639, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(4994)%branchR2(0:0))
    call avR2(4994, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(9403)%branchR2(0:0))
    call avR2(9403, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(10531)%branchR2(0:1))
    call avR2(10531, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22421])

    call avR2(10531, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22422])

    allocate(vertices(7702)%branchR2(0:1))
    call avR2(7702, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22033, nGC_22032])

    call avR2(7702, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(5697)%branchR2(0:0))
    call avR2(5697, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(620)%branchR2(0:1))
    call avR2(620, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22208, nGC_22209])

    call avR2(620, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22210, nGC_22210])

    allocate(vertices(6855)%branchR2(0:0))
    call avR2(6855, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(5572)%branchR2(0:0))
    call avR2(5572, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(4996)%branchR2(0:1))
    call avR2(4996, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22246])

    call avR2(4996, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22252])

    allocate(vertices(4662)%branchR2(0:0))
    call avR2(4662, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22353,        &
    nGC_22352])

    allocate(vertices(6277)%branchR2(0:0))
    call avR2(6277, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22140])

    allocate(vertices(4360)%branchR2(0:0))
    call avR2(4360, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(505)%branchR2(0:3))
    call avR2(505, 0, 22, 1, 0, VFaF0, 0, [1, 2], [nGC_22283, nGC_22281])

    call avR2(505, 1, 22, 1, 0, VFaF0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(505, 2, 23, 1, 0, VFaF0, 0, [1, 2], [nGC_22280, nGC_22278])

    call avR2(505, 3, 23, 1, 0, VFaF0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(6948)%branchR2(0:0))
    call avR2(6948, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8106)%branchR2(0:0))
    call avR2(8106, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22040])

    allocate(vertices(4744)%branchR2(0:1))
    call avR2(4744, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22222, nGC_22223])

    call avR2(4744, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22224, nGC_22224])

    allocate(vertices(8561)%branchR2(0:0))
    call avR2(8561, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22320, nGC_22319,       &
    nGC_22321])

    allocate(vertices(3567)%branchR2(0:0))
    call avR2(3567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(4659)%branchR2(0:0))
    call avR2(4659, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58184])

    allocate(vertices(10038)%branchR2(0:0))
    call avR2(10038, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10532)%branchR2(0:1))
    call avR2(10532, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22472])

    call avR2(10532, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22473])

    allocate(vertices(2716)%branchR2(0:0))
    call avR2(2716, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22268])

    allocate(vertices(8446)%branchR2(0:0))
    call avR2(8446, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6606)%branchR2(0:0))
    call avR2(6606, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22068])

    allocate(vertices(3275)%branchR2(0:0))
    call avR2(3275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(2472)%branchR2(0:0))
    call avR2(2472, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5261)%branchR2(0:0))
    call avR2(5261, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(1955)%branchR2(0:0))
    call avR2(1955, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(8529)%branchR2(0:0))
    call avR2(8529, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(6388)%branchR2(0:0))
    call avR2(6388, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(3809)%branchR2(0:0))
    call avR2(3809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(7681)%branchR2(0:0))
    call avR2(7681, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(5549)%branchR2(0:0))
    call avR2(5549, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(2412)%branchR2(0:0))
    call avR2(2412, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(4872)%branchR2(0:0))
    call avR2(4872, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22102, nGC_22101])

    allocate(vertices(10533)%branchR2(0:1))
    call avR2(10533, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22431])

    call avR2(10533, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22432])

    allocate(vertices(5927)%branchR2(0:0))
    call avR2(5927, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(10252)%branchR2(0:0))
    call avR2(10252, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(1836)%branchR2(0:0))
    call avR2(1836, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(9240)%branchR2(0:0))
    call avR2(9240, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(2916)%branchR2(0:0))
    call avR2(2916, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(5182)%branchR2(0:1))
    call avR2(5182, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22115, nGC_22117])

    call avR2(5182, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22116, nGC_22118])

    allocate(vertices(9330)%branchR2(0:0))
    call avR2(9330, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10534)%branchR2(0:1))
    call avR2(10534, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22375])

    call avR2(10534, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22376])

    allocate(vertices(3550)%branchR2(0:0))
    call avR2(3550, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(10384)%branchR2(0:0))
    call avR2(10384, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(5596)%branchR2(0:0))
    call avR2(5596, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(2236)%branchR2(0:0))
    call avR2(2236, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(7305)%branchR2(0:0))
    call avR2(7305, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(9453)%branchR2(0:0))
    call avR2(9453, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(6343)%branchR2(0:0))
    call avR2(6343, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(9311)%branchR2(0:0))
    call avR2(9311, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(10535)%branchR2(0:0))
    call avR2(10535, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22313])

    allocate(vertices(5305)%branchR2(0:0))
    call avR2(5305, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(1380)%branchR2(0:0))
    call avR2(1380, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22066])

    allocate(vertices(6026)%branchR2(0:0))
    call avR2(6026, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58010])

    allocate(vertices(1708)%branchR2(0:0))
    call avR2(1708, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22200, nGC_22199])

    allocate(vertices(4151)%branchR2(0:0))
    call avR2(4151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(1995)%branchR2(0:0))
    call avR2(1995, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8319)%branchR2(0:1))
    call avR2(8319, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(8319, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22264, nGC_22263])

    allocate(vertices(8506)%branchR2(0:0))
    call avR2(8506, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(1871)%branchR2(0:0))
    call avR2(1871, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22104, nGC_22103])

    allocate(vertices(5634)%branchR2(0:0))
    call avR2(5634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(5201)%branchR2(0:0))
    call avR2(5201, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(6889)%branchR2(0:0))
    call avR2(6889, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1363)%branchR2(0:0))
    call avR2(1363, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22253])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(5383)%branchR2(0:0))
    call avR2(5383, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(1802)%branchR2(0:0))
    call avR2(1802, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22276, nGC_22277])

    allocate(vertices(7721)%branchR2(0:0))
    call avR2(7721, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(1779)%branchR2(0:0))
    call avR2(1779, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(9849)%branchR2(0:0))
    call avR2(9849, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10405)%branchR2(0:0))
    call avR2(10405, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(8137)%branchR2(0:0))
    call avR2(8137, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22458])

    allocate(vertices(10536)%branchR2(0:1))
    call avR2(10536, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22436])

    call avR2(10536, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22437])

    allocate(vertices(10537)%branchR2(0:1))
    call avR2(10537, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22421])

    call avR2(10537, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22422])

    allocate(vertices(342)%branchR2(0:1))
    call avR2(342, 0, 31, 1, 0, FaVF0, 0, [2, 1], [nGC_22246])

    call avR2(342, 1, 31, 1, 0, FaVF0, 0, [0, 3], [nGC_22252])

    allocate(vertices(9593)%branchR2(0:0))
    call avR2(9593, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58261])

    allocate(vertices(5426)%branchR2(0:0))
    call avR2(5426, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(3529)%branchR2(0:0))
    call avR2(3529, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(8687)%branchR2(0:0))
    call avR2(8687, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22212, nGC_22211])

    allocate(vertices(5631)%branchR2(0:0))
    call avR2(5631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(4704)%branchR2(0:0))
    call avR2(4704, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2264)%branchR2(0:0))
    call avR2(2264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(9769)%branchR2(0:0))
    call avR2(9769, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(10538)%branchR2(0:1))
    call avR2(10538, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22431])

    call avR2(10538, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22432])

    allocate(vertices(3832)%branchR2(0:0))
    call avR2(3832, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(8163)%branchR2(0:0))
    call avR2(8163, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(2485)%branchR2(0:0))
    call avR2(2485, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(9174)%branchR2(0:0))
    call avR2(9174, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(8932)%branchR2(0:0))
    call avR2(8932, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22028])

    allocate(vertices(1315)%branchR2(0:0))
    call avR2(1315, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(9316)%branchR2(0:0))
    call avR2(9316, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58279])

    allocate(vertices(7421)%branchR2(0:0))
    call avR2(7421, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(3504)%branchR2(0:0))
    call avR2(3504, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(6791)%branchR2(0:1))
    call avR2(6791, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22181, nGC_22183])

    call avR2(6791, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22182, nGC_22184])

    allocate(vertices(10539)%branchR2(0:1))
    call avR2(10539, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10539, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(10480)%branchR2(0:0))
    call avR2(10480, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5901)%branchR2(0:0))
    call avR2(5901, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(4569)%branchR2(0:3))
    call avR2(4569, 0, 28, 1, 0, FaFV0, 0, [1, 2], [nGC_22309, nGC_22308])

    call avR2(4569, 1, 28, 1, 0, FaFV0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(4569, 2, 29, 1, 0, FaFV0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(4569, 3, 29, 1, 0, FaFV0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(4352)%branchR2(0:0))
    call avR2(4352, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(4179)%branchR2(0:0))
    call avR2(4179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(6648)%branchR2(0:0))
    call avR2(6648, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(10540)%branchR2(0:0))
    call avR2(10540, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(9441)%branchR2(0:0))
    call avR2(9441, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(6541)%branchR2(0:0))
    call avR2(6541, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(5466)%branchR2(0:0))
    call avR2(5466, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22064])

    allocate(vertices(8007)%branchR2(0:0))
    call avR2(8007, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(7315)%branchR2(0:0))
    call avR2(7315, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(9093)%branchR2(0:0))
    call avR2(9093, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22464])

    allocate(vertices(10149)%branchR2(0:0))
    call avR2(10149, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22002])

    allocate(vertices(3325)%branchR2(0:1))
    call avR2(3325, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(3325, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22275, nGC_22274])

    allocate(vertices(10541)%branchR2(0:0))
    call avR2(10541, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(10542)%branchR2(0:1))
    call avR2(10542, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22465])

    call avR2(10542, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22466])

    allocate(vertices(3393)%branchR2(0:0))
    call avR2(3393, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22320, nGC_22319,       &
    nGC_22321])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22010])

    allocate(vertices(5529)%branchR2(0:0))
    call avR2(5529, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22025, nGC_22026])

    allocate(vertices(2200)%branchR2(0:0))
    call avR2(2200, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57897])

    allocate(vertices(6511)%branchR2(0:0))
    call avR2(6511, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(2872)%branchR2(0:0))
    call avR2(2872, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(6535)%branchR2(0:0))
    call avR2(6535, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1630)%branchR2(0:0))
    call avR2(1630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(9832)%branchR2(0:0))
    call avR2(9832, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(1104)%branchR2(0:1))
    call avR2(1104, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(1104, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22019, nGC_22018])

    allocate(vertices(5653)%branchR2(0:0))
    call avR2(5653, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(0)%branchR2(0:0))
    call avR2(0, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22268])

    allocate(vertices(3215)%branchR2(0:0))
    call avR2(3215, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(2105)%branchR2(0:1))
    call avR2(2105, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22161, nGC_22163])

    call avR2(2105, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22162, nGC_22164])

    allocate(vertices(9495)%branchR2(0:0))
    call avR2(9495, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(5360)%branchR2(0:0))
    call avR2(5360, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(3783)%branchR2(0:0))
    call avR2(3783, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22185])

    allocate(vertices(10543)%branchR2(0:0))
    call avR2(10543, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22313])

    allocate(vertices(4527)%branchR2(0:0))
    call avR2(4527, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(1510)%branchR2(0:0))
    call avR2(1510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(7397)%branchR2(0:0))
    call avR2(7397, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(9743)%branchR2(0:0))
    call avR2(9743, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(10332)%branchR2(0:0))
    call avR2(10332, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8087)%branchR2(0:0))
    call avR2(8087, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22065])

    allocate(vertices(6789)%branchR2(0:0))
    call avR2(6789, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(8730)%branchR2(0:1))
    call avR2(8730, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22125, nGC_22127])

    call avR2(8730, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22126, nGC_22128])

    allocate(vertices(7394)%branchR2(0:0))
    call avR2(7394, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(2322)%branchR2(0:0))
    call avR2(2322, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58040])

    allocate(vertices(9304)%branchR2(0:0))
    call avR2(9304, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(10544)%branchR2(0:1))
    call avR2(10544, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22391])

    call avR2(10544, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(10545)%branchR2(0:1))
    call avR2(10545, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22436])

    call avR2(10545, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22437])

    allocate(vertices(7453)%branchR2(0:0))
    call avR2(7453, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(5197)%branchR2(0:0))
    call avR2(5197, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22129])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(7875)%branchR2(0:0))
    call avR2(7875, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(10546)%branchR2(0:0))
    call avR2(10546, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(9570)%branchR2(0:0))
    call avR2(9570, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5025)%branchR2(0:0))
    call avR2(5025, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22011])

    allocate(vertices(3837)%branchR2(0:0))
    call avR2(3837, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(9022)%branchR2(0:0))
    call avR2(9022, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21994])

    allocate(vertices(5557)%branchR2(0:0))
    call avR2(5557, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(8056)%branchR2(0:1))
    call avR2(8056, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(8056, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(10283)%branchR2(0:0))
    call avR2(10283, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2759)%branchR2(0:1))
    call avR2(2759, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22189, nGC_22190])

    call avR2(2759, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22191, nGC_22191])

    allocate(vertices(8545)%branchR2(0:0))
    call avR2(8545, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(4512)%branchR2(0:0))
    call avR2(4512, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(4620)%branchR2(0:0))
    call avR2(4620, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4721)%branchR2(0:0))
    call avR2(4721, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22356])

    allocate(vertices(5943)%branchR2(0:0))
    call avR2(5943, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(9820)%branchR2(0:0))
    call avR2(9820, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(3437)%branchR2(0:0))
    call avR2(3437, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22254])

    allocate(vertices(7688)%branchR2(0:0))
    call avR2(7688, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(1237)%branchR2(0:0))
    call avR2(1237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(2537)%branchR2(0:1))
    call avR2(2537, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(2537, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22275, nGC_22274])

    allocate(vertices(5635)%branchR2(0:0))
    call avR2(5635, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(4299)%branchR2(0:0))
    call avR2(4299, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(6484)%branchR2(0:0))
    call avR2(6484, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(2481)%branchR2(0:0))
    call avR2(2481, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(4411)%branchR2(0:0))
    call avR2(4411, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(1133)%branchR2(0:3))
    call avR2(1133, 0, 20, 1, 0, VFFa0, 0, [1, 2], [nGC_22303, nGC_22302])

    call avR2(1133, 1, 20, 1, 0, VFFa0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(1133, 2, 21, 1, 0, VFFa0, 0, [1, 2], [nGC_22301, nGC_22300])

    call avR2(1133, 3, 21, 1, 0, VFFa0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(8102)%branchR2(0:0))
    call avR2(8102, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(128)%branchR2(0:0))
    call avR2(128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(10225)%branchR2(0:0))
    call avR2(10225, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(10547)%branchR2(0:0))
    call avR2(10547, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(8214)%branchR2(0:0))
    call avR2(8214, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(6024)%branchR2(0:0))
    call avR2(6024, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58408])

    allocate(vertices(9029)%branchR2(0:0))
    call avR2(9029, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(3109)%branchR2(0:0))
    call avR2(3109, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10548)%branchR2(0:0))
    call avR2(10548, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22329, nGC_22329,      &
    nGC_22328])

    allocate(vertices(7351)%branchR2(0:1))
    call avR2(7351, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22105, nGC_22107])

    call avR2(7351, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22106, nGC_22108])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(1042)%branchR2(0:0))
    call avR2(1042, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22064])

    allocate(vertices(4006)%branchR2(0:0))
    call avR2(4006, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22187])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(5979)%branchR2(0:0))
    call avR2(5979, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22353,       &
    nGC_22351])

    allocate(vertices(10088)%branchR2(0:0))
    call avR2(10088, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(281)%branchR2(0:1))
    call avR2(281, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22131, nGC_22133])

    call avR2(281, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22147, nGC_22148])

    allocate(vertices(8633)%branchR2(0:0))
    call avR2(8633, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(10180)%branchR2(0:0))
    call avR2(10180, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(4896)%branchR2(0:0))
    call avR2(4896, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(7900)%branchR2(0:1))
    call avR2(7900, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22051, nGC_22053])

    call avR2(7900, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22052, nGC_22054])

    allocate(vertices(5299)%branchR2(0:0))
    call avR2(5299, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22356])

    allocate(vertices(2257)%branchR2(0:0))
    call avR2(2257, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(2284)%branchR2(0:0))
    call avR2(2284, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2966)%branchR2(0:0))
    call avR2(2966, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22034, nGC_22035])

    allocate(vertices(6476)%branchR2(0:0))
    call avR2(6476, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(6509)%branchR2(0:0))
    call avR2(6509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(9684)%branchR2(0:0))
    call avR2(9684, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22027])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(10549)%branchR2(0:0))
    call avR2(10549, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(4746)%branchR2(0:0))
    call avR2(4746, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(5459)%branchR2(0:0))
    call avR2(5459, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(1789)%branchR2(0:1))
    call avR2(1789, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22132, nGC_22130])

    call avR2(1789, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22133, nGC_22131])

    allocate(vertices(10550)%branchR2(0:0))
    call avR2(10550, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(157)%branchR2(0:1))
    call avR2(157, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22137, nGC_22135])

    call avR2(157, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22150, nGC_22149])

    allocate(vertices(4933)%branchR2(0:0))
    call avR2(4933, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(1618)%branchR2(0:0))
    call avR2(1618, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22073])

    allocate(vertices(1378)%branchR2(0:0))
    call avR2(1378, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(8927)%branchR2(0:0))
    call avR2(8927, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(7429)%branchR2(0:0))
    call avR2(7429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(5833)%branchR2(0:1))
    call avR2(5833, 0, 31, 1, 0, FaVF0, 0, [0, 3], [nGC_22245])

    call avR2(5833, 1, 31, 1, 0, FaVF0, 0, [2, 1], [nGC_22246])

    allocate(vertices(7901)%branchR2(0:0))
    call avR2(7901, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(10551)%branchR2(0:1))
    call avR2(10551, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22391])

    call avR2(10551, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(6925)%branchR2(0:0))
    call avR2(6925, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(2901)%branchR2(0:1))
    call avR2(2901, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22022, nGC_22021])

    call avR2(2901, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(7896)%branchR2(0:0))
    call avR2(7896, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(2956)%branchR2(0:0))
    call avR2(2956, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22038])

    allocate(vertices(7343)%branchR2(0:0))
    call avR2(7343, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(10552)%branchR2(0:1))
    call avR2(10552, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10552, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(4714)%branchR2(0:0))
    call avR2(4714, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4796)%branchR2(0:0))
    call avR2(4796, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22064])

    allocate(vertices(4700)%branchR2(0:0))
    call avR2(4700, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(7353)%branchR2(0:0))
    call avR2(7353, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22250])

    allocate(vertices(335)%branchR2(0:1))
    call avR2(335, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(335, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(10553)%branchR2(0:1))
    call avR2(10553, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22431])

    call avR2(10553, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22432])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(10554)%branchR2(0:0))
    call avR2(10554, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22009])

    allocate(vertices(7500)%branchR2(0:0))
    call avR2(7500, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(4898)%branchR2(0:0))
    call avR2(4898, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(7091)%branchR2(0:0))
    call avR2(7091, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(10456)%branchR2(0:1))
    call avR2(10456, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_21981, nGC_21980,      &
    nGC_22000, nGC_22000])

    call avR2(10456, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_21975, nGC_21975,      &
    nGC_22001, nGC_22001])

    allocate(vertices(7663)%branchR2(0:1))
    call avR2(7663, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22054, nGC_22052])

    call avR2(7663, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22077, nGC_22076])

    allocate(vertices(5968)%branchR2(0:0))
    call avR2(5968, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9728)%branchR2(0:0))
    call avR2(9728, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22039])

    allocate(vertices(8937)%branchR2(0:0))
    call avR2(8937, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(360)%branchR2(0:0))
    call avR2(360, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22038])

    allocate(vertices(9008)%branchR2(0:0))
    call avR2(9008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22121])

    allocate(vertices(3924)%branchR2(0:0))
    call avR2(3924, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22216])

    allocate(vertices(9076)%branchR2(0:0))
    call avR2(9076, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(4861)%branchR2(0:0))
    call avR2(4861, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22139])

    allocate(vertices(9616)%branchR2(0:1))
    call avR2(9616, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21977, nGC_21976,       &
    nGC_21973, nGC_21973])

    call avR2(9616, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_21974, nGC_21974])

    allocate(vertices(1128)%branchR2(0:0))
    call avR2(1128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(1549)%branchR2(0:0))
    call avR2(1549, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57943])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(2551)%branchR2(0:0))
    call avR2(2551, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22377])

    allocate(vertices(7295)%branchR2(0:0))
    call avR2(7295, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

    allocate(vertices(10321)%branchR2(0:0))
    call avR2(10321, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(5606)%branchR2(0:0))
    call avR2(5606, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22249])

    allocate(vertices(5026)%branchR2(0:0))
    call avR2(5026, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(6842)%branchR2(0:0))
    call avR2(6842, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(4911)%branchR2(0:0))
    call avR2(4911, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(2128)%branchR2(0:0))
    call avR2(2128, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22470,       &
    nGC_22471])

    allocate(vertices(1915)%branchR2(0:1))
    call avR2(1915, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22245])

    call avR2(1915, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22246])

    allocate(vertices(4001)%branchR2(0:1))
    call avR2(4001, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22125, nGC_22127])

    call avR2(4001, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22126, nGC_22128])

    allocate(vertices(10555)%branchR2(0:0))
    call avR2(10555, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2134)%branchR2(0:0))
    call avR2(2134, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22458])

    allocate(vertices(6147)%branchR2(0:0))
    call avR2(6147, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7524)%branchR2(0:0))
    call avR2(7524, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(8507)%branchR2(0:0))
    call avR2(8507, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22067])

    allocate(vertices(9309)%branchR2(0:0))
    call avR2(9309, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1052)%branchR2(0:1))
    call avR2(1052, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22089, nGC_22091])

    call avR2(1052, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22090, nGC_22092])

    allocate(vertices(9170)%branchR2(0:0))
    call avR2(9170, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(8752)%branchR2(0:0))
    call avR2(8752, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58548])

    allocate(vertices(9039)%branchR2(0:0))
    call avR2(9039, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(1604)%branchR2(0:0))
    call avR2(1604, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(5007)%branchR2(0:0))
    call avR2(5007, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(1935)%branchR2(0:0))
    call avR2(1935, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22042])

    allocate(vertices(3284)%branchR2(0:0))
    call avR2(3284, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(1181)%branchR2(0:0))
    call avR2(1181, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(7012)%branchR2(0:0))
    call avR2(7012, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58137])

    allocate(vertices(5547)%branchR2(0:0))
    call avR2(5547, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(10450)%branchR2(0:0))
    call avR2(10450, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(10556)%branchR2(0:1))
    call avR2(10556, 0, 35, 1, 0, VVS0, 0, [2, 1], [nGC_22201])

    call avR2(10556, 1, 36, 1, 0, VVS0, 0, [2, 1], [nGC_22202])

    allocate(vertices(1834)%branchR2(0:0))
    call avR2(1834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(7587)%branchR2(0:0))
    call avR2(7587, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22241, nGC_22240])

    allocate(vertices(4731)%branchR2(0:0))
    call avR2(4731, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(8005)%branchR2(0:0))
    call avR2(8005, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(6953)%branchR2(0:1))
    call avR2(6953, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22134, nGC_22136])

    call avR2(6953, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22135, nGC_22137])

    allocate(vertices(7446)%branchR2(0:0))
    call avR2(7446, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(9315)%branchR2(0:0))
    call avR2(9315, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22069])

    allocate(vertices(10557)%branchR2(0:0))
    call avR2(10557, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(9201)%branchR2(0:0))
    call avR2(9201, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22003])

    allocate(vertices(9725)%branchR2(0:0))
    call avR2(9725, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22070])

    allocate(vertices(3128)%branchR2(0:0))
    call avR2(3128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10558)%branchR2(0:1))
    call avR2(10558, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22421])

    call avR2(10558, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22422])

    allocate(vertices(1505)%branchR2(0:0))
    call avR2(1505, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(6524)%branchR2(0:0))
    call avR2(6524, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(5728)%branchR2(0:0))
    call avR2(5728, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57360])

    allocate(vertices(7013)%branchR2(0:0))
    call avR2(7013, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(2085)%branchR2(0:0))
    call avR2(2085, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10559)%branchR2(0:1))
    call avR2(10559, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22375])

    call avR2(10559, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22376])

    allocate(vertices(2595)%branchR2(0:1))
    call avR2(2595, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(2595, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(6133)%branchR2(0:0))
    call avR2(6133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(7564)%branchR2(0:0))
    call avR2(7564, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(136)%branchR2(0:0))
    call avR2(136, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22311])

    allocate(vertices(1760)%branchR2(0:0))
    call avR2(1760, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(10223)%branchR2(0:0))
    call avR2(10223, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

    allocate(vertices(9655)%branchR2(0:0))
    call avR2(9655, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

    allocate(vertices(10012)%branchR2(0:0))
    call avR2(10012, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(7624)%branchR2(0:0))
    call avR2(7624, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22140])

    allocate(vertices(3121)%branchR2(0:0))
    call avR2(3121, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(1046)%branchR2(0:0))
    call avR2(1046, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(8395)%branchR2(0:0))
    call avR2(8395, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58408])

    allocate(vertices(4334)%branchR2(0:0))
    call avR2(4334, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22446])

    allocate(vertices(1263)%branchR2(0:0))
    call avR2(1263, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(10440)%branchR2(0:0))
    call avR2(10440, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(9853)%branchR2(0:0))
    call avR2(9853, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(6353)%branchR2(0:0))
    call avR2(6353, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(8024)%branchR2(0:3))
    call avR2(8024, 0, 22, 1, 0, VFaF0, 0, [1, 2], [nGC_22298, nGC_22297])

    call avR2(8024, 1, 22, 1, 0, VFaF0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(8024, 2, 23, 1, 0, VFaF0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(8024, 3, 23, 1, 0, VFaF0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(7552)%branchR2(0:0))
    call avR2(7552, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(7198)%branchR2(0:0))
    call avR2(7198, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22142])

    allocate(vertices(6966)%branchR2(0:0))
    call avR2(6966, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(578)%branchR2(0:0))
    call avR2(578, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(2647)%branchR2(0:0))
    call avR2(2647, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(8799)%branchR2(0:0))
    call avR2(8799, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22139])

    allocate(vertices(6305)%branchR2(0:0))
    call avR2(6305, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10560)%branchR2(0:1))
    call avR2(10560, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22375])

    call avR2(10560, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22376])

    allocate(vertices(5540)%branchR2(0:0))
    call avR2(5540, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22265, nGC_22266])

    allocate(vertices(10561)%branchR2(0:0))
    call avR2(10561, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(8067)%branchR2(0:0))
    call avR2(8067, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22138])

    allocate(vertices(9873)%branchR2(0:0))
    call avR2(9873, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(5032)%branchR2(0:0))
    call avR2(5032, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(4692)%branchR2(0:0))
    call avR2(4692, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58137])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3763)%branchR2(0:0))
    call avR2(3763, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(4686)%branchR2(0:0))
    call avR2(4686, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(5950)%branchR2(0:0))
    call avR2(5950, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22160, nGC_22159])

    allocate(vertices(4363)%branchR2(0:1))
    call avR2(4363, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(4363, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22285, nGC_22284])

    allocate(vertices(8605)%branchR2(0:0))
    call avR2(8605, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(10562)%branchR2(0:0))
    call avR2(10562, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(6078)%branchR2(0:0))
    call avR2(6078, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(2761)%branchR2(0:0))
    call avR2(2761, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22470, nGC_22471,       &
    nGC_22471])

    allocate(vertices(10563)%branchR2(0:0))
    call avR2(10563, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(10564)%branchR2(0:1))
    call avR2(10564, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22460])

    call avR2(10564, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22461])

    allocate(vertices(9205)%branchR2(0:0))
    call avR2(9205, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(4424)%branchR2(0:0))
    call avR2(4424, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(4103)%branchR2(0:0))
    call avR2(4103, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(2015)%branchR2(0:0))
    call avR2(2015, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(10308)%branchR2(0:0))
    call avR2(10308, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(2393)%branchR2(0:0))
    call avR2(2393, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3962)%branchR2(0:0))
    call avR2(3962, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(7291)%branchR2(0:0))
    call avR2(7291, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2601)%branchR2(0:0))
    call avR2(2601, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5477)%branchR2(0:0))
    call avR2(5477, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(7995)%branchR2(0:0))
    call avR2(7995, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(7794)%branchR2(0:0))
    call avR2(7794, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(6794)%branchR2(0:0))
    call avR2(6794, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(7292)%branchR2(0:0))
    call avR2(7292, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(1874)%branchR2(0:0))
    call avR2(1874, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(3469)%branchR2(0:0))
    call avR2(3469, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(6470)%branchR2(0:0))
    call avR2(6470, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(5570)%branchR2(0:0))
    call avR2(5570, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(1778)%branchR2(0:1))
    call avR2(1778, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22031, nGC_22030])

    call avR2(1778, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(8004)%branchR2(0:0))
    call avR2(8004, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(10565)%branchR2(0:0))
    call avR2(10565, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(8289)%branchR2(0:3))
    call avR2(8289, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_22303, nGC_22302])

    call avR2(8289, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(8289, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_22301, nGC_22300])

    call avR2(8289, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(4225)%branchR2(0:1))
    call avR2(4225, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22089, nGC_22091])

    call avR2(4225, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22090, nGC_22092])

    allocate(vertices(8384)%branchR2(0:1))
    call avR2(8384, 0, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22257, nGC_22255])

    call avR2(8384, 1, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22258, nGC_22256])

    allocate(vertices(1517)%branchR2(0:0))
    call avR2(1517, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(10090)%branchR2(0:1))
    call avR2(10090, 0, 15, 1, 0, VV2, 0, [2, 0], [nGC_21988, nGC_21987,       &
    nGC_21989])

    call avR2(10090, 1, 16, 1, 0, VV2, 0, [2, 0], [nGC_21991, nGC_21990,       &
    nGC_21992])

    allocate(vertices(9707)%branchR2(0:0))
    call avR2(9707, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(2926)%branchR2(0:0))
    call avR2(2926, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(9596)%branchR2(0:0))
    call avR2(9596, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(7685)%branchR2(0:0))
    call avR2(7685, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(4939)%branchR2(0:1))
    call avR2(4939, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(4939, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(1264)%branchR2(0:0))
    call avR2(1264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(8950)%branchR2(0:0))
    call avR2(8950, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22013])

    allocate(vertices(9353)%branchR2(0:0))
    call avR2(9353, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21964, nGC_21963])

    allocate(vertices(2720)%branchR2(0:1))
    call avR2(2720, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22161, nGC_22163])

    call avR2(2720, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22162, nGC_22164])

    allocate(vertices(2628)%branchR2(0:0))
    call avR2(2628, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9508)%branchR2(0:0))
    call avR2(9508, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21971, nGC_21970,        &
    nGC_21972])

    allocate(vertices(428)%branchR2(0:0))
    call avR2(428, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22040])

    allocate(vertices(2059)%branchR2(0:0))
    call avR2(2059, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22312])

    allocate(vertices(5448)%branchR2(0:0))
    call avR2(5448, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(8117)%branchR2(0:1))
    call avR2(8117, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22195, nGC_22195])

    call avR2(8117, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22193, nGC_22194])

    allocate(vertices(3166)%branchR2(0:0))
    call avR2(3166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4472)%branchR2(0:1))
    call avR2(4472, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22227, nGC_22227])

    call avR2(4472, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22225, nGC_22226])

    allocate(vertices(3992)%branchR2(0:0))
    call avR2(3992, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(338)%branchR2(0:0))
    call avR2(338, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22276, nGC_22277])

    allocate(vertices(5602)%branchR2(0:0))
    call avR2(5602, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(866)%branchR2(0:0))
    call avR2(866, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22088])

    allocate(vertices(8745)%branchR2(0:0))
    call avR2(8745, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(8805)%branchR2(0:0))
    call avR2(8805, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22253])

    allocate(vertices(4826)%branchR2(0:0))
    call avR2(4826, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(1766)%branchR2(0:0))
    call avR2(1766, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(10566)%branchR2(0:0))
    call avR2(10566, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(5663)%branchR2(0:0))
    call avR2(5663, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22268])

    allocate(vertices(8632)%branchR2(0:0))
    call avR2(8632, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(10115)%branchR2(0:0))
    call avR2(10115, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(3403)%branchR2(0:1))
    call avR2(3403, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22037, nGC_22036])

    call avR2(3403, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(8347)%branchR2(0:0))
    call avR2(8347, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5409)%branchR2(0:0))
    call avR2(5409, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22141])

    allocate(vertices(4164)%branchR2(0:0))
    call avR2(4164, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(1703)%branchR2(0:1))
    call avR2(1703, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22244, nGC_22244])

    call avR2(1703, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22242, nGC_22243])

    allocate(vertices(6136)%branchR2(0:0))
    call avR2(6136, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22138])

    allocate(vertices(10087)%branchR2(0:0))
    call avR2(10087, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

    allocate(vertices(5269)%branchR2(0:0))
    call avR2(5269, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(1151)%branchR2(0:1))
    call avR2(1151, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22054, nGC_22052])

    call avR2(1151, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22077, nGC_22076])

    allocate(vertices(9334)%branchR2(0:0))
    call avR2(9334, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(6809)%branchR2(0:0))
    call avR2(6809, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22353,       &
    nGC_22351])

    allocate(vertices(10148)%branchR2(0:0))
    call avR2(10148, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(6252)%branchR2(0:0))
    call avR2(6252, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8460)%branchR2(0:0))
    call avR2(8460, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(4775)%branchR2(0:0))
    call avR2(4775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4389)%branchR2(0:0))
    call avR2(4389, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(6082)%branchR2(0:0))
    call avR2(6082, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(981)%branchR2(0:0))
    call avR2(981, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22065])

    allocate(vertices(2781)%branchR2(0:0))
    call avR2(2781, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(7123)%branchR2(0:0))
    call avR2(7123, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22038])

    allocate(vertices(3768)%branchR2(0:1))
    call avR2(3768, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22220, nGC_22220])

    call avR2(3768, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22218, nGC_22219])

    allocate(vertices(6155)%branchR2(0:0))
    call avR2(6155, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22450])

    allocate(vertices(5267)%branchR2(0:0))
    call avR2(5267, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22212, nGC_22211])

    allocate(vertices(10567)%branchR2(0:1))
    call avR2(10567, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_22477, nGC_22477,     &
    nGC_22477])

    call avR2(10567, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_22478, nGC_22478,     &
    nGC_22478])

    allocate(vertices(2887)%branchR2(0:0))
    call avR2(2887, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10568)%branchR2(0:0))
    call avR2(10568, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22323])

    allocate(vertices(6560)%branchR2(0:0))
    call avR2(6560, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4592)%branchR2(0:0))
    call avR2(4592, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(8229)%branchR2(0:0))
    call avR2(8229, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22180, nGC_22179])

    allocate(vertices(6275)%branchR2(0:0))
    call avR2(6275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(5427)%branchR2(0:0))
    call avR2(5427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(7516)%branchR2(0:0))
    call avR2(7516, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(8881)%branchR2(0:0))
    call avR2(8881, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22003])

    allocate(vertices(1981)%branchR2(0:0))
    call avR2(1981, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(10569)%branchR2(0:0))
    call avR2(10569, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(2130)%branchR2(0:0))
    call avR2(2130, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(2633)%branchR2(0:0))
    call avR2(2633, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22063])

    allocate(vertices(190)%branchR2(0:3))
    call avR2(190, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_22283, nGC_22281])

    call avR2(190, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(190, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_22280, nGC_22278])

    call avR2(190, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(10570)%branchR2(0:1))
    call avR2(10570, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22460])

    call avR2(10570, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22461])

    allocate(vertices(10571)%branchR2(0:1))
    call avR2(10571, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22436])

    call avR2(10571, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22437])

    allocate(vertices(9343)%branchR2(0:0))
    call avR2(9343, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22069])

    allocate(vertices(9429)%branchR2(0:0))
    call avR2(9429, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2171)%branchR2(0:0))
    call avR2(2171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(8401)%branchR2(0:0))
    call avR2(8401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(7062)%branchR2(0:0))
    call avR2(7062, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(1742)%branchR2(0:0))
    call avR2(1742, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22353,       &
    nGC_22351])

    allocate(vertices(1822)%branchR2(0:3))
    call avR2(1822, 0, 24, 1, 0, FVFa0, 0, [1, 2], [nGC_22289, nGC_22288])

    call avR2(1822, 1, 24, 1, 0, FVFa0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(1822, 2, 25, 1, 0, FVFa0, 0, [1, 2], [nGC_22287, nGC_22286])

    call avR2(1822, 3, 25, 1, 0, FVFa0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(1979)%branchR2(0:0))
    call avR2(1979, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(7779)%branchR2(0:0))
    call avR2(7779, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(5058)%branchR2(0:0))
    call avR2(5058, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10572)%branchR2(0:1))
    call avR2(10572, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22465])

    call avR2(10572, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22466])

    allocate(vertices(10573)%branchR2(0:0))
    call avR2(10573, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22313])

    allocate(vertices(1328)%branchR2(0:0))
    call avR2(1328, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22023, nGC_22024])

    allocate(vertices(6217)%branchR2(0:0))
    call avR2(6217, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(1743)%branchR2(0:0))
    call avR2(1743, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1137)%branchR2(0:0))
    call avR2(1137, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(2062)%branchR2(0:0))
    call avR2(2062, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(2555)%branchR2(0:0))
    call avR2(2555, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22040])

    allocate(vertices(3466)%branchR2(0:0))
    call avR2(3466, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(3790)%branchR2(0:0))
    call avR2(3790, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22377])

    allocate(vertices(7999)%branchR2(0:0))
    call avR2(7999, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(1698)%branchR2(0:0))
    call avR2(1698, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(10358)%branchR2(0:0))
    call avR2(10358, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22004])

    allocate(vertices(2334)%branchR2(0:0))
    call avR2(2334, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(2464)%branchR2(0:0))
    call avR2(2464, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22267])

    allocate(vertices(3836)%branchR2(0:0))
    call avR2(3836, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(8235)%branchR2(0:1))
    call avR2(8235, 0, 31, 1, 0, FaVF0, 0, [2, 1], [nGC_22246])

    call avR2(8235, 1, 31, 1, 0, FaVF0, 0, [0, 3], [nGC_22251])

    allocate(vertices(2946)%branchR2(0:0))
    call avR2(2946, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(10574)%branchR2(0:0))
    call avR2(10574, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(1366)%branchR2(0:1))
    call avR2(1366, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22062, nGC_22060])

    call avR2(1366, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(10479)%branchR2(0:0))
    call avR2(10479, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21966, nGC_21965])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(4183)%branchR2(0:0))
    call avR2(4183, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22010])

    allocate(vertices(4393)%branchR2(0:0))
    call avR2(4393, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(1816)%branchR2(0:0))
    call avR2(1816, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22319, nGC_22320,       &
    nGC_22321])

    allocate(vertices(5123)%branchR2(0:0))
    call avR2(5123, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(2098)%branchR2(0:0))
    call avR2(2098, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58847])

    allocate(vertices(8467)%branchR2(0:0))
    call avR2(8467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(9087)%branchR2(0:0))
    call avR2(9087, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22464])

    allocate(vertices(4158)%branchR2(0:1))
    call avR2(4158, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22244, nGC_22244])

    call avR2(4158, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22242, nGC_22243])

    allocate(vertices(7491)%branchR2(0:0))
    call avR2(7491, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22156])

    allocate(vertices(5406)%branchR2(0:0))
    call avR2(5406, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(9299)%branchR2(0:0))
    call avR2(9299, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2210)%branchR2(0:0))
    call avR2(2210, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22180, nGC_22179])

    allocate(vertices(6600)%branchR2(0:0))
    call avR2(6600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(10575)%branchR2(0:1))
    call avR2(10575, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22375])

    call avR2(10575, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22376])

    allocate(vertices(4083)%branchR2(0:0))
    call avR2(4083, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(2143)%branchR2(0:0))
    call avR2(2143, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(9591)%branchR2(0:0))
    call avR2(9591, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(10025)%branchR2(0:0))
    call avR2(10025, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5038)%branchR2(0:0))
    call avR2(5038, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(4391)%branchR2(0:0))
    call avR2(4391, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10576)%branchR2(0:5))
    call avR2(10576, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10576, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_22481, nGC_22481,     &
    nGC_22481])

    call avR2(10576, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10576, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10576, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10576, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    allocate(vertices(3648)%branchR2(0:0))
    call avR2(3648, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(10311)%branchR2(0:0))
    call avR2(10311, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6758)%branchR2(0:0))
    call avR2(6758, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(7252)%branchR2(0:0))
    call avR2(7252, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(4656)%branchR2(0:1))
    call avR2(4656, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22115, nGC_22117])

    call avR2(4656, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22116, nGC_22118])

    allocate(vertices(1275)%branchR2(0:0))
    call avR2(1275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10577)%branchR2(0:1))
    call avR2(10577, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22472])

    call avR2(10577, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22473])

    allocate(vertices(859)%branchR2(0:1))
    call avR2(859, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22105, nGC_22107])

    call avR2(859, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22106, nGC_22108])

    allocate(vertices(10578)%branchR2(0:0))
    call avR2(10578, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(5684)%branchR2(0:0))
    call avR2(5684, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(5690)%branchR2(0:0))
    call avR2(5690, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(2465)%branchR2(0:0))
    call avR2(2465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(2008)%branchR2(0:0))
    call avR2(2008, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(7304)%branchR2(0:0))
    call avR2(7304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(553)%branchR2(0:0))
    call avR2(553, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(6422)%branchR2(0:0))
    call avR2(6422, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22006])

    allocate(vertices(834)%branchR2(0:0))
    call avR2(834, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(6982)%branchR2(0:0))
    call avR2(6982, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(8946)%branchR2(0:0))
    call avR2(8946, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(4057)%branchR2(0:0))
    call avR2(4057, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22082])

    allocate(vertices(3943)%branchR2(0:0))
    call avR2(3943, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(8158)%branchR2(0:0))
    call avR2(8158, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(3813)%branchR2(0:0))
    call avR2(3813, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22087])

    allocate(vertices(4315)%branchR2(0:0))
    call avR2(4315, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(2172)%branchR2(0:0))
    call avR2(2172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(5456)%branchR2(0:0))
    call avR2(5456, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(8076)%branchR2(0:0))
    call avR2(8076, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22160, nGC_22159])

    allocate(vertices(4673)%branchR2(0:0))
    call avR2(4673, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22120])

    allocate(vertices(6631)%branchR2(0:0))
    call avR2(6631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8837)%branchR2(0:0))
    call avR2(8837, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

    allocate(vertices(3823)%branchR2(0:0))
    call avR2(3823, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(645)%branchR2(0:0))
    call avR2(645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(5936)%branchR2(0:1))
    call avR2(5936, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22213, nGC_22214])

    call avR2(5936, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22215, nGC_22215])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(8406)%branchR2(0:0))
    call avR2(8406, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22063])

    allocate(vertices(729)%branchR2(0:0))
    call avR2(729, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22010])

    allocate(vertices(5725)%branchR2(0:0))
    call avR2(5725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(8456)%branchR2(0:1))
    call avR2(8456, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(8456, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22273, nGC_22272])

    allocate(vertices(10579)%branchR2(0:1))
    call avR2(10579, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_22334, nGC_22334,     &
    nGC_22334])

    call avR2(10579, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_22335, nGC_22335,     &
    nGC_22335])

    allocate(vertices(226)%branchR2(0:1))
    call avR2(226, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22242, nGC_22243])

    call avR2(226, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22244, nGC_22244])

    allocate(vertices(10255)%branchR2(0:0))
    call avR2(10255, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(10580)%branchR2(0:0))
    call avR2(10580, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22313])

    allocate(vertices(10581)%branchR2(0:0))
    call avR2(10581, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(205)%branchR2(0:1))
    call avR2(205, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22131, nGC_22133])

    call avR2(205, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22147, nGC_22148])

    allocate(vertices(10167)%branchR2(0:0))
    call avR2(10167, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(4644)%branchR2(0:0))
    call avR2(4644, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22470, nGC_22471,       &
    nGC_22471])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(10101)%branchR2(0:0))
    call avR2(10101, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(10582)%branchR2(0:1))
    call avR2(10582, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22436])

    call avR2(10582, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22437])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22004])

    allocate(vertices(7980)%branchR2(0:0))
    call avR2(7980, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(9543)%branchR2(0:0))
    call avR2(9543, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22027])

    allocate(vertices(8074)%branchR2(0:0))
    call avR2(8074, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(7589)%branchR2(0:1))
    call avR2(7589, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22196, nGC_22197])

    call avR2(7589, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22198, nGC_22198])

    allocate(vertices(6456)%branchR2(0:0))
    call avR2(6456, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(3911)%branchR2(0:1))
    call avR2(3911, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22257, nGC_22255])

    call avR2(3911, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22258, nGC_22256])

    allocate(vertices(6835)%branchR2(0:0))
    call avR2(6835, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(8970)%branchR2(0:0))
    call avR2(8970, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(5424)%branchR2(0:0))
    call avR2(5424, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(6007)%branchR2(0:0))
    call avR2(6007, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22068])

    allocate(vertices(7749)%branchR2(0:0))
    call avR2(7749, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(3334)%branchR2(0:0))
    call avR2(3334, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(4954)%branchR2(0:0))
    call avR2(4954, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22071])

    allocate(vertices(2593)%branchR2(0:0))
    call avR2(2593, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(8438)%branchR2(0:0))
    call avR2(8438, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22250])

    allocate(vertices(1962)%branchR2(0:0))
    call avR2(1962, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9816)%branchR2(0:0))
    call avR2(9816, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(10583)%branchR2(0:1))
    call avR2(10583, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22391])

    call avR2(10583, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(5130)%branchR2(0:1))
    call avR2(5130, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22224, nGC_22224])

    call avR2(5130, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22222, nGC_22223])

    allocate(vertices(4974)%branchR2(0:0))
    call avR2(4974, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8732)%branchR2(0:1))
    call avR2(8732, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22089, nGC_22091])

    call avR2(8732, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22090, nGC_22092])

    allocate(vertices(6267)%branchR2(0:0))
    call avR2(6267, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(9149)%branchR2(0:0))
    call avR2(9149, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(8698)%branchR2(0:0))
    call avR2(8698, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(9733)%branchR2(0:0))
    call avR2(9733, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22013])

    allocate(vertices(6667)%branchR2(0:0))
    call avR2(6667, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(10233)%branchR2(0:0))
    call avR2(10233, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22377])

    allocate(vertices(8009)%branchR2(0:0))
    call avR2(8009, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(4614)%branchR2(0:1))
    call avR2(4614, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22015, nGC_22014])

    call avR2(4614, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(2846)%branchR2(0:0))
    call avR2(2846, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(10584)%branchR2(0:1))
    call avR2(10584, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22431])

    call avR2(10584, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22432])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(10292)%branchR2(0:0))
    call avR2(10292, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22013])

    allocate(vertices(10466)%branchR2(0:0))
    call avR2(10466, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(9740)%branchR2(0:0))
    call avR2(9740, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(1110)%branchR2(0:0))
    call avR2(1110, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(2786)%branchR2(0:1))
    call avR2(2786, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22105, nGC_22107])

    call avR2(2786, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22106, nGC_22108])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_59005])

    allocate(vertices(6148)%branchR2(0:0))
    call avR2(6148, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(9867)%branchR2(0:0))
    call avR2(9867, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

    allocate(vertices(1803)%branchR2(0:1))
    call avR2(1803, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22245])

    call avR2(1803, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22246])

    allocate(vertices(6602)%branchR2(0:0))
    call avR2(6602, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(9600)%branchR2(0:0))
    call avR2(9600, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(5042)%branchR2(0:0))
    call avR2(5042, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(3436)%branchR2(0:0))
    call avR2(3436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(10585)%branchR2(0:0))
    call avR2(10585, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22323])

    allocate(vertices(5906)%branchR2(0:0))
    call avR2(5906, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(9451)%branchR2(0:0))
    call avR2(9451, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(3140)%branchR2(0:0))
    call avR2(3140, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7926)%branchR2(0:0))
    call avR2(7926, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22004])

    allocate(vertices(2010)%branchR2(0:0))
    call avR2(2010, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(3516)%branchR2(0:0))
    call avR2(3516, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(1345)%branchR2(0:0))
    call avR2(1345, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22180, nGC_22179])

    allocate(vertices(2542)%branchR2(0:0))
    call avR2(2542, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22140])

    allocate(vertices(7811)%branchR2(0:0))
    call avR2(7811, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5875)%branchR2(0:0))
    call avR2(5875, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(676)%branchR2(0:1))
    call avR2(676, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22246])

    call avR2(676, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22251])

    allocate(vertices(5848)%branchR2(0:0))
    call avR2(5848, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22034, nGC_22035])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22102, nGC_22101])

    allocate(vertices(6365)%branchR2(0:0))
    call avR2(6365, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(9329)%branchR2(0:0))
    call avR2(9329, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21955, nGC_21954,        &
    nGC_21956])

    allocate(vertices(2862)%branchR2(0:0))
    call avR2(2862, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_59005])

    allocate(vertices(9471)%branchR2(0:0))
    call avR2(9471, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

    allocate(vertices(756)%branchR2(0:1))
    call avR2(756, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22105, nGC_22107])

    call avR2(756, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22106, nGC_22108])

    allocate(vertices(8136)%branchR2(0:0))
    call avR2(8136, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(9742)%branchR2(0:0))
    call avR2(9742, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(4011)%branchR2(0:1))
    call avR2(4011, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22220, nGC_22220])

    call avR2(4011, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22218, nGC_22219])

    allocate(vertices(10586)%branchR2(0:0))
    call avR2(10586, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(4065)%branchR2(0:0))
    call avR2(4065, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22241, nGC_22240])

    allocate(vertices(10587)%branchR2(0:1))
    call avR2(10587, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22375])

    call avR2(10587, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22376])

    allocate(vertices(140)%branchR2(0:0))
    call avR2(140, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(9049)%branchR2(0:0))
    call avR2(9049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(6205)%branchR2(0:0))
    call avR2(6205, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(8813)%branchR2(0:0))
    call avR2(8813, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4230)%branchR2(0:0))
    call avR2(4230, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22064])

    allocate(vertices(5960)%branchR2(0:0))
    call avR2(5960, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(10588)%branchR2(0:1))
    call avR2(10588, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22436])

    call avR2(10588, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22437])

    allocate(vertices(8642)%branchR2(0:1))
    call avR2(8642, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(8642, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22264, nGC_22263])

    allocate(vertices(4441)%branchR2(0:0))
    call avR2(4441, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22200, nGC_22199])

    allocate(vertices(6534)%branchR2(0:0))
    call avR2(6534, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(4895)%branchR2(0:0))
    call avR2(4895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(1763)%branchR2(0:0))
    call avR2(1763, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(1311)%branchR2(0:0))
    call avR2(1311, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22212, nGC_22211])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(1719)%branchR2(0:1))
    call avR2(1719, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(1719, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(5755)%branchR2(0:1))
    call avR2(5755, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22059, nGC_22061])

    call avR2(5755, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22060, nGC_22062])

    allocate(vertices(9477)%branchR2(0:0))
    call avR2(9477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(1205)%branchR2(0:0))
    call avR2(1205, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22065])

    allocate(vertices(9589)%branchR2(0:0))
    call avR2(9589, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(10589)%branchR2(0:1))
    call avR2(10589, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22375])

    call avR2(10589, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22376])

    allocate(vertices(7117)%branchR2(0:0))
    call avR2(7117, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(6169)%branchR2(0:0))
    call avR2(6169, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(7660)%branchR2(0:0))
    call avR2(7660, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22063])

    allocate(vertices(3080)%branchR2(0:0))
    call avR2(3080, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(9444)%branchR2(0:0))
    call avR2(9444, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21953, nGC_21952])

    allocate(vertices(10590)%branchR2(0:1))
    call avR2(10590, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22391])

    call avR2(10590, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(7329)%branchR2(0:0))
    call avR2(7329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(8723)%branchR2(0:0))
    call avR2(8723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(1577)%branchR2(0:0))
    call avR2(1577, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(5854)%branchR2(0:0))
    call avR2(5854, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(8974)%branchR2(0:0))
    call avR2(8974, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22002])

    allocate(vertices(6703)%branchR2(0:0))
    call avR2(6703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(4698)%branchR2(0:0))
    call avR2(4698, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(5808)%branchR2(0:0))
    call avR2(5808, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(10591)%branchR2(0:0))
    call avR2(10591, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22313])

    allocate(vertices(4240)%branchR2(0:0))
    call avR2(4240, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22312])

    allocate(vertices(9966)%branchR2(0:0))
    call avR2(9966, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(3240)%branchR2(0:0))
    call avR2(3240, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4776)%branchR2(0:0))
    call avR2(4776, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22446])

    allocate(vertices(6032)%branchR2(0:0))
    call avR2(6032, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(2411)%branchR2(0:0))
    call avR2(2411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(8510)%branchR2(0:0))
    call avR2(8510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(312)%branchR2(0:0))
    call avR2(312, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1484)%branchR2(0:0))
    call avR2(1484, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(871)%branchR2(0:0))
    call avR2(871, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(3192)%branchR2(0:0))
    call avR2(3192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(10592)%branchR2(0:0))
    call avR2(10592, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(5980)%branchR2(0:0))
    call avR2(5980, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(10593)%branchR2(0:0))
    call avR2(10593, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22361,      &
    nGC_22361])

    allocate(vertices(7937)%branchR2(0:0))
    call avR2(7937, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(5647)%branchR2(0:1))
    call avR2(5647, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22198, nGC_22198])

    call avR2(5647, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22196, nGC_22197])

    allocate(vertices(3706)%branchR2(0:0))
    call avR2(3706, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(8995)%branchR2(0:0))
    call avR2(8995, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(2767)%branchR2(0:0))
    call avR2(2767, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22249])

    allocate(vertices(587)%branchR2(0:1))
    call avR2(587, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22218, nGC_22219])

    call avR2(587, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22220, nGC_22220])

    allocate(vertices(3158)%branchR2(0:1))
    call avR2(3158, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22246])

    call avR2(3158, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22247])

    allocate(vertices(9571)%branchR2(0:0))
    call avR2(9571, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(8980)%branchR2(0:0))
    call avR2(8980, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(8706)%branchR2(0:0))
    call avR2(8706, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(7032)%branchR2(0:0))
    call avR2(7032, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10013)%branchR2(0:0))
    call avR2(10013, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(4304)%branchR2(0:1))
    call avR2(4304, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22019, nGC_22018])

    call avR2(4304, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(6945)%branchR2(0:0))
    call avR2(6945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(9533)%branchR2(0:0))
    call avR2(9533, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21984, nGC_21985,       &
    nGC_21993, nGC_21993])

    allocate(vertices(9487)%branchR2(0:0))
    call avR2(9487, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(9014)%branchR2(0:0))
    call avR2(9014, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(7167)%branchR2(0:0))
    call avR2(7167, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(10594)%branchR2(0:1))
    call avR2(10594, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22375])

    call avR2(10594, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22376])

    allocate(vertices(10595)%branchR2(0:1))
    call avR2(10595, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10595, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(8282)%branchR2(0:1))
    call avR2(8282, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22125, nGC_22127])

    call avR2(8282, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22126, nGC_22128])

    allocate(vertices(6101)%branchR2(0:0))
    call avR2(6101, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22469])

    allocate(vertices(2810)%branchR2(0:0))
    call avR2(2810, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57811])

    allocate(vertices(5986)%branchR2(0:0))
    call avR2(5986, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(6223)%branchR2(0:0))
    call avR2(6223, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22188])

    allocate(vertices(3156)%branchR2(0:0))
    call avR2(3156, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22312])

    allocate(vertices(6781)%branchR2(0:1))
    call avR2(6781, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22189, nGC_22190])

    call avR2(6781, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22191, nGC_22191])

    allocate(vertices(10596)%branchR2(0:0))
    call avR2(10596, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22329, nGC_22329,      &
    nGC_22328])

    allocate(vertices(2081)%branchR2(0:1))
    call avR2(2081, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22056, nGC_22058])

    call avR2(2081, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22074, nGC_22075])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(6593)%branchR2(0:0))
    call avR2(6593, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59168])

    allocate(vertices(8292)%branchR2(0:1))
    call avR2(8292, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22191, nGC_22191])

    call avR2(8292, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22189, nGC_22190])

    allocate(vertices(6230)%branchR2(0:0))
    call avR2(6230, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1599)%branchR2(0:0))
    call avR2(1599, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(3137)%branchR2(0:0))
    call avR2(3137, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(7010)%branchR2(0:0))
    call avR2(7010, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22073])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(1408)%branchR2(0:0))
    call avR2(1408, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22470, nGC_22471,       &
    nGC_22471])

    allocate(vertices(9250)%branchR2(0:0))
    call avR2(9250, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58279])

    allocate(vertices(7481)%branchR2(0:0))
    call avR2(7481, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(7727)%branchR2(0:0))
    call avR2(7727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(8936)%branchR2(0:0))
    call avR2(8936, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5056)%branchR2(0:0))
    call avR2(5056, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(9902)%branchR2(0:0))
    call avR2(9902, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22464])

    allocate(vertices(6710)%branchR2(0:1))
    call avR2(6710, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(6710, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22033, nGC_22032])

    allocate(vertices(6130)%branchR2(0:0))
    call avR2(6130, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(3055)%branchR2(0:0))
    call avR2(3055, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(10597)%branchR2(0:1))
    call avR2(10597, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10597, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(6103)%branchR2(0:0))
    call avR2(6103, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(2426)%branchR2(0:0))
    call avR2(2426, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(9072)%branchR2(0:0))
    call avR2(9072, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(10598)%branchR2(0:1))
    call avR2(10598, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22436])

    call avR2(10598, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22437])

    allocate(vertices(1579)%branchR2(0:0))
    call avR2(1579, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(2207)%branchR2(0:1))
    call avR2(2207, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22057, nGC_22055])

    call avR2(2207, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22058, nGC_22056])

    allocate(vertices(5974)%branchR2(0:0))
    call avR2(5974, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(8843)%branchR2(0:0))
    call avR2(8843, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21953, nGC_21952])

    allocate(vertices(1274)%branchR2(0:0))
    call avR2(1274, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(8423)%branchR2(0:1))
    call avR2(8423, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(8423, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(7984)%branchR2(0:0))
    call avR2(7984, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(6113)%branchR2(0:1))
    call avR2(6113, 0, 30, 1, 0, FVFa1, 0, [2, 1], [nGC_22246])

    call avR2(6113, 1, 30, 1, 0, FVFa1, 0, [0, 3], [nGC_22247])

    allocate(vertices(3353)%branchR2(0:3))
    call avR2(3353, 0, 26, 1, 0, FaVF1, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(3353, 1, 26, 1, 0, FaVF1, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(3353, 2, 27, 1, 0, FaVF1, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(3353, 3, 27, 1, 0, FaVF1, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(3069)%branchR2(0:0))
    call avR2(3069, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1574)%branchR2(0:0))
    call avR2(1574, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(3027)%branchR2(0:1))
    call avR2(3027, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22128, nGC_22126])

    call avR2(3027, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22146, nGC_22145])

    allocate(vertices(8530)%branchR2(0:0))
    call avR2(8530, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(4934)%branchR2(0:0))
    call avR2(4934, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(10093)%branchR2(0:0))
    call avR2(10093, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22012])

    allocate(vertices(7568)%branchR2(0:0))
    call avR2(7568, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(10599)%branchR2(0:0))
    call avR2(10599, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(5893)%branchR2(0:0))
    call avR2(5893, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22050])

    allocate(vertices(9254)%branchR2(0:0))
    call avR2(9254, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(8519)%branchR2(0:0))
    call avR2(8519, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10600)%branchR2(0:0))
    call avR2(10600, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(4940)%branchR2(0:0))
    call avR2(4940, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(3588)%branchR2(0:0))
    call avR2(3588, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(10601)%branchR2(0:0))
    call avR2(10601, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(2082)%branchR2(0:0))
    call avR2(2082, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22319, nGC_22321,       &
    nGC_22320])

    allocate(vertices(10602)%branchR2(0:0))
    call avR2(10602, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(3707)%branchR2(0:0))
    call avR2(3707, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(5430)%branchR2(0:0))
    call avR2(5430, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(1149)%branchR2(0:0))
    call avR2(1149, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(500)%branchR2(0:0))
    call avR2(500, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22254])

  end subroutine fill_vertices_mdl21
end module vertices_info21
