!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  implicit none
  contains
  subroutine fill_vertices_mdl23()
    use class_vertices
    use class_couplings
    allocate(vertices(9306)%branchR2(0:0))
    call avR2(9306, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2897)%branchR2(0:0))
    call avR2(2897, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(5954)%branchR2(0:1))
    call avR2(5954, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22057, nGC_22055])

    call avR2(5954, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22058, nGC_22056])

    allocate(vertices(8683)%branchR2(0:0))
    call avR2(8683, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(924)%branchR2(0:1))
    call avR2(924, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22131, nGC_22133])

    call avR2(924, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22147, nGC_22148])

    allocate(vertices(9291)%branchR2(0:0))
    call avR2(9291, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

    allocate(vertices(9866)%branchR2(0:0))
    call avR2(9866, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(6867)%branchR2(0:0))
    call avR2(6867, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8382)%branchR2(0:0))
    call avR2(8382, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3623)%branchR2(0:0))
    call avR2(3623, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(10315)%branchR2(0:0))
    call avR2(10315, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(2054)%branchR2(0:0))
    call avR2(2054, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(4724)%branchR2(0:0))
    call avR2(4724, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(10666)%branchR2(0:1))
    call avR2(10666, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22465])

    call avR2(10666, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22466])

    allocate(vertices(5517)%branchR2(0:0))
    call avR2(5517, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22023, nGC_22024])

    allocate(vertices(3700)%branchR2(0:0))
    call avR2(3700, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(7257)%branchR2(0:0))
    call avR2(7257, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4631)%branchR2(0:0))
    call avR2(4631, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22377])

    allocate(vertices(7172)%branchR2(0:1))
    call avR2(7172, 0, 30, 1, 0, FVFa1, 0, [2, 1], [nGC_22246])

    call avR2(7172, 1, 30, 1, 0, FVFa1, 0, [0, 3], [nGC_22251])

    allocate(vertices(896)%branchR2(0:0))
    call avR2(896, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(9184)%branchR2(0:0))
    call avR2(9184, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(10667)%branchR2(0:0))
    call avR2(10667, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22080])

    allocate(vertices(10668)%branchR2(0:0))
    call avR2(10668, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(1885)%branchR2(0:0))
    call avR2(1885, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(9828)%branchR2(0:0))
    call avR2(9828, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(7560)%branchR2(0:0))
    call avR2(7560, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5128)%branchR2(0:0))
    call avR2(5128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(2532)%branchR2(0:0))
    call avR2(2532, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22114, nGC_22113])

    allocate(vertices(1940)%branchR2(0:0))
    call avR2(1940, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(4115)%branchR2(0:0))
    call avR2(4115, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(7323)%branchR2(0:1))
    call avR2(7323, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22128, nGC_22126])

    call avR2(7323, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22146, nGC_22145])

    allocate(vertices(5917)%branchR2(0:0))
    call avR2(5917, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(5428)%branchR2(0:0))
    call avR2(5428, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(9142)%branchR2(0:0))
    call avR2(9142, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(7939)%branchR2(0:0))
    call avR2(7939, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22064])

    allocate(vertices(9693)%branchR2(0:0))
    call avR2(9693, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8381)%branchR2(0:0))
    call avR2(8381, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(4883)%branchR2(0:1))
    call avR2(4883, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(4883, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22015, nGC_22014])

    allocate(vertices(9918)%branchR2(0:0))
    call avR2(9918, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10346)%branchR2(0:0))
    call avR2(10346, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(2409)%branchR2(0:0))
    call avR2(2409, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(6342)%branchR2(0:0))
    call avR2(6342, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22312])

    allocate(vertices(2256)%branchR2(0:0))
    call avR2(2256, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(2327)%branchR2(0:0))
    call avR2(2327, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(2169)%branchR2(0:0))
    call avR2(2169, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(6062)%branchR2(0:0))
    call avR2(6062, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(3637)%branchR2(0:0))
    call avR2(3637, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(7994)%branchR2(0:0))
    call avR2(7994, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(2668)%branchR2(0:0))
    call avR2(2668, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(4453)%branchR2(0:0))
    call avR2(4453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(7664)%branchR2(0:0))
    call avR2(7664, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22231, nGC_22230])

    allocate(vertices(6586)%branchR2(0:0))
    call avR2(6586, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8068)%branchR2(0:0))
    call avR2(8068, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58408])

    allocate(vertices(7416)%branchR2(0:0))
    call avR2(7416, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(2731)%branchR2(0:1))
    call avR2(2731, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22239, nGC_22239])

    call avR2(2731, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22237, nGC_22238])

    allocate(vertices(1509)%branchR2(0:0))
    call avR2(1509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1699)%branchR2(0:0))
    call avR2(1699, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22170, nGC_22169])

    allocate(vertices(10669)%branchR2(0:1))
    call avR2(10669, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10669, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(9884)%branchR2(0:0))
    call avR2(9884, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(2507)%branchR2(0:0))
    call avR2(2507, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(5475)%branchR2(0:0))
    call avR2(5475, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22104, nGC_22103])

    allocate(vertices(1666)%branchR2(0:0))
    call avR2(1666, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22311])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

    allocate(vertices(6452)%branchR2(0:0))
    call avR2(6452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8368)%branchR2(0:0))
    call avR2(8368, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5029)%branchR2(0:0))
    call avR2(5029, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22063])

    allocate(vertices(4640)%branchR2(0:0))
    call avR2(4640, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(7520)%branchR2(0:0))
    call avR2(7520, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10007)%branchR2(0:0))
    call avR2(10007, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(10059)%branchR2(0:0))
    call avR2(10059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(6258)%branchR2(0:0))
    call avR2(6258, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(5324)%branchR2(0:0))
    call avR2(5324, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(4919)%branchR2(0:0))
    call avR2(4919, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22120])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(1423)%branchR2(0:0))
    call avR2(1423, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(8742)%branchR2(0:0))
    call avR2(8742, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22006])

    allocate(vertices(6947)%branchR2(0:0))
    call avR2(6947, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(7444)%branchR2(0:0))
    call avR2(7444, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22048])

    allocate(vertices(8879)%branchR2(0:0))
    call avR2(8879, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(9112)%branchR2(0:0))
    call avR2(9112, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(10235)%branchR2(0:0))
    call avR2(10235, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(7107)%branchR2(0:1))
    call avR2(7107, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22057, nGC_22055])

    call avR2(7107, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22058, nGC_22056])

    allocate(vertices(3970)%branchR2(0:0))
    call avR2(3970, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(8875)%branchR2(0:0))
    call avR2(8875, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10077)%branchR2(0:0))
    call avR2(10077, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(4092)%branchR2(0:0))
    call avR2(4092, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(6848)%branchR2(0:0))
    call avR2(6848, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(4296)%branchR2(0:0))
    call avR2(4296, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(552)%branchR2(0:0))
    call avR2(552, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22249])

    allocate(vertices(5611)%branchR2(0:0))
    call avR2(5611, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(2019)%branchR2(0:0))
    call avR2(2019, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(9341)%branchR2(0:0))
    call avR2(9341, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22012])

    allocate(vertices(9949)%branchR2(0:0))
    call avR2(9949, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(1355)%branchR2(0:1))
    call avR2(1355, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22115, nGC_22117])

    call avR2(1355, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22116, nGC_22118])

    allocate(vertices(8714)%branchR2(0:1))
    call avR2(8714, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22210, nGC_22210])

    call avR2(8714, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22208, nGC_22209])

    allocate(vertices(5401)%branchR2(0:0))
    call avR2(5401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(3824)%branchR2(0:0))
    call avR2(3824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(629)%branchR2(0:1))
    call avR2(629, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22137, nGC_22135])

    call avR2(629, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22150, nGC_22149])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(3061)%branchR2(0:0))
    call avR2(3061, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5827)%branchR2(0:0))
    call avR2(5827, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(4191)%branchR2(0:0))
    call avR2(4191, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(138)%branchR2(0:0))
    call avR2(138, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(7415)%branchR2(0:0))
    call avR2(7415, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(3858)%branchR2(0:1))
    call avR2(3858, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22137, nGC_22135])

    call avR2(3858, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22150, nGC_22149])

    allocate(vertices(10670)%branchR2(0:0))
    call avR2(10670, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22322])

    allocate(vertices(10671)%branchR2(0:0))
    call avR2(10671, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22313])

    allocate(vertices(7898)%branchR2(0:0))
    call avR2(7898, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(5095)%branchR2(0:0))
    call avR2(5095, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22352,       &
    nGC_22351])

    allocate(vertices(2179)%branchR2(0:0))
    call avR2(2179, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58010])

    allocate(vertices(10672)%branchR2(0:0))
    call avR2(10672, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22322])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(9779)%branchR2(0:0))
    call avR2(9779, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(8647)%branchR2(0:0))
    call avR2(8647, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(10673)%branchR2(0:0))
    call avR2(10673, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(5843)%branchR2(0:0))
    call avR2(5843, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22039])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(3076)%branchR2(0:0))
    call avR2(3076, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(1794)%branchR2(0:0))
    call avR2(1794, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(1697)%branchR2(0:0))
    call avR2(1697, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(3291)%branchR2(0:0))
    call avR2(3291, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(6358)%branchR2(0:1))
    call avR2(6358, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(6358, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22022, nGC_22021])

    allocate(vertices(10674)%branchR2(0:1))
    call avR2(10674, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22452])

    call avR2(10674, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22453])

    allocate(vertices(1385)%branchR2(0:0))
    call avR2(1385, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10398)%branchR2(0:0))
    call avR2(10398, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8436)%branchR2(0:0))
    call avR2(8436, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22265, nGC_22266])

    allocate(vertices(7422)%branchR2(0:0))
    call avR2(7422, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(5378)%branchR2(0:0))
    call avR2(5378, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(9012)%branchR2(0:0))
    call avR2(9012, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6881)%branchR2(0:0))
    call avR2(6881, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(9358)%branchR2(0:0))
    call avR2(9358, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(6905)%branchR2(0:0))
    call avR2(6905, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(2638)%branchR2(0:0))
    call avR2(2638, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22063])

    allocate(vertices(5180)%branchR2(0:0))
    call avR2(5180, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22128, nGC_22126])

    call avR2(1182, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22146, nGC_22145])

    allocate(vertices(8014)%branchR2(0:1))
    call avR2(8014, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22031, nGC_22030])

    call avR2(8014, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(5568)%branchR2(0:0))
    call avR2(5568, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22140])

    allocate(vertices(6454)%branchR2(0:0))
    call avR2(6454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(929)%branchR2(0:0))
    call avR2(929, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(8139)%branchR2(0:0))
    call avR2(8139, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(3075)%branchR2(0:0))
    call avR2(3075, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22087])

    allocate(vertices(1572)%branchR2(0:0))
    call avR2(1572, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(9236)%branchR2(0:0))
    call avR2(9236, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(3200)%branchR2(0:1))
    call avR2(3200, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22059, nGC_22061])

    call avR2(3200, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22060, nGC_22062])

    allocate(vertices(2174)%branchR2(0:0))
    call avR2(2174, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10675)%branchR2(0:0))
    call avR2(10675, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22329, nGC_22328,      &
    nGC_22329])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22066])

    allocate(vertices(7326)%branchR2(0:0))
    call avR2(7326, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22254])

    allocate(vertices(5153)%branchR2(0:0))
    call avR2(5153, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22187])

    allocate(vertices(4716)%branchR2(0:0))
    call avR2(4716, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4910)%branchR2(0:3))
    call avR2(4910, 0, 26, 1, 0, FaVF1, 0, [1, 2], [nGC_22289, nGC_22288])

    call avR2(4910, 1, 26, 1, 0, FaVF1, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(4910, 2, 27, 1, 0, FaVF1, 0, [1, 2], [nGC_22287, nGC_22286])

    call avR2(4910, 3, 27, 1, 0, FaVF1, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(7630)%branchR2(0:0))
    call avR2(7630, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(3600)%branchR2(0:0))
    call avR2(3600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(5630)%branchR2(0:1))
    call avR2(5630, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(5630, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22275, nGC_22274])

    allocate(vertices(7728)%branchR2(0:0))
    call avR2(7728, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(9323)%branchR2(0:0))
    call avR2(9323, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22104, nGC_22103])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(4504)%branchR2(0:0))
    call avR2(4504, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(9189)%branchR2(0:0))
    call avR2(9189, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10039)%branchR2(0:0))
    call avR2(10039, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(7083)%branchR2(0:0))
    call avR2(7083, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(2540)%branchR2(0:0))
    call avR2(2540, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9706)%branchR2(0:0))
    call avR2(9706, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(9755)%branchR2(0:0))
    call avR2(9755, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(7501)%branchR2(0:0))
    call avR2(7501, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22312])

    allocate(vertices(994)%branchR2(0:0))
    call avR2(994, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22180, nGC_22179])

    allocate(vertices(10676)%branchR2(0:1))
    call avR2(10676, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10676, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(6526)%branchR2(0:0))
    call avR2(6526, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(10677)%branchR2(0:1))
    call avR2(10677, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22391])

    call avR2(10677, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(4594)%branchR2(0:0))
    call avR2(4594, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5989)%branchR2(0:0))
    call avR2(5989, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(6077)%branchR2(0:0))
    call avR2(6077, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(4875)%branchR2(0:3))
    call avR2(4875, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(4875, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(4875, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(4875, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(10678)%branchR2(0:0))
    call avR2(10678, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22377])

    allocate(vertices(6473)%branchR2(0:0))
    call avR2(6473, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22474,       &
    nGC_22475])

    allocate(vertices(2045)%branchR2(0:0))
    call avR2(2045, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(10679)%branchR2(0:1))
    call avR2(10679, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22431])

    call avR2(10679, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22432])

    allocate(vertices(8390)%branchR2(0:0))
    call avR2(8390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3269)%branchR2(0:0))
    call avR2(3269, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(9529)%branchR2(0:0))
    call avR2(9529, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10680)%branchR2(0:1))
    call avR2(10680, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22375])

    call avR2(10680, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22376])

    allocate(vertices(8981)%branchR2(0:0))
    call avR2(8981, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1581)%branchR2(0:0))
    call avR2(1581, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(1244)%branchR2(0:0))
    call avR2(1244, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(3582)%branchR2(0:0))
    call avR2(3582, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(10681)%branchR2(0:0))
    call avR2(10681, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22328, nGC_22329,      &
    nGC_22329])

    allocate(vertices(2691)%branchR2(0:0))
    call avR2(2691, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(4041)%branchR2(0:1))
    call avR2(4041, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22128, nGC_22126])

    call avR2(4041, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22146, nGC_22145])

    allocate(vertices(2763)%branchR2(0:0))
    call avR2(2763, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(4055)%branchR2(0:0))
    call avR2(4055, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(7870)%branchR2(0:0))
    call avR2(7870, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(4830)%branchR2(0:1))
    call avR2(4830, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22056, nGC_22058])

    call avR2(4830, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22074, nGC_22075])

    allocate(vertices(9284)%branchR2(0:0))
    call avR2(9284, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22475,        &
    nGC_22474])

    allocate(vertices(2898)%branchR2(0:3))
    call avR2(2898, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_22309, nGC_22308])

    call avR2(2898, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(2898, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(2898, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4371)%branchR2(0:0))
    call avR2(4371, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(8720)%branchR2(0:0))
    call avR2(8720, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10442)%branchR2(0:0))
    call avR2(10442, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22028])

    allocate(vertices(9182)%branchR2(0:0))
    call avR2(9182, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(2529)%branchR2(0:0))
    call avR2(2529, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(8433)%branchR2(0:0))
    call avR2(8433, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(6465)%branchR2(0:0))
    call avR2(6465, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22088])

    allocate(vertices(9310)%branchR2(0:0))
    call avR2(9310, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1992)%branchR2(0:0))
    call avR2(1992, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(10682)%branchR2(0:0))
    call avR2(10682, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(3945)%branchR2(0:0))
    call avR2(3945, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22144])

    allocate(vertices(10104)%branchR2(0:0))
    call avR2(10104, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(6880)%branchR2(0:1))
    call avR2(6880, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22015, nGC_22014])

    call avR2(6880, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(8021)%branchR2(0:0))
    call avR2(8021, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(10016)%branchR2(0:0))
    call avR2(10016, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1880)%branchR2(0:0))
    call avR2(1880, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(8827)%branchR2(0:0))
    call avR2(8827, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(7274)%branchR2(0:0))
    call avR2(7274, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9916)%branchR2(0:0))
    call avR2(9916, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(6370)%branchR2(0:0))
    call avR2(6370, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(493)%branchR2(0:0))
    call avR2(493, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(6688)%branchR2(0:0))
    call avR2(6688, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22160, nGC_22159])

    allocate(vertices(10683)%branchR2(0:0))
    call avR2(10683, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22322])

    allocate(vertices(6050)%branchR2(0:0))
    call avR2(6050, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5021)%branchR2(0:0))
    call avR2(5021, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(5169)%branchR2(0:0))
    call avR2(5169, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(326)%branchR2(0:0))
    call avR2(326, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(1007)%branchR2(0:0))
    call avR2(1007, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(10415)%branchR2(0:0))
    call avR2(10415, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

    allocate(vertices(4138)%branchR2(0:0))
    call avR2(4138, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22139])

    allocate(vertices(8337)%branchR2(0:1))
    call avR2(8337, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22059, nGC_22061])

    call avR2(8337, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22060, nGC_22062])

    allocate(vertices(9633)%branchR2(0:0))
    call avR2(9633, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22029])

    allocate(vertices(9132)%branchR2(0:0))
    call avR2(9132, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(2664)%branchR2(0:0))
    call avR2(2664, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22471,       &
    nGC_22470])

    allocate(vertices(3762)%branchR2(0:0))
    call avR2(3762, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(8494)%branchR2(0:0))
    call avR2(8494, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60708])

    allocate(vertices(6045)%branchR2(0:0))
    call avR2(6045, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(6664)%branchR2(0:0))
    call avR2(6664, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(10684)%branchR2(0:1))
    call avR2(10684, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22431])

    call avR2(10684, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22432])

    allocate(vertices(4434)%branchR2(0:0))
    call avR2(4434, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(8145)%branchR2(0:1))
    call avR2(8145, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22125, nGC_22127])

    call avR2(8145, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22126, nGC_22128])

    allocate(vertices(381)%branchR2(0:1))
    call avR2(381, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22224, nGC_22224])

    call avR2(381, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22222, nGC_22223])

    allocate(vertices(8448)%branchR2(0:0))
    call avR2(8448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(6779)%branchR2(0:0))
    call avR2(6779, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(1286)%branchR2(0:0))
    call avR2(1286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(8001)%branchR2(0:0))
    call avR2(8001, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22352,       &
    nGC_22353])

    allocate(vertices(6822)%branchR2(0:0))
    call avR2(6822, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5869)%branchR2(0:0))
    call avR2(5869, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5853)%branchR2(0:0))
    call avR2(5853, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22011])

    allocate(vertices(8454)%branchR2(0:0))
    call avR2(8454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(4646)%branchR2(0:0))
    call avR2(4646, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22010])

    allocate(vertices(8839)%branchR2(0:0))
    call avR2(8839, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(2986)%branchR2(0:0))
    call avR2(2986, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57811])

    allocate(vertices(3171)%branchR2(0:0))
    call avR2(3171, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(8491)%branchR2(0:1))
    call avR2(8491, 0, 2, 1, 0, VVV1, 0, [3, 0], [nGC_60738])

    call avR2(8491, 1, 3, 1, 0, VVV1, 0, [3, 0], [nGC_60736])

    allocate(vertices(6325)%branchR2(0:0))
    call avR2(6325, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(10685)%branchR2(0:0))
    call avR2(10685, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(4131)%branchR2(0:1))
    call avR2(4131, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(4131, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(8439)%branchR2(0:0))
    call avR2(8439, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22065])

    allocate(vertices(9830)%branchR2(0:0))
    call avR2(9830, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(7599)%branchR2(0:0))
    call avR2(7599, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(5998)%branchR2(0:0))
    call avR2(5998, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22041])

    allocate(vertices(4713)%branchR2(0:0))
    call avR2(4713, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22180, nGC_22179])

    allocate(vertices(5940)%branchR2(0:0))
    call avR2(5940, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22319, nGC_22321,       &
    nGC_22320])

    allocate(vertices(10686)%branchR2(0:1))
    call avR2(10686, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_22477, nGC_22477,     &
    nGC_22477])

    call avR2(10686, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_22478, nGC_22478,     &
    nGC_22478])

    allocate(vertices(9694)%branchR2(0:0))
    call avR2(9694, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22464])

    allocate(vertices(2566)%branchR2(0:0))
    call avR2(2566, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(2344)%branchR2(0:0))
    call avR2(2344, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22064])

    allocate(vertices(1350)%branchR2(0:0))
    call avR2(1350, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(895)%branchR2(0:1))
    call avR2(895, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22137, nGC_22135])

    call avR2(895, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22150, nGC_22149])

    allocate(vertices(6936)%branchR2(0:0))
    call avR2(6936, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(8882)%branchR2(0:0))
    call avR2(8882, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57789])

    allocate(vertices(1382)%branchR2(0:0))
    call avR2(1382, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22319, nGC_22320,       &
    nGC_22321])

    allocate(vertices(8988)%branchR2(0:0))
    call avR2(8988, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2881)%branchR2(0:0))
    call avR2(2881, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22229, nGC_22228])

    allocate(vertices(10463)%branchR2(0:0))
    call avR2(10463, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10687)%branchR2(0:1))
    call avR2(10687, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22391])

    call avR2(10687, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(9607)%branchR2(0:0))
    call avR2(9607, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(9848)%branchR2(0:0))
    call avR2(9848, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(7312)%branchR2(0:1))
    call avR2(7312, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(7312, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(10688)%branchR2(0:1))
    call avR2(10688, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_22334, nGC_22334,     &
    nGC_22334])

    call avR2(10688, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_22335, nGC_22335,     &
    nGC_22335])

    allocate(vertices(9627)%branchR2(0:0))
    call avR2(9627, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(8003)%branchR2(0:0))
    call avR2(8003, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(8889)%branchR2(0:0))
    call avR2(8889, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21944, nGC_21943])

    allocate(vertices(10062)%branchR2(0:0))
    call avR2(10062, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(2553)%branchR2(0:0))
    call avR2(2553, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22351,       &
    nGC_22353])

    allocate(vertices(1513)%branchR2(0:0))
    call avR2(1513, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22114, nGC_22113])

    allocate(vertices(7457)%branchR2(0:0))
    call avR2(7457, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(4342)%branchR2(0:0))
    call avR2(4342, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22067])

    allocate(vertices(3282)%branchR2(0:0))
    call avR2(3282, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(5687)%branchR2(0:0))
    call avR2(5687, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(8225)%branchR2(0:0))
    call avR2(8225, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4558)%branchR2(0:0))
    call avR2(4558, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(3765)%branchR2(0:0))
    call avR2(3765, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4788)%branchR2(0:0))
    call avR2(4788, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(4140)%branchR2(0:0))
    call avR2(4140, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7053)%branchR2(0:0))
    call avR2(7053, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(1922)%branchR2(0:1))
    call avR2(1922, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22234, nGC_22235])

    call avR2(1922, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22236, nGC_22236])

    allocate(vertices(6127)%branchR2(0:0))
    call avR2(6127, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(1523)%branchR2(0:0))
    call avR2(1523, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(7826)%branchR2(0:0))
    call avR2(7826, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22068])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(5913)%branchR2(0:0))
    call avR2(5913, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(8440)%branchR2(0:1))
    call avR2(8440, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22171, nGC_22173])

    call avR2(8440, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22172, nGC_22174])

    allocate(vertices(3944)%branchR2(0:0))
    call avR2(3944, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(10310)%branchR2(0:0))
    call avR2(10310, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6162)%branchR2(0:0))
    call avR2(6162, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22471,       &
    nGC_22470])

    allocate(vertices(7845)%branchR2(0:0))
    call avR2(7845, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22267])

    allocate(vertices(9940)%branchR2(0:0))
    call avR2(9940, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57411])

    allocate(vertices(3649)%branchR2(0:0))
    call avR2(3649, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(7393)%branchR2(0:0))
    call avR2(7393, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(10282)%branchR2(0:0))
    call avR2(10282, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(8803)%branchR2(0:0))
    call avR2(8803, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22471,        &
    nGC_22470])

    allocate(vertices(8280)%branchR2(0:0))
    call avR2(8280, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(906)%branchR2(0:0))
    call avR2(906, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(3606)%branchR2(0:0))
    call avR2(3606, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(1245)%branchR2(0:0))
    call avR2(1245, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22254])

    allocate(vertices(3914)%branchR2(0:0))
    call avR2(3914, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(8008)%branchR2(0:0))
    call avR2(8008, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(768)%branchR2(0:0))
    call avR2(768, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22458])

    allocate(vertices(10689)%branchR2(0:5))
    call avR2(10689, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10689, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_22371, nGC_22371,     &
    nGC_22371])

    call avR2(10689, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10689, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10689, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10689, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22217])

    allocate(vertices(5492)%branchR2(0:0))
    call avR2(5492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(6071)%branchR2(0:1))
    call avR2(6071, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22152, nGC_22154])

    call avR2(6071, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22153, nGC_22155])

    allocate(vertices(6720)%branchR2(0:0))
    call avR2(6720, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22320,        &
    nGC_22319])

    allocate(vertices(7243)%branchR2(0:0))
    call avR2(7243, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22072])

    allocate(vertices(9171)%branchR2(0:0))
    call avR2(9171, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(765)%branchR2(0:0))
    call avR2(765, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22151])

    allocate(vertices(9044)%branchR2(0:0))
    call avR2(9044, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(208)%branchR2(0:0))
    call avR2(208, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59600])

    allocate(vertices(9624)%branchR2(0:0))
    call avR2(9624, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6367)%branchR2(0:0))
    call avR2(6367, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(9314)%branchR2(0:0))
    call avR2(9314, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(9230)%branchR2(0:0))
    call avR2(9230, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60860])

    allocate(vertices(10471)%branchR2(0:0))
    call avR2(10471, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(3594)%branchR2(0:0))
    call avR2(3594, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(7678)%branchR2(0:1))
    call avR2(7678, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(7678, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22015, nGC_22014])

    allocate(vertices(3542)%branchR2(0:0))
    call avR2(3542, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(9113)%branchR2(0:0))
    call avR2(9113, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21948, nGC_21947])

    allocate(vertices(5585)%branchR2(0:1))
    call avR2(5585, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(5585, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22285, nGC_22284])

    allocate(vertices(6106)%branchR2(0:0))
    call avR2(6106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(1346)%branchR2(0:0))
    call avR2(1346, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(10690)%branchR2(0:0))
    call avR2(10690, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22080])

    allocate(vertices(10691)%branchR2(0:0))
    call avR2(10691, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(8392)%branchR2(0:0))
    call avR2(8392, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(5916)%branchR2(0:1))
    call avR2(5916, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22227, nGC_22227])

    call avR2(5916, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22225, nGC_22226])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(3459)%branchR2(0:0))
    call avR2(3459, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22253])

    allocate(vertices(2727)%branchR2(0:0))
    call avR2(2727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(6902)%branchR2(0:0))
    call avR2(6902, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(3716)%branchR2(0:0))
    call avR2(3716, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22064])

    allocate(vertices(10320)%branchR2(0:0))
    call avR2(10320, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(5329)%branchR2(0:0))
    call avR2(5329, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(7480)%branchR2(0:0))
    call avR2(7480, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3098)%branchR2(0:3))
    call avR2(3098, 0, 20, 1, 0, VFFa0, 0, [1, 2], [nGC_22309, nGC_22308])

    call avR2(3098, 1, 20, 1, 0, VFFa0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(3098, 2, 21, 1, 0, VFFa0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(3098, 3, 21, 1, 0, VFFa0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(4056)%branchR2(0:0))
    call avR2(4056, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10262)%branchR2(0:0))
    call avR2(10262, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10692)%branchR2(0:1))
    call avR2(10692, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10692, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(9436)%branchR2(0:0))
    call avR2(9436, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21994])

    allocate(vertices(10693)%branchR2(0:0))
    call avR2(10693, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(5879)%branchR2(0:0))
    call avR2(5879, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10084)%branchR2(0:0))
    call avR2(10084, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(10694)%branchR2(0:1))
    call avR2(10694, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22421])

    call avR2(10694, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22422])

    allocate(vertices(10695)%branchR2(0:1))
    call avR2(10695, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22421])

    call avR2(10695, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22422])

    allocate(vertices(3515)%branchR2(0:0))
    call avR2(3515, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(3043)%branchR2(0:0))
    call avR2(3043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(1028)%branchR2(0:0))
    call avR2(1028, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(7174)%branchR2(0:0))
    call avR2(7174, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(3012)%branchR2(0:0))
    call avR2(3012, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22469])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59747])

    allocate(vertices(10696)%branchR2(0:0))
    call avR2(10696, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10697)%branchR2(0:1))
    call avR2(10697, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22431])

    call avR2(10697, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22432])

    allocate(vertices(6920)%branchR2(0:0))
    call avR2(6920, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(9877)%branchR2(0:0))
    call avR2(9877, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8049)%branchR2(0:0))
    call avR2(8049, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22450])

    allocate(vertices(2993)%branchR2(0:1))
    call avR2(2993, 0, 30, 1, 0, FVFa1, 0, [2, 1], [nGC_22246])

    call avR2(2993, 1, 30, 1, 0, FVFa1, 0, [0, 3], [nGC_22251])

    allocate(vertices(6727)%branchR2(0:0))
    call avR2(6727, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22067])

    allocate(vertices(10330)%branchR2(0:0))
    call avR2(10330, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(9260)%branchR2(0:0))
    call avR2(9260, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(3346)%branchR2(0:0))
    call avR2(3346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(6391)%branchR2(0:0))
    call avR2(6391, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(8646)%branchR2(0:0))
    call avR2(8646, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8332)%branchR2(0:1))
    call avR2(8332, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22239, nGC_22239])

    call avR2(8332, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22237, nGC_22238])

    allocate(vertices(8978)%branchR2(0:0))
    call avR2(8978, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(5664)%branchR2(0:0))
    call avR2(5664, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(6316)%branchR2(0:0))
    call avR2(6316, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22267])

    allocate(vertices(10243)%branchR2(0:0))
    call avR2(10243, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(6821)%branchR2(0:0))
    call avR2(6821, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(9434)%branchR2(0:0))
    call avR2(9434, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22069])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(2078)%branchR2(0:0))
    call avR2(2078, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(5840)%branchR2(0:0))
    call avR2(5840, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(10698)%branchR2(0:0))
    call avR2(10698, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(9746)%branchR2(0:0))
    call avR2(9746, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6369)%branchR2(0:1))
    call avR2(6369, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22196, nGC_22197])

    call avR2(6369, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22198, nGC_22198])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(3035)%branchR2(0:0))
    call avR2(3035, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(845)%branchR2(0:1))
    call avR2(845, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(845, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22285, nGC_22284])

    allocate(vertices(2592)%branchR2(0:0))
    call avR2(2592, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(8880)%branchR2(0:0))
    call avR2(8880, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(7100)%branchR2(0:0))
    call avR2(7100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(8018)%branchR2(0:0))
    call avR2(8018, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22063])

    allocate(vertices(7892)%branchR2(0:0))
    call avR2(7892, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(6299)%branchR2(0:0))
    call avR2(6299, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22250])

    allocate(vertices(3885)%branchR2(0:0))
    call avR2(3885, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22312])

    allocate(vertices(317)%branchR2(0:0))
    call avR2(317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9505)%branchR2(0:0))
    call avR2(9505, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(4841)%branchR2(0:0))
    call avR2(4841, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22249])

    allocate(vertices(1856)%branchR2(0:0))
    call avR2(1856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(878)%branchR2(0:0))
    call avR2(878, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(9901)%branchR2(0:0))
    call avR2(9901, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(656)%branchR2(0:0))
    call avR2(656, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(10699)%branchR2(0:1))
    call avR2(10699, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22436])

    call avR2(10699, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22437])

    allocate(vertices(5651)%branchR2(0:0))
    call avR2(5651, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22212, nGC_22211])

    allocate(vertices(7108)%branchR2(0:0))
    call avR2(7108, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22139])

    allocate(vertices(10700)%branchR2(0:0))
    call avR2(10700, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22322])

    allocate(vertices(486)%branchR2(0:1))
    call avR2(486, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22132, nGC_22130])

    call avR2(486, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22133, nGC_22131])

    allocate(vertices(1282)%branchR2(0:0))
    call avR2(1282, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(3502)%branchR2(0:0))
    call avR2(3502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10147)%branchR2(0:0))
    call avR2(10147, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(8350)%branchR2(0:0))
    call avR2(8350, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(5087)%branchR2(0:1))
    call avR2(5087, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22234, nGC_22235])

    call avR2(5087, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22236, nGC_22236])

    allocate(vertices(443)%branchR2(0:0))
    call avR2(443, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22065])

    allocate(vertices(2080)%branchR2(0:0))
    call avR2(2080, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(6585)%branchR2(0:0))
    call avR2(6585, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(9811)%branchR2(0:0))
    call avR2(9811, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(9643)%branchR2(0:0))
    call avR2(9643, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(1589)%branchR2(0:0))
    call avR2(1589, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(8105)%branchR2(0:1))
    call avR2(8105, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(8105, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(176)%branchR2(0:0))
    call avR2(176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2003)%branchR2(0:0))
    call avR2(2003, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57894])

    allocate(vertices(4687)%branchR2(0:0))
    call avR2(4687, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(2316)%branchR2(0:0))
    call avR2(2316, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8856)%branchR2(0:0))
    call avR2(8856, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(8035)%branchR2(0:3))
    call avR2(8035, 0, 24, 1, 0, FVFa0, 0, [1, 2], [nGC_22283, nGC_22281])

    call avR2(8035, 1, 24, 1, 0, FVFa0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(8035, 2, 25, 1, 0, FVFa0, 0, [1, 2], [nGC_22280, nGC_22278])

    call avR2(8035, 3, 25, 1, 0, FVFa0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(2877)%branchR2(0:0))
    call avR2(2877, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1308)%branchR2(0:0))
    call avR2(1308, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_61006])

    allocate(vertices(9628)%branchR2(0:0))
    call avR2(9628, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8888)%branchR2(0:0))
    call avR2(8888, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10474)%branchR2(0:0))
    call avR2(10474, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(10433)%branchR2(0:0))
    call avR2(10433, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(8264)%branchR2(0:0))
    call avR2(8264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(3816)%branchR2(0:1))
    call avR2(3816, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(3816, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22022, nGC_22021])

    allocate(vertices(9584)%branchR2(0:0))
    call avR2(9584, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(4766)%branchR2(0:0))
    call avR2(4766, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(7056)%branchR2(0:0))
    call avR2(7056, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22151])

    allocate(vertices(6923)%branchR2(0:0))
    call avR2(6923, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22050])

    allocate(vertices(150)%branchR2(0:0))
    call avR2(150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(2229)%branchR2(0:0))
    call avR2(2229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(10246)%branchR2(0:0))
    call avR2(10246, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(1670)%branchR2(0:0))
    call avR2(1670, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(9789)%branchR2(0:0))
    call avR2(9789, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22029])

    allocate(vertices(9510)%branchR2(0:0))
    call avR2(9510, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22029])

    allocate(vertices(8458)%branchR2(0:0))
    call avR2(8458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(2552)%branchR2(0:0))
    call avR2(2552, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22212, nGC_22211])

    allocate(vertices(10701)%branchR2(0:1))
    call avR2(10701, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22452])

    call avR2(10701, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22453])

    allocate(vertices(9674)%branchR2(0:0))
    call avR2(9674, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(2952)%branchR2(0:1))
    call avR2(2952, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22131, nGC_22133])

    call avR2(2952, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22147, nGC_22148])

    allocate(vertices(5063)%branchR2(0:0))
    call avR2(5063, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22319,       &
    nGC_22320])

    allocate(vertices(4538)%branchR2(0:0))
    call avR2(4538, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(5193)%branchR2(0:1))
    call avR2(5193, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22222, nGC_22223])

    call avR2(5193, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22224, nGC_22224])

    allocate(vertices(3230)%branchR2(0:0))
    call avR2(3230, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22231, nGC_22230])

    allocate(vertices(8221)%branchR2(0:0))
    call avR2(8221, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(8671)%branchR2(0:0))
    call avR2(8671, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(188)%branchR2(0:0))
    call avR2(188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(8185)%branchR2(0:0))
    call avR2(8185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(1818)%branchR2(0:0))
    call avR2(1818, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22170, nGC_22169])

    allocate(vertices(1639)%branchR2(0:0))
    call avR2(1639, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(2129)%branchR2(0:0))
    call avR2(2129, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(698)%branchR2(0:3))
    call avR2(698, 0, 22, 1, 0, VFaF0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(698, 1, 22, 1, 0, VFaF0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(698, 2, 23, 1, 0, VFaF0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(698, 3, 23, 1, 0, VFaF0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(1676)%branchR2(0:0))
    call avR2(1676, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(10250)%branchR2(0:0))
    call avR2(10250, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(10702)%branchR2(0:0))
    call avR2(10702, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(1186, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(2088)%branchR2(0:0))
    call avR2(2088, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(7096)%branchR2(0:0))
    call avR2(7096, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22123])

    allocate(vertices(2467)%branchR2(0:0))
    call avR2(2467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(9541)%branchR2(0:0))
    call avR2(9541, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(4094)%branchR2(0:1))
    call avR2(4094, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(4094, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(977)%branchR2(0:0))
    call avR2(977, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(5757)%branchR2(0:1))
    call avR2(5757, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22207, nGC_22207])

    call avR2(5757, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22205, nGC_22206])

    allocate(vertices(2514)%branchR2(0:0))
    call avR2(2514, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10703)%branchR2(0:0))
    call avR2(10703, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22361,      &
    nGC_22361])

    allocate(vertices(5846)%branchR2(0:0))
    call avR2(5846, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(3444)%branchR2(0:1))
    call avR2(3444, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22161, nGC_22163])

    call avR2(3444, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22162, nGC_22164])

    allocate(vertices(10704)%branchR2(0:1))
    call avR2(10704, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10704, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(4310)%branchR2(0:0))
    call avR2(4310, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(3503)%branchR2(0:0))
    call avR2(3503, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22139])

    allocate(vertices(9741)%branchR2(0:0))
    call avR2(9741, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10044)%branchR2(0:0))
    call avR2(10044, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(5190)%branchR2(0:0))
    call avR2(5190, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22276, nGC_22277])

    allocate(vertices(7249)%branchR2(0:0))
    call avR2(7249, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22320, nGC_22321,       &
    nGC_22319])

    allocate(vertices(1284)%branchR2(0:0))
    call avR2(1284, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(5956)%branchR2(0:0))
    call avR2(5956, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(9209)%branchR2(0:0))
    call avR2(9209, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22012])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(10106)%branchR2(0:0))
    call avR2(10106, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(3019)%branchR2(0:0))
    call avR2(3019, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(7884)%branchR2(0:0))
    call avR2(7884, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(10189)%branchR2(0:0))
    call avR2(10189, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5202)%branchR2(0:0))
    call avR2(5202, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22102, nGC_22101])

    allocate(vertices(9842)%branchR2(0:0))
    call avR2(9842, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59784])

    allocate(vertices(9484)%branchR2(0:0))
    call avR2(9484, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(5506)%branchR2(0:0))
    call avR2(5506, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22121])

    allocate(vertices(9537)%branchR2(0:0))
    call avR2(9537, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22029])

    allocate(vertices(2964)%branchR2(0:0))
    call avR2(2964, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(8127)%branchR2(0:0))
    call avR2(8127, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22229, nGC_22228])

    allocate(vertices(1585)%branchR2(0:0))
    call avR2(1585, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(5667)%branchR2(0:0))
    call avR2(5667, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(4102)%branchR2(0:0))
    call avR2(4102, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22144])

    allocate(vertices(8505)%branchR2(0:0))
    call avR2(8505, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(8188)%branchR2(0:1))
    call avR2(8188, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(8188, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(7857)%branchR2(0:0))
    call avR2(7857, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(4835)%branchR2(0:0))
    call avR2(4835, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(3856)%branchR2(0:0))
    call avR2(3856, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22040])

    allocate(vertices(9422)%branchR2(0:0))
    call avR2(9422, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(10705)%branchR2(0:1))
    call avR2(10705, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10705, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(10706)%branchR2(0:0))
    call avR2(10706, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(3003)%branchR2(0:0))
    call avR2(3003, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22065])

    allocate(vertices(10195)%branchR2(0:0))
    call avR2(10195, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(7912)%branchR2(0:0))
    call avR2(7912, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22006])

    allocate(vertices(10707)%branchR2(0:0))
    call avR2(10707, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(8071)%branchR2(0:0))
    call avR2(8071, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(1911)%branchR2(0:0))
    call avR2(1911, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(1716)%branchR2(0:0))
    call avR2(1716, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(473)%branchR2(0:0))
    call avR2(473, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(3572)%branchR2(0:1))
    call avR2(3572, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(3572, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(10219)%branchR2(0:0))
    call avR2(10219, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(10708)%branchR2(0:0))
    call avR2(10708, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22009])

    allocate(vertices(10402)%branchR2(0:0))
    call avR2(10402, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6507)%branchR2(0:0))
    call avR2(6507, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(2157)%branchR2(0:0))
    call avR2(2157, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(10709)%branchR2(0:1))
    call avR2(10709, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10709, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(8302)%branchR2(0:0))
    call avR2(8302, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(5221)%branchR2(0:1))
    call avR2(5221, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22215, nGC_22215])

    call avR2(5221, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22213, nGC_22214])

    allocate(vertices(6976)%branchR2(0:0))
    call avR2(6976, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(7862)%branchR2(0:0))
    call avR2(7862, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22254])

    allocate(vertices(9110)%branchR2(0:0))
    call avR2(9110, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(8739)%branchR2(0:1))
    call avR2(8739, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(8739, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22275, nGC_22274])

    allocate(vertices(6724)%branchR2(0:0))
    call avR2(6724, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(10181)%branchR2(0:0))
    call avR2(10181, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(4661)%branchR2(0:0))
    call avR2(4661, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(7787)%branchR2(0:0))
    call avR2(7787, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(5013)%branchR2(0:0))
    call avR2(5013, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(6048)%branchR2(0:1))
    call avR2(6048, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22056, nGC_22058])

    call avR2(6048, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22074, nGC_22075])

    allocate(vertices(9122)%branchR2(0:0))
    call avR2(9122, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6587)%branchR2(0:0))
    call avR2(6587, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(3510)%branchR2(0:0))
    call avR2(3510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(9274)%branchR2(0:1))
    call avR2(9274, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21981, nGC_21980,       &
    nGC_22000, nGC_22000])

    call avR2(9274, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_22001, nGC_22001])

    allocate(vertices(6510)%branchR2(0:1))
    call avR2(6510, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22244, nGC_22244])

    call avR2(6510, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22242, nGC_22243])

    allocate(vertices(3869)%branchR2(0:0))
    call avR2(3869, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(4442)%branchR2(0:0))
    call avR2(4442, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(4717)%branchR2(0:0))
    call avR2(4717, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(9007)%branchR2(0:0))
    call avR2(9007, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22029])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(10429)%branchR2(0:0))
    call avR2(10429, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21962, nGC_21961])

    allocate(vertices(8109)%branchR2(0:0))
    call avR2(8109, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22138])

    allocate(vertices(10286)%branchR2(0:0))
    call avR2(10286, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58261])

    allocate(vertices(7301)%branchR2(0:0))
    call avR2(7301, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(2867)%branchR2(0:0))
    call avR2(2867, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(172)%branchR2(0:1))
    call avR2(172, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22031, nGC_22030])

    call avR2(172, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(6408)%branchR2(0:0))
    call avR2(6408, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(8206)%branchR2(0:0))
    call avR2(8206, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(6312)%branchR2(0:0))
    call avR2(6312, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(6436)%branchR2(0:0))
    call avR2(6436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(4171)%branchR2(0:0))
    call avR2(4171, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22005])

    allocate(vertices(4440)%branchR2(0:0))
    call avR2(4440, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(3672)%branchR2(0:0))
    call avR2(3672, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(6314)%branchR2(0:0))
    call avR2(6314, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(1434)%branchR2(0:0))
    call avR2(1434, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(3718)%branchR2(0:0))
    call avR2(3718, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(9534)%branchR2(0:0))
    call avR2(9534, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1276)%branchR2(0:0))
    call avR2(1276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(2996)%branchR2(0:0))
    call avR2(2996, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22017])

    allocate(vertices(9631)%branchR2(0:0))
    call avR2(9631, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

    allocate(vertices(4062)%branchR2(0:0))
    call avR2(4062, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2600)%branchR2(0:0))
    call avR2(2600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(9443)%branchR2(0:0))
    call avR2(9443, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(3740)%branchR2(0:1))
    call avR2(3740, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22191, nGC_22191])

    call avR2(3740, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22189, nGC_22190])

    allocate(vertices(9396)%branchR2(0:0))
    call avR2(9396, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21946, nGC_21945])

    allocate(vertices(6933)%branchR2(0:0))
    call avR2(6933, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22041])

    allocate(vertices(6302)%branchR2(0:1))
    call avR2(6302, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22171, nGC_22173])

    call avR2(6302, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22172, nGC_22174])

    allocate(vertices(1271)%branchR2(0:0))
    call avR2(1271, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22039])

    allocate(vertices(9688)%branchR2(0:0))
    call avR2(9688, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(920)%branchR2(0:0))
    call avR2(920, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(10438)%branchR2(0:0))
    call avR2(10438, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(3181)%branchR2(0:0))
    call avR2(3181, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8681)%branchR2(0:0))
    call avR2(8681, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(9672)%branchR2(0:0))
    call avR2(9672, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59784])

    allocate(vertices(8651)%branchR2(0:0))
    call avR2(8651, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22351,       &
    nGC_22352])

    allocate(vertices(3361)%branchR2(0:0))
    call avR2(3361, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8309)%branchR2(0:0))
    call avR2(8309, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(9881)%branchR2(0:0))
    call avR2(9881, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(3485)%branchR2(0:0))
    call avR2(3485, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(8848)%branchR2(0:0))
    call avR2(8848, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60860])

    allocate(vertices(2913)%branchR2(0:0))
    call avR2(2913, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10710)%branchR2(0:1))
    call avR2(10710, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10710, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(1444)%branchR2(0:0))
    call avR2(1444, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22450])

    allocate(vertices(4002)%branchR2(0:0))
    call avR2(4002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(2148)%branchR2(0:0))
    call avR2(2148, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58184])

    allocate(vertices(10711)%branchR2(0:1))
    call avR2(10711, 0, 37, 1, 0, VSV0, 0, [2, 1], [nGC_22201])

    call avR2(10711, 1, 38, 1, 0, VSV0, 0, [2, 1], [nGC_22202])

    allocate(vertices(10712)%branchR2(0:1))
    call avR2(10712, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22391])

    call avR2(10712, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(7869)%branchR2(0:0))
    call avR2(7869, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(419)%branchR2(0:0))
    call avR2(419, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(5955)%branchR2(0:0))
    call avR2(5955, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(6847)%branchR2(0:0))
    call avR2(6847, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22187])

    allocate(vertices(9351)%branchR2(0:0))
    call avR2(9351, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6913)%branchR2(0:0))
    call avR2(6913, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(4636)%branchR2(0:0))
    call avR2(4636, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(3645)%branchR2(0:0))
    call avR2(3645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2627)%branchR2(0:0))
    call avR2(2627, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22082])

    allocate(vertices(9440)%branchR2(0:0))
    call avR2(9440, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(5852)%branchR2(0:0))
    call avR2(5852, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(8777)%branchR2(0:0))
    call avR2(8777, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(1683)%branchR2(0:0))
    call avR2(1683, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22254])

    allocate(vertices(9408)%branchR2(0:0))
    call avR2(9408, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21958, nGC_21957])

    allocate(vertices(6244)%branchR2(0:0))
    call avR2(6244, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22157])

    allocate(vertices(2648)%branchR2(0:0))
    call avR2(2648, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(4248)%branchR2(0:0))
    call avR2(4248, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(9991)%branchR2(0:0))
    call avR2(9991, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(4333)%branchR2(0:0))
    call avR2(4333, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22200, nGC_22199])

    allocate(vertices(4174)%branchR2(0:0))
    call avR2(4174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(7508)%branchR2(0:0))
    call avR2(7508, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(4346)%branchR2(0:0))
    call avR2(4346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7050)%branchR2(0:0))
    call avR2(7050, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22038])

    allocate(vertices(5004)%branchR2(0:0))
    call avR2(5004, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(9446)%branchR2(0:0))
    call avR2(9446, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_21994])

    allocate(vertices(7591)%branchR2(0:0))
    call avR2(7591, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22320, nGC_22321,       &
    nGC_22319])

    allocate(vertices(2272)%branchR2(0:0))
    call avR2(2272, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(5266)%branchR2(0:0))
    call avR2(5266, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22311])

    allocate(vertices(9219)%branchR2(0:0))
    call avR2(9219, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(9015)%branchR2(0:0))
    call avR2(9015, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(7718)%branchR2(0:0))
    call avR2(7718, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(10713)%branchR2(0:1))
    call avR2(10713, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_22334, nGC_22334,     &
    nGC_22334])

    call avR2(10713, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_22335, nGC_22335,     &
    nGC_22335])

    allocate(vertices(3770)%branchR2(0:0))
    call avR2(3770, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(299)%branchR2(0:0))
    call avR2(299, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5526)%branchR2(0:0))
    call avR2(5526, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(9615)%branchR2(0:0))
    call avR2(9615, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(852)%branchR2(0:1))
    call avR2(852, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22246])

    call avR2(852, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22251])

    allocate(vertices(7487)%branchR2(0:0))
    call avR2(7487, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(1440)%branchR2(0:0))
    call avR2(1440, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58847])

    allocate(vertices(9476)%branchR2(0:0))
    call avR2(9476, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(10714)%branchR2(0:1))
    call avR2(10714, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22465])

    call avR2(10714, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22466])

    allocate(vertices(7445)%branchR2(0:0))
    call avR2(7445, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22114, nGC_22113])

    allocate(vertices(4206)%branchR2(0:0))
    call avR2(4206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10715)%branchR2(0:1))
    call avR2(10715, 0, 37, 1, 0, VSV0, 0, [2, 1], [nGC_22232])

    call avR2(10715, 1, 38, 1, 0, VSV0, 0, [2, 1], [nGC_22233])

    allocate(vertices(3585)%branchR2(0:0))
    call avR2(3585, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(8584)%branchR2(0:0))
    call avR2(8584, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(5051)%branchR2(0:0))
    call avR2(5051, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(2853)%branchR2(0:0))
    call avR2(2853, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(1503)%branchR2(0:0))
    call avR2(1503, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(7345)%branchR2(0:0))
    call avR2(7345, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(6233)%branchR2(0:1))
    call avR2(6233, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(6233, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22273, nGC_22272])

    allocate(vertices(6478)%branchR2(0:0))
    call avR2(6478, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22122])

    allocate(vertices(10362)%branchR2(0:0))
    call avR2(10362, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(6479)%branchR2(0:0))
    call avR2(6479, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(3468)%branchR2(0:0))
    call avR2(3468, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2789)%branchR2(0:1))
    call avR2(2789, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22056, nGC_22058])

    call avR2(2789, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22074, nGC_22075])

    allocate(vertices(5035)%branchR2(0:0))
    call avR2(5035, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(491)%branchR2(0:0))
    call avR2(491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(2083)%branchR2(0:0))
    call avR2(2083, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22268])

    allocate(vertices(1457)%branchR2(0:0))
    call avR2(1457, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6187)%branchR2(0:0))
    call avR2(6187, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(10301)%branchR2(0:0))
    call avR2(10301, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(7230)%branchR2(0:0))
    call avR2(7230, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(3258)%branchR2(0:0))
    call avR2(3258, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(9784)%branchR2(0:0))
    call avR2(9784, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(141)%branchR2(0:0))
    call avR2(141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(1336)%branchR2(0:0))
    call avR2(1336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(4219)%branchR2(0:1))
    call avR2(4219, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22019, nGC_22018])

    call avR2(4219, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(10716)%branchR2(0:1))
    call avR2(10716, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10716, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(5325)%branchR2(0:0))
    call avR2(5325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1635)%branchR2(0:0))
    call avR2(1635, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(9911)%branchR2(0:0))
    call avR2(9911, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(9338)%branchR2(0:0))
    call avR2(9338, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21984, nGC_21985,       &
    nGC_21999, nGC_21999])

    allocate(vertices(8938)%branchR2(0:0))
    call avR2(8938, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(4227)%branchR2(0:1))
    call avR2(4227, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22132, nGC_22130])

    call avR2(4227, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22133, nGC_22131])

    allocate(vertices(2729)%branchR2(0:1))
    call avR2(2729, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22246])

    call avR2(2729, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22252])

    allocate(vertices(9144)%branchR2(0:0))
    call avR2(9144, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22046])

    allocate(vertices(7373)%branchR2(0:0))
    call avR2(7373, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(7335)%branchR2(0:0))
    call avR2(7335, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2855)%branchR2(0:0))
    call avR2(2855, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(6623)%branchR2(0:3))
    call avR2(6623, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_22298, nGC_22297])

    call avR2(6623, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(6623, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(6623, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(10220)%branchR2(0:0))
    call avR2(10220, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22351,        &
    nGC_22353])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(6833)%branchR2(0:1))
    call avR2(6833, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22195, nGC_22195])

    call avR2(6833, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22193, nGC_22194])

    allocate(vertices(4344)%branchR2(0:0))
    call avR2(4344, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22066])

    allocate(vertices(2918)%branchR2(0:0))
    call avR2(2918, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22119])

    allocate(vertices(10717)%branchR2(0:1))
    call avR2(10717, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22460])

    call avR2(10717, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22461])

    allocate(vertices(7951)%branchR2(0:0))
    call avR2(7951, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(4261)%branchR2(0:1))
    call avR2(4261, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22236, nGC_22236])

    call avR2(4261, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22234, nGC_22235])

    allocate(vertices(5523)%branchR2(0:0))
    call avR2(5523, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(1518)%branchR2(0:0))
    call avR2(1518, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(10028)%branchR2(0:0))
    call avR2(10028, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(8126)%branchR2(0:0))
    call avR2(8126, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(9578)%branchR2(0:0))
    call avR2(9578, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2994)%branchR2(0:1))
    call avR2(2994, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(2994, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(4358)%branchR2(0:0))
    call avR2(4358, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(2908)%branchR2(0:0))
    call avR2(2908, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22082])

    allocate(vertices(7824)%branchR2(0:0))
    call avR2(7824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(7619)%branchR2(0:0))
    call avR2(7619, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8250)%branchR2(0:1))
    call avR2(8250, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(8250, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(143)%branchR2(0:0))
    call avR2(143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(1776)%branchR2(0:0))
    call avR2(1776, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(2834)%branchR2(0:0))
    call avR2(2834, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22469])

    allocate(vertices(10718)%branchR2(0:0))
    call avR2(10718, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(10129)%branchR2(0:0))
    call avR2(10129, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(7115)%branchR2(0:0))
    call avR2(7115, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22007])

    allocate(vertices(1621)%branchR2(0:0))
    call avR2(1621, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10719)%branchR2(0:1))
    call avR2(10719, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22465])

    call avR2(10719, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22466])

    allocate(vertices(373)%branchR2(0:0))
    call avR2(373, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(9051)%branchR2(0:0))
    call avR2(9051, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(3201)%branchR2(0:0))
    call avR2(3201, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(9421)%branchR2(0:0))
    call avR2(9421, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(436)%branchR2(0:0))
    call avR2(436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(3753)%branchR2(0:0))
    call avR2(3753, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22104, nGC_22103])

    allocate(vertices(4963)%branchR2(0:0))
    call avR2(4963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(5720)%branchR2(0:0))
    call avR2(5720, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(4757)%branchR2(0:0))
    call avR2(4757, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(9956)%branchR2(0:0))
    call avR2(9956, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57411])

    allocate(vertices(4377)%branchR2(0:0))
    call avR2(4377, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10720)%branchR2(0:1))
    call avR2(10720, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10720, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(3319)%branchR2(0:1))
    call avR2(3319, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22131, nGC_22133])

    call avR2(3319, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22147, nGC_22148])

    allocate(vertices(6158)%branchR2(0:0))
    call avR2(6158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(7402)%branchR2(0:1))
    call avR2(7402, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22115, nGC_22117])

    call avR2(7402, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22116, nGC_22118])

    allocate(vertices(2882)%branchR2(0:0))
    call avR2(2882, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(1143)%branchR2(0:0))
    call avR2(1143, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22064])

    allocate(vertices(7815)%branchR2(0:0))
    call avR2(7815, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(9523)%branchR2(0:0))
    call avR2(9523, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1319)%branchR2(0:0))
    call avR2(1319, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(5505)%branchR2(0:0))
    call avR2(5505, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59168])

    allocate(vertices(9300)%branchR2(0:0))
    call avR2(9300, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(6432)%branchR2(0:0))
    call avR2(6432, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22186])

    allocate(vertices(4186)%branchR2(0:0))
    call avR2(4186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(10130)%branchR2(0:0))
    call avR2(10130, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58279])

    allocate(vertices(10382)%branchR2(0:0))
    call avR2(10382, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6709)%branchR2(0:0))
    call avR2(6709, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22139])

    allocate(vertices(10721)%branchR2(0:1))
    call avR2(10721, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22391])

    call avR2(10721, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(10722)%branchR2(0:0))
    call avR2(10722, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(7417)%branchR2(0:0))
    call avR2(7417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(4821)%branchR2(0:0))
    call avR2(4821, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22249])

    allocate(vertices(9404)%branchR2(0:0))
    call avR2(9404, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10191)%branchR2(0:0))
    call avR2(10191, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(3577)%branchR2(0:0))
    call avR2(3577, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(6533)%branchR2(0:0))
    call avR2(6533, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(2744)%branchR2(0:1))
    call avR2(2744, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22239, nGC_22239])

    call avR2(2744, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22237, nGC_22238])

    allocate(vertices(3774)%branchR2(0:0))
    call avR2(3774, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(10723)%branchR2(0:0))
    call avR2(10723, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22008])

    allocate(vertices(6382)%branchR2(0:0))
    call avR2(6382, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22312])

    allocate(vertices(2478)%branchR2(0:0))
    call avR2(2478, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(8072)%branchR2(0:0))
    call avR2(8072, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(7333)%branchR2(0:0))
    call avR2(7333, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22186])

    allocate(vertices(7364)%branchR2(0:0))
    call avR2(7364, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(8810)%branchR2(0:0))
    call avR2(8810, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4153)%branchR2(0:0))
    call avR2(4153, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60708])

    allocate(vertices(2533)%branchR2(0:0))
    call avR2(2533, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10724)%branchR2(0:0))
    call avR2(10724, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22329, nGC_22328,      &
    nGC_22329])

    allocate(vertices(3040)%branchR2(0:0))
    call avR2(3040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(2103)%branchR2(0:0))
    call avR2(2103, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(1243)%branchR2(0:0))
    call avR2(1243, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22353,       &
    nGC_22352])

    allocate(vertices(4293)%branchR2(0:1))
    call avR2(4293, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22236, nGC_22236])

    call avR2(4293, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22234, nGC_22235])

    allocate(vertices(6165)%branchR2(0:0))
    call avR2(6165, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10467)%branchR2(0:0))
    call avR2(10467, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22013])

    allocate(vertices(5127)%branchR2(0:0))
    call avR2(5127, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(7118)%branchR2(0:3))
    call avR2(7118, 0, 22, 1, 0, VFaF0, 0, [1, 2], [nGC_22289, nGC_22288])

    call avR2(7118, 1, 22, 1, 0, VFaF0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(7118, 2, 23, 1, 0, VFaF0, 0, [1, 2], [nGC_22287, nGC_22286])

    call avR2(7118, 3, 23, 1, 0, VFaF0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(16)%branchR2(0:0))
    call avR2(16, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22104, nGC_22103])

    allocate(vertices(8453)%branchR2(0:0))
    call avR2(8453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(10725)%branchR2(0:0))
    call avR2(10725, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2362)%branchR2(0:1))
    call avR2(2362, 0, 31, 1, 0, FaVF0, 0, [2, 1], [nGC_22246])

    call avR2(2362, 1, 31, 1, 0, FaVF0, 0, [0, 3], [nGC_22251])

    allocate(vertices(6726)%branchR2(0:0))
    call avR2(6726, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22119])

    allocate(vertices(5558)%branchR2(0:0))
    call avR2(5558, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10284)%branchR2(0:0))
    call avR2(10284, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(5873)%branchR2(0:0))
    call avR2(5873, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22050])

    allocate(vertices(2903)%branchR2(0:0))
    call avR2(2903, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(5429)%branchR2(0:0))
    call avR2(5429, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22065])

    allocate(vertices(10726)%branchR2(0:0))
    call avR2(10726, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(2900)%branchR2(0:0))
    call avR2(2900, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(6712)%branchR2(0:0))
    call avR2(6712, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22023, nGC_22024])

    allocate(vertices(6607)%branchR2(0:0))
    call avR2(6607, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(298)%branchR2(0:0))
    call avR2(298, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10727)%branchR2(0:0))
    call avR2(10727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2912)%branchR2(0:0))
    call avR2(2912, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22144])

    allocate(vertices(7331)%branchR2(0:0))
    call avR2(7331, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3635)%branchR2(0:0))
    call avR2(3635, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(459)%branchR2(0:0))
    call avR2(459, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22356])

    allocate(vertices(3102)%branchR2(0:0))
    call avR2(3102, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22119])

  end subroutine fill_vertices_mdl23
end module vertices_info23
