!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl15()
    coupl(nGC_37385) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_33387) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_33384) = coupl(nGC_100)*dZG0
    coupl(nGC_43265) = -coupl(nGC_43259)
    coupl(nGC_21973) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(    &
                       nGC_209))/(8d0*pi**2d0)
    coupl(nGC_21976) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl( &
                       nGC_209)**2d0)/(16d0*pi**2d0)
    coupl(nGC_21977) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_21975) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_21978) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(    &
                       nGC_210))/(8d0*pi**2d0)
    coupl(nGC_21979) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_33659) = coupl(nGC_22641) + coupl(nGC_376)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(nGC_379 &
                       )*dZtauMinusR_QED2/2d0
    coupl(nGC_21998) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_21999) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_21992) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
    coupl(nGC_21993) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_21994) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0*&
                       pi**2d0)
    coupl(nGC_21995) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(    &
                       nGC_209))/(8d0*pi**2d0)
    coupl(nGC_21996) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_21997) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(    &
                       nGC_210))/(8d0*pi**2d0)
    coupl(nGC_22210) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22089) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_4237) - coupl(nGC_1433 &
                       )**2d0*coupl(nGC_341) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_4237) - coupl(nGC_339)**2d0*coupl(nGC_341   &
                       ) - coupl(nGC_340)*coupl(nGC_373)*coupl(nGC_374) - coupl&
                       (nGC_341)*coupl(nGC_342)**2d0 - coupl(nGC_341)*coupl(   &
                       nGC_4237)**2d0 - coupl(nGC_343)*coupl(nGC_370)*coupl(   &
                       nGC_374))/(32d0*pi**2d0)
    coupl(nGC_22088) = (Nc*coupl(nGC_1083)*coupl(nGC_207)*coupl(nGC_381) - Nc* &
                       coupl(nGC_1083)*coupl(nGC_210)*coupl(nGC_381) - Nc*coupl&
                       (nGC_206)*coupl(nGC_341)*coupl(nGC_342) + Nc*coupl(     &
                       nGC_206)*coupl(nGC_342)*coupl(nGC_4237) - Nc*coupl(     &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_350) + Nc*coupl(      &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_4525) - Nc*coupl(     &
                       nGC_206)*coupl(nGC_363)*coupl(nGC_368) + Nc*coupl(      &
                       nGC_206)*coupl(nGC_363)*coupl(nGC_989) + Nc*coupl(      &
                       nGC_207)*coupl(nGC_2081)*coupl(nGC_369) + Nc*coupl(     &
                       nGC_207)*coupl(nGC_3071)*coupl(nGC_333) - Nc*coupl(     &
                       nGC_207)*coupl(nGC_333)*coupl(nGC_338) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_369)*coupl(nGC_374) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_381)*coupl(nGC_386) - Nc*coupl(      &
                       nGC_2081)*coupl(nGC_210)*coupl(nGC_369) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_341)*coupl(nGC_342) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_342)*coupl(nGC_4237) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_345)*coupl(nGC_350) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_345)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_363)*coupl(nGC_368) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_363)*coupl(nGC_989) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_3071)*coupl(nGC_333) + Nc*coupl(     &
                       nGC_210)*coupl(nGC_333)*coupl(nGC_338) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_374) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_381)*coupl(nGC_386) + coupl(nGC_208)*&
                       coupl(nGC_2697)*coupl(nGC_357) + coupl(nGC_208)*coupl(  &
                       nGC_2841)*coupl(nGC_375) - coupl(nGC_208)*coupl(nGC_351 &
                       )*coupl(nGC_356) + coupl(nGC_208)*coupl(nGC_351)*coupl( &
                       nGC_997) - coupl(nGC_208)*coupl(nGC_357)*coupl(nGC_362  &
                       ) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_380) - coupl&
                       (nGC_211)*coupl(nGC_2697)*coupl(nGC_357) - coupl(nGC_211&
                       )*coupl(nGC_2841)*coupl(nGC_375) + coupl(nGC_211)*coupl(&
                       nGC_351)*coupl(nGC_356) - coupl(nGC_211)*coupl(nGC_351)*&
                       coupl(nGC_997) + coupl(nGC_211)*coupl(nGC_357)*coupl(   &
                       nGC_362) + coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_380  &
                       ))/(24d0*pi**2d0)
    coupl(nGC_22087) = (Nc*coupl(nGC_1083)*coupl(nGC_207)*coupl(nGC_384) - Nc* &
                       coupl(nGC_1083)*coupl(nGC_210)*coupl(nGC_384) - Nc*coupl&
                       (nGC_206)*coupl(nGC_339)*coupl(nGC_341) + Nc*coupl(     &
                       nGC_206)*coupl(nGC_339)*coupl(nGC_4237) - Nc*coupl(     &
                       nGC_206)*coupl(nGC_348)*coupl(nGC_350) + Nc*coupl(      &
                       nGC_206)*coupl(nGC_348)*coupl(nGC_4525) - Nc*coupl(     &
                       nGC_206)*coupl(nGC_366)*coupl(nGC_368) + Nc*coupl(      &
                       nGC_206)*coupl(nGC_366)*coupl(nGC_989) + Nc*coupl(      &
                       nGC_207)*coupl(nGC_2081)*coupl(nGC_372) + Nc*coupl(     &
                       nGC_207)*coupl(nGC_3071)*coupl(nGC_336) - Nc*coupl(     &
                       nGC_207)*coupl(nGC_336)*coupl(nGC_338) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_372)*coupl(nGC_374) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_384)*coupl(nGC_386) - Nc*coupl(      &
                       nGC_2081)*coupl(nGC_210)*coupl(nGC_372) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_339)*coupl(nGC_341) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_339)*coupl(nGC_4237) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_348)*coupl(nGC_350) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_348)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_209)*coupl(nGC_366)*coupl(nGC_368) - Nc*coupl(      &
                       nGC_209)*coupl(nGC_366)*coupl(nGC_989) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_3071)*coupl(nGC_336) + Nc*coupl(     &
                       nGC_210)*coupl(nGC_336)*coupl(nGC_338) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_372)*coupl(nGC_374) + Nc*coupl(      &
                       nGC_210)*coupl(nGC_384)*coupl(nGC_386) + coupl(nGC_208)*&
                       coupl(nGC_2697)*coupl(nGC_360) + coupl(nGC_208)*coupl(  &
                       nGC_2841)*coupl(nGC_378) - coupl(nGC_208)*coupl(nGC_354 &
                       )*coupl(nGC_356) + coupl(nGC_208)*coupl(nGC_354)*coupl( &
                       nGC_997) - coupl(nGC_208)*coupl(nGC_360)*coupl(nGC_362  &
                       ) - coupl(nGC_208)*coupl(nGC_378)*coupl(nGC_380) - coupl&
                       (nGC_211)*coupl(nGC_2697)*coupl(nGC_360) - coupl(nGC_211&
                       )*coupl(nGC_2841)*coupl(nGC_378) + coupl(nGC_211)*coupl(&
                       nGC_354)*coupl(nGC_356) - coupl(nGC_211)*coupl(nGC_354)*&
                       coupl(nGC_997) + coupl(nGC_211)*coupl(nGC_360)*coupl(   &
                       nGC_362) + coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_380  &
                       ))/(24d0*pi**2d0)
    coupl(nGC_22084) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_338) - Nc*  &
                       coupl(nGC_343)*coupl(nGC_4237) - Nc*coupl(nGC_346)*coupl&
                       (nGC_4525) - Nc*coupl(nGC_364)*coupl(nGC_989) + Nc*coupl&
                       (nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)*coupl(     &
                       nGC_386) - coupl(nGC_2697)*coupl(nGC_358) - coupl(      &
                       nGC_2841)*coupl(nGC_376) - coupl(nGC_352)*coupl(nGC_997 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_22083) = coupl(nGC_197)*(-Nc*coupl(nGC_1083)*coupl(nGC_382) - Nc*&
                       coupl(nGC_2081)*coupl(nGC_370) - Nc*coupl(nGC_3071)*    &
                       coupl(nGC_334) + Nc*coupl(nGC_341)*coupl(nGC_343) + Nc* &
                       coupl(nGC_346)*coupl(nGC_350) + Nc*coupl(nGC_364)*coupl(&
                       nGC_368) + coupl(nGC_352)*coupl(nGC_356) + coupl(nGC_358&
                       )*coupl(nGC_362) + coupl(nGC_376)*coupl(nGC_380))/(24d0*&
                       pi**2d0)
    coupl(nGC_22082) = (2d0*Nc*cMB*coupl(nGC_341)**2d0*coupl(nGC_342) + 8d0*Nc*&
                       cMB*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_4237) + 2d0*&
                       Nc*cMB*coupl(nGC_342)*coupl(nGC_4237)**2d0 + 2d0*Nc*cMC*&
                       coupl(nGC_3071)**2d0*coupl(nGC_333) + 8d0*Nc*cMC*coupl( &
                       nGC_3071)*coupl(nGC_333)*coupl(nGC_338) + 2d0*Nc*cMC*   &
                       coupl(nGC_333)*coupl(nGC_338)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_345)*coupl(nGC_350)**2d0 + 8d0*Nc*cMD*coupl(nGC_345 &
                       )*coupl(nGC_350)*coupl(nGC_4525) + 2d0*Nc*cMD*coupl(    &
                       nGC_345)*coupl(nGC_4525)**2d0 + 2d0*Nc*cMS*coupl(nGC_363&
                       )*coupl(nGC_368)**2d0 + 8d0*Nc*cMS*coupl(nGC_363)*coupl(&
                       nGC_368)*coupl(nGC_989) + 2d0*Nc*cMS*coupl(nGC_363)*    &
                       coupl(nGC_989)**2d0 + 2d0*Nc*cMT*coupl(nGC_2081)**2d0*  &
                       coupl(nGC_369) + 8d0*Nc*cMT*coupl(nGC_2081)*coupl(      &
                       nGC_369)*coupl(nGC_374) + 2d0*Nc*cMT*coupl(nGC_369)*    &
                       coupl(nGC_374)**2d0 + 2d0*Nc*cMU*coupl(nGC_1083)**2d0*  &
                       coupl(nGC_381) + 8d0*Nc*cMU*coupl(nGC_1083)*coupl(      &
                       nGC_381)*coupl(nGC_386) + 2d0*Nc*cMU*coupl(nGC_381)*    &
                       coupl(nGC_386)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(     &
                       nGC_356)**2d0 + 8d0*cME*coupl(nGC_351)*coupl(nGC_356)*  &
                       coupl(nGC_997) + 2d0*cME*coupl(nGC_351)*coupl(nGC_997)**&
                       2d0 + 2d0*cMM*coupl(nGC_2697)**2d0*coupl(nGC_357) + 8d0*&
                       cMM*coupl(nGC_2697)*coupl(nGC_357)*coupl(nGC_362) + 2d0*&
                       cMM*coupl(nGC_357)*coupl(nGC_362)**2d0 + 2d0*cMTA*coupl(&
                       nGC_2841)**2d0*coupl(nGC_375) + 8d0*cMTA*coupl(nGC_2841 &
                       )*coupl(nGC_375)*coupl(nGC_380) + 2d0*cMTA*coupl(nGC_375&
                       )*coupl(nGC_380)**2d0 + 2d0*cima*coupl(nGC_100)*coupl(  &
                       nGC_261) + cima*coupl(nGC_230)*coupl(nGC_329))/(16d0*pi &
                       **2d0)
    coupl(nGC_22081) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_341)**2d0 + 8d0*Nc*&
                       cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_4237) + 2d0*&
                       Nc*cMB*coupl(nGC_339)*coupl(nGC_4237)**2d0 + 2d0*Nc*cMC*&
                       coupl(nGC_3071)**2d0*coupl(nGC_336) + 8d0*Nc*cMC*coupl( &
                       nGC_3071)*coupl(nGC_336)*coupl(nGC_338) + 2d0*Nc*cMC*   &
                       coupl(nGC_336)*coupl(nGC_338)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_348)*coupl(nGC_350)**2d0 + 8d0*Nc*cMD*coupl(nGC_348 &
                       )*coupl(nGC_350)*coupl(nGC_4525) + 2d0*Nc*cMD*coupl(    &
                       nGC_348)*coupl(nGC_4525)**2d0 + 2d0*Nc*cMS*coupl(nGC_366&
                       )*coupl(nGC_368)**2d0 + 8d0*Nc*cMS*coupl(nGC_366)*coupl(&
                       nGC_368)*coupl(nGC_989) + 2d0*Nc*cMS*coupl(nGC_366)*    &
                       coupl(nGC_989)**2d0 + 2d0*Nc*cMT*coupl(nGC_2081)**2d0*  &
                       coupl(nGC_372) + 8d0*Nc*cMT*coupl(nGC_2081)*coupl(      &
                       nGC_372)*coupl(nGC_374) + 2d0*Nc*cMT*coupl(nGC_372)*    &
                       coupl(nGC_374)**2d0 + 2d0*Nc*cMU*coupl(nGC_1083)**2d0*  &
                       coupl(nGC_384) + 8d0*Nc*cMU*coupl(nGC_1083)*coupl(      &
                       nGC_384)*coupl(nGC_386) + 2d0*Nc*cMU*coupl(nGC_384)*    &
                       coupl(nGC_386)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(     &
                       nGC_356)**2d0 + 8d0*cME*coupl(nGC_354)*coupl(nGC_356)*  &
                       coupl(nGC_997) + 2d0*cME*coupl(nGC_354)*coupl(nGC_997)**&
                       2d0 + 2d0*cMM*coupl(nGC_2697)**2d0*coupl(nGC_360) + 8d0*&
                       cMM*coupl(nGC_2697)*coupl(nGC_360)*coupl(nGC_362) + 2d0*&
                       cMM*coupl(nGC_360)*coupl(nGC_362)**2d0 + 2d0*cMTA*coupl(&
                       nGC_2841)**2d0*coupl(nGC_378) + 8d0*cMTA*coupl(nGC_2841 &
                       )*coupl(nGC_378)*coupl(nGC_380) + 2d0*cMTA*coupl(nGC_378&
                       )*coupl(nGC_380)**2d0 + 2d0*cima*coupl(nGC_100)*coupl(  &
                       nGC_272) + cima*coupl(nGC_230)*coupl(nGC_332))/(16d0*pi &
                       **2d0)
    coupl(nGC_32675) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_22310) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl(   &
                       nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*coupl&
                       (nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_346)*    &
                       coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_364 &
                       )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(      &
                       nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)**2d0*coupl&
                       (nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                       nGC_2)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(    &
                       nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343) + 5d0*&
                       Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)*coupl(      &
                       nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(      &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1)*coupl(    &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(    &
                       nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_385) - 4d0*&
                       Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0&
                       *Nc*coupl(nGC_2)**2d0*coupl(nGC_340)*coupl(nGC_343) -   &
                       4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_346)*coupl(nGC_349   &
                       ) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_364)*coupl(      &
                       nGC_367) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_370)*coupl&
                       (nGC_373) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_382)*    &
                       coupl(nGC_385) - 4d0*coupl(nGC_352)*coupl(nGC_355)*coupl&
                       (nGC_4)**2d0 - 4d0*coupl(nGC_358)*coupl(nGC_361)*coupl( &
                       nGC_4)**2d0 - 4d0*coupl(nGC_376)*coupl(nGC_379)*coupl(  &
                       nGC_4)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22537) = coupl(nGC_20855)*dl3_QED4 + coupl(nGC_20856)*db_QED2 +  &
                       coupl(nGC_20857)*dl2_QED4 + coupl(nGC_20858)*dl5_QED4 + &
                       coupl(nGC_20859)*dl4_QED4 + coupl(nGC_20860)*dl1_QED4 + &
                       coupl(nGC_20861)*da_QED2
    coupl(nGC_22536) = coupl(nGC_21229)*db_QED2 + coupl(nGC_21230)*dl5_QED4 +  &
                       coupl(nGC_21231)*dl4_QED4 + coupl(nGC_21232)*da_QED2
    coupl(nGC_22535) = coupl(nGC_20807)*dl3_QED4 + coupl(nGC_20808)*db_QED2 +  &
                       coupl(nGC_20809)*dl2_QED4 + coupl(nGC_20810)*dl5_QED4 + &
                       coupl(nGC_20811)*dl4_QED4 + coupl(nGC_20812)*dl1_QED4 + &
                       coupl(nGC_20813)*da_QED2
    coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22533) = coupl(nGC_21175)*db_QED2 + coupl(nGC_21176)*dl5_QED4 +  &
                       coupl(nGC_21177)*dl4_QED4 + coupl(nGC_21178)*da_QED2
    coupl(nGC_22532) = coupl(nGC_20879)*dl3_QED4 + coupl(nGC_20880)*db_QED2 +  &
                       coupl(nGC_20881)*dl2_QED4 + coupl(nGC_20882)*dl5_QED4 + &
                       coupl(nGC_20883)*dl4_QED4 + coupl(nGC_20884)*dl1_QED4 + &
                       coupl(nGC_20885)*da_QED2
    coupl(nGC_22531) = coupl(nGC_21084)*dl3_QED4 + coupl(nGC_21085)*dl1_QED4 + &
                       coupl(nGC_21086)*dl2_QED4 + coupl(nGC_21087)*dl5_QED4 + &
                       coupl(nGC_21088)*dl4_QED4 + coupl(nGC_21089)*da_QED2
    coupl(nGC_22530) = coupl(nGC_20830)*dl3_QED4 + coupl(nGC_20831)*db_QED2 +  &
                       coupl(nGC_20832)*dl2_QED4 + coupl(nGC_20833)*dl5_QED4 + &
                       coupl(nGC_20834)*dl4_QED4 + coupl(nGC_20835)*dl1_QED4 + &
                       coupl(nGC_20836)*da_QED2
    coupl(nGC_22539) = coupl(nGC_21180)*dl3_QED4 + coupl(nGC_21181)*dl1_QED4 + &
                       coupl(nGC_21182)*dl2_QED4 + coupl(nGC_21183)*dl5_QED4 + &
                       coupl(nGC_21184)*dl4_QED4 + coupl(nGC_21185)*db_QED2
    coupl(nGC_22538) = coupl(nGC_21677)*dl3_QED4 + coupl(nGC_21678)*db_QED2 +  &
                       coupl(nGC_21679)*dl2_QED4 + coupl(nGC_21680)*dl5_QED4 + &
                       coupl(nGC_21681)*dl4_QED4 + coupl(nGC_21682)*dl1_QED4 + &
                       coupl(nGC_21683)*da_QED2
    coupl(nGC_33427) = coupl(nGC_22545) + coupl(nGC_99)*dZHMinus_QED2
    coupl(nGC_22403) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1433)*coupl(      &
                       nGC_206)*coupl(nGC_340) - 4d0*Nc*coupl(nGC_1433)*coupl( &
                       nGC_209)*coupl(nGC_340) - 4d0*Nc*coupl(nGC_1433)*coupl( &
                       nGC_210)*coupl(nGC_340) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_2345)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_206)*coupl( &
                       nGC_3141)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_207)*coupl( &
                       nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_2345)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_209)*coupl( &
                       nGC_3141)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_209)*coupl( &
                       nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_2345)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_210)*coupl( &
                       nGC_3141)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_210)*coupl( &
                       nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_383)*coupl(nGC_385) + 5d0*coupl(nGC_1931)*coupl(    &
                       nGC_208)*coupl(nGC_361) - 4d0*coupl(nGC_1931)*coupl(    &
                       nGC_211)*coupl(nGC_361) - 4d0*coupl(nGC_1931)*coupl(    &
                       nGC_212)*coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_2755)*coupl(nGC_355) + 5d0*coupl(nGC_208)*coupl(    &
                       nGC_379)*coupl(nGC_6589) - 4d0*coupl(nGC_211)*coupl(    &
                       nGC_2755)*coupl(nGC_355) - 4d0*coupl(nGC_211)*coupl(    &
                       nGC_379)*coupl(nGC_6589) - 4d0*coupl(nGC_212)*coupl(    &
                       nGC_2755)*coupl(nGC_355) - 4d0*coupl(nGC_212)*coupl(    &
                       nGC_379)*coupl(nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_22406) = cima*(10d0*Nc*coupl(nGC_1083)*coupl(nGC_346)**2d0*coupl(&
                       nGC_386) + 10d0*Nc*coupl(nGC_1083)*coupl(nGC_346)*coupl(&
                       nGC_382)*coupl(nGC_4525) + 10d0*Nc*coupl(nGC_1083)*coupl&
                       (nGC_382)**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_2081)*&
                       coupl(nGC_343)**2d0*coupl(nGC_374) + 10d0*Nc*coupl(     &
                       nGC_2081)*coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_4237  &
                       ) + 10d0*Nc*coupl(nGC_2081)*coupl(nGC_370)**2d0*coupl(  &
                       nGC_374) + 10d0*Nc*coupl(nGC_3071)*coupl(nGC_334)**2d0* &
                       coupl(nGC_338) + 10d0*Nc*coupl(nGC_3071)*coupl(nGC_334)*&
                       coupl(nGC_364)*coupl(nGC_989) + 10d0*Nc*coupl(nGC_3071)*&
                       coupl(nGC_338)*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(     &
                       nGC_334)**2d0*coupl(nGC_368)*coupl(nGC_989) + 10d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_364)*coupl(     &
                       nGC_368) + 10d0*Nc*coupl(nGC_341)*coupl(nGC_343)**2d0*  &
                       coupl(nGC_4237) + 10d0*Nc*coupl(nGC_341)*coupl(nGC_343)*&
                       coupl(nGC_370)*coupl(nGC_374) + 10d0*Nc*coupl(nGC_341)* &
                       coupl(nGC_370)**2d0*coupl(nGC_4237) + 10d0*Nc*coupl(    &
                       nGC_346)**2d0*coupl(nGC_350)*coupl(nGC_4525) + 10d0*Nc* &
                       coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_382)*coupl(     &
                       nGC_386) + 10d0*Nc*coupl(nGC_350)*coupl(nGC_382)**2d0*  &
                       coupl(nGC_4525) + 10d0*Nc*coupl(nGC_364)**2d0*coupl(    &
                       nGC_368)*coupl(nGC_989) + 6d0*coupl(nGC_100)**2d0 + 3d0*&
                       coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(nGC_2697)*   &
                       coupl(nGC_358)**2d0*coupl(nGC_362) + 10d0*coupl(nGC_2841&
                       )*coupl(nGC_376)**2d0*coupl(nGC_380) + 10d0*coupl(      &
                       nGC_352)**2d0*coupl(nGC_356)*coupl(nGC_997))/(48d0*pi** &
                       2d0)
    coupl(nGC_22405) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340&
                       )*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_381 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl(     &
                       nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_369 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_363 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_174) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_351)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_357)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_375)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_1275)*coupl(nGC_174)*    &
                       coupl(nGC_3) + 6d0*coupl(nGC_1275)*coupl(nGC_199)*coupl(&
                       nGC_21))/(48d0*pi**2d0)
    coupl(nGC_22404) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_339&
                       )*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_384 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl(     &
                       nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_372 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_366 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_360)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_378)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_1275)*coupl(nGC_180)*    &
                       coupl(nGC_3) + 6d0*coupl(nGC_1275)*coupl(nGC_199)*coupl(&
                       nGC_23))/(48d0*pi**2d0)
    coupl(nGC_22408) = cima*(20d0*Nc*coupl(nGC_1083)**2d0*coupl(nGC_386)**2d0  &
                        + 20d0*Nc*coupl(nGC_2081)**2d0*coupl(nGC_374)**2d0 +   &
                       20d0*Nc*coupl(nGC_3071)**2d0*coupl(nGC_338)**2d0 + 20d0*&
                       Nc*coupl(nGC_341)**2d0*coupl(nGC_4237)**2d0 + 20d0*Nc*  &
                       coupl(nGC_350)**2d0*coupl(nGC_4525)**2d0 + 20d0*Nc*coupl&
                       (nGC_368)**2d0*coupl(nGC_989)**2d0 + 6d0*coupl(nGC_100  &
                       )**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_2697  &
                       )**2d0*coupl(nGC_362)**2d0 + 20d0*coupl(nGC_2841)**2d0* &
                       coupl(nGC_380)**2d0 + 20d0*coupl(nGC_356)**2d0*coupl(   &
                       nGC_997)**2d0)/(16d0*pi**2d0)
    coupl(nGC_22629) = coupl(nGC_20837)*dys2_QED1_QCD2 + coupl(nGC_20838)*     &
                       dyd12x2_QED1_QCD2
    coupl(nGC_22628) = coupl(nGC_21674)*dydo1_QED3 + coupl(nGC_21675)*         &
                       dydo2_QED3 + coupl(nGC_21676)*da_QED2
    coupl(nGC_22623) = coupl(nGC_21748)*dys2_QED1_QCD2 + coupl(nGC_21749)*     &
                       dyd12x2_QED1_QCD2
    coupl(nGC_22622) = coupl(nGC_21597)*dydo1_QED3 + coupl(nGC_21598)*         &
                       dydo2_QED3 + coupl(nGC_21599)*da_QED2
    coupl(nGC_22621) = coupl(nGC_21597)*dydo1_QED1_QCD2 + coupl(nGC_21598)*    &
                       dydo2_QED1_QCD2
  end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
