!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl21()
    coupl(nGC_34667) = coupl(nGC_22543) + coupl(nGC_54)*dZHMinus_QED2 + coupl( &
                       nGC_54)*dZHa_QED2/2d0 + coupl(nGC_64)*dZHaG0_QED2/2d0 + &
                       coupl(nGC_70)*dZG0Ha_QED2/2d0 + coupl(nGC_72)*          &
                       dZGMinusHMinus_QED2
    coupl(nGC_35590) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
    coupl(nGC_36931) = coupl(nGC_26)*dZGMinus
    coupl(nGC_22859) = coupl(nGC_777)*dMW2_QED2
    coupl(nGC_43048) = coupl(nGC_22616) + coupl(nGC_347)*dZHaG0_QED2/2d0
    coupl(nGC_43049) = -coupl(nGC_43046) - coupl(nGC_43048)
    coupl(nGC_38569) = coupl(nGC_172)*dZHlHh_QED2/2d0 + coupl(nGC_178)*        &
                       dZHh_QED2/2d0 + coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_22689)
    coupl(nGC_33275) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
    coupl(nGC_33273) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_58137) = -coupl(nGC_22072)
    coupl(nGC_33188) = coupl(nGC_22603) + coupl(nGC_346)*dZdR_QCD2/2d0 + coupl(&
                       nGC_346)*dZuL_QCD2/2d0
    coupl(nGC_32450) = coupl(nGC_32442) + coupl(nGC_32448)
    coupl(nGC_32452) = coupl(nGC_22633) + coupl(nGC_32443)
    coupl(nGC_33185) = coupl(nGC_22605) + coupl(nGC_382)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*dZuR_QED2/&
                       2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_33186) = coupl(nGC_22604) + coupl(nGC_346)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*dZuL_QED2/&
                       2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_33187) = coupl(nGC_22606) + coupl(nGC_382)*dZdL_QCD2/2d0 + coupl(&
                       nGC_382)*dZuR_QCD2/2d0
    coupl(nGC_32458) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_43991) = coupl(nGC_TS_GC_213_Hl) + coupl(nGC_TS_GC_215_Hh)
    coupl(nGC_35497) = coupl(nGC_335)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_22379) = cima*(5d0*Nc*coupl(nGC_1083)*coupl(nGC_345)*coupl(      &
                       nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl(  &
                       nGC_1083)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_343 &
                       )*coupl(nGC_369) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_342 &
                       )*coupl(nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_2081 &
                       )*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_3071)*coupl(nGC_333)*coupl(nGC_334)*coupl(    &
                       nGC_337) + 5d0*Nc*coupl(nGC_3071)*coupl(nGC_333)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3071)*coupl( &
                       nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(  &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) + &
                       5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_367)*    &
                       coupl(nGC_368) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*  &
                       coupl(nGC_364)*coupl(nGC_989) + 5d0*Nc*coupl(nGC_333)*  &
                       coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(     &
                       nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(  &
                       nGC_363)*coupl(nGC_989) + 5d0*Nc*coupl(nGC_334)*coupl(  &
                       nGC_338)*coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_340)*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_343) + &
                       5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_369)*    &
                       coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*  &
                       coupl(nGC_343)*coupl(nGC_4237) + 5d0*Nc*coupl(nGC_340)* &
                       coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc*  &
                       coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(     &
                       nGC_374) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_342)*coupl(  &
                       nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(  &
                       nGC_370)*coupl(nGC_373)*coupl(nGC_4237) + 5d0*Nc*coupl( &
                       nGC_343)*coupl(nGC_369)*coupl(nGC_373)*coupl(nGC_4237   &
                       ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349)*&
                       coupl(nGC_350) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*  &
                       coupl(nGC_349)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_345)* &
                       coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_386) + 5d0*Nc*  &
                       coupl(nGC_345)*coupl(nGC_350)*coupl(nGC_382)*coupl(     &
                       nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_382)*coupl(  &
                       nGC_385)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_346)*coupl( &
                       nGC_349)*coupl(nGC_381)*coupl(nGC_386) + 5d0*Nc*coupl(  &
                       nGC_346)*coupl(nGC_381)*coupl(nGC_385)*coupl(nGC_4525   &
                       ) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_381)*&
                       coupl(nGC_382) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)*  &
                       coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_989) + 5d0*Nc*  &
                       coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373)*coupl(     &
                       nGC_374) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(  &
                       nGC_385)*coupl(nGC_386) + 6d0*coupl(nGC_180)*coupl(     &
                       nGC_186) + 6d0*coupl(nGC_23)*coupl(nGC_30) + 5d0*coupl( &
                       nGC_2697)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_361   &
                       ) + 5d0*coupl(nGC_2841)*coupl(nGC_375)*coupl(nGC_376)*  &
                       coupl(nGC_379) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl&
                       (nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_351)*coupl(    &
                       nGC_352)*coupl(nGC_355)*coupl(nGC_997) + 5d0*coupl(     &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362) + &
                       5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379)*coupl( &
                       nGC_380))/(48d0*pi**2d0)
    coupl(nGC_57840) = -coupl(nGC_22143)
    coupl(nGC_33699) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*           &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_22)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_22708) + coupl(nGC_23)*dZHMinus_QED2/2d0 + &
                       coupl(nGC_23)*dZHl_QED2/2d0 + coupl(nGC_23)*            &
                       dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0
    coupl(nGC_22474) = (-30d0*Nc*cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(    &
                       nGC_1211)**2d0*coupl(nGC_199)**2d0 - 8d0*cima*coupl(    &
                       nGC_1211)*coupl(nGC_1275)*coupl(nGC_198)*coupl(nGC_199  &
                       ) - 8d0*cima*coupl(nGC_1211)*coupl(nGC_1593)*coupl(     &
                       nGC_199)*coupl(nGC_3) - 8d0*cima*coupl(nGC_1211)*coupl( &
                       nGC_1603)*coupl(nGC_198)*coupl(nGC_3) - 4d0*cima*coupl( &
                       nGC_1275)**2d0*coupl(nGC_198)**2d0 - 8d0*cima*coupl(    &
                       nGC_1275)*coupl(nGC_1593)*coupl(nGC_199)*coupl(nGC_4) - &
                       8d0*cima*coupl(nGC_1275)*coupl(nGC_1603)*coupl(nGC_198)*&
                       coupl(nGC_4) - 4d0*cima*coupl(nGC_1593)**2d0*coupl(nGC_3&
                       )**2d0 - 8d0*cima*coupl(nGC_1593)*coupl(nGC_1603)*coupl(&
                       nGC_3)*coupl(nGC_4) - 4d0*cima*coupl(nGC_1603)**2d0*    &
                       coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_192)**2d0 - 30d0*&
                       cima*coupl(nGC_197)**4d0 + 6d0*coupl(nGC_1211)*coupl(   &
                       nGC_192)*coupl(nGC_198) + 6d0*coupl(nGC_1275)*coupl(    &
                       nGC_192)*coupl(nGC_199) + 6d0*coupl(nGC_1593)*coupl(    &
                       nGC_192)*coupl(nGC_4) + 6d0*coupl(nGC_1603)*coupl(      &
                       nGC_192)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_32580) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_22525) + coupl( &
                       nGC_24)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*        &
                       dZHhHl_QED2/2d0
    coupl(nGC_22475) = (18d0*Nc*cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(     &
                       nGC_1211)**2d0*coupl(nGC_199)**2d0 - 8d0*cima*coupl(    &
                       nGC_1211)*coupl(nGC_1275)*coupl(nGC_198)*coupl(nGC_199  &
                       ) - 8d0*cima*coupl(nGC_1211)*coupl(nGC_1593)*coupl(     &
                       nGC_199)*coupl(nGC_3) - 8d0*cima*coupl(nGC_1211)*coupl( &
                       nGC_1603)*coupl(nGC_198)*coupl(nGC_3) - 4d0*cima*coupl( &
                       nGC_1275)**2d0*coupl(nGC_198)**2d0 - 8d0*cima*coupl(    &
                       nGC_1275)*coupl(nGC_1593)*coupl(nGC_199)*coupl(nGC_4) - &
                       8d0*cima*coupl(nGC_1275)*coupl(nGC_1603)*coupl(nGC_198)*&
                       coupl(nGC_4) - 4d0*cima*coupl(nGC_1593)**2d0*coupl(nGC_3&
                       )**2d0 - 8d0*cima*coupl(nGC_1593)*coupl(nGC_1603)*coupl(&
                       nGC_3)*coupl(nGC_4) - 4d0*cima*coupl(nGC_1603)**2d0*    &
                       coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_195)**2d0 + 18d0*&
                       cima*coupl(nGC_197)**4d0 + 6d0*cima*coupl(nGC_205)**2d0 &
                        + 6d0*cima*coupl(nGC_3465)**2d0 + 3d0*cima*coupl(nGC_9 &
                       )**2d0 + 6d0*coupl(nGC_1211)*coupl(nGC_195)*coupl(      &
                       nGC_199) + 6d0*coupl(nGC_1211)*coupl(nGC_199)*coupl(    &
                       nGC_3465) + 6d0*coupl(nGC_1211)*coupl(nGC_205)*coupl(   &
                       nGC_3) + 6d0*coupl(nGC_1275)*coupl(nGC_195)*coupl(      &
                       nGC_198) + 6d0*coupl(nGC_1275)*coupl(nGC_198)*coupl(    &
                       nGC_3465) + 6d0*coupl(nGC_1275)*coupl(nGC_205)*coupl(   &
                       nGC_4) + 6d0*coupl(nGC_1593)*coupl(nGC_199)*coupl(      &
                       nGC_205) + 6d0*coupl(nGC_1593)*coupl(nGC_3)*coupl(      &
                       nGC_3465) + 6d0*coupl(nGC_1593)*coupl(nGC_3)*coupl(nGC_9&
                       ) + 6d0*coupl(nGC_1603)*coupl(nGC_198)*coupl(nGC_205) + &
                       6d0*coupl(nGC_1603)*coupl(nGC_3465)*coupl(nGC_4) + 6d0* &
                       coupl(nGC_1603)*coupl(nGC_4)*coupl(nGC_9))/(48d0*pi**2d0&
                       )
    coupl(nGC_22373) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_337)**2d0 - &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_340)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_349)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_367)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_373)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_385)**2d0 +   &
                       6d0*cima*coupl(nGC_100)*coupl(nGC_3465) + 3d0*cima*coupl&
                       (nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_361)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*coupl(    &
                       nGC_379)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(nGC_221   &
                       ) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*coupl(    &
                       nGC_100)*coupl(nGC_1275)*coupl(nGC_198) + 6d0*coupl(    &
                       nGC_100)*coupl(nGC_1603)*coupl(nGC_4) + 6d0*coupl(      &
                       nGC_1211)*coupl(nGC_199)*coupl(nGC_229) + 6d0*coupl(    &
                       nGC_1211)*coupl(nGC_221)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1593)*coupl(nGC_199)*coupl(nGC_221) + 6d0*coupl(    &
                       nGC_1593)*coupl(nGC_29)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_32650) = -coupl(nGC_32649)
    coupl(nGC_57440) = -coupl(nGC_22071)
    coupl(nGC_32848) = coupl(nGC_13)*dZdL_QCD2
    coupl(nGC_44436) = coupl(nGC_245)*dZG0/2d0
    coupl(nGC_22251) = coupl(nGC_197)*(-coupl(nGC_1)*coupl(nGC_1593) + 2d0*    &
                       coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1211)*coupl(      &
                       nGC_209) - coupl(nGC_198)*coupl(nGC_210) - coupl(nGC_2)*&
                       coupl(nGC_4) + 2d0*coupl(nGC_209)*coupl(nGC_210))/(16d0*&
                       pi**2d0)
    coupl(nGC_44430) = coupl(nGC_22622) + coupl(nGC_345)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_348)*dZHh_QED2/2d0
    coupl(nGC_44431) = coupl(nGC_44423) + coupl(nGC_44430)
    coupl(nGC_32124) = coupl(nGC_193)*dZZA_QED2/2d0 + coupl(nGC_203)*dZA_QED2/ &
                       2d0 + coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_22682&
                       )
    coupl(nGC_22444) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_342&
                       )*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl(     &
                       nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_381 &
                       )*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl(     &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_369 &
                       )*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl(     &
                       nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_363 &
                       )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl(     &
                       nGC_382) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*  &
                       coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_351)*coupl(nGC_352) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_357)*coupl(nGC_358) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_375)*  &
                       coupl(nGC_376) + 6d0*coupl(nGC_1275)*coupl(nGC_180)*    &
                       coupl(nGC_3) + 6d0*coupl(nGC_1275)*coupl(nGC_199)*coupl(&
                       nGC_23))/(48d0*pi**2d0)
    coupl(nGC_22443) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_339&
                       )*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl(     &
                       nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382 &
                       )*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl(     &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370 &
                       )*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl(     &
                       nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364 &
                       )*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl(     &
                       nGC_384) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_175) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*  &
                       coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_354) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*coupl(     &
                       nGC_360) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_352)*coupl(nGC_354) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_360) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376)*  &
                       coupl(nGC_378) + 6d0*coupl(nGC_1275)*coupl(nGC_175)*    &
                       coupl(nGC_3) + 6d0*coupl(nGC_1275)*coupl(nGC_199)*coupl(&
                       nGC_22))/(48d0*pi**2d0)
    coupl(nGC_22442) = (5d0*Nc*cima*coupl(nGC_1433)*coupl(nGC_197)*coupl(      &
                       nGC_206)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_1433)*  &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) - 4d0*Nc*  &
                       cima*coupl(nGC_1433)*coupl(nGC_197)*coupl(nGC_210)*coupl&
                       (nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*  &
                       coupl(nGC_2345)*coupl(nGC_346) + 5d0*Nc*cima*coupl(     &
                       nGC_197)*coupl(nGC_206)*coupl(nGC_3141)*coupl(nGC_364   &
                       ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(    &
                       nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371) + 5d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382)*coupl(&
                       nGC_383) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_2345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_3141)*coupl(nGC_364   &
                       ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(    &
                       nGC_334)*coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382)*coupl(&
                       nGC_383) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_2345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_3141)*coupl(nGC_364   &
                       ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(    &
                       nGC_334)*coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl(&
                       nGC_383) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_187) + 5d0&
                       *cima*coupl(nGC_1931)*coupl(nGC_197)*coupl(nGC_208)*    &
                       coupl(nGC_358) - 4d0*cima*coupl(nGC_1931)*coupl(nGC_197 &
                       )*coupl(nGC_211)*coupl(nGC_358) - 4d0*cima*coupl(       &
                       nGC_1931)*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358   &
                       ) + 6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*   &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_2755)*coupl(    &
                       nGC_352) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(&
                       nGC_376)*coupl(nGC_6589) - 4d0*cima*coupl(nGC_197)*coupl&
                       (nGC_211)*coupl(nGC_2755)*coupl(nGC_352) - 4d0*cima*    &
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376)*coupl(     &
                       nGC_6589) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                       (nGC_2755)*coupl(nGC_352) - 4d0*cima*coupl(nGC_197)*    &
                       coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_6589) + 6d0*    &
                       coupl(nGC_1275)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(&
                       nGC_1275)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
    coupl(nGC_22441) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_342&
                       )*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl(     &
                       nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_381 &
                       )*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl(     &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_369 &
                       )*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl(     &
                       nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_363 &
                       )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl(     &
                       nGC_382) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*  &
                       coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_351)*coupl(nGC_352) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_357)*coupl(nGC_358) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_375)*  &
                       coupl(nGC_376) + 6d0*coupl(nGC_180)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_23&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22440) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_339&
                       )*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl(     &
                       nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382 &
                       )*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl(     &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370 &
                       )*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl(     &
                       nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364 &
                       )*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl(     &
                       nGC_384) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_175) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*  &
                       coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_354) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*coupl(     &
                       nGC_360) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_352)*coupl(nGC_354) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_360) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376)*  &
                       coupl(nGC_378) + 6d0*coupl(nGC_175)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_22&
                       ))/(48d0*pi**2d0)
    coupl(nGC_41579) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
    coupl(nGC_22289) = -coupl(nGC_13)*sq2*(-coupl(nGC_1949)*coupl(nGC_335) -   &
                       4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 - coupl(&
                       nGC_3071)*coupl(nGC_338) - coupl(nGC_333)**2d0 - coupl( &
                       nGC_334)**2d0 - coupl(nGC_336)**2d0 - coupl(nGC_337)**  &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_22288) = -coupl(nGC_13)*sq2*(-coupl(nGC_1949)*coupl(nGC_335) -   &
                       4d0*coupl(nGC_197)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*  &
                       coupl(nGC_210)**2d0 - coupl(nGC_3071)*coupl(nGC_338) -  &
                       coupl(nGC_333)**2d0 - coupl(nGC_336)**2d0 - coupl(      &
                       nGC_364)**2d0 - coupl(nGC_367)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22287) = -coupl(nGC_13)*sq2*(coupl(nGC_1949)*coupl(nGC_335) + 4d0&
                       *coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 + coupl(   &
                       nGC_3071)*coupl(nGC_338) + coupl(nGC_333)**2d0 + coupl( &
                       nGC_334)**2d0 + coupl(nGC_336)**2d0 + coupl(nGC_337)**  &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22286) = -coupl(nGC_13)*sq2*(coupl(nGC_1949)*coupl(nGC_335) + 4d0&
                       *coupl(nGC_197)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl&
                       (nGC_210)**2d0 + coupl(nGC_3071)*coupl(nGC_338) + coupl(&
                       nGC_333)**2d0 + coupl(nGC_336)**2d0 + coupl(nGC_364)**  &
                       2d0 + coupl(nGC_367)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22281) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_1433)*coupl(nGC_344) - 4d0*coupl(nGC_197)**2d0 - 4d0&
                       *coupl(nGC_209)**2d0 - coupl(nGC_339)**2d0 - coupl(     &
                       nGC_341)*coupl(nGC_4237) - coupl(nGC_342)**2d0 - coupl( &
                       nGC_370)**2d0 - coupl(nGC_373)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22280) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_1433)*coupl(nGC_344) + 4d0*coupl(nGC_206)**2d0 +    &
                       coupl(nGC_339)**2d0 + coupl(nGC_340)**2d0 + coupl(      &
                       nGC_341)*coupl(nGC_4237) + coupl(nGC_342)**2d0 + coupl( &
                       nGC_343)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22283) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_1433)*coupl(nGC_344) - 4d0*coupl(nGC_206)**2d0 -    &
                       coupl(nGC_339)**2d0 - coupl(nGC_340)**2d0 - coupl(      &
                       nGC_341)*coupl(nGC_4237) - coupl(nGC_342)**2d0 - coupl( &
                       nGC_343)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22282) = -coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                       nGC_2705) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
    coupl(nGC_22667) = coupl(nGC_21531)*dyt1_QED1_QCD2 + coupl(nGC_21533)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_22666) = coupl(nGC_21487)*dyc1_QED3 + coupl(nGC_21488)*dyc2_QED3 &
                        + coupl(nGC_21489)*da_QED2
  end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
