!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl23()
    coupl(nGC_40502) = coupl(nGC_22843) + coupl(nGC_TS_GC_375_Hl) + coupl(     &
                       nGC_TS_GC_378_Hh)
    coupl(nGC_37518) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
    coupl(nGC_37517) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
    coupl(nGC_37513) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_37510) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_56507) = coupl(nGC_22559) + coupl(nGC_233)*dZHhHl_QED2 + coupl(  &
                       nGC_234)*dZHlHh_QED2/2d0 + coupl(nGC_236)*dZHh_QED2/2d0 &
                        + coupl(nGC_236)*dZHl_QED2 + coupl(nGC_TS_GC_16_Hl) +  &
                       coupl(nGC_TS_GC_20_Hh)
    coupl(nGC_33045) = coupl(nGC_224)*dZHl_QED2 + coupl(nGC_224)*dZZ_QED2 +    &
                       coupl(nGC_22715)
    coupl(nGC_44429) = coupl(nGC_22621) + coupl(nGC_44424)
    coupl(nGC_41108) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_22590)
    coupl(nGC_32483) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22714) + coupl(    &
                       nGC_229)*dZZ_QED2
    coupl(nGC_22385) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl(  &
                       nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(  &
                       nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(  &
                       nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)**  &
                       2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_336&
                       )*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366) + 5d0*Nc*&
                       coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(nGC_343) + 5d0*&
                       Nc*coupl(nGC_339)**2d0*coupl(nGC_370)*coupl(nGC_373) +  &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370)*    &
                       coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*  &
                       coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*  &
                       coupl(nGC_343)*coupl(nGC_372)**2d0 + 5d0*Nc*coupl(      &
                       nGC_346)*coupl(nGC_348)**2d0*coupl(nGC_349) + 5d0*Nc*   &
                       coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_384)*coupl(     &
                       nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(  &
                       nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_382&
                       )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*&
                       coupl(nGC_382)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_364)*  &
                       coupl(nGC_366)**2d0*coupl(nGC_367) + 5d0*Nc*coupl(      &
                       nGC_370)*coupl(nGC_372)**2d0*coupl(nGC_373) + 5d0*Nc*   &
                       coupl(nGC_382)*coupl(nGC_384)**2d0*coupl(nGC_385) + 6d0*&
                       coupl(nGC_175)*coupl(nGC_180) + 6d0*coupl(nGC_22)*coupl(&
                       nGC_23) + 5d0*coupl(nGC_352)*coupl(nGC_354)**2d0*coupl( &
                       nGC_355) + 5d0*coupl(nGC_358)*coupl(nGC_360)**2d0*coupl(&
                       nGC_361) + 5d0*coupl(nGC_376)*coupl(nGC_378)**2d0*coupl(&
                       nGC_379))/(24d0*pi**2d0)
    coupl(nGC_22386) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(      &
                       nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(  &
                       nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl( &
                       nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367) + &
                       5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364)*    &
                       coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*  &
                       coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_334)* &
                       coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*  &
                       coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(     &
                       nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl( &
                       nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl(  &
                       nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl( &
                       nGC_339)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373) + &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369)*    &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*  &
                       coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_340)* &
                       coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*  &
                       coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_372)*coupl(     &
                       nGC_373) + 10d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl( &
                       nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(  &
                       nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl( &
                       nGC_345)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382)*    &
                       coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*  &
                       coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346)* &
                       coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*  &
                       coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(     &
                       nGC_382) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl( &
                       nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl( &
                       nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl( &
                       nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385) + &
                       6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*coupl(nGC_180)**&
                       2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22) + 6d0*coupl(nGC_23&
                       )**2d0 + 10d0*coupl(nGC_351)*coupl(nGC_352)*coupl(      &
                       nGC_354)*coupl(nGC_355) + 10d0*coupl(nGC_357)*coupl(    &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 10d0*coupl(    &
                       nGC_375)*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379))/(&
                       48d0*pi**2d0)
    coupl(nGC_22387) = cima*(5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)*coupl(  &
                       nGC_337) + 5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)*   &
                       coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*  &
                       coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*  &
                       coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)**2d0 + 5d0*&
                       Nc*coupl(nGC_340)*coupl(nGC_342)**2d0*coupl(nGC_343) +  &
                       5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_369)*    &
                       coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*  &
                       coupl(nGC_369)**2d0 + 5d0*Nc*coupl(nGC_342)**2d0*coupl( &
                       nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(  &
                       nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_345)**2d0*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*   &
                       coupl(nGC_345)**2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*&
                       Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_381)*coupl(  &
                       nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(  &
                       nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_346)*coupl(  &
                       nGC_349)*coupl(nGC_381)**2d0 + 5d0*Nc*coupl(nGC_363)**  &
                       2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_369&
                       )**2d0*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(    &
                       nGC_381)**2d0*coupl(nGC_382)*coupl(nGC_385) + 6d0*coupl(&
                       nGC_174)*coupl(nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23&
                       ) + 5d0*coupl(nGC_351)**2d0*coupl(nGC_352)*coupl(nGC_355&
                       ) + 5d0*coupl(nGC_357)**2d0*coupl(nGC_358)*coupl(nGC_361&
                       ) + 5d0*coupl(nGC_375)**2d0*coupl(nGC_376)*coupl(nGC_379&
                       ))/(24d0*pi**2d0)
    coupl(nGC_22380) = (5d0*Nc*cima*coupl(nGC_1083)*coupl(nGC_197)*coupl(      &
                       nGC_207)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_1083)*  &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) - 4d0*Nc*  &
                       cima*coupl(nGC_1083)*coupl(nGC_197)*coupl(nGC_210)*coupl&
                       (nGC_385) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*  &
                       coupl(nGC_340)*coupl(nGC_341) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_206)*coupl(nGC_349)*coupl(nGC_350) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367 &
                       )*coupl(nGC_368) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_207)*coupl(nGC_2081)*coupl(nGC_373) + 5d0*Nc*cima*  &
                       coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_3071)*coupl(    &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2081)*  &
                       coupl(nGC_209)*coupl(nGC_373) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_2081)*coupl(nGC_210)*coupl(nGC_373   &
                       ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(    &
                       nGC_3071)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*  &
                       coupl(nGC_209)*coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349)*coupl(&
                       nGC_350) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_367)*coupl(nGC_368) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_3071)*coupl(nGC_337   &
                       ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(    &
                       nGC_340)*coupl(nGC_341) - 4d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_210)*coupl(nGC_349)*coupl(nGC_350) - 4d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367)*coupl(&
                       nGC_368) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_186) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_355)*coupl(nGC_356) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361)*  &
                       coupl(nGC_362) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_355)*coupl(nGC_356) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361)*coupl(     &
                       nGC_362) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_379)*coupl(nGC_380) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_355)*coupl(nGC_356) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_361)*coupl(nGC_362) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379)*  &
                       coupl(nGC_380) + 6d0*coupl(nGC_186)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_30&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22381) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc*   &
                       coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346)**&
                       3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl(      &
                       nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc*  &
                       coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)**3d0&
                       *coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361) +  &
                       coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
    coupl(nGC_22388) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(     &
                       nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl( &
                       nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(      &
                       nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl( &
                       nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355  &
                       ) - coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_376)*coupl&
                       (nGC_379))/(12d0*pi**2d0)
    coupl(nGC_33455) = coupl(nGC_22517) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_71)*      &
                       dZHMinus_QED2
    coupl(nGC_22472) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0  &
                        - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl(   &
                       nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)**  &
                       2d0)/(16d0*pi**2d0)
    coupl(nGC_22473) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0 + &
                       coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl(      &
                       nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)**  &
                       2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22470) = (9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0 -  &
                       15d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*coupl(  &
                       nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_210&
                       )**2d0 - 4d0*cima*coupl(nGC_1275)*coupl(nGC_198)*coupl( &
                       nGC_199)**2d0 - 4d0*cima*coupl(nGC_1603)*coupl(nGC_199  &
                       )**2d0*coupl(nGC_4) + 3d0*cima*coupl(nGC_195)*coupl(    &
                       nGC_3465) + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211  &
                       )**2d0 - 15d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)*  &
                       coupl(nGC_212) + 9d0*cima*coupl(nGC_197)**2d0*coupl(    &
                       nGC_212)**2d0 + 3d0*coupl(nGC_1275)**2d0*coupl(nGC_3465 &
                       ) + 3d0*coupl(nGC_1275)*coupl(nGC_195)*coupl(nGC_198) + &
                       3d0*coupl(nGC_1603)*coupl(nGC_195)*coupl(nGC_4) + 3d0*  &
                       coupl(nGC_199)**2d0*coupl(nGC_3465))/(24d0*pi**2d0)
    coupl(nGC_22471) = (-3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0 + &
                       9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*coupl(   &
                       nGC_210) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_210&
                       )**2d0 + 3d0*cima*coupl(nGC_1053)**2d0 - 4d0*cima*coupl(&
                       nGC_1275)*coupl(nGC_198)*coupl(nGC_199)**2d0 - 4d0*cima*&
                       coupl(nGC_1603)*coupl(nGC_199)**2d0*coupl(nGC_4) + 3d0* &
                       cima*coupl(nGC_194)**2d0 - 3d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_211)**2d0 + 9d0*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_211)*coupl(nGC_212) - 3d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_212)**2d0 + 3d0*coupl(nGC_1053)*coupl(nGC_1603&
                       )*coupl(nGC_199) + 3d0*coupl(nGC_1053)*coupl(nGC_199)*  &
                       coupl(nGC_4) + 3d0*coupl(nGC_1275)*coupl(nGC_194)*coupl(&
                       nGC_199) + 3d0*coupl(nGC_194)*coupl(nGC_198)*coupl(     &
                       nGC_199))/(24d0*pi**2d0)
    coupl(nGC_22476) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207)** &
                       4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl(      &
                       nGC_210)**4d0 - 2d0*cima*coupl(nGC_1275)**4d0 + cima*   &
                       coupl(nGC_195)**2d0 - 2d0*cima*coupl(nGC_199)**4d0 +    &
                       cima*coupl(nGC_208)**4d0 + cima*coupl(nGC_211)**4d0 +   &
                       cima*coupl(nGC_212)**4d0 + 2d0*coupl(nGC_1275)**2d0*    &
                       coupl(nGC_195) + 2d0*coupl(nGC_195)*coupl(nGC_199)**2d0 &
                       )/(8d0*pi**2d0)
    coupl(nGC_22477) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0 + &
                       coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl(      &
                       nGC_210)**2d0)/(32d0*pi**2d0)
    coupl(nGC_58040) = -coupl(nGC_22048)
    coupl(nGC_32153) = coupl(nGC_22541) + coupl(nGC_57)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)*  &
                       dZHMinusGMinus_QED2 + coupl(nGC_74)*dZHMinusGMinus_QED2/&
                       2d0
    coupl(nGC_22478) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0  &
                        - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(   &
                       nGC_210)**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22479) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) + coupl&
                       (nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(128d0*pi**&
                       2d0)
    coupl(nGC_22270) = (coupl(nGC_1931)*coupl(nGC_208)*coupl(nGC_359) - 2d0*   &
                       coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197  &
                       )**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(nGC_2697)* &
                       coupl(nGC_362) + coupl(nGC_208)*coupl(nGC_357)**2d0 +   &
                       coupl(nGC_208)*coupl(nGC_360)**2d0 + 4d0*coupl(nGC_211  &
                       )**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(32d0*pi &
                       **2d0)
    coupl(nGC_22272) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 2d0*coupl(      &
                       nGC_1275)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_197)**2d0*&
                       coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_3141)*coupl(  &
                       nGC_365) + coupl(nGC_206)*coupl(nGC_363)**2d0 + coupl(  &
                       nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*coupl(    &
                       nGC_368)*coupl(nGC_989) + coupl(nGC_207)*coupl(nGC_334  &
                       )**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 + 4d0*coupl(&
                       nGC_209)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22273) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(      &
                       nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_3141)*coupl(   &
                       nGC_365) + coupl(nGC_209)*coupl(nGC_363)**2d0 + coupl(  &
                       nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(    &
                       nGC_368)*coupl(nGC_989) + coupl(nGC_210)*coupl(nGC_364  &
                       )**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_22274) = (coupl(nGC_1541)*coupl(nGC_207)*coupl(nGC_371) + 2d0*   &
                       coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197  &
                       )**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*coupl(    &
                       nGC_210) + coupl(nGC_206)*coupl(nGC_340)**2d0 + coupl(  &
                       nGC_206)*coupl(nGC_343)**2d0 + coupl(nGC_207)*coupl(    &
                       nGC_2081)*coupl(nGC_374) + coupl(nGC_207)*coupl(nGC_369 &
                       )**2d0 + coupl(nGC_207)*coupl(nGC_372)**2d0 + 4d0*coupl(&
                       nGC_210)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22275) = (coupl(nGC_1541)*coupl(nGC_210)*coupl(nGC_371) + 4d0*   &
                       coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207)** &
                       3d0 + coupl(nGC_2081)*coupl(nGC_210)*coupl(nGC_374) +   &
                       coupl(nGC_209)*coupl(nGC_370)**2d0 + coupl(nGC_209)*    &
                       coupl(nGC_373)**2d0 + coupl(nGC_210)*coupl(nGC_369)**2d0&
                        + coupl(nGC_210)*coupl(nGC_372)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22276) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(    &
                       nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_2841)*coupl(     &
                       nGC_380) + coupl(nGC_211)*coupl(nGC_375)**2d0 + coupl(  &
                       nGC_211)*coupl(nGC_377)*coupl(nGC_6589) + coupl(nGC_211 &
                       )*coupl(nGC_378)**2d0 + coupl(nGC_212)*coupl(nGC_376)** &
                       2d0 + coupl(nGC_212)*coupl(nGC_379)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22277) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                       nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(    &
                       nGC_2841)*coupl(nGC_380) + coupl(nGC_208)*coupl(nGC_375 &
                       )**2d0 + coupl(nGC_208)*coupl(nGC_377)*coupl(nGC_6589   &
                       ) + coupl(nGC_208)*coupl(nGC_378)**2d0 + 4d0*coupl(     &
                       nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/( &
                       32d0*pi**2d0)
    coupl(nGC_22278) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_1433)*coupl(nGC_344) + 4d0*coupl(nGC_197)**2d0 + 4d0&
                       *coupl(nGC_209)**2d0 + coupl(nGC_339)**2d0 + coupl(     &
                       nGC_341)*coupl(nGC_4237) + coupl(nGC_342)**2d0 + coupl( &
                       nGC_370)**2d0 + coupl(nGC_373)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22279) = -coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(       &
                       nGC_2705) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_22498) = coupl(nGC_20981)*dsw_QED2 + coupl(nGC_20982)*dcw_QED2 + &
                       coupl(nGC_20983)*dZee_QED2
    coupl(nGC_22499) = coupl(nGC_20871)*dl3_QED4 + coupl(nGC_20872)*dl1_QED4 + &
                       coupl(nGC_20873)*dl2_QED4 + coupl(nGC_20874)*dl5_QED4 + &
                       coupl(nGC_20875)*dl4_QED4 + coupl(nGC_20876)*db_QED2
    coupl(nGC_22490) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_22491) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
    coupl(nGC_22492) = coupl(nGC_21024)*dsw_QED2 + coupl(nGC_21025)*dcw_QED2 + &
                       coupl(nGC_21026)*dZee_QED2
    coupl(nGC_22493) = coupl(nGC_20886)*dcw_QED2 + coupl(nGC_20887)*dZee_QED2
    coupl(nGC_22494) = coupl(nGC_20888)*dcw_QED2 + coupl(nGC_20889)*dZee_QED2
    coupl(nGC_22495) = coupl(nGC_21071)*dZee_QED2
    coupl(nGC_22496) = coupl(nGC_21027)*dsw_QED2 + coupl(nGC_21028)*dcw_QED2 + &
                       coupl(nGC_21029)*dZee_QED2
    coupl(nGC_22497) = coupl(nGC_20684)*dcw_QED2 + coupl(nGC_20685)*db_QED2 +  &
                       coupl(nGC_20686)*dZee_QED2 + coupl(nGC_20687)*da_QED2
    coupl(nGC_42912) = coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
    coupl(nGC_33524) = coupl(nGC_22512) + coupl(nGC_54)*dZHaG0_QED2 + coupl(   &
                       nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*            &
                       dZHMinus_QED2
    coupl(nGC_22014) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1433)*  &
                       coupl(nGC_344) + 4d0*coupl(nGC_1)*coupl(nGC_209)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_341)*coupl(nGC_4237) + coupl(nGC_1)*coupl(nGC_342)**&
                       2d0 + 2d0*coupl(nGC_1603)*coupl(nGC_197)**2d0 + 4d0*    &
                       coupl(nGC_197)**2d0*coupl(nGC_2) + coupl(nGC_2)*coupl(  &
                       nGC_370)**2d0 + coupl(nGC_2)*coupl(nGC_373)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22015) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1433)*  &
                       coupl(nGC_344) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_341)*coupl(nGC_4237) + coupl(nGC_1)*coupl(nGC_342)**&
                       2d0 + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(nGC_2)*  &
                       coupl(nGC_343)**2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
