!******************************************************************************!
!                                                                              !
!    fill_ctcouplings25.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings25.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings25
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl25()
    coupl(nGC_34934) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_22548) + coupl(nGC_30)*   &
                       dZZA_QED2/2d0
    coupl(nGC_33031) = coupl(nGC_22576) + coupl(nGC_248)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_257)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_52_Hh  &
                       ) + coupl(nGC_TS_GC_63_Hl)
    coupl(nGC_36311) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_22397) = cima*(5d0*Nc*coupl(nGC_1083)*coupl(nGC_346)*coupl(      &
                       nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_348)*coupl(nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(  &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_339)*coupl(nGC_340 &
                       )*coupl(nGC_370) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_340 &
                       )*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_2081 &
                       )*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_336)*coupl(    &
                       nGC_337) + 5d0*Nc*coupl(nGC_3071)*coupl(nGC_334)*coupl( &
                       nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3071)*coupl( &
                       nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_334)*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_338) + &
                       5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_367)*    &
                       coupl(nGC_989) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*  &
                       coupl(nGC_366)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*  &
                       coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_989) + 5d0*Nc*  &
                       coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(     &
                       nGC_368) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_338)*coupl(  &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_337)*coupl(  &
                       nGC_338)*coupl(nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(  &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343) + &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343)*    &
                       coupl(nGC_4237) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_341)* &
                       coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*  &
                       coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*  &
                       coupl(nGC_339)*coupl(nGC_370)*coupl(nGC_373)*coupl(     &
                       nGC_4237) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl( &
                       nGC_372)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_340)*coupl(  &
                       nGC_370)*coupl(nGC_372)*coupl(nGC_4237) + 5d0*Nc*coupl( &
                       nGC_341)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + &
                       5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349)*    &
                       coupl(nGC_350) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*  &
                       coupl(nGC_349)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_346)* &
                       coupl(nGC_348)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*  &
                       coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384)*coupl(     &
                       nGC_386) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_350)*coupl(  &
                       nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(  &
                       nGC_350)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_348)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_4525   &
                       ) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384)*&
                       coupl(nGC_4525) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)* &
                       coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_364)*  &
                       coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_989) + 5d0*Nc*  &
                       coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373)*coupl(     &
                       nGC_374) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl(  &
                       nGC_385)*coupl(nGC_386) + 6d0*coupl(nGC_175)*coupl(     &
                       nGC_187) + 6d0*coupl(nGC_22)*coupl(nGC_31) + 5d0*coupl( &
                       nGC_2697)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361   &
                       ) + 5d0*coupl(nGC_2841)*coupl(nGC_376)*coupl(nGC_378)*  &
                       coupl(nGC_379) + 5d0*coupl(nGC_352)*coupl(nGC_354)*coupl&
                       (nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_352)*coupl(    &
                       nGC_354)*coupl(nGC_355)*coupl(nGC_997) + 5d0*coupl(     &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_362) + &
                       5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl( &
                       nGC_380))/(48d0*pi**2d0)
    coupl(nGC_22396) = cima*(5d0*Nc*coupl(nGC_1083)*coupl(nGC_2345)*coupl(     &
                       nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_383) + 5d0*Nc*coupl(  &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_1315)*coupl(nGC_346)*coupl(nGC_349 &
                       )*coupl(nGC_386) + 5d0*Nc*coupl(nGC_1315)*coupl(nGC_349 &
                       )*coupl(nGC_382)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_1315&
                       )*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*&
                       coupl(nGC_1433)*coupl(nGC_2081)*coupl(nGC_340)*coupl(   &
                       nGC_370) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_340)*coupl( &
                       nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1433)*coupl( &
                       nGC_341)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_1541)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374   &
                       ) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_370 &
                       )*coupl(nGC_4237) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_370&
                       )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_1949 &
                       )*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) + 5d0*Nc*&
                       coupl(nGC_1949)*coupl(nGC_334)*coupl(nGC_367)*coupl(    &
                       nGC_989) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_338)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_2081)*coupl( &
                       nGC_340)*coupl(nGC_343)*coupl(nGC_371) + 5d0*Nc*coupl(  &
                       nGC_2081)*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373   &
                       ) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_349 &
                       )*coupl(nGC_350) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_350 &
                       )*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_3071 &
                       )*coupl(nGC_3141)*coupl(nGC_334)*coupl(nGC_367) + 5d0*Nc&
                       *coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_335)*coupl(   &
                       nGC_337) + 5d0*Nc*coupl(nGC_3071)*coupl(nGC_335)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3141)*coupl( &
                       nGC_334)*coupl(nGC_337)*coupl(nGC_368) + 5d0*Nc*coupl(  &
                       nGC_3141)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368   &
                       ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365)*&
                       coupl(nGC_989) + 5d0*Nc*coupl(nGC_335)*coupl(nGC_337)*  &
                       coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_337)*  &
                       coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*  &
                       coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344)*coupl(     &
                       nGC_4237) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl( &
                       nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_343)*coupl(  &
                       nGC_344)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(  &
                       nGC_344)*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_4237   &
                       ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_349)*&
                       coupl(nGC_4525) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)* &
                       coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_346)*  &
                       coupl(nGC_350)*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*  &
                       coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385)*coupl(     &
                       nGC_4525) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_365)*coupl( &
                       nGC_367)*coupl(nGC_989) + 6d0*coupl(nGC_186)*coupl(     &
                       nGC_187) + 5d0*coupl(nGC_1931)*coupl(nGC_358)*coupl(    &
                       nGC_361)*coupl(nGC_362) + 5d0*coupl(nGC_2697)*coupl(    &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(     &
                       nGC_2755)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356   &
                       ) + 5d0*coupl(nGC_2841)*coupl(nGC_376)*coupl(nGC_377)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_30)*coupl(nGC_31) + 5d0* &
                       coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355)*coupl(     &
                       nGC_997) + 5d0*coupl(nGC_376)*coupl(nGC_379)*coupl(     &
                       nGC_380)*coupl(nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_22395) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_346)*coupl(      &
                       nGC_349)*coupl(nGC_386) + Nc*coupl(nGC_1083)*coupl(     &
                       nGC_349)*coupl(nGC_382)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386   &
                       ) + Nc*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_343)*   &
                       coupl(nGC_374) + Nc*coupl(nGC_2081)*coupl(nGC_340)*coupl&
                       (nGC_370)*coupl(nGC_4237) + Nc*coupl(nGC_2081)*coupl(   &
                       nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*coupl(      &
                       nGC_3071)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338   &
                       ) + Nc*coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_367)*   &
                       coupl(nGC_989) + Nc*coupl(nGC_3071)*coupl(nGC_338)*coupl&
                       (nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_334)*coupl(     &
                       nGC_337)*coupl(nGC_368)*coupl(nGC_989) + Nc*coupl(      &
                       nGC_337)*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_368) + &
                       Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343)*coupl(  &
                       nGC_4237) + Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(     &
                       nGC_373)*coupl(nGC_374) + Nc*coupl(nGC_341)*coupl(      &
                       nGC_370)*coupl(nGC_373)*coupl(nGC_4237) + Nc*coupl(     &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_4525   &
                       ) + Nc*coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_385)*    &
                       coupl(nGC_386) + Nc*coupl(nGC_350)*coupl(nGC_382)*coupl(&
                       nGC_385)*coupl(nGC_4525) + Nc*coupl(nGC_364)*coupl(     &
                       nGC_367)*coupl(nGC_368)*coupl(nGC_989) + coupl(nGC_2697 &
                       )*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362) + coupl( &
                       nGC_2841)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380   &
                       ) + coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356)*coupl( &
                       nGC_997))/(24d0*pi**2d0)
    coupl(nGC_22394) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340&
                       )*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_381 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl(     &
                       nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_369 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_363 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_174) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_351)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_357)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_375)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_174)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_21&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22393) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_339&
                       )*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_384 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl(     &
                       nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_372 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_366 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_360)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_378)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_180)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_23&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22391) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*coupl(&
                       nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl(nGC_346&
                       )*coupl(nGC_349) - coupl(nGC_364)*coupl(nGC_367) - coupl&
                       (nGC_370)*coupl(nGC_373) - coupl(nGC_382)*coupl(nGC_385 &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22390) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl( &
                       nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*   &
                       coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(      &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(  &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) + &
                       5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364)*    &
                       coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(      &
                       nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0*   &
                       coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207)** &
                       2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_207&
                       )*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*&
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(  &
                       nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209)**2d0*   &
                       coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_209)** &
                       2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_209&
                       )**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(    &
                       nGC_210)**2d0*coupl(nGC_340)*coupl(nGC_343) - 4d0*Nc*   &
                       coupl(nGC_210)**2d0*coupl(nGC_346)*coupl(nGC_349) - 4d0*&
                       Nc*coupl(nGC_210)**2d0*coupl(nGC_364)*coupl(nGC_367) -  &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_352)*coupl(nGC_355) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_358)*coupl(nGC_361) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_376)*coupl(nGC_379) + &
                       5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)*coupl( &
                       nGC_355) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(     &
                       nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_212)*coupl(nGC_376)*coupl(nGC_379) - 4d0*coupl(     &
                       nGC_212)**2d0*coupl(nGC_352)*coupl(nGC_355) - 4d0*coupl(&
                       nGC_212)**2d0*coupl(nGC_358)*coupl(nGC_361) - 4d0*coupl(&
                       nGC_212)**2d0*coupl(nGC_376)*coupl(nGC_379))/(24d0*pi** &
                       2d0)
    coupl(nGC_22399) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340&
                       )*coupl(nGC_4237) + 5d0*Nc*cima*coupl(nGC_197)*coupl(   &
                       nGC_206)*coupl(nGC_349)*coupl(nGC_4525) + 5d0*Nc*cima*  &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367)*coupl(     &
                       nGC_989) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_337)*coupl(nGC_338) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_373)*coupl(nGC_374) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385 &
                       )*coupl(nGC_386) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_337)*coupl(nGC_338) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl(     &
                       nGC_4237) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*  &
                       coupl(nGC_349)*coupl(nGC_4525) - 4d0*Nc*cima*coupl(     &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(nGC_989) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373 &
                       )*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_385)*coupl(nGC_386) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337)*coupl(     &
                       nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_340)*coupl(nGC_4237) - 4d0*Nc*cima*coupl(     &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_349)*coupl(nGC_4525   &
                       ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(    &
                       nGC_367)*coupl(nGC_989) - 4d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_210)*coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385)*coupl(&
                       nGC_386) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_187) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_2697)*coupl(nGC_361   &
                       ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(       &
                       nGC_2841)*coupl(nGC_379) + 5d0*cima*coupl(nGC_197)*coupl&
                       (nGC_208)*coupl(nGC_355)*coupl(nGC_997) - 4d0*cima*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_2697)*coupl(nGC_361  &
                       ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(       &
                       nGC_2841)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl&
                       (nGC_211)*coupl(nGC_355)*coupl(nGC_997) - 4d0*cima*coupl&
                       (nGC_197)*coupl(nGC_212)*coupl(nGC_2697)*coupl(nGC_361  &
                       ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(       &
                       nGC_2841)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl&
                       (nGC_212)*coupl(nGC_355)*coupl(nGC_997) + 6d0*coupl(    &
                       nGC_1275)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1275)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
    coupl(nGC_22398) = cima*(5d0*Nc*coupl(nGC_1083)*coupl(nGC_345)*coupl(      &
                       nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl(  &
                       nGC_1083)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_342 &
                       )*coupl(nGC_370) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_340 &
                       )*coupl(nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl(nGC_2081 &
                       )*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_3071)*coupl(nGC_333)*coupl(nGC_334)*coupl(    &
                       nGC_337) + 5d0*Nc*coupl(nGC_3071)*coupl(nGC_333)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3071)*coupl( &
                       nGC_334)*coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) + &
                       5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_367)*    &
                       coupl(nGC_989) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*  &
                       coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_333)*  &
                       coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(     &
                       nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(  &
                       nGC_363)*coupl(nGC_989) + 5d0*Nc*coupl(nGC_337)*coupl(  &
                       nGC_338)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(  &
                       nGC_340)*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_343) + &
                       5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343)*    &
                       coupl(nGC_4237) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)* &
                       coupl(nGC_369)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_340)*  &
                       coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_4237) + 5d0*Nc* &
                       coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_370)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(  &
                       nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(  &
                       nGC_343)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(  &
                       nGC_342)*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_4237   &
                       ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349)*&
                       coupl(nGC_350) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*  &
                       coupl(nGC_349)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_345)* &
                       coupl(nGC_346)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*  &
                       coupl(nGC_345)*coupl(nGC_350)*coupl(nGC_382)*coupl(     &
                       nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_382)*coupl(  &
                       nGC_385)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_346)*coupl( &
                       nGC_349)*coupl(nGC_381)*coupl(nGC_386) + 5d0*Nc*coupl(  &
                       nGC_346)*coupl(nGC_350)*coupl(nGC_381)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382)*    &
                       coupl(nGC_4525) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)* &
                       coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_989) + 5d0*Nc*  &
                       coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373)*coupl(     &
                       nGC_374) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(  &
                       nGC_385)*coupl(nGC_386) + 6d0*coupl(nGC_180)*coupl(     &
                       nGC_187) + 6d0*coupl(nGC_23)*coupl(nGC_31) + 5d0*coupl( &
                       nGC_2697)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_361   &
                       ) + 5d0*coupl(nGC_2841)*coupl(nGC_375)*coupl(nGC_376)*  &
                       coupl(nGC_379) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl&
                       (nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_351)*coupl(    &
                       nGC_352)*coupl(nGC_355)*coupl(nGC_997) + 5d0*coupl(     &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362) + &
                       5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379)*coupl( &
                       nGC_380))/(48d0*pi**2d0)
    coupl(nGC_41390) = coupl(nGC_I)*dZG0Ha_QED2/2d0
    coupl(nGC_32146) = coupl(nGC_22523) + coupl(nGC_35)*dZG0Ha_QED2/2d0 + coupl&
                       (nGC_36)*dZHaG0_QED2/2d0 + coupl(nGC_38)*dZHlHh_QED2/2d0&
                        + coupl(nGC_39)*dZHhHl_QED2/2d0 + coupl(nGC_47)*       &
                       dZHa_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/2d0 + coupl(    &
                       nGC_47)*dZHl_QED2/2d0
    coupl(nGC_22466) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl( &
                       nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(nGC_345&
                       )*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366) + coupl&
                       (nGC_369)*coupl(nGC_372) + coupl(nGC_381)*coupl(nGC_384 &
                       ))/(16d0*pi**2d0*Nc)
    coupl(nGC_22461) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0 + &
                       coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl(      &
                       nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)**  &
                       2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22460) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0  &
                        - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl(   &
                       nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)**  &
                       2d0)/(16d0*pi**2d0)
    coupl(nGC_22462) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_333)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_342)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_345)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_363)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_369)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_381)**2d0 +   &
                       3d0*cima*coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(&
                       nGC_197)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*coupl(     &
                       nGC_197)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*coupl(     &
                       nGC_197)**2d0*coupl(nGC_375)**2d0 + 6d0*cima*coupl(     &
                       nGC_3465)*coupl(nGC_77) + 6d0*coupl(nGC_1211)*coupl(    &
                       nGC_199)*coupl(nGC_224) + 6d0*coupl(nGC_1275)*coupl(    &
                       nGC_198)*coupl(nGC_77) + 6d0*coupl(nGC_1603)*coupl(nGC_4&
                       )*coupl(nGC_77))/(48d0*pi**2d0)
    coupl(nGC_22469) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0 +   &
                       10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_342&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*    &
                       coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl(nGC_207&
                       )**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*cima*coupl(nGC_207 &
                       )*coupl(nGC_210)*coupl(nGC_333)**2d0 + 10d0*Nc*cima*    &
                       coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369)**2d0 + 10d0&
                       *Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_381)** &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_342)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_345)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_363)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_333)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_369)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_381)**  &
                       2d0 + 3d0*cima*coupl(nGC_195)*coupl(nGC_77) - 8d0*cima* &
                       coupl(nGC_208)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*coupl&
                       (nGC_208)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*coupl(    &
                       nGC_208)**2d0*coupl(nGC_375)**2d0 + 10d0*cima*coupl(    &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*&
                       coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0&
                       *cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 &
                        - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 -   &
                       8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0* &
                       cima*coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*coupl&
                       (nGC_1275)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_199)**2d0*&
                       coupl(nGC_77))/(24d0*pi**2d0)
    coupl(nGC_22263) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 2d0*coupl(      &
                       nGC_1275)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_197)**2d0*&
                       coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_2345)*coupl(  &
                       nGC_347) + coupl(nGC_206)*coupl(nGC_345)**2d0 + coupl(  &
                       nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*coupl(    &
                       nGC_350)*coupl(nGC_4525) + coupl(nGC_207)*coupl(nGC_382 &
                       )**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl(&
                       nGC_209)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22454) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0 +   &
                       3d0*cima*coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(&
                       nGC_197)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*coupl(     &
                       nGC_197)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*coupl(     &
                       nGC_197)**2d0*coupl(nGC_378)**2d0 + 6d0*cima*coupl(     &
                       nGC_3465)*coupl(nGC_77) + 6d0*coupl(nGC_1211)*coupl(    &
                       nGC_199)*coupl(nGC_224) + 6d0*coupl(nGC_1275)*coupl(    &
                       nGC_198)*coupl(nGC_77) + 6d0*coupl(nGC_1603)*coupl(nGC_4&
                       )*coupl(nGC_77))/(48d0*pi**2d0)
    coupl(nGC_22261) = (coupl(nGC_1949)*coupl(nGC_210)*coupl(nGC_335) + 4d0*   &
                       coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207)** &
                       3d0 + coupl(nGC_209)*coupl(nGC_334)**2d0 + coupl(nGC_209&
                       )*coupl(nGC_337)**2d0 + coupl(nGC_210)*coupl(nGC_3071)* &
                       coupl(nGC_338) + coupl(nGC_210)*coupl(nGC_333)**2d0 +   &
                       coupl(nGC_210)*coupl(nGC_336)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22266) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                       nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(    &
                       nGC_2755)*coupl(nGC_353) + coupl(nGC_208)*coupl(nGC_351 &
                       )**2d0 + coupl(nGC_208)*coupl(nGC_354)**2d0 + coupl(    &
                       nGC_208)*coupl(nGC_356)*coupl(nGC_997) + 4d0*coupl(     &
                       nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/( &
                       32d0*pi**2d0)
    coupl(nGC_22265) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(    &
                       nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_2755)*coupl(     &
                       nGC_353) + coupl(nGC_211)*coupl(nGC_351)**2d0 + coupl(  &
                       nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_211)*coupl(    &
                       nGC_356)*coupl(nGC_997) + coupl(nGC_212)*coupl(nGC_352  &
                       )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_22455) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)**3d0 + Nc*   &
                       coupl(nGC_339)**3d0*coupl(nGC_342) + Nc*coupl(nGC_345)* &
                       coupl(nGC_348)**3d0 + Nc*coupl(nGC_363)*coupl(nGC_366)**&
                       3d0 + Nc*coupl(nGC_369)*coupl(nGC_372)**3d0 + Nc*coupl( &
                       nGC_381)*coupl(nGC_384)**3d0 + coupl(nGC_351)*coupl(    &
                       nGC_354)**3d0 + coupl(nGC_357)*coupl(nGC_360)**3d0 +    &
                       coupl(nGC_375)*coupl(nGC_378)**3d0)/(4d0*pi**2d0)
    coupl(nGC_22269) = (coupl(nGC_1931)*coupl(nGC_211)*coupl(nGC_359) + 4d0*   &
                       coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(nGC_4)** &
                       2d0 + coupl(nGC_211)*coupl(nGC_2697)*coupl(nGC_362) +   &
                       coupl(nGC_211)*coupl(nGC_357)**2d0 + coupl(nGC_211)*    &
                       coupl(nGC_360)**2d0 + coupl(nGC_212)*coupl(nGC_358)**2d0&
                        + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22489) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_5899) - Nc*cima*   &
                       coupl(nGC_2705)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_2705)**&
                       2d0*coupl(nGC_5899)*sq2**2d0 + 9d0*cima*coupl(nGC_13)** &
                       4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_22457) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(     &
                       nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl( &
                       nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(      &
                       nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl( &
                       nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(nGC_354  &
                       ) - coupl(nGC_357)*coupl(nGC_360) - coupl(nGC_375)*coupl&
                       (nGC_378))/(6d0*pi**2d0)
    coupl(nGC_22483) = (3d0*Nc*cima*coupl(nGC_14)**2d0 - Nc*cima*coupl(nGC_2705&
                       )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_5899)**2d0 - 3d0&
                       *Nc*coupl(nGC_14)*coupl(nGC_2705)**2d0*sq2**2d0 - 3d0*Nc&
                       *coupl(nGC_2705)**2d0*coupl(nGC_5899)*sq2**2d0 + 9d0*   &
                       cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_22482) = cima*sq2**4d0*(-Nc*coupl(nGC_2705)**4d0 - 15d0*coupl(   &
                       nGC_13)**4d0)/(192d0*pi**2d0)
    coupl(nGC_22487) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_5899) - Nc*cima*   &
                       coupl(nGC_2705)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_14)*   &
                       coupl(nGC_2705)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_2705)**&
                       2d0*coupl(nGC_5899)*sq2**2d0 + 9d0*cima*coupl(nGC_13)** &
                       4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_22486) = (cima*coupl(nGC_14)**2d0 + 2d0*cima*coupl(nGC_14)*coupl(&
                       nGC_5899) - cima*coupl(nGC_2705)**4d0*sq2**4d0 + cima*  &
                       coupl(nGC_5899)**2d0 - 2d0*coupl(nGC_14)*coupl(nGC_2705 &
                       )**2d0*sq2**2d0 - 2d0*coupl(nGC_2705)**2d0*coupl(       &
                       nGC_5899)*sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_22485) = (-cima*coupl(nGC_2705)**4d0*sq2**4d0 + cima*coupl(      &
                       nGC_5891)**2d0 - 2d0*coupl(nGC_2705)**2d0*coupl(nGC_5891&
                       )*sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_22484) = (-Nc*cima*coupl(nGC_14)*coupl(nGC_5891) + Nc*cima*coupl(&
                       nGC_2705)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_5891)*coupl(&
                       nGC_5899) + Nc*coupl(nGC_14)*coupl(nGC_2705)**2d0*sq2** &
                       2d0 + Nc*coupl(nGC_2705)**2d0*coupl(nGC_5891)*sq2**2d0  &
                        + Nc*coupl(nGC_2705)**2d0*coupl(nGC_5899)*sq2**2d0 -   &
                       cima*coupl(nGC_13)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22007) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1)* &
                       coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346)**  &
                       2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*coupl(   &
                       nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*coupl(     &
                       nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**2d0 - Nc&
                       *coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_2)*    &
                       coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_364)**  &
                       2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - Nc*coupl(   &
                       nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**2d0*coupl( &
                       nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
    coupl(nGC_22005) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1)* &
                       coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349)**  &
                       2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*coupl(   &
                       nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*coupl(     &
                       nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**2d0 - Nc&
                       *coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_2)*    &
                       coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_367)**  &
                       2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                       nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**2d0*coupl( &
                       nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
    coupl(nGC_22003) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*   &
                       coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(  &
                       nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)* &
                       coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl(  &
                       nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382 &
                       )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(&
                       nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                       ) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(  &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_2)* &
                       coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(   &
                       nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(nGC_361)*  &
                       coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4&
                       ))/(24d0*pi**2d0)
    coupl(nGC_22002) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*    &
                       coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(  &
                       nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)* &
                       coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl(  &
                       nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382 &
                       )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(&
                       nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                       ) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349) - Nc* &
                       coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(  &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_2)* &
                       coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)*coupl(   &
                       nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(nGC_361)*  &
                       coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4&
                       ))/(24d0*pi**2d0)
    coupl(nGC_33091) = coupl(nGC_383)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_22000) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(    &
                       nGC_210))/(8d0*pi**2d0)
    coupl(nGC_22009) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc* &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                       nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_384   &
                       ) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**2d0 - 2d0*cMM* &
                       coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(      &
                       nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(nGC_272)*coupl( &
                       nGC_9) + coupl(nGC_1603)**2d0*coupl(nGC_272) + coupl(   &
                       nGC_272)*coupl(nGC_3)**2d0)/(8d0*pi**2d0)
    coupl(nGC_22008) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc* &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                       nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_381   &
                       ) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**2d0 - 2d0*cMM* &
                       coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(      &
                       nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(nGC_261)*coupl( &
                       nGC_9) + coupl(nGC_1603)**2d0*coupl(nGC_261) + coupl(   &
                       nGC_261)*coupl(nGC_3)**2d0)/(8d0*pi**2d0)
    coupl(nGC_41827) = -coupl(nGC_39920) + coupl(nGC_39921)
    coupl(nGC_39155) = -coupl(nGC_39154)
    coupl(nGC_32317) = coupl(nGC_22520) + coupl(nGC_52)*dZHaG0_QED2/2d0 + coupl&
                       (nGC_52)*dZHhHl_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_63)*dZHl_QED2/2d0
    coupl(nGC_36306) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22645) = coupl(nGC_21692)*db_QED2 + coupl(nGC_21693)*dye2_QED3 + &
                       coupl(nGC_21694)*dye1_QED3
    coupl(nGC_22132) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) - coupl(  &
                       nGC_1949)*coupl(nGC_3141)*coupl(nGC_334) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(nGC_3071 &
                       )*coupl(nGC_334)*coupl(nGC_989) - coupl(nGC_333)*coupl( &
                       nGC_334)*coupl(nGC_363) - coupl(nGC_334)*coupl(nGC_336)*&
                       coupl(nGC_366))/(32d0*pi**2d0)
    coupl(nGC_22647) = coupl(nGC_21935)*db_QED2 + coupl(nGC_21936)*dytau1_QED3 &
                        + coupl(nGC_21937)*dytau2_QED3
  end subroutine fill_CTcouplings_mdl25
end module fill_ctcouplings25
