!******************************************************************************!
!                                                                              !
!    fill_ctcouplings29.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings29.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings29
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl29()
    coupl(nGC_32279) = coupl(nGC_13)*dZtR_QCD2
    coupl(nGC_43567) = coupl(nGC_22842) + coupl(nGC_TS_GC_357_Hl) + coupl(     &
                       nGC_TS_GC_360_Hh)
    coupl(nGC_32278) = coupl(nGC_13)*dZtR_QED2
    coupl(nGC_40496) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_40497) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_37489) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/2d0
    coupl(nGC_32681) = coupl(nGC_22501) + 2d0*coupl(nGC_57)*dZHMinusGMinus_QED2
    coupl(nGC_33171) = coupl(nGC_22596) + coupl(nGC_364)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*    &
                       dZsR_QED2/2d0
    coupl(nGC_33170) = coupl(nGC_22597) + coupl(nGC_334)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*    &
                       dZsL_QED2/2d0
    coupl(nGC_41147) = -coupl(nGC_39287)
    coupl(nGC_33172) = coupl(nGC_22598) + coupl(nGC_337)*dZcR_QCD2/2d0 + coupl(&
                       nGC_337)*dZsL_QCD2/2d0
    coupl(nGC_40721) = coupl(nGC_22647) + coupl(nGC_377)*dZHaG0_QED2/2d0
    coupl(nGC_32192) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZdR_QED2  &
                        + coupl(nGC_22727)
    coupl(nGC_32193) = coupl(nGC_32187) + coupl(nGC_32192)
    coupl(nGC_32194) = coupl(nGC_32187) + coupl(nGC_32191)
    coupl(nGC_22237) = (-coupl(nGC_1541)**2d0*coupl(nGC_369) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_369) + 8d0*coupl(nGC_207)*coupl(nGC_210&
                       )*coupl(nGC_369) - coupl(nGC_2081)**2d0*coupl(nGC_369   &
                       ) - coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_373) - coupl&
                       (nGC_342)*coupl(nGC_343)*coupl(nGC_370) - coupl(nGC_369 &
                       )**3d0 - coupl(nGC_369)*coupl(nGC_372)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_22113) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) -     &
                       coupl(nGC_2841)*coupl(nGC_375)**2d0 - coupl(nGC_2841)*  &
                       coupl(nGC_377)**2d0 - coupl(nGC_2841)*coupl(nGC_378)**  &
                       2d0 - coupl(nGC_2841)*coupl(nGC_380)**2d0 + 8d0*coupl(  &
                       nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_32751) = coupl(nGC_174)*dZA_QED2/2d0 + coupl(nGC_174)*dZHl_QED2/ &
                       2d0 + coupl(nGC_174)*dZWMinus_QED2/2d0 + coupl(nGC_180)*&
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZHhHl_QED2/2d0&
                        + coupl(nGC_21)*dZZA_QED2/2d0 + coupl(nGC_22552)
    coupl(nGC_33485) = coupl(nGC_22609) + coupl(nGC_364)*dZcL_QCD2/2d0 + coupl(&
                       nGC_364)*dZsR_QCD2/2d0
    coupl(nGC_33484) = coupl(nGC_22608) + coupl(nGC_334)*dZcR_QCD2/2d0 + coupl(&
                       nGC_334)*dZsL_QCD2/2d0
    coupl(nGC_22051) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) - coupl(  &
                       nGC_1433)*coupl(nGC_1541)*coupl(nGC_373) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(nGC_2081 &
                       )*coupl(nGC_373)*coupl(nGC_4237) - coupl(nGC_339)*coupl(&
                       nGC_372)*coupl(nGC_373) - coupl(nGC_342)*coupl(nGC_369)*&
                       coupl(nGC_373))/(32d0*pi**2d0)
    coupl(nGC_22582) = coupl(nGC_20681)*dZee_QED2
    coupl(nGC_22583) = coupl(nGC_21218)*dZee_QED2
    coupl(nGC_22581) = coupl(nGC_21171)*dZee_QED2
    coupl(nGC_22587) = coupl(nGC_21081)*dsw_QED2 + coupl(nGC_21082)*dcw_QED2 + &
                       coupl(nGC_21083)*dZee_QED2
    coupl(nGC_22585) = coupl(nGC_20962)*dZee_QED2
    coupl(nGC_22588) = coupl(nGC_20865)*dZgs_QCD2
    coupl(nGC_22589) = coupl(nGC_20930)*dZgs_QCD2
    coupl(nGC_22341) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_341)*   &
                       coupl(nGC_4237) - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                       coupl(nGC_350)*coupl(nGC_4525) - Nc*cima*coupl(nGC_1)*  &
                       coupl(nGC_206)*coupl(nGC_368)*coupl(nGC_989) - Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_341)*coupl(       &
                       nGC_4237) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                       nGC_350)*coupl(nGC_4525) - Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_209)*coupl(nGC_368)*coupl(nGC_989) - Nc*cima*coupl( &
                       nGC_1083)*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_386) -  &
                       Nc*cima*coupl(nGC_1083)*coupl(nGC_2)*coupl(nGC_210)*    &
                       coupl(nGC_386) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*   &
                       coupl(nGC_2081)*coupl(nGC_374) - Nc*cima*coupl(nGC_2)*  &
                       coupl(nGC_207)*coupl(nGC_3071)*coupl(nGC_338) - Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_2081)*coupl(nGC_210)*coupl(      &
                       nGC_374) - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                       nGC_3071)*coupl(nGC_338) + cima*coupl(nGC_100)*coupl(   &
                       nGC_205) - cima*coupl(nGC_208)*coupl(nGC_2697)*coupl(   &
                       nGC_362)*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(      &
                       nGC_2841)*coupl(nGC_380)*coupl(nGC_4) - cima*coupl(     &
                       nGC_208)*coupl(nGC_356)*coupl(nGC_4)*coupl(nGC_997) -   &
                       cima*coupl(nGC_211)*coupl(nGC_2697)*coupl(nGC_362)*coupl&
                       (nGC_4) - cima*coupl(nGC_211)*coupl(nGC_2841)*coupl(    &
                       nGC_380)*coupl(nGC_4) - cima*coupl(nGC_211)*coupl(      &
                       nGC_356)*coupl(nGC_4)*coupl(nGC_997) + coupl(nGC_100)*  &
                       coupl(nGC_1275)*coupl(nGC_1603) + coupl(nGC_100)*coupl( &
                       nGC_199)*coupl(nGC_3))/(8d0*pi**2d0)
    coupl(nGC_22342) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_343 &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                       nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*&
                       coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_207)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_207)*coupl(nGC_382)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_382)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(    &
                       nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*&
                       coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_210)*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_206)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_2)*coupl(nGC_206)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_364)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_370)**&
                       2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(    &
                       nGC_382)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*&
                       coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(   &
                       nGC_209)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_209)*coupl(nGC_382)**2d0 - 8d0*Nc*cima*coupl( &
                       nGC_2)*coupl(nGC_210)*coupl(nGC_343)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + &
                       6d0*cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(&
                       nGC_208)*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*   &
                       coupl(nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0*  &
                       cima*coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) +  &
                       5d0*cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4 &
                       ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl(  &
                       nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0*   &
                       coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_1275)*coupl(&
                       nGC_1603) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(    &
                       nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22344) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_1433)*coupl(nGC_206)*  &
                       coupl(nGC_341) - Nc*coupl(nGC_1)*coupl(nGC_1433)*coupl( &
                       nGC_209)*coupl(nGC_341) - Nc*coupl(nGC_1)*coupl(nGC_206 &
                       )*coupl(nGC_2345)*coupl(nGC_350) - Nc*coupl(nGC_1)*coupl&
                       (nGC_206)*coupl(nGC_3141)*coupl(nGC_368) - Nc*coupl(    &
                       nGC_1)*coupl(nGC_206)*coupl(nGC_344)*coupl(nGC_4237) -  &
                       Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_347)*coupl(    &
                       nGC_4525) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_365&
                       )*coupl(nGC_989) - Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(&
                       nGC_2345)*coupl(nGC_350) - Nc*coupl(nGC_1)*coupl(nGC_209&
                       )*coupl(nGC_3141)*coupl(nGC_368) - Nc*coupl(nGC_1)*coupl&
                       (nGC_209)*coupl(nGC_344)*coupl(nGC_4237) - Nc*coupl(    &
                       nGC_1)*coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_4525) -  &
                       Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_365)*coupl(    &
                       nGC_989) - Nc*coupl(nGC_1083)*coupl(nGC_2)*coupl(nGC_207&
                       )*coupl(nGC_383) - Nc*coupl(nGC_1083)*coupl(nGC_2)*coupl&
                       (nGC_210)*coupl(nGC_383) - Nc*coupl(nGC_1315)*coupl(    &
                       nGC_2)*coupl(nGC_207)*coupl(nGC_386) - Nc*coupl(nGC_1315&
                       )*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_386) - Nc*coupl(&
                       nGC_1541)*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_374) -  &
                       Nc*coupl(nGC_1541)*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                       nGC_374) - Nc*coupl(nGC_1949)*coupl(nGC_2)*coupl(nGC_207&
                       )*coupl(nGC_338) - Nc*coupl(nGC_1949)*coupl(nGC_2)*coupl&
                       (nGC_210)*coupl(nGC_338) - Nc*coupl(nGC_2)*coupl(nGC_207&
                       )*coupl(nGC_2081)*coupl(nGC_371) - Nc*coupl(nGC_2)*coupl&
                       (nGC_207)*coupl(nGC_3071)*coupl(nGC_335) - Nc*coupl(    &
                       nGC_2)*coupl(nGC_2081)*coupl(nGC_210)*coupl(nGC_371) -  &
                       Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_3071)*coupl(   &
                       nGC_335) - coupl(nGC_1931)*coupl(nGC_208)*coupl(nGC_362 &
                       )*coupl(nGC_4) - coupl(nGC_1931)*coupl(nGC_211)*coupl(  &
                       nGC_362)*coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_2697)* &
                       coupl(nGC_359)*coupl(nGC_4) - coupl(nGC_208)*coupl(     &
                       nGC_2755)*coupl(nGC_356)*coupl(nGC_4) - coupl(nGC_208)* &
                       coupl(nGC_2841)*coupl(nGC_377)*coupl(nGC_4) - coupl(    &
                       nGC_208)*coupl(nGC_353)*coupl(nGC_4)*coupl(nGC_997) -   &
                       coupl(nGC_208)*coupl(nGC_380)*coupl(nGC_4)*coupl(       &
                       nGC_6589) - coupl(nGC_211)*coupl(nGC_2697)*coupl(nGC_359&
                       )*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_2755)*coupl(  &
                       nGC_356)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_2841)* &
                       coupl(nGC_377)*coupl(nGC_4) - coupl(nGC_211)*coupl(     &
                       nGC_353)*coupl(nGC_4)*coupl(nGC_997) - coupl(nGC_211)*  &
                       coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_6589))/(16d0*pi** &
                       2d0)
    coupl(nGC_22056) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22349) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1433)*coupl(nGC_206)*  &
                       coupl(nGC_344) - Nc*cima*coupl(nGC_1)*coupl(nGC_1433)*  &
                       coupl(nGC_209)*coupl(nGC_344) - Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_206)*coupl(nGC_2345)*coupl(nGC_347) - Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_3141)*coupl(      &
                       nGC_365) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(   &
                       nGC_2345)*coupl(nGC_347) - Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_209)*coupl(nGC_3141)*coupl(nGC_365) - Nc*cima*coupl(&
                       nGC_1315)*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_383) -  &
                       Nc*cima*coupl(nGC_1315)*coupl(nGC_2)*coupl(nGC_210)*    &
                       coupl(nGC_383) - Nc*cima*coupl(nGC_1541)*coupl(nGC_2)*  &
                       coupl(nGC_207)*coupl(nGC_371) - Nc*cima*coupl(nGC_1541)*&
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_371) - Nc*cima*   &
                       coupl(nGC_1949)*coupl(nGC_2)*coupl(nGC_207)*coupl(      &
                       nGC_335) - Nc*cima*coupl(nGC_1949)*coupl(nGC_2)*coupl(  &
                       nGC_210)*coupl(nGC_335) + cima*coupl(nGC_100)*coupl(    &
                       nGC_205) - cima*coupl(nGC_1931)*coupl(nGC_208)*coupl(   &
                       nGC_359)*coupl(nGC_4) - cima*coupl(nGC_1931)*coupl(     &
                       nGC_211)*coupl(nGC_359)*coupl(nGC_4) - cima*coupl(      &
                       nGC_208)*coupl(nGC_2755)*coupl(nGC_353)*coupl(nGC_4) -  &
                       cima*coupl(nGC_208)*coupl(nGC_377)*coupl(nGC_4)*coupl(  &
                       nGC_6589) - cima*coupl(nGC_211)*coupl(nGC_2755)*coupl(  &
                       nGC_353)*coupl(nGC_4) - cima*coupl(nGC_211)*coupl(      &
                       nGC_377)*coupl(nGC_4)*coupl(nGC_6589) + coupl(nGC_100)* &
                       coupl(nGC_1275)*coupl(nGC_1603) + coupl(nGC_100)*coupl( &
                       nGC_199)*coupl(nGC_3))/(8d0*pi**2d0)
    coupl(nGC_22057) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) - coupl(  &
                       nGC_1949)*coupl(nGC_3141)*coupl(nGC_337) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl(nGC_3071 &
                       )*coupl(nGC_337)*coupl(nGC_989) - coupl(nGC_333)*coupl( &
                       nGC_337)*coupl(nGC_363) - coupl(nGC_336)*coupl(nGC_337)*&
                       coupl(nGC_366))/(32d0*pi**2d0)
    coupl(nGC_59778) = -coupl(nGC_22003)
    coupl(nGC_22562) = coupl(nGC_21514)*dl3_QED4 + coupl(nGC_21515)*db_QED2 +  &
                       coupl(nGC_21516)*dl2_QED4 + coupl(nGC_21517)*dl5_QED4 + &
                       coupl(nGC_21518)*dvev2_QED1 + coupl(nGC_21519)*         &
                       dvev1_QED1 + coupl(nGC_21520)*dl1_QED4 + coupl(nGC_21521&
                       )*dl4_QED4 + coupl(nGC_21522)*da_QED2
    coupl(nGC_32368) = coupl(nGC_22535) + coupl(nGC_34)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_34)*dZHl_QED2 + coupl(nGC_40)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_45)*                &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2
    coupl(nGC_36194) = coupl(nGC_22637) + coupl(nGC_341)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_344)*dZHa_QED2/2d0
    coupl(nGC_22697) = coupl(nGC_20678)*dsw_QED2 + coupl(nGC_20679)*dcw_QED2 + &
                       coupl(nGC_20680)*dZee_QED2
    coupl(nGC_36196) = coupl(nGC_36192) + coupl(nGC_36194)
    coupl(nGC_22695) = coupl(nGC_21659)*dsw_QED2 + coupl(nGC_21660)*dcw_QED2 + &
                       coupl(nGC_21661)*dZee_QED2
    coupl(nGC_22692) = coupl(nGC_21730)*dsw_QED2 + coupl(nGC_21731)*db_QED2 +  &
                       coupl(nGC_21732)*dZee_QED2 + coupl(nGC_21733)*da_QED2
    coupl(nGC_22161) = (-coupl(nGC_1949)**2d0*coupl(nGC_335) + 8d0*coupl(      &
                       nGC_1949)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1949)*coupl(&
                       nGC_207)*coupl(nGC_210) - coupl(nGC_3071)**2d0*coupl(   &
                       nGC_335) - coupl(nGC_333)**2d0*coupl(nGC_335) - coupl(  &
                       nGC_334)*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_335)*&
                       coupl(nGC_336)**2d0 - coupl(nGC_337)*coupl(nGC_365)*    &
                       coupl(nGC_367))/(32d0*pi**2d0)
    coupl(nGC_33960) = coupl(nGC_22513) + coupl(nGC_36)*dZHlHh_QED2 + coupl(   &
                       nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl(  &
                       nGC_48)*dZHh_QED2
    coupl(nGC_36198) = coupl(nGC_22638) + coupl(nGC_36193)
    coupl(nGC_22169) = (-coupl(nGC_1931)*coupl(nGC_357)**2d0 - coupl(nGC_1931)*&
                       coupl(nGC_359)**2d0 - coupl(nGC_1931)*coupl(nGC_360)**  &
                       2d0 - coupl(nGC_1931)*coupl(nGC_362)**2d0 + 8d0*coupl(  &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_359) + 8d0*coupl(     &
                       nGC_359)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22698) = coupl(nGC_20688)*dsw_QED2 + coupl(nGC_20689)*dvev2_QED1 &
                        + coupl(nGC_20690)*dvev1_QED1 + coupl(nGC_20691)*      &
                       dZee_QED2 + coupl(nGC_20692)*da_QED2
    coupl(nGC_22699) = coupl(nGC_21209)*dsw_QED2 + coupl(nGC_21210)*dvev2_QED1 &
                        + coupl(nGC_21211)*dvev1_QED1 + coupl(nGC_21212)*      &
                       dZee_QED2 + coupl(nGC_21213)*da_QED2
    coupl(nGC_58184) = -coupl(nGC_22017)
    coupl(nGC_32210) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_22681) + coupl(&
                       nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
  end subroutine fill_CTcouplings_mdl29
end module fill_ctcouplings29
