!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_32120) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
    coupl(nGC_22662) = coupl(nGC_571)*dyt2_QED3 + coupl(nGC_573)*db_QED2 +     &
                       coupl(nGC_575)*dyt1_QED3
    coupl(nGC_22661) = coupl(nGC_571)*dyt2_QED1_QCD2 + coupl(nGC_575)*         &
                       dyt1_QED1_QCD2
    coupl(nGC_22660) = coupl(nGC_21497)*dyc1_QED1_QCD2 + coupl(nGC_21498)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_35963) = coupl(nGC_228)*dZGMinus
    coupl(nGC_22063) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22065) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22064) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi**  &
                       2d0)
    coupl(nGC_39577) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_39579) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_39578) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_32331) = coupl(nGC_33)*dZGMinus
    coupl(nGC_35104) = coupl(nGC_22509) + coupl(nGC_32)*dZHhHl_QED2 + coupl(   &
                       nGC_34)*dZGMinusHMinus_QED2 + coupl(nGC_40)*            &
                       dZHMinus_QED2 + coupl(nGC_40)*dZHl_QED2
    coupl(nGC_32338) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_34670) = coupl(nGC_173)*dZGMinus/2d0
    coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32936) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
    coupl(nGC_TS_GC_251_Hh) = -coupl(nGC_251)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22843) = -cima*dMTA_QED2
    coupl(nGC_22842) = -cima*dMM_QED2
    coupl(nGC_22846) = -cima*dMC_QED2
    coupl(nGC_22844) = -cima*dMU_QED2
    coupl(nGC_22849) = -cima*dMT_QCD2
    coupl(nGC_22848) = -cima*dMT_QED2
    coupl(nGC_35074) = coupl(nGC_342)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_35075) = coupl(nGC_342)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_34274) = coupl(nGC_213)*dZG0/2d0
    coupl(nGC_34279) = -coupl(nGC_34274)
    coupl(nGC_33263) = coupl(nGC_49)*dZG0
    coupl(nGC_33968) = coupl(nGC_218)*dZGMinus
    coupl(nGC_34415) = coupl(nGC_180)*dZGMinus/2d0
    coupl(nGC_33196) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_33192) = coupl(nGC_26)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_38581) = coupl(nGC_332)*dZZA_QED2/2d0
    coupl(nGC_40501) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_22855) = -cima*dMB_QCD2
    coupl(nGC_22722) = coupl(nGC_615)*dZgs_QCD2
    coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22720) = coupl(nGC_20829)*dZee_QED2
    coupl(nGC_44423) = coupl(nGC_348)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_32482) = coupl(nGC_229)*dZGMinus
    coupl(nGC_44424) = coupl(nGC_348)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_33454) = coupl(nGC_71)*dZGMinus
    coupl(nGC_22271) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(    &
                       nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(    &
                       nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 + 4d0&
                       *coupl(nGC_212)**3d0)/(32d0*pi**2d0)
    coupl(nGC_42913) = coupl(nGC_22858) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_42911) = coupl(nGC_MW_GF)*dZGMinus/2d0
    coupl(nGC_33523) = coupl(nGC_70)*dZG0
    coupl(nGC_32186) = coupl(nGC_209)*dZdL_QCD2
    coupl(nGC_36798) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*           &
                       dZnu_eL_QED2 + coupl(nGC_22728)
    coupl(nGC_22726) = coupl(nGC_21377)*dsw_QED2 + coupl(nGC_21378)*dcw_QED2 + &
                       coupl(nGC_21379)*dZee_QED2
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
