!******************************************************************************!
!                                                                              !
!    fill_ctcouplings30.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings30.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings30
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl30()
    coupl(nGC_32215) = coupl(nGC_174)*dZHhHl_QED2/2d0 + coupl(nGC_175)*        &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_181)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_181)*dZHl_QED2/2d0 + coupl(nGC_22550)
    coupl(nGC_32219) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_22693)
    coupl(nGC_32218) = coupl(nGC_100)*dZGMinus
    coupl(nGC_33587) = coupl(nGC_381)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_36195) = -coupl(nGC_36192) - coupl(nGC_36194)
    coupl(nGC_39879) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*      &
                       dZHh_QED2 + coupl(nGC_22504)
    coupl(nGC_47114) = coupl(nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
    coupl(nGC_47115) = -coupl(nGC_47114)
    coupl(nGC_37879) = coupl(nGC_22561) + coupl(nGC_247)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_258)*dZHMinus_QED2/2d0 + coupl(nGC_258)*      &
                       dZHa_QED2/2d0 + coupl(nGC_TS_GC_53_Hl) + coupl(         &
                       nGC_TS_GC_63_Hh)
    coupl(nGC_32451) = -coupl(nGC_22633) - coupl(nGC_32443)
    coupl(nGC_37877) = coupl(nGC_258)*dZGMinus/2d0
    coupl(nGC_34378) = coupl(nGC_22572) + coupl(nGC_244)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_244)*dZHh_QED2/2d0 + coupl(nGC_249)*          &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_251)*               &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_252)*dZHlHh_QED2/2d0&
                        + coupl(nGC_TS_GC_37_Hh) + coupl(nGC_TS_GC_46_Hl)
    coupl(nGC_37585) = coupl(nGC_22654) + coupl(nGC_353)*dZHa_QED2/2d0 + coupl(&
                       nGC_356)*dZG0Ha_QED2/2d0
    coupl(nGC_37586) = -coupl(nGC_37581) - coupl(nGC_37585)
    coupl(nGC_37587) = coupl(nGC_37581) + coupl(nGC_37585)
    coupl(nGC_32560) = coupl(nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_175)*&
                       dZHhHl_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 + coupl(  &
                       nGC_180)*dZHMinus_QED2/2d0 + coupl(nGC_180)*dZHl_QED2/  &
                       2d0 + coupl(nGC_180)*dZWMinus_QED2/2d0 + coupl(nGC_22683&
                       ) + coupl(nGC_23)*dZZA_QED2/2d0
    coupl(nGC_41394) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_245_Hh &
                       ) + coupl(nGC_TS_GC_253_Hl)
    coupl(nGC_40483) = -coupl(nGC_37006)
    coupl(nGC_22307) = coupl(nGC_13)*sq2*(-coupl(nGC_1083)*coupl(nGC_386) -    &
                       coupl(nGC_1315)*coupl(nGC_383) - 4d0*coupl(nGC_2)**2d0  &
                        - 4d0*coupl(nGC_207)**2d0 - coupl(nGC_381)**2d0 - coupl&
                       (nGC_382)**2d0 - coupl(nGC_384)**2d0 - coupl(nGC_385)** &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_32698) = coupl(nGC_22665) + coupl(nGC_32691)
    coupl(nGC_32696) = coupl(nGC_22666) + coupl(nGC_333)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_336)*dZHh_QED2/2d0
    coupl(nGC_33001) = coupl(nGC_22643) + coupl(nGC_358)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*    &
                       dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2/ &
                       2d0
    coupl(nGC_33102) = coupl(nGC_196)*dZWMinus_QED2 + coupl(nGC_22695)
    coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
    coupl(nGC_37123) = coupl(nGC_22698) + coupl(nGC_261)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_272)*dZHh_QED2/2d0 + coupl(nGC_272)*          &
                       dZWMinus_QED2 + coupl(nGC_TS_GC_77_Hh)
    coupl(nGC_32183) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_22547) + coupl(nGC_31)*   &
                       dZZA_QED2/2d0
    coupl(nGC_32181) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_58010) = -coupl(nGC_22005)
    coupl(nGC_22222) = (-coupl(nGC_1949)**2d0*coupl(nGC_333) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_333) + 8d0*coupl(nGC_207)*coupl(nGC_210&
                       )*coupl(nGC_333) - coupl(nGC_3071)**2d0*coupl(nGC_333   &
                       ) - coupl(nGC_333)**3d0 - coupl(nGC_333)*coupl(nGC_336  &
                       )**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl(nGC_364) - &
                       coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367))/(32d0*pi**&
                       2d0)
    coupl(nGC_59784) = -coupl(nGC_22084)
    coupl(nGC_41285) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*          &
                       dZWMinus_QED2 + coupl(nGC_22693)
    coupl(nGC_22488) = (3d0*Nc*cima*coupl(nGC_14)**2d0 - Nc*cima*coupl(nGC_2705&
                       )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_5899)**2d0 - 6d0&
                       *Nc*coupl(nGC_14)*coupl(nGC_2705)**2d0*sq2**2d0 + 9d0*  &
                       cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_22353) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                       nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*&
                       coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl( &
                       nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_2)*coupl(nGC_210) + 6d0*cima*coupl(nGC_1053)* &
                       coupl(nGC_4485) - 8d0*cima*coupl(nGC_1275)*coupl(nGC_198&
                       )*coupl(nGC_199)*coupl(nGC_3) - 8d0*cima*coupl(nGC_1603 &
                       )*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4) + 6d0*cima*  &
                       coupl(nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197  &
                       )**2d0*coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(    &
                       nGC_197)**2d0*coupl(nGC_212)*coupl(nGC_4) + 6d0*coupl(  &
                       nGC_1053)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_1275&
                       )*coupl(nGC_199)*coupl(nGC_202) + 6d0*coupl(nGC_1275)*  &
                       coupl(nGC_3)*coupl(nGC_4485) + 6d0*coupl(nGC_194)*coupl(&
                       nGC_198)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22352) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                       nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*&
                       coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl( &
                       nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_2)*coupl(nGC_210) + 6d0*cima*coupl(nGC_1053)* &
                       coupl(nGC_4485) - 8d0*cima*coupl(nGC_1275)*coupl(nGC_198&
                       )*coupl(nGC_199)*coupl(nGC_3) - 8d0*cima*coupl(nGC_1603 &
                       )*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4) + 6d0*cima*  &
                       coupl(nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197  &
                       )**2d0*coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(    &
                       nGC_197)**2d0*coupl(nGC_212)*coupl(nGC_4) + 6d0*coupl(  &
                       nGC_1053)*coupl(nGC_1603)*coupl(nGC_3) + 6d0*coupl(     &
                       nGC_1275)*coupl(nGC_194)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_198)*coupl(nGC_199)*coupl(nGC_202) + 6d0*coupl(     &
                       nGC_199)*coupl(nGC_4)*coupl(nGC_4485))/(48d0*pi**2d0)
    coupl(nGC_22351) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                       nGC_209) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0&
                       *coupl(nGC_210) - 15d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_2)*coupl(nGC_209) + 18d0*Nc*cima*coupl(nGC_197)**  &
                       2d0*coupl(nGC_2)*coupl(nGC_210) - 8d0*cima*coupl(       &
                       nGC_1275)*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_3) -  &
                       8d0*cima*coupl(nGC_1603)*coupl(nGC_199)*coupl(nGC_3)*   &
                       coupl(nGC_4) + 18d0*cima*coupl(nGC_197)**2d0*coupl(     &
                       nGC_211)*coupl(nGC_4) - 15d0*cima*coupl(nGC_197)**2d0*  &
                       coupl(nGC_212)*coupl(nGC_4) + 6d0*cima*coupl(nGC_205)*  &
                       coupl(nGC_3465) + 6d0*coupl(nGC_1275)*coupl(nGC_1603)*  &
                       coupl(nGC_3465) + 6d0*coupl(nGC_1275)*coupl(nGC_198)*   &
                       coupl(nGC_205) + 6d0*coupl(nGC_1603)*coupl(nGC_205)*    &
                       coupl(nGC_4) + 6d0*coupl(nGC_199)*coupl(nGC_3)*coupl(   &
                       nGC_3465))/(48d0*pi**2d0)
    coupl(nGC_22350) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)**  &
                       2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348 &
                       )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(     &
                       nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*    &
                       coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209&
                       )*coupl(nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                       nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*coupl(nGC_2)*    &
                       coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_207)*coupl(nGC_372)**2d0 - Nc*cima*coupl(   &
                       nGC_2)*coupl(nGC_207)*coupl(nGC_384)**2d0 - Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336)**2d0 - Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372)**2d0 -  &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384)**2d0 &
                        + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl(      &
                       nGC_208)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_208)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_208)*coupl(nGC_378)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_211)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_211)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_211)*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_1275)*coupl(nGC_1603)*coupl(nGC_77) + coupl(nGC_199 &
                       )*coupl(nGC_3)*coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_22355) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)**  &
                       2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345 &
                       )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(     &
                       nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*    &
                       coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209&
                       )*coupl(nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                       nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*coupl(nGC_2)*    &
                       coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_207)*coupl(nGC_369)**2d0 - Nc*cima*coupl(   &
                       nGC_2)*coupl(nGC_207)*coupl(nGC_381)**2d0 - Nc*cima*    &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333)**2d0 - Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)**2d0 -  &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381)**2d0 &
                        + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl(      &
                       nGC_208)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_208)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_208)*coupl(nGC_375)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_211)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_211)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl( &
                       nGC_211)*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_1275)*coupl(nGC_1603)*coupl(nGC_77) + coupl(nGC_199 &
                       )*coupl(nGC_3)*coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_22359) = cima*(10d0*Nc*coupl(nGC_1083)*coupl(nGC_349)**2d0*coupl(&
                       nGC_386) + 10d0*Nc*coupl(nGC_1083)*coupl(nGC_349)*coupl(&
                       nGC_385)*coupl(nGC_4525) + 10d0*Nc*coupl(nGC_1083)*coupl&
                       (nGC_385)**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_2081)*&
                       coupl(nGC_340)**2d0*coupl(nGC_374) + 10d0*Nc*coupl(     &
                       nGC_2081)*coupl(nGC_340)*coupl(nGC_373)*coupl(nGC_4237  &
                       ) + 10d0*Nc*coupl(nGC_2081)*coupl(nGC_373)**2d0*coupl(  &
                       nGC_374) + 10d0*Nc*coupl(nGC_3071)*coupl(nGC_337)**2d0* &
                       coupl(nGC_338) + 10d0*Nc*coupl(nGC_3071)*coupl(nGC_337)*&
                       coupl(nGC_367)*coupl(nGC_989) + 10d0*Nc*coupl(nGC_3071)*&
                       coupl(nGC_338)*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                       nGC_337)**2d0*coupl(nGC_368)*coupl(nGC_989) + 10d0*Nc*  &
                       coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_367)*coupl(     &
                       nGC_368) + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_341)*  &
                       coupl(nGC_4237) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_341)*&
                       coupl(nGC_373)*coupl(nGC_374) + 10d0*Nc*coupl(nGC_341)* &
                       coupl(nGC_373)**2d0*coupl(nGC_4237) + 10d0*Nc*coupl(    &
                       nGC_349)**2d0*coupl(nGC_350)*coupl(nGC_4525) + 10d0*Nc* &
                       coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_385)*coupl(     &
                       nGC_386) + 10d0*Nc*coupl(nGC_350)*coupl(nGC_385)**2d0*  &
                       coupl(nGC_4525) + 10d0*Nc*coupl(nGC_367)**2d0*coupl(    &
                       nGC_368)*coupl(nGC_989) + 6d0*coupl(nGC_100)**2d0 + 12d0&
                       *coupl(nGC_186)*coupl(nGC_187) + 3d0*coupl(nGC_229)*    &
                       coupl(nGC_230) + 10d0*coupl(nGC_2697)*coupl(nGC_361)**  &
                       2d0*coupl(nGC_362) + 10d0*coupl(nGC_2841)*coupl(nGC_379 &
                       )**2d0*coupl(nGC_380) + 12d0*coupl(nGC_30)*coupl(nGC_31 &
                       ) + 10d0*coupl(nGC_355)**2d0*coupl(nGC_356)*coupl(      &
                       nGC_997))/(48d0*pi**2d0)
    coupl(nGC_22358) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 +  &
                       Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl(  &
                       nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)** &
                       2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl( &
                       nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)** &
                       2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl(  &
                       nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0*&
                       coupl(nGC_379)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22573) = coupl(nGC_21318)*dl3_QED4 + coupl(nGC_21319)*db_QED2 +  &
                       coupl(nGC_21320)*dl2_QED4 + coupl(nGC_21321)*dl5_QED4 + &
                       coupl(nGC_21322)*dvev2_QED1 + coupl(nGC_21323)*         &
                       dvev1_QED1 + coupl(nGC_21324)*dl1_QED4 + coupl(nGC_21325&
                       )*dl4_QED4 + coupl(nGC_21326)*da_QED2
    coupl(nGC_32355) = coupl(nGC_22583) + coupl(nGC_5)*dZWMinus_QED2/2d0
    coupl(nGC_33971) = -coupl(nGC_33970)
    coupl(nGC_22684) = coupl(nGC_21327)*dvev2_QED1 + coupl(nGC_21328)*dsw_QED2 &
                        + coupl(nGC_21329)*db_QED2 + coupl(nGC_21330)*         &
                       dvev1_QED1 + coupl(nGC_21331)*dZee_QED2
    coupl(nGC_32225) = coupl(nGC_22515) + coupl(nGC_33)*dZHhHl_QED2 + coupl(   &
                       nGC_34)*dZHMinusGMinus_QED2 + coupl(nGC_45)*dZHl_QED2
    coupl(nGC_35502) = coupl(nGC_22678) + coupl(nGC_35497)
    coupl(nGC_35501) = -coupl(nGC_22678) - coupl(nGC_35497)
    coupl(nGC_32772) = coupl(nGC_32472) + coupl(nGC_32770)
    coupl(nGC_33592) = coupl(nGC_22670) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                       nGC_384)*dZHhHl_QED2/2d0
    coupl(nGC_38541) = coupl(nGC_36314) + coupl(nGC_38540)
    coupl(nGC_33594) = coupl(nGC_22669) + coupl(nGC_33587)
  end subroutine fill_CTcouplings_mdl30
end module fill_ctcouplings30
