!******************************************************************************!
!                                                                              !
!    fill_ctcouplings31.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings31.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings31
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl31()
    coupl(nGC_34214) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZmuMinusL_QED2
    coupl(nGC_34217) = coupl(nGC_32815) + coupl(nGC_34214)
    coupl(nGC_34216) = coupl(nGC_32815) + coupl(nGC_34215)
    coupl(nGC_35348) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22714) + coupl(    &
                       nGC_229)*dZHMinus_QED2 + coupl(nGC_229)*dZZ_QED2
    coupl(nGC_22167) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_347) - coupl(nGC_1315)*&
                       coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_1315)*coupl(  &
                       nGC_349)*coupl(nGC_385) + 8d0*coupl(nGC_206)*coupl(     &
                       nGC_209)*coupl(nGC_347) - coupl(nGC_2345)*coupl(nGC_345 &
                       )**2d0 - coupl(nGC_2345)*coupl(nGC_347)**2d0 - coupl(   &
                       nGC_2345)*coupl(nGC_348)**2d0 - coupl(nGC_2345)*coupl(  &
                       nGC_350)**2d0)/(32d0*pi**2d0)
    coupl(nGC_36527) = coupl(nGC_22510) + 2d0*coupl(nGC_56)*dZGMinusHMinus_QED2&
                        + 2d0*coupl(nGC_65)*dZHMinus_QED2
    coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33379) = coupl(nGC_22667) + coupl(nGC_33378)
    coupl(nGC_38166) = coupl(nGC_22495) + coupl(nGC_28)*dZHMinus_QED2
    coupl(nGC_58548) = -coupl(nGC_22088)
    coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34566) = coupl(nGC_22562) + coupl(nGC_241)*dZGMinusHMinus_QED2/  &
                       2d0 + coupl(nGC_243)*dZHMinusGMinus_QED2/2d0 + coupl(   &
                       nGC_244)*dZHhHl_QED2/2d0 + coupl(nGC_252)*dZHMinus_QED2/&
                       2d0 + coupl(nGC_252)*dZHl_QED2/2d0 + coupl(             &
                       nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
    coupl(nGC_32515) = coupl(nGC_32511) + coupl(nGC_32512)
    coupl(nGC_32513) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*           &
                       dZeMinusR_QED2 + coupl(nGC_22729)
    coupl(nGC_35496) = coupl(nGC_335)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_59168) = -coupl(nGC_22042)
    coupl(nGC_22516) = coupl(nGC_21442)*dl3_QED4 + coupl(nGC_21443)*dl1_QED4 + &
                       coupl(nGC_21444)*dl2_QED4 + coupl(nGC_21445)*dl5_QED4 + &
                       coupl(nGC_21446)*dl4_QED4 + coupl(nGC_21447)*da_QED2
    coupl(nGC_32421) = coupl(nGC_22546) + coupl(nGC_76)*dZHl_QED2
    coupl(nGC_36648) = coupl(nGC_22624) + coupl(nGC_363)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_366)*dZHh_QED2/2d0
    coupl(nGC_33114) = coupl(nGC_22696) + coupl(nGC_77)*dZHh_QED2 + coupl(     &
                       nGC_77)*dZWMinus_QED2
    coupl(nGC_35082) = coupl(nGC_35074) + coupl(nGC_35081)
    coupl(nGC_22309) = coupl(nGC_13)*sq2*(coupl(nGC_1083)*coupl(nGC_386) +     &
                       coupl(nGC_1315)*coupl(nGC_383) + 4d0*coupl(nGC_2)**2d0  &
                        + 4d0*coupl(nGC_207)**2d0 + coupl(nGC_381)**2d0 + coupl&
                       (nGC_382)**2d0 + coupl(nGC_384)**2d0 + coupl(nGC_385)** &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_22346) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1433)*coupl(nGC_197)*   &
                       coupl(nGC_343) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*   &
                       coupl(nGC_2345)*coupl(nGC_346) + Nc*cima*coupl(nGC_1)*  &
                       coupl(nGC_197)*coupl(nGC_3141)*coupl(nGC_364) - 4d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334)*coupl(  &
                       nGC_335) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl&
                       (nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc*  &
                       cima*coupl(nGC_1433)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl&
                       (nGC_2345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(nGC_197)* &
                       coupl(nGC_2)*coupl(nGC_3141)*coupl(nGC_364) + Nc*cima*  &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_335&
                       ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)* &
                       coupl(nGC_371) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                       coupl(nGC_382)*coupl(nGC_383) + 6d0*cima*coupl(nGC_187)*&
                       coupl(nGC_4485) + cima*coupl(nGC_1931)*coupl(nGC_197)*  &
                       coupl(nGC_358)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(&
                       nGC_2755)*coupl(nGC_352)*coupl(nGC_4) + cima*coupl(     &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_4)*coupl(nGC_6589) +  &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
    coupl(nGC_32534) = coupl(nGC_22521) + coupl(nGC_53)*dZHaG0_QED2/2d0 + coupl&
                       (nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_62)*dZHl_QED2/2d0
    coupl(nGC_37138) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_22702)
    coupl(nGC_32844) = coupl(nGC_22508) + coupl(nGC_54)*dZG0Ha_QED2 + coupl(   &
                       nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*            &
                       dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
    coupl(nGC_39587) = coupl(nGC_22844) + coupl(nGC_TS_GC_381_Hl) + coupl(     &
                       nGC_TS_GC_384_Hh)
    coupl(nGC_32433) = coupl(nGC_22553) + coupl(nGC_232)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_33206) = coupl(nGC_33203) - 2d0*coupl(nGC_33204)
    coupl(nGC_39589) = coupl(nGC_22845) + coupl(nGC_39580)
    coupl(nGC_22377) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_340)**2d0 - &
                       4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_349)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_367)**2d0 +   &
                       5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340 &
                       )**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl&
                       (nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                       nGC_210)*coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(nGC_207&
                       )**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*&
                       coupl(nGC_209)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_373)**2d0 + 5d0*Nc*   &
                       cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_337)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_373)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_385)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_340)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_349)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_367)**2d0  &
                        + 3d0*cima*coupl(nGC_100)*coupl(nGC_195) - 4d0*cima*   &
                       coupl(nGC_208)**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl&
                       (nGC_208)**2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(    &
                       nGC_208)**2d0*coupl(nGC_379)**2d0 + 5d0*cima*coupl(     &
                       nGC_208)*coupl(nGC_212)*coupl(nGC_355)**2d0 + 5d0*cima* &
                       coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)**2d0 + 5d0*&
                       cima*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)**2d0  &
                        - 4d0*cima*coupl(nGC_212)**2d0*coupl(nGC_355)**2d0 -   &
                       4d0*cima*coupl(nGC_212)**2d0*coupl(nGC_361)**2d0 - 4d0* &
                       cima*coupl(nGC_212)**2d0*coupl(nGC_379)**2d0 + 3d0*coupl&
                       (nGC_100)*coupl(nGC_1275)**2d0 + 3d0*coupl(nGC_100)*    &
                       coupl(nGC_199)**2d0)/(24d0*pi**2d0)
    coupl(nGC_41386) = coupl(nGC_22663) + coupl(nGC_41385)
    coupl(nGC_22447) = 5d0*cima*(Nc*coupl(nGC_1315)**2d0*coupl(nGC_381)*coupl( &
                       nGC_384) + 4d0*Nc*coupl(nGC_1315)*coupl(nGC_381)*coupl( &
                       nGC_383)*coupl(nGC_384) + Nc*coupl(nGC_1433)**2d0*coupl(&
                       nGC_339)*coupl(nGC_342) + 4d0*Nc*coupl(nGC_1433)*coupl( &
                       nGC_339)*coupl(nGC_342)*coupl(nGC_344) + Nc*coupl(      &
                       nGC_1541)**2d0*coupl(nGC_369)*coupl(nGC_372) + 4d0*Nc*  &
                       coupl(nGC_1541)*coupl(nGC_369)*coupl(nGC_371)*coupl(    &
                       nGC_372) + Nc*coupl(nGC_1949)**2d0*coupl(nGC_333)*coupl(&
                       nGC_336) + 4d0*Nc*coupl(nGC_1949)*coupl(nGC_333)*coupl( &
                       nGC_335)*coupl(nGC_336) + Nc*coupl(nGC_2345)**2d0*coupl(&
                       nGC_345)*coupl(nGC_348) + 4d0*Nc*coupl(nGC_2345)*coupl( &
                       nGC_345)*coupl(nGC_347)*coupl(nGC_348) + Nc*coupl(      &
                       nGC_3141)**2d0*coupl(nGC_363)*coupl(nGC_366) + 4d0*Nc*  &
                       coupl(nGC_3141)*coupl(nGC_363)*coupl(nGC_365)*coupl(    &
                       nGC_366) + Nc*coupl(nGC_333)*coupl(nGC_335)**2d0*coupl( &
                       nGC_336) + Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(      &
                       nGC_344)**2d0 + Nc*coupl(nGC_345)*coupl(nGC_347)**2d0*  &
                       coupl(nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_365)**2d0* &
                       coupl(nGC_366) + Nc*coupl(nGC_369)*coupl(nGC_371)**2d0* &
                       coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(nGC_383)**2d0* &
                       coupl(nGC_384) + coupl(nGC_1931)**2d0*coupl(nGC_357)*   &
                       coupl(nGC_360) + 4d0*coupl(nGC_1931)*coupl(nGC_357)*    &
                       coupl(nGC_359)*coupl(nGC_360) + coupl(nGC_2755)**2d0*   &
                       coupl(nGC_351)*coupl(nGC_354) + 4d0*coupl(nGC_2755)*    &
                       coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_354) + coupl(   &
                       nGC_351)*coupl(nGC_353)**2d0*coupl(nGC_354) + coupl(    &
                       nGC_357)*coupl(nGC_359)**2d0*coupl(nGC_360) + coupl(    &
                       nGC_375)*coupl(nGC_377)**2d0*coupl(nGC_378) + 4d0*coupl(&
                       nGC_375)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_6589   &
                       ) + coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_6589)**2d0  &
                       )/(24d0*pi**2d0)
    coupl(nGC_33127) = coupl(nGC_22511) + coupl(nGC_58)*dZHaG0_QED2 + coupl(   &
                       nGC_59)*dZG0Ha_QED2 + coupl(nGC_73)*dZHa_QED2
    coupl(nGC_32633) = coupl(nGC_22684) + coupl(nGC_237)*dZZA_QED2/2d0 + coupl(&
                       nGC_321)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_324)*      &
                       dZA_QED2/2d0 + coupl(nGC_324)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_TS_GC_174_Hl) + coupl(nGC_TS_GC_180_Hh)
    coupl(nGC_35400) = coupl(nGC_16)*dZHlHh_QED2 + coupl(nGC_17)*dZHhHl_QED2 + &
                       coupl(nGC_20)*dZHh_QED2 + coupl(nGC_20)*dZHl_QED2 +     &
                       coupl(nGC_22516)
    coupl(nGC_22212) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_2841)**2d0 - coupl(nGC_375)**2d0 - coupl(     &
                       nGC_378)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_6589  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_22213) = (-coupl(nGC_1083)**2d0*coupl(nGC_384) - coupl(nGC_1315  &
                       )**2d0*coupl(nGC_384) + 8d0*coupl(nGC_2)**2d0*coupl(    &
                       nGC_384) + 8d0*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_384) - coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_382  &
                       ) - coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_385) - coupl&
                       (nGC_381)**2d0*coupl(nGC_384) - coupl(nGC_384)**3d0)/(  &
                       32d0*pi**2d0)
    coupl(nGC_32736) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*      &
                       dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(    &
                       nGC_22709)
    coupl(nGC_22217) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_342) - 2d0*Nc&
                       *cMC*coupl(nGC_197)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*   &
                       coupl(nGC_197)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(  &
                       nGC_197)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_197 &
                       )**2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(nGC_197)**2d0* &
                       coupl(nGC_381) - 2d0*cME*coupl(nGC_197)**2d0*coupl(     &
                       nGC_351) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_357) - &
                       2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_375) + cima*coupl&
                       (nGC_195)*coupl(nGC_329) + 2d0*cima*coupl(nGC_261)*coupl&
                       (nGC_3465) + 2d0*coupl(nGC_1211)*coupl(nGC_199)*coupl(  &
                       nGC_329) + 2d0*coupl(nGC_1275)*coupl(nGC_198)*coupl(    &
                       nGC_261) + 2d0*coupl(nGC_1603)*coupl(nGC_261)*coupl(    &
                       nGC_4))/(16d0*pi**2d0)
    coupl(nGC_36317) = coupl(nGC_36313) + coupl(nGC_36314)
    coupl(nGC_36597) = coupl(nGC_32472) + coupl(nGC_36596)
    coupl(nGC_22450) = (-8d0*Nc*cima*coupl(nGC_1315)*coupl(nGC_207)**2d0*coupl(&
                       nGC_383) + 10d0*Nc*cima*coupl(nGC_1315)*coupl(nGC_207)* &
                       coupl(nGC_210)*coupl(nGC_383) - 8d0*Nc*cima*coupl(      &
                       nGC_1315)*coupl(nGC_210)**2d0*coupl(nGC_383) - 8d0*Nc*  &
                       cima*coupl(nGC_1433)*coupl(nGC_206)**2d0*coupl(nGC_344  &
                       ) + 10d0*Nc*cima*coupl(nGC_1433)*coupl(nGC_206)*coupl(  &
                       nGC_209)*coupl(nGC_344) - 8d0*Nc*cima*coupl(nGC_1433)*  &
                       coupl(nGC_209)**2d0*coupl(nGC_344) - 8d0*Nc*cima*coupl( &
                       nGC_1541)*coupl(nGC_207)**2d0*coupl(nGC_371) + 10d0*Nc* &
                       cima*coupl(nGC_1541)*coupl(nGC_207)*coupl(nGC_210)*coupl&
                       (nGC_371) - 8d0*Nc*cima*coupl(nGC_1541)*coupl(nGC_210)**&
                       2d0*coupl(nGC_371) - 8d0*Nc*cima*coupl(nGC_1949)*coupl( &
                       nGC_207)**2d0*coupl(nGC_335) + 10d0*Nc*cima*coupl(      &
                       nGC_1949)*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_335   &
                       ) - 8d0*Nc*cima*coupl(nGC_1949)*coupl(nGC_210)**2d0*    &
                       coupl(nGC_335) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl( &
                       nGC_2345)*coupl(nGC_347) - 8d0*Nc*cima*coupl(nGC_206)** &
                       2d0*coupl(nGC_3141)*coupl(nGC_365) + 10d0*Nc*cima*coupl(&
                       nGC_206)*coupl(nGC_209)*coupl(nGC_2345)*coupl(nGC_347   &
                       ) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                       nGC_3141)*coupl(nGC_365) - 8d0*Nc*cima*coupl(nGC_209)** &
                       2d0*coupl(nGC_2345)*coupl(nGC_347) - 8d0*Nc*cima*coupl( &
                       nGC_209)**2d0*coupl(nGC_3141)*coupl(nGC_365) + 3d0*cima*&
                       coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_1931 &
                       )*coupl(nGC_208)**2d0*coupl(nGC_359) + 10d0*cima*coupl( &
                       nGC_1931)*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359   &
                       ) - 8d0*cima*coupl(nGC_1931)*coupl(nGC_211)**2d0*coupl( &
                       nGC_359) - 8d0*cima*coupl(nGC_208)**2d0*coupl(nGC_2755)*&
                       coupl(nGC_353) - 8d0*cima*coupl(nGC_208)**2d0*coupl(    &
                       nGC_377)*coupl(nGC_6589) + 10d0*cima*coupl(nGC_208)*    &
                       coupl(nGC_211)*coupl(nGC_2755)*coupl(nGC_353) + 10d0*   &
                       cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377)*coupl(&
                       nGC_6589) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_2755 &
                       )*coupl(nGC_353) - 8d0*cima*coupl(nGC_211)**2d0*coupl(  &
                       nGC_377)*coupl(nGC_6589) + 3d0*coupl(nGC_100)*coupl(    &
                       nGC_1275)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_199)**2d0 &
                       )/(24d0*pi**2d0)
    coupl(nGC_22452) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1315)*coupl&
                       (nGC_383) - coupl(nGC_1433)*coupl(nGC_344) - coupl(     &
                       nGC_1541)*coupl(nGC_371) - coupl(nGC_1949)*coupl(nGC_335&
                       ) - coupl(nGC_2345)*coupl(nGC_347) - coupl(nGC_3141)*   &
                       coupl(nGC_365))/(16d0*pi**2d0)
    coupl(nGC_22453) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1315)*coupl(&
                       nGC_383) + coupl(nGC_1433)*coupl(nGC_344) + coupl(      &
                       nGC_1541)*coupl(nGC_371) + coupl(nGC_1949)*coupl(nGC_335&
                       ) + coupl(nGC_2345)*coupl(nGC_347) + coupl(nGC_3141)*   &
                       coupl(nGC_365))/(16d0*pi**2d0*Nc)
    coupl(nGC_34024) = coupl(nGC_22658) + coupl(nGC_34014)
    coupl(nGC_33965) = coupl(nGC_200)*dZWMinus_QED2/2d0 + coupl(nGC_22587)
    coupl(nGC_34023) = -coupl(nGC_22658) - coupl(nGC_34014)
    coupl(nGC_22043) = (Nc*cMB*coupl(nGC_1433)*coupl(nGC_340)*coupl(nGC_343) + &
                       Nc*cMB*coupl(nGC_1433)*coupl(nGC_370)*coupl(nGC_373) +  &
                       Nc*cMB*coupl(nGC_1541)*coupl(nGC_343)*coupl(nGC_373) +  &
                       Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + Nc&
                       *cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_371) + Nc* &
                       cMB*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                       cMC*coupl(nGC_1949)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMC*coupl(nGC_1949)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMC*coupl(nGC_3141)*coupl(nGC_337)*coupl(nGC_364) + Nc* &
                       cMC*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*  &
                       cMC*coupl(nGC_334)*coupl(nGC_365)*coupl(nGC_367) + Nc*  &
                       cMC*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367) + Nc*  &
                       cMD*coupl(nGC_1315)*coupl(nGC_346)*coupl(nGC_385) + Nc* &
                       cMD*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMD*coupl(nGC_2345)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMD*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_349) + Nc*  &
                       cMD*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + Nc*  &
                       cMD*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_383) + Nc*  &
                       cMS*coupl(nGC_1949)*coupl(nGC_337)*coupl(nGC_364) + Nc* &
                       cMS*coupl(nGC_3141)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMS*coupl(nGC_3141)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMS*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_367) + Nc*  &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + Nc*  &
                       cMT*coupl(nGC_1433)*coupl(nGC_343)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                       cMT*coupl(nGC_1541)*coupl(nGC_370)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371) + Nc*  &
                       cMT*coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_370) + Nc*  &
                       cMT*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + Nc*  &
                       cMU*coupl(nGC_1315)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMU*coupl(nGC_1315)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*  &
                       cMU*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_382) + Nc*  &
                       cMU*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + cME* &
                       coupl(nGC_2755)*coupl(nGC_352)*coupl(nGC_355) + cME*    &
                       coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355) + cMM*coupl&
                       (nGC_1931)*coupl(nGC_358)*coupl(nGC_361) + cMM*coupl(   &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + cMTA*coupl(    &
                       nGC_376)*coupl(nGC_377)*coupl(nGC_379) + cMTA*coupl(    &
                       nGC_376)*coupl(nGC_379)*coupl(nGC_6589) + 2d0*cima*coupl&
                       (nGC_187)*coupl(nGC_324) + 2d0*cima*coupl(nGC_237)*coupl&
                       (nGC_31))/(16d0*pi**2d0)
    coupl(nGC_32819) = coupl(nGC_32815) + coupl(nGC_32817)
  end subroutine fill_CTcouplings_mdl31
end module fill_ctcouplings31
