!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_22392) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl( &
                       nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(nGC_346&
                       )*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367) + coupl&
                       (nGC_370)*coupl(nGC_373) + coupl(nGC_382)*coupl(nGC_385 &
                       ))/(32d0*pi**2d0*Nc)
    coupl(nGC_47603) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_36590) = coupl(nGC_210)*dZcL_QCD2
    coupl(nGC_47113) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22164) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_34374) = coupl(nGC_244)*dZGMinus/2d0
    coupl(nGC_37581) = coupl(nGC_353)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_22464) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_339)*coupl( &
                       nGC_342) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_345)*   &
                       coupl(nGC_348) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(      &
                       nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_209)*coupl(nGC_339)*coupl(nGC_342) + 5d0*Nc*coupl(  &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) + &
                       5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_363)*    &
                       coupl(nGC_366) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(      &
                       nGC_333)*coupl(nGC_336) - 4d0*Nc*coupl(nGC_207)**2d0*   &
                       coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*coupl(nGC_207)** &
                       2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_207&
                       )*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336) + 5d0*Nc*&
                       coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369)*coupl(     &
                       nGC_372) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(  &
                       nGC_381)*coupl(nGC_384) - 4d0*Nc*coupl(nGC_209)**2d0*   &
                       coupl(nGC_339)*coupl(nGC_342) - 4d0*Nc*coupl(nGC_209)** &
                       2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*coupl(nGC_209&
                       )**2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*coupl(    &
                       nGC_210)**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc*   &
                       coupl(nGC_210)**2d0*coupl(nGC_369)*coupl(nGC_372) - 4d0*&
                       Nc*coupl(nGC_210)**2d0*coupl(nGC_381)*coupl(nGC_384) -  &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_351)*coupl(nGC_354) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_357)*coupl(nGC_360) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_375)*coupl(nGC_378) + &
                       5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_351)*coupl( &
                       nGC_354) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(     &
                       nGC_357)*coupl(nGC_360) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_211)*coupl(nGC_375)*coupl(nGC_378) - 4d0*coupl(     &
                       nGC_211)**2d0*coupl(nGC_351)*coupl(nGC_354) - 4d0*coupl(&
                       nGC_211)**2d0*coupl(nGC_357)*coupl(nGC_360) - 4d0*coupl(&
                       nGC_211)**2d0*coupl(nGC_375)*coupl(nGC_378))/(12d0*pi** &
                       2d0)
    coupl(nGC_22463) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(      &
                       nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc*  &
                       coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 + 20d0&
                       *Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0 + 20d0&
                       *coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0 + 20d0* &
                       coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0)/(16d0*pi**&
                       2d0)
    coupl(nGC_22300) = coupl(nGC_13)*sq2*(-coupl(nGC_1541)*coupl(nGC_371) - 4d0&
                       *coupl(nGC_197)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(   &
                       nGC_2081)*coupl(nGC_374) - 4d0*coupl(nGC_210)**2d0 -    &
                       coupl(nGC_340)**2d0 - coupl(nGC_343)**2d0 - coupl(      &
                       nGC_369)**2d0 - coupl(nGC_372)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_32691) = coupl(nGC_336)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_32690) = coupl(nGC_336)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22262) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22264) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(      &
                       nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_2345)*coupl(   &
                       nGC_347) + coupl(nGC_209)*coupl(nGC_345)**2d0 + coupl(  &
                       nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(    &
                       nGC_350)*coupl(nGC_4525) + coupl(nGC_210)*coupl(nGC_346 &
                       )**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_32187) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_56594) = coupl(nGC_22838) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                       nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
    coupl(nGC_22229) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_2755)**2d0 - coupl(nGC_351)**2d0 - coupl(     &
                       nGC_354)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_997)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22228) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(      &
                       nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22227) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22226) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345  &
                       )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(    &
                       nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(    &
                       nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(    &
                       nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22225) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_2345 &
                       )**2d0*coupl(nGC_345) - coupl(nGC_345)**3d0 - coupl(    &
                       nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(    &
                       nGC_4525)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                       nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22224) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22223) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_333) - coupl(nGC_333  &
                       )**3d0 - coupl(nGC_333)*coupl(nGC_335)**2d0 - coupl(    &
                       nGC_333)*coupl(nGC_336)**2d0 - coupl(nGC_333)*coupl(    &
                       nGC_338)**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl(    &
                       nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22220) = coupl(nGC_13)**2d0*coupl(nGC_342)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
    coupl(nGC_43990) = coupl(nGC_MZ_GF)*dZG0/2d0
    coupl(nGC_43992) = coupl(nGC_22860) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_22594) = coupl(nGC_21600)*dydo2_QED3 + coupl(nGC_21601)*db_QED2  &
                        + coupl(nGC_21602)*dydo1_QED3
    coupl(nGC_22597) = coupl(nGC_21226)*db_QED2 + coupl(nGC_21227)*dyc1_QED3 + &
                       coupl(nGC_21228)*dyc2_QED3
    coupl(nGC_22596) = coupl(nGC_21420)*dyd12x2_QED3 + coupl(nGC_21421)*       &
                       dys2_QED3 + coupl(nGC_21422)*db_QED2
    coupl(nGC_22591) = coupl(nGC_21012)*db_QED2 + coupl(nGC_21013)*dyup1_QED3  &
                        + coupl(nGC_21014)*dyup2_QED3
    coupl(nGC_22590) = coupl(nGC_21017)*dZgs_QCD2
    coupl(nGC_22593) = coupl(nGC_21600)*dydo2_QED1_QCD2 + coupl(nGC_21602)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22592) = coupl(nGC_21013)*dyup1_QED1_QCD2 + coupl(nGC_21014)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_22599) = coupl(nGC_21411)*db_QED2 + coupl(nGC_21412)*dyt1_QED3 + &
                       coupl(nGC_21413)*dyt2_QED3
    coupl(nGC_22598) = coupl(nGC_21227)*dyc1_QED1_QCD2 + coupl(nGC_21228)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_22357) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*   &
                       coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)* &
                       coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367)**&
                       3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*coupl( &
                       nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*coupl(    &
                       nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**3d0 +    &
                       coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0)
    coupl(nGC_22356) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340 &
                       )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(     &
                       nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*    &
                       coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*    &
                       coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*    &
                       coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*coupl&
                       (nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi**2d0)
    coupl(nGC_22354) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)*   &
                       coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(  &
                       nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_206 &
                       )*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_1)*coupl(&
                       nGC_209)*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(nGC_1 &
                       )*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) - Nc*    &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_366&
                       ) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333)*coupl(&
                       nGC_336) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369 &
                       )*coupl(nGC_372) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(&
                       nGC_381)*coupl(nGC_384) - Nc*coupl(nGC_2)*coupl(nGC_210 &
                       )*coupl(nGC_333)*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(&
                       nGC_210)*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(nGC_2 &
                       )*coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_384) - coupl( &
                       nGC_208)*coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4) -   &
                       coupl(nGC_208)*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4&
                       ) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_378)*coupl( &
                       nGC_4) - coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_354)*  &
                       coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_360)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_375)*  &
                       coupl(nGC_378)*coupl(nGC_4))/(8d0*pi**2d0)
    coupl(nGC_22579) = coupl(nGC_21509)*dvev2_QED1 + coupl(nGC_21510)*dsw_QED2 &
                        + coupl(nGC_21511)*db_QED2 + coupl(nGC_21512)*         &
                       dvev1_QED1 + coupl(nGC_21513)*dZee_QED2
    coupl(nGC_22578) = coupl(nGC_20956)*dsw_QED2 + coupl(nGC_20957)*dvev2_QED1 &
                        + coupl(nGC_20958)*dvev1_QED1 + coupl(nGC_20959)*      &
                       dZee_QED2 + coupl(nGC_20960)*da_QED2
    coupl(nGC_22572) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dl2_QED4 + coupl&
                       (nGC_555)*dl3_QED4 + coupl(nGC_557)*dl5_QED4 + coupl(   &
                       nGC_559)*dl4_QED4 + coupl(nGC_561)*dl1_QED4 + coupl(    &
                       nGC_563)*dvev1_QED1 + coupl(nGC_565)*dvev2_QED1 + coupl(&
                       nGC_567)*da_QED2
    coupl(nGC_22571) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dl2_QED4 + coupl&
                       (nGC_535)*dl3_QED4 + coupl(nGC_537)*dl5_QED4 + coupl(   &
                       nGC_539)*dl4_QED4 + coupl(nGC_541)*dl1_QED4 + coupl(    &
                       nGC_543)*dvev1_QED1 + coupl(nGC_545)*dvev2_QED1 + coupl(&
                       nGC_547)*da_QED2
    coupl(nGC_22570) = coupl(nGC_21921)*dl3_QED4 + coupl(nGC_21922)*dl1_QED4 + &
                       coupl(nGC_21923)*dl2_QED4 + coupl(nGC_21924)*dl5_QED4 + &
                       coupl(nGC_21925)*dl4_QED4 + coupl(nGC_21926)*dvev1_QED1 &
                        + coupl(nGC_21927)*dvev2_QED1 + coupl(nGC_21928)*      &
                       da_QED2
    coupl(nGC_22577) = coupl(nGC_21687)*dsw_QED2 + coupl(nGC_21688)*dvev2_QED1 &
                        + coupl(nGC_21689)*dvev1_QED1 + coupl(nGC_21690)*      &
                       dZee_QED2 + coupl(nGC_21691)*da_QED2
    coupl(nGC_22576) = coupl(nGC_21490)*dl4_QED4 + coupl(nGC_21491)*dl5_QED4 + &
                       coupl(nGC_21492)*db_QED2 + coupl(nGC_21493)*dvev1_QED1  &
                        + coupl(nGC_21494)*dvev2_QED1
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
