!******************************************************************************!
!                                                                              !
!    ctparameter121.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter121.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter121
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter121()
  dZnu_tauL_QED2 = (-2d0*Ten512*coupl(nGC_212)**2d0 + Ten860*coupl(nGC_376)**  &
                   2d0 + Ten861*(-2d0*coupl(nGC_197)**2d0 - coupl(nGC_379)**2d0&
                   ) + Ten862*coupl(nGC_376)**2d0 + pi**2d0*(-coupl(nGC_197)** &
                   2d0/pi**2d0 - coupl(nGC_212)**2d0/pi**2d0))/(16d0*pi**2d0)
  dZnu_tauL_QED2 = cone*real(dZnu_tauL_QED2,kind=dp)
end subroutine set_ctparameter121
end module ctparameter121
