!******************************************************************************!
!                                                                              !
!    vertices_info20.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info20.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info20
  implicit none
  contains
  subroutine fill_vertices_mdl20()
    use class_vertices
    use class_couplings
    allocate(vertices(3762)%branchCT(0:1))
    call avCT(3762, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33348])

    call avCT(3762, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33345])

    allocate(vertices(10405)%branchCT(0:0))
    call avCT(10405, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32495])

    allocate(vertices(10406)%branchCT(0:0))
    call avCT(10406, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_39154])

    allocate(vertices(2809)%branchCT(0:0))
    call avCT(2809, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33427])

    allocate(vertices(4637)%branchCT(0:1))
    call avCT(4637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32534])

    call avCT(4637, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32531])

    allocate(vertices(8651)%branchCT(0:0))
    call avCT(8651, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_32807, nGC_32808,       &
    nGC_32807])

    allocate(vertices(10407)%branchCT(0:0))
    call avCT(10407, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32202])

    allocate(vertices(10408)%branchCT(0:0))
    call avCT(10408, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33200])

    allocate(vertices(4107)%branchCT(0:0))
    call avCT(4107, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32215])

    allocate(vertices(8654)%branchCT(0:1))
    call avCT(8654, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_32870])

    call avCT(8654, 1, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_32869])

    allocate(vertices(7798)%branchCT(0:1))
    call avCT(7798, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32308])

    call avCT(7798, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_32305])

    allocate(vertices(8656)%branchCT(0:0))
    call avCT(8656, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32487])

    allocate(vertices(4148)%branchCT(0:1))
    call avCT(4148, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32256])

    call avCT(4148, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32255])

    allocate(vertices(10409)%branchCT(0:0))
    call avCT(10409, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33387])

    allocate(vertices(8659)%branchCT(0:1))
    call avCT(8659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33524])

    call avCT(8659, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33523])

    allocate(vertices(4115)%branchCT(0:1))
    call avCT(4115, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_34419])

    call avCT(4115, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_34415])

    allocate(vertices(10410)%branchCT(0:0))
    call avCT(10410, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_38581])

    allocate(vertices(8661)%branchCT(0:0))
    call avCT(8661, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32215])

    allocate(vertices(8007)%branchCT(0:0))
    call avCT(8007, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32844])

    allocate(vertices(8663)%branchCT(0:0))
    call avCT(8663, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32736])

    allocate(vertices(7486)%branchCT(0:1))
    call avCT(7486, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_48269])

    call avCT(7486, 1, 1, 1, 0, SSV0, 0, [0, 1], [nGC_34670])

    allocate(vertices(4119)%branchCT(0:0))
    call avCT(4119, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32124])

    allocate(vertices(6449)%branchCT(0:0))
    call avCT(6449, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_32736])

    allocate(vertices(8665)%branchCT(0:1))
    call avCT(8665, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_34342, nGC_34343])

    call avCT(8665, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_34340, nGC_34341])

    allocate(vertices(10411)%branchCT(0:0))
    call avCT(10411, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32775])

    allocate(vertices(10412)%branchCT(0:0))
    call avCT(10412, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33449])

    allocate(vertices(8666)%branchCT(0:0))
    call avCT(8666, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33502])

    allocate(vertices(5731)%branchCT(0:0))
    call avCT(5731, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32346])

    allocate(vertices(1196)%branchCT(0:0))
    call avCT(1196, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_34939])

    allocate(vertices(7881)%branchCT(0:0))
    call avCT(7881, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32378])

    allocate(vertices(4123)%branchCT(0:0))
    call avCT(4123, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32421])

    allocate(vertices(8434)%branchCT(0:1))
    call avCT(8434, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32114])

    call avCT(8434, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32111])

    allocate(vertices(4240)%branchCT(0:0))
    call avCT(4240, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_37428])

    allocate(vertices(4125)%branchCT(0:1))
    call avCT(4125, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_34934])

    call avCT(4125, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_33255])

    allocate(vertices(10413)%branchCT(0:0))
    call avCT(10413, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32711])

    allocate(vertices(10414)%branchCT(0:0))
    call avCT(10414, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33750])

    allocate(vertices(8672)%branchCT(0:0))
    call avCT(8672, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32554])

    allocate(vertices(5002)%branchCT(0:1))
    call avCT(5002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32146])

    call avCT(5002, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32141])

    allocate(vertices(5216)%branchCT(0:0))
    call avCT(5216, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32786])

    allocate(vertices(4131)%branchCT(0:2))
    call avCT(4131, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_34180, nGC_34181])

    call avCT(4131, 1, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_34182, nGC_34179])

    call avCT(4131, 2, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_34184, nGC_34185])

    allocate(vertices(10415)%branchCT(0:0))
    call avCT(10415, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32195])

    allocate(vertices(7926)%branchCT(0:1))
    call avCT(7926, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_32633])

    call avCT(7926, 1, 1, 1, 0, VSV0, 0, [0, 1], [nGC_32630])

    allocate(vertices(3860)%branchCT(0:0))
    call avCT(3860, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_35799])

    allocate(vertices(10416)%branchCT(0:0))
    call avCT(10416, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32675])

    allocate(vertices(8681)%branchCT(0:0))
    call avCT(8681, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_41285])

    allocate(vertices(4000)%branchCT(0:1))
    call avCT(4000, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32399])

    call avCT(4000, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32394])

    allocate(vertices(8682)%branchCT(0:0))
    call avCT(8682, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32554])

    allocate(vertices(8683)%branchCT(0:0))
    call avCT(8683, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32560])

    allocate(vertices(3590)%branchCT(0:0))
    call avCT(3590, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_36945])

    allocate(vertices(10417)%branchCT(0:0))
    call avCT(10417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32455])

    allocate(vertices(1031)%branchCT(0:1))
    call avCT(1031, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32751])

    call avCT(1031, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32747])

    allocate(vertices(8686)%branchCT(0:0))
    call avCT(8686, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_33427])

    allocate(vertices(8687)%branchCT(0:0))
    call avCT(8687, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_39685, nGC_39685])

    allocate(vertices(10418)%branchCT(0:0))
    call avCT(10418, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33200])

    allocate(vertices(10419)%branchCT(0:0))
    call avCT(10419, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32759])

    allocate(vertices(4138)%branchCT(0:0))
    call avCT(4138, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_33001])

    allocate(vertices(10420)%branchCT(0:0))
    call avCT(10420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32936])

    allocate(vertices(10421)%branchCT(0:0))
    call avCT(10421, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32455])

    allocate(vertices(8692)%branchCT(0:1))
    call avCT(8692, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33348])

    call avCT(8692, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33345])

    allocate(vertices(4141)%branchCT(0:0))
    call avCT(4141, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_32736])

    allocate(vertices(4142)%branchCT(0:0))
    call avCT(4142, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32997])

    allocate(vertices(10422)%branchCT(0:0))
    call avCT(10422, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32936])

    allocate(vertices(6554)%branchCT(0:1))
    call avCT(6554, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_22494])

    call avCT(6554, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_32549])

    allocate(vertices(6223)%branchCT(0:0))
    call avCT(6223, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_56507])

    allocate(vertices(8036)%branchCT(0:1))
    call avCT(8036, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32219])

    call avCT(8036, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_33384])

    allocate(vertices(8698)%branchCT(0:0))
    call avCT(8698, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_34766, nGC_34767])

    allocate(vertices(8012)%branchCT(0:0))
    call avCT(8012, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_32818, nGC_32819])

    allocate(vertices(2580)%branchCT(0:0))
    call avCT(2580, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_33831])

    allocate(vertices(10423)%branchCT(0:0))
    call avCT(10423, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33449])

    allocate(vertices(10424)%branchCT(0:0))
    call avCT(10424, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32936])

    allocate(vertices(4145)%branchCT(0:1))
    call avCT(4145, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32751])

    call avCT(4145, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32747])

    allocate(vertices(8054)%branchCT(0:1))
    call avCT(8054, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_36602])

    call avCT(8054, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_36601])

    allocate(vertices(5005)%branchCT(0:0))
    call avCT(5005, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_33699])

    allocate(vertices(10425)%branchCT(0:0))
    call avCT(10425, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32539])

    allocate(vertices(10426)%branchCT(0:0))
    call avCT(10426, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32759])

    allocate(vertices(4470)%branchCT(0:0))
    call avCT(4470, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32215])

    allocate(vertices(8704)%branchCT(0:1))
    call avCT(8704, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32114])

    call avCT(8704, 1, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_32111])

    allocate(vertices(2710)%branchCT(0:1))
    call avCT(2710, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_22493])

    call avCT(2710, 1, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_32835])

    allocate(vertices(8705)%branchCT(0:1))
    call avCT(8705, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32418])

    call avCT(8705, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_32415])

    allocate(vertices(10427)%branchCT(0:0))
    call avCT(10427, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_56563, nGC_56562])

    allocate(vertices(8706)%branchCT(0:0))
    call avCT(8706, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33114])

    allocate(vertices(8707)%branchCT(0:0))
    call avCT(8707, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_33102])

    allocate(vertices(2171)%branchCT(0:0))
    call avCT(2171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_38371])

    allocate(vertices(8709)%branchCT(0:1))
    call avCT(8709, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32219])

    call avCT(8709, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32218])

    allocate(vertices(7561)%branchCT(0:1))
    call avCT(7561, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_22548])

    call avCT(7561, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_33255])

    allocate(vertices(10428)%branchCT(0:0))
    call avCT(10428, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33200])

    allocate(vertices(4151)%branchCT(0:1))
    call avCT(4151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32275])

    call avCT(4151, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32272])

    allocate(vertices(8711)%branchCT(0:1))
    call avCT(8711, 0, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_37574, nGC_37575])

    call avCT(8711, 1, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_37567, nGC_37570])

    allocate(vertices(10429)%branchCT(0:0))
    call avCT(10429, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_56594, nGC_56589])

    allocate(vertices(8712)%branchCT(0:0))
    call avCT(8712, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32259])

    allocate(vertices(8713)%branchCT(0:2))
    call avCT(8713, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_34023, nGC_34024])

    call avCT(8713, 1, 31, 1, 0, FaSF0, 0, [0, 1], [nGC_34022, nGC_34018])

    call avCT(8713, 2, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_34020, nGC_34021])

    allocate(vertices(10430)%branchCT(0:0))
    call avCT(10430, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32539])

    allocate(vertices(4153)%branchCT(0:0))
    call avCT(4153, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_41147])

    allocate(vertices(8118)%branchCT(0:0))
    call avCT(8118, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_35857])

    allocate(vertices(4997)%branchCT(0:0))
    call avCT(4997, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_33427])

    allocate(vertices(8817)%branchCT(0:1))
    call avCT(8817, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32418])

    call avCT(8817, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32415])

    allocate(vertices(4633)%branchCT(0:1))
    call avCT(4633, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32418])

    call avCT(4633, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_32415])

    allocate(vertices(4156)%branchCT(0:1))
    call avCT(4156, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32297])

    call avCT(4156, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32293])

    allocate(vertices(10431)%branchCT(0:0))
    call avCT(10431, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32518])

    allocate(vertices(4158)%branchCT(0:1))
    call avCT(4158, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_33594, nGC_33594])

    call avCT(4158, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_33593, nGC_33593])

    allocate(vertices(7249)%branchCT(0:0))
    call avCT(7249, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_34200, nGC_34199,       &
    nGC_34199])

    allocate(vertices(10432)%branchCT(0:0))
    call avCT(10432, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_36673])

    allocate(vertices(8153)%branchCT(0:1))
    call avCT(8153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34849])

    call avCT(8153, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34848])

    allocate(vertices(10433)%branchCT(0:0))
    call avCT(10433, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32228])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32554])

    allocate(vertices(7799)%branchCT(0:1))
    call avCT(7799, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32418])

    call avCT(7799, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_32415])

    allocate(vertices(10434)%branchCT(0:0))
    call avCT(10434, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32539])

    allocate(vertices(10435)%branchCT(0:0))
    call avCT(10435, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32338])

    allocate(vertices(8726)%branchCT(0:1))
    call avCT(8726, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32361])

    call avCT(8726, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32358])

    allocate(vertices(8820)%branchCT(0:0))
    call avCT(8820, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_35414])

    allocate(vertices(8727)%branchCT(0:0))
    call avCT(8727, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32346])

    allocate(vertices(8728)%branchCT(0:1))
    call avCT(8728, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_22496])

    call avCT(8728, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_35963])

    allocate(vertices(10436)%branchCT(0:0))
    call avCT(10436, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_33200])

    allocate(vertices(8191)%branchCT(0:0))
    call avCT(8191, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_33427])

    allocate(vertices(4168)%branchCT(0:0))
    call avCT(4168, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32210])

    allocate(vertices(3547)%branchCT(0:0))
    call avCT(3547, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32215])

    allocate(vertices(8731)%branchCT(0:0))
    call avCT(8731, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32124])

    allocate(vertices(8732)%branchCT(0:2))
    call avCT(8732, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_38312, nGC_38313])

    call avCT(8732, 1, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_38311, nGC_38306])

    call avCT(8732, 2, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_38309, nGC_38310])

    allocate(vertices(4250)%branchCT(0:0))
    call avCT(4250, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32210])

    allocate(vertices(10437)%branchCT(0:0))
    call avCT(10437, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32775])

    allocate(vertices(8735)%branchCT(0:1))
    call avCT(8735, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32114])

    call avCT(8735, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_32111])

    allocate(vertices(8219)%branchCT(0:0))
    call avCT(8219, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_32162])

    allocate(vertices(10438)%branchCT(0:0))
    call avCT(10438, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32675])

    allocate(vertices(8736)%branchCT(0:0))
    call avCT(8736, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32215])

    allocate(vertices(10439)%branchCT(0:0))
    call avCT(10439, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32202])

    allocate(vertices(3679)%branchCT(0:1))
    call avCT(3679, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_22494])

    call avCT(3679, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_32549])

    allocate(vertices(1439)%branchCT(0:1))
    call avCT(1439, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32418])

    call avCT(1439, 1, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_32415])

    allocate(vertices(10440)%branchCT(0:0))
    call avCT(10440, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33387])

    allocate(vertices(8739)%branchCT(0:1))
    call avCT(8739, 0, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_32475, nGC_32476])

    call avCT(8739, 1, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_32471, nGC_32468])

    allocate(vertices(8740)%branchCT(0:1))
    call avCT(8740, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32595])

    call avCT(8740, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32591])

    allocate(vertices(8742)%branchCT(0:1))
    call avCT(8742, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_32633])

    call avCT(8742, 1, 1, 1, 0, SVV0, 0, [0, 1], [nGC_32630])

    allocate(vertices(10441)%branchCT(0:0))
    call avCT(10441, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32455])

    allocate(vertices(8743)%branchCT(0:0))
    call avCT(8743, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32210])

    allocate(vertices(2886)%branchCT(0:0))
    call avCT(2886, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_56507])

    allocate(vertices(4174)%branchCT(0:1))
    call avCT(4174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33021])

    call avCT(4174, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33018])

    allocate(vertices(10442)%branchCT(0:0))
    call avCT(10442, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_33955])

    allocate(vertices(10443)%branchCT(0:0))
    call avCT(10443, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32231])

    allocate(vertices(4175)%branchCT(0:0))
    call avCT(4175, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32158])

    allocate(vertices(6790)%branchCT(0:1))
    call avCT(6790, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_22545])

    call avCT(6790, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32478])

    allocate(vertices(4177)%branchCT(0:1))
    call avCT(4177, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_34340, nGC_34341])

    call avCT(4177, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_34342, nGC_34343])

    allocate(vertices(2182)%branchCT(0:1))
    call avCT(2182, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32114])

    call avCT(2182, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32111])

    allocate(vertices(4179)%branchCT(0:1))
    call avCT(4179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32391])

    call avCT(4179, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32387])

    allocate(vertices(10444)%branchCT(0:0))
    call avCT(10444, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32759])

    allocate(vertices(4181)%branchCT(0:1))
    call avCT(4181, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_22492])

    call avCT(4181, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_38791])

    allocate(vertices(8749)%branchCT(0:1))
    call avCT(8749, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32418])

    call avCT(8749, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32415])

    allocate(vertices(4183)%branchCT(0:0))
    call avCT(4183, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_33221])

    allocate(vertices(8305)%branchCT(0:0))
    call avCT(8305, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_33073])

    allocate(vertices(4186)%branchCT(0:0))
    call avCT(4186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32844])

    allocate(vertices(676)%branchCT(0:1))
    call avCT(676, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_36581])

    call avCT(676, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_36580])

    allocate(vertices(10445)%branchCT(0:0))
    call avCT(10445, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32234])

    allocate(vertices(4188)%branchCT(0:0))
    call avCT(4188, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32259])

    allocate(vertices(10446)%branchCT(0:0))
    call avCT(10446, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33836])

    allocate(vertices(8755)%branchCT(0:0))
    call avCT(8755, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32554])

    allocate(vertices(4190)%branchCT(0:1))
    call avCT(4190, 0, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_36316, nGC_36317])

    call avCT(4190, 1, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_36311, nGC_36306])

    allocate(vertices(5012)%branchCT(0:1))
    call avCT(5012, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_22545])

    call avCT(5012, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32478])

    allocate(vertices(10447)%branchCT(0:0))
    call avCT(10447, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32120])

    allocate(vertices(10448)%branchCT(0:0))
    call avCT(10448, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32759])

    allocate(vertices(8349)%branchCT(0:0))
    call avCT(8349, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_35348])

    allocate(vertices(8759)%branchCT(0:1))
    call avCT(8759, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32625])

    call avCT(8759, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32549])

    allocate(vertices(7430)%branchCT(0:0))
    call avCT(7430, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32124])

    allocate(vertices(7217)%branchCT(0:1))
    call avCT(7217, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_22547])

    call avCT(7217, 1, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_32181])

    allocate(vertices(3012)%branchCT(0:0))
    call avCT(3012, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33045])

    allocate(vertices(10449)%branchCT(0:0))
    call avCT(10449, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32338])

    allocate(vertices(10450)%branchCT(0:0))
    call avCT(10450, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33387])

    allocate(vertices(1292)%branchCT(0:1))
    call avCT(1292, 0, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_38541, nGC_38542])

    call avCT(1292, 1, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_38537, nGC_38534])

    allocate(vertices(10451)%branchCT(0:0))
    call avCT(10451, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32338])

    allocate(vertices(4195)%branchCT(0:0))
    call avCT(4195, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_35645])

    allocate(vertices(8763)%branchCT(0:0))
    call avCT(8763, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_33471])

    allocate(vertices(10452)%branchCT(0:0))
    call avCT(10452, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33836])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_34463])

    allocate(vertices(10453)%branchCT(0:0))
    call avCT(10453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32120])

    allocate(vertices(8401)%branchCT(0:0))
    call avCT(8401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33502])

    allocate(vertices(4199)%branchCT(0:0))
    call avCT(4199, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_34065])

    allocate(vertices(10454)%branchCT(0:0))
    call avCT(10454, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32518])

    allocate(vertices(10455)%branchCT(0:0))
    call avCT(10455, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_33836])

    allocate(vertices(8422)%branchCT(0:0))
    call avCT(8422, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_33703])

    allocate(vertices(5808)%branchCT(0:1))
    call avCT(5808, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32225])

    call avCT(5808, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32224])

    allocate(vertices(8773)%branchCT(0:1))
    call avCT(8773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34667])

    call avCT(8773, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34663])

    allocate(vertices(10456)%branchCT(0:1))
    call avCT(10456, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_39585, nGC_39577,      &
    nGC_39588, nGC_39588])

    call avCT(10456, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_39586, nGC_39578,      &
    nGC_39589, nGC_39589])

    allocate(vertices(7084)%branchCT(0:1))
    call avCT(7084, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32669])

    call avCT(7084, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32665])

    allocate(vertices(8775)%branchCT(0:1))
    call avCT(8775, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_32870])

    call avCT(8775, 1, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_32869])

    allocate(vertices(10457)%branchCT(0:0))
    call avCT(10457, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32202])

    allocate(vertices(8777)%branchCT(0:1))
    call avCT(8777, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32506])

    call avCT(8777, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32503])

    allocate(vertices(8778)%branchCT(0:0))
    call avCT(8778, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32210])

    allocate(vertices(4206)%branchCT(0:0))
    call avCT(4206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32487])

    allocate(vertices(4207)%branchCT(0:1))
    call avCT(4207, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_44440])

    call avCT(4207, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_44436])

    allocate(vertices(10458)%branchCT(0:0))
    call avCT(10458, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32202])

    allocate(vertices(10459)%branchCT(0:0))
    call avCT(10459, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32895])

    allocate(vertices(2551)%branchCT(0:1))
    call avCT(2551, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32483])

    call avCT(2551, 1, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_32482])

    allocate(vertices(4210)%branchCT(0:0))
    call avCT(4210, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33488])

    allocate(vertices(1443)%branchCT(0:0))
    call avCT(1443, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32864])

    allocate(vertices(3790)%branchCT(0:1))
    call avCT(3790, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32483])

    call avCT(3790, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32482])

    allocate(vertices(4212)%branchCT(0:0))
    call avCT(4212, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_34242])

    allocate(vertices(6700)%branchCT(0:1))
    call avCT(6700, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33157])

    call avCT(6700, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33153])

    allocate(vertices(8783)%branchCT(0:0))
    call avCT(8783, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32215])

    allocate(vertices(10460)%branchCT(0:0))
    call avCT(10460, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32455])

    allocate(vertices(6963)%branchCT(0:1))
    call avCT(6963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32146])

    call avCT(6963, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32141])

    allocate(vertices(4214)%branchCT(0:0))
    call avCT(4214, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_33471])

    allocate(vertices(10461)%branchCT(0:0))
    call avCT(10461, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32231])

    allocate(vertices(8789)%branchCT(0:0))
    call avCT(8789, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32864])

    allocate(vertices(10462)%branchCT(0:0))
    call avCT(10462, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_33449])

    allocate(vertices(10463)%branchCT(0:0))
    call avCT(10463, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32231])

    allocate(vertices(8788)%branchCT(0:1))
    call avCT(8788, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_36581])

    call avCT(8788, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_36580])

    allocate(vertices(5259)%branchCT(0:0))
    call avCT(5259, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32215])

    allocate(vertices(8815)%branchCT(0:0))
    call avCT(8815, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_56507])

    allocate(vertices(4218)%branchCT(0:0))
    call avCT(4218, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32158])

    allocate(vertices(4219)%branchCT(0:1))
    call avCT(4219, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_38537, nGC_38534])

    call avCT(4219, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_38541, nGC_38542])

    allocate(vertices(8791)%branchCT(0:0))
    call avCT(8791, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32158])

    allocate(vertices(4223)%branchCT(0:0))
    call avCT(4223, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_32818, nGC_32819])

    allocate(vertices(7501)%branchCT(0:0))
    call avCT(7501, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_37428])

    allocate(vertices(10464)%branchCT(0:0))
    call avCT(10464, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32654])

    allocate(vertices(10465)%branchCT(0:0))
    call avCT(10465, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33200])

    allocate(vertices(4225)%branchCT(0:2))
    call avCT(4225, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_38309, nGC_38310])

    call avCT(4225, 1, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_38311, nGC_38306])

    call avCT(4225, 2, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_38312, nGC_38313])

    allocate(vertices(10466)%branchCT(0:0))
    call avCT(10466, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32711])

    allocate(vertices(3556)%branchCT(0:0))
    call avCT(3556, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32158])

    allocate(vertices(4227)%branchCT(0:1))
    call avCT(4227, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_33483, nGC_33482])

    call avCT(4227, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_33485, nGC_33484])

    allocate(vertices(10467)%branchCT(0:0))
    call avCT(10467, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_34330])

    allocate(vertices(10468)%branchCT(0:0))
    call avCT(10468, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33836])

    allocate(vertices(8799)%branchCT(0:0))
    call avCT(8799, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_33001])

    allocate(vertices(2152)%branchCT(0:0))
    call avCT(2152, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_33471])

    allocate(vertices(10469)%branchCT(0:0))
    call avCT(10469, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32338])

    allocate(vertices(4229)%branchCT(0:0))
    call avCT(4229, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_38166])

    allocate(vertices(5020)%branchCT(0:1))
    call avCT(5020, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_32451, nGC_32452])

    call avCT(5020, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_32449, nGC_32450])

    allocate(vertices(85)%branchCT(0:0))
    call avCT(85, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32554])

    allocate(vertices(6048)%branchCT(0:2))
    call avCT(6048, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_33170, nGC_33171])

    call avCT(6048, 1, 31, 1, 0, FaSF0, 0, [0, 1], [nGC_33161, nGC_33167])

    call avCT(6048, 2, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_33172, nGC_33173])

    allocate(vertices(8803)%branchCT(0:1))
    call avCT(8803, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33348])

    call avCT(8803, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33345])

    allocate(vertices(8805)%branchCT(0:0))
    call avCT(8805, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_36881])

    allocate(vertices(10470)%branchCT(0:0))
    call avCT(10470, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32711])

    allocate(vertices(10471)%branchCT(0:0))
    call avCT(10471, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33319])

    allocate(vertices(10472)%branchCT(0:0))
    call avCT(10472, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33836])

    allocate(vertices(10473)%branchCT(0:0))
    call avCT(10473, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32228])

    allocate(vertices(2872)%branchCT(0:0))
    call avCT(2872, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33699])

    allocate(vertices(4237)%branchCT(0:1))
    call avCT(4237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32391])

    call avCT(4237, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32387])

    allocate(vertices(4457)%branchCT(0:1))
    call avCT(4457, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32615])

    call avCT(4457, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32611])

    allocate(vertices(10474)%branchCT(0:0))
    call avCT(10474, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32711])

    allocate(vertices(3857)%branchCT(0:0))
    call avCT(3857, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32554])

    allocate(vertices(10475)%branchCT(0:0))
    call avCT(10475, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32518])

    allocate(vertices(8668)%branchCT(0:1))
    call avCT(8668, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_36215])

    call avCT(8668, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_36214])

    allocate(vertices(10476)%branchCT(0:0))
    call avCT(10476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32711])

    allocate(vertices(8420)%branchCT(0:0))
    call avCT(8420, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32124])

    allocate(vertices(8811)%branchCT(0:2))
    call avCT(8811, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_32952, nGC_32951])

    call avCT(8811, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_32946, nGC_32940])

    call avCT(8811, 2, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_32950, nGC_32949])

    allocate(vertices(4243)%branchCT(0:1))
    call avCT(4243, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32418])

    call avCT(4243, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32415])

    allocate(vertices(10477)%branchCT(0:0))
    call avCT(10477, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_33226])

    allocate(vertices(4245)%branchCT(0:0))
    call avCT(4245, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32378])

    allocate(vertices(2913)%branchCT(0:1))
    call avCT(2913, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32751])

    call avCT(2913, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32747])

    allocate(vertices(3020)%branchCT(0:1))
    call avCT(3020, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32361])

    call avCT(3020, 1, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_32358])

    allocate(vertices(4247)%branchCT(0:1))
    call avCT(4247, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_22549])

    call avCT(4247, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_32929])

    allocate(vertices(4248)%branchCT(0:0))
    call avCT(4248, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32560])

    allocate(vertices(8816)%branchCT(0:0))
    call avCT(8816, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_34766, nGC_34767])

    allocate(vertices(7586)%branchCT(0:1))
    call avCT(7586, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32114])

    call avCT(7586, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_32111])

    allocate(vertices(10478)%branchCT(0:0))
    call avCT(10478, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_36793])

    allocate(vertices(4249)%branchCT(0:1))
    call avCT(4249, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_35706])

    call avCT(4249, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_35704])

    allocate(vertices(8818)%branchCT(0:1))
    call avCT(8818, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32418])

    call avCT(8818, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_32415])

    allocate(vertices(10479)%branchCT(0:0))
    call avCT(10479, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_57226, nGC_57221])

    allocate(vertices(7150)%branchCT(0:0))
    call avCT(7150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32844])

    allocate(vertices(8734)%branchCT(0:0))
    call avCT(8734, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32736])

    allocate(vertices(1591)%branchCT(0:0))
    call avCT(1591, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32672])

    allocate(vertices(4251)%branchCT(0:1))
    call avCT(4251, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32418])

    call avCT(4251, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_32415])

    allocate(vertices(10480)%branchCT(0:0))
    call avCT(10480, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32675])

    allocate(vertices(10481)%branchCT(0:0))
    call avCT(10481, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32228])

    allocate(vertices(7524)%branchCT(0:0))
    call avCT(7524, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_34706])

    allocate(vertices(7903)%branchCT(0:1))
    call avCT(7903, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32580])

    call avCT(7903, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32577])

    allocate(vertices(10482)%branchCT(0:0))
    call avCT(10482, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32675])

    allocate(vertices(5207)%branchCT(0:0))
    call avCT(5207, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_34242])

    allocate(vertices(8823)%branchCT(0:0))
    call avCT(8823, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32554])

    allocate(vertices(8824)%branchCT(0:0))
    call avCT(8824, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32215])

    allocate(vertices(8769)%branchCT(0:1))
    call avCT(8769, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32391])

    call avCT(8769, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32387])

    allocate(vertices(10483)%branchCT(0:0))
    call avCT(10483, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32231])

    allocate(vertices(8827)%branchCT(0:1))
    call avCT(8827, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32751])

    call avCT(8827, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32747])

    allocate(vertices(8786)%branchCT(0:1))
    call avCT(8786, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32580])

    call avCT(8786, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32577])

    allocate(vertices(8828)%branchCT(0:0))
    call avCT(8828, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_42041])

    allocate(vertices(10484)%branchCT(0:1))
    call avCT(10484, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_34476, nGC_34468,      &
    nGC_34479, nGC_34479])

    call avCT(10484, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_34477, nGC_34469,      &
    nGC_34480, nGC_34480])

    allocate(vertices(8829)%branchCT(0:0))
    call avCT(8829, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_35645])

    allocate(vertices(2938)%branchCT(0:0))
    call avCT(2938, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32736])

    allocate(vertices(10485)%branchCT(0:0))
    call avCT(10485, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_33750])

    allocate(vertices(7268)%branchCT(0:0))
    call avCT(7268, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32554])

    allocate(vertices(8831)%branchCT(0:0))
    call avCT(8831, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33706])

    allocate(vertices(2387)%branchCT(0:0))
    call avCT(2387, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_37428])

    allocate(vertices(1823)%branchCT(0:0))
    call avCT(1823, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33427])

    allocate(vertices(7267)%branchCT(0:0))
    call avCT(7267, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32210])

    allocate(vertices(7884)%branchCT(0:1))
    call avCT(7884, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32751])

    call avCT(7884, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32747])

    allocate(vertices(4157)%branchCT(0:0))
    call avCT(4157, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_35348])

    allocate(vertices(10486)%branchCT(0:0))
    call avCT(10486, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32654])

    allocate(vertices(8835)%branchCT(0:1))
    call avCT(8835, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32580])

    call avCT(8835, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32577])

    allocate(vertices(3563)%branchCT(0:1))
    call avCT(3563, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32183])

    call avCT(3563, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32181])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(5170)%branchR2(0:1))
    call avR2(5170, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22152, nGC_22154])

    call avR2(5170, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22153, nGC_22155])

    allocate(vertices(10245)%branchR2(0:0))
    call avR2(10245, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6445)%branchR2(0:0))
    call avR2(6445, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22231, nGC_22230])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(3551)%branchR2(0:0))
    call avR2(3551, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(3001)%branchR2(0:1))
    call avR2(3001, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22054, nGC_22052])

    call avR2(3001, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22077, nGC_22076])

    allocate(vertices(10487)%branchR2(0:1))
    call avR2(10487, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10487, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(2858)%branchR2(0:0))
    call avR2(2858, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(418)%branchR2(0:0))
    call avR2(418, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(9821)%branchR2(0:0))
    call avR2(9821, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(6675)%branchR2(0:0))
    call avR2(6675, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57360])

    allocate(vertices(739)%branchR2(0:0))
    call avR2(739, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(6924)%branchR2(0:0))
    call avR2(6924, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(4432)%branchR2(0:0))
    call avR2(4432, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(6525)%branchR2(0:0))
    call avR2(6525, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22446])

    allocate(vertices(10459)%branchR2(0:0))
    call avR2(10459, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(5639)%branchR2(0:0))
    call avR2(5639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(7645)%branchR2(0:0))
    call avR2(7645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(1671)%branchR2(0:0))
    call avR2(1671, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(5817)%branchR2(0:0))
    call avR2(5817, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(7851)%branchR2(0:0))
    call avR2(7851, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22140])

    allocate(vertices(5224)%branchR2(0:0))
    call avR2(5224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22446])

    allocate(vertices(6695)%branchR2(0:0))
    call avR2(6695, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9781)%branchR2(0:0))
    call avR2(9781, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22464])

    allocate(vertices(7651)%branchR2(0:0))
    call avR2(7651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3682)%branchR2(0:0))
    call avR2(3682, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22102, nGC_22101])

    allocate(vertices(2017)%branchR2(0:0))
    call avR2(2017, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(4523)%branchR2(0:0))
    call avR2(4523, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10045)%branchR2(0:0))
    call avR2(10045, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(9859)%branchR2(0:0))
    call avR2(9859, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22027])

    allocate(vertices(1419)%branchR2(0:0))
    call avR2(1419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3332)%branchR2(0:0))
    call avR2(3332, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(10488)%branchR2(0:0))
    call avR2(10488, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(3532)%branchR2(0:0))
    call avR2(3532, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(7093)%branchR2(0:0))
    call avR2(7093, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(9079)%branchR2(0:0))
    call avR2(9079, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(9761)%branchR2(0:0))
    call avR2(9761, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(9704)%branchR2(0:0))
    call avR2(9704, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(1913)%branchR2(0:0))
    call avR2(1913, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(6232)%branchR2(0:0))
    call avR2(6232, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(5553)%branchR2(0:0))
    call avR2(5553, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22250])

    allocate(vertices(9989)%branchR2(0:0))
    call avR2(9989, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10484)%branchR2(0:1))
    call avR2(10484, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_21981, nGC_21980,      &
    nGC_21978, nGC_21978])

    call avR2(10484, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_21975, nGC_21975,      &
    nGC_21979, nGC_21979])

    allocate(vertices(6179)%branchR2(0:0))
    call avR2(6179, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(6440)%branchR2(0:0))
    call avR2(6440, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(10457)%branchR2(0:0))
    call avR2(10457, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5107)%branchR2(0:1))
    call avR2(5107, 0, 30, 1, 0, FVFa1, 0, [2, 1], [nGC_22246])

    call avR2(5107, 1, 30, 1, 0, FVFa1, 0, [0, 3], [nGC_22252])

    allocate(vertices(1507)%branchR2(0:0))
    call avR2(1507, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(5995)%branchR2(0:1))
    call avR2(5995, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22225, nGC_22226])

    call avR2(5995, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22227, nGC_22227])

    allocate(vertices(9563)%branchR2(0:0))
    call avR2(9563, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(10345)%branchR2(0:0))
    call avR2(10345, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57411])

    allocate(vertices(1947)%branchR2(0:0))
    call avR2(1947, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(1930)%branchR2(0:0))
    call avR2(1930, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(3410)%branchR2(0:0))
    call avR2(3410, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(4177)%branchR2(0:1))
    call avR2(4177, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22171, nGC_22173])

    call avR2(4177, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22172, nGC_22174])

    allocate(vertices(7475)%branchR2(0:0))
    call avR2(7475, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(4146)%branchR2(0:0))
    call avR2(4146, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(7541)%branchR2(0:0))
    call avR2(7541, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(1253)%branchR2(0:0))
    call avR2(1253, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(551)%branchR2(0:1))
    call avR2(551, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22161, nGC_22163])

    call avR2(551, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22162, nGC_22164])

    allocate(vertices(4521)%branchR2(0:0))
    call avR2(4521, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(9565)%branchR2(0:0))
    call avR2(9565, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(8295)%branchR2(0:0))
    call avR2(8295, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(5228)%branchR2(0:0))
    call avR2(5228, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8335)%branchR2(0:0))
    call avR2(8335, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(7042)%branchR2(0:0))
    call avR2(7042, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(10489)%branchR2(0:0))
    call avR2(10489, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(4758)%branchR2(0:0))
    call avR2(4758, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2100)%branchR2(0:0))
    call avR2(2100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(10378)%branchR2(0:0))
    call avR2(10378, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(9576)%branchR2(0:0))
    call avR2(9576, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57440])

    allocate(vertices(3460)%branchR2(0:0))
    call avR2(3460, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(5462)%branchR2(0:0))
    call avR2(5462, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(1833)%branchR2(0:1))
    call avR2(1833, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22134, nGC_22136])

    call avR2(1833, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22135, nGC_22137])

    allocate(vertices(3481)%branchR2(0:0))
    call avR2(3481, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(8811)%branchR2(0:1))
    call avR2(8811, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22059, nGC_22061])

    call avR2(8811, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22060, nGC_22062])

    allocate(vertices(2519)%branchR2(0:0))
    call avR2(2519, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(1982)%branchR2(0:0))
    call avR2(1982, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(2480)%branchR2(0:0))
    call avR2(2480, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22143])

    allocate(vertices(4839)%branchR2(0:0))
    call avR2(4839, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(1568)%branchR2(0:0))
    call avR2(1568, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(9609)%branchR2(0:0))
    call avR2(9609, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22464])

    allocate(vertices(3541)%branchR2(0:0))
    call avR2(3541, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(5340)%branchR2(0:0))
    call avR2(5340, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(8893)%branchR2(0:0))
    call avR2(8893, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(6958)%branchR2(0:0))
    call avR2(6958, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(8243)%branchR2(0:0))
    call avR2(8243, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22249])

    allocate(vertices(10490)%branchR2(0:1))
    call avR2(10490, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22465])

    call avR2(10490, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22466])

    allocate(vertices(1587)%branchR2(0:0))
    call avR2(1587, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8502)%branchR2(0:0))
    call avR2(8502, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(4347)%branchR2(0:0))
    call avR2(4347, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(3777)%branchR2(0:0))
    call avR2(3777, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22158])

    allocate(vertices(8789)%branchR2(0:0))
    call avR2(8789, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(114)%branchR2(0:0))
    call avR2(114, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(2835)%branchR2(0:1))
    call avR2(2835, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(2835, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22273, nGC_22272])

    allocate(vertices(96)%branchR2(0:0))
    call avR2(96, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22140])

    allocate(vertices(4819)%branchR2(0:0))
    call avR2(4819, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22102, nGC_22101])

    allocate(vertices(1906)%branchR2(0:1))
    call avR2(1906, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22015, nGC_22014])

    call avR2(1906, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(3593)%branchR2(0:0))
    call avR2(3593, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(7572)%branchR2(0:1))
    call avR2(7572, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22225, nGC_22226])

    call avR2(7572, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22227, nGC_22227])

    allocate(vertices(3280)%branchR2(0:0))
    call avR2(3280, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10446)%branchR2(0:0))
    call avR2(10446, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(9528)%branchR2(0:0))
    call avR2(9528, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(4694)%branchR2(0:1))
    call avR2(4694, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22236, nGC_22236])

    call avR2(4694, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22234, nGC_22235])

    allocate(vertices(10491)%branchR2(0:1))
    call avR2(10491, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22472])

    call avR2(10491, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22473])

    allocate(vertices(10492)%branchR2(0:0))
    call avR2(10492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(9172)%branchR2(0:0))
    call avR2(9172, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(7451)%branchR2(0:3))
    call avR2(7451, 0, 20, 1, 0, VFFa0, 0, [1, 2], [nGC_22289, nGC_22288])

    call avR2(7451, 1, 20, 1, 0, VFFa0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(7451, 2, 21, 1, 0, VFFa0, 0, [1, 2], [nGC_22287, nGC_22286])

    call avR2(7451, 3, 21, 1, 0, VFFa0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22049])

    allocate(vertices(10105)%branchR2(0:1))
    call avR2(10105, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21977, nGC_21976,      &
    nGC_21995, nGC_21995])

    call avR2(10105, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21975, nGC_21975,      &
    nGC_21996, nGC_21996])

    allocate(vertices(5321)%branchR2(0:0))
    call avR2(5321, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22319,       &
    nGC_22320])

    allocate(vertices(5254)%branchR2(0:0))
    call avR2(5254, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22160, nGC_22159])

    allocate(vertices(523)%branchR2(0:0))
    call avR2(523, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(9798)%branchR2(0:1))
    call avR2(9798, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_21977, nGC_21976,       &
    nGC_21982, nGC_21982])

    call avR2(9798, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_21983, nGC_21983])

    allocate(vertices(10280)%branchR2(0:0))
    call avR2(10280, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22003])

    allocate(vertices(4586)%branchR2(0:1))
    call avR2(4586, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22115, nGC_22117])

    call avR2(4586, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22116, nGC_22118])

    allocate(vertices(10493)%branchR2(0:0))
    call avR2(10493, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(10494)%branchR2(0:5))
    call avR2(10494, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10494, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_22481, nGC_22481,     &
    nGC_22481])

    call avR2(10494, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10494, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10494, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10494, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    allocate(vertices(10495)%branchR2(0:1))
    call avR2(10495, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22452])

    call avR2(10495, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22453])

    allocate(vertices(5053)%branchR2(0:0))
    call avR2(5053, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(10496)%branchR2(0:1))
    call avR2(10496, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22465])

    call avR2(10496, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22466])

    allocate(vertices(6168)%branchR2(0:0))
    call avR2(6168, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(10313)%branchR2(0:0))
    call avR2(10313, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(2905)%branchR2(0:0))
    call avR2(2905, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3301)%branchR2(0:0))
    call avR2(3301, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10043)%branchR2(0:0))
    call avR2(10043, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(10497)%branchR2(0:0))
    call avR2(10497, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22361,      &
    nGC_22361])

    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22156])

    allocate(vertices(2394)%branchR2(0:0))
    call avR2(2394, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(7225)%branchR2(0:0))
    call avR2(7225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(3779)%branchR2(0:0))
    call avR2(3779, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22068])

    allocate(vertices(3302)%branchR2(0:0))
    call avR2(3302, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9974)%branchR2(0:0))
    call avR2(9974, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(3939)%branchR2(0:0))
    call avR2(3939, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(928)%branchR2(0:0))
    call avR2(928, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(2208)%branchR2(0:0))
    call avR2(2208, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22271])

    allocate(vertices(2787)%branchR2(0:0))
    call avR2(2787, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(2818)%branchR2(0:0))
    call avR2(2818, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22231, nGC_22230])

    allocate(vertices(4030)%branchR2(0:0))
    call avR2(4030, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(10498)%branchR2(0:1))
    call avR2(10498, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10498, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(3657)%branchR2(0:0))
    call avR2(3657, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22470,       &
    nGC_22471])

    allocate(vertices(1255)%branchR2(0:0))
    call avR2(1255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(8996)%branchR2(0:0))
    call avR2(8996, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(8816)%branchR2(0:0))
    call avR2(8816, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(1341)%branchR2(0:1))
    call avR2(1341, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22205, nGC_22206])

    call avR2(1341, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22207, nGC_22207])

    allocate(vertices(10356)%branchR2(0:0))
    call avR2(10356, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(3324)%branchR2(0:0))
    call avR2(3324, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(8639)%branchR2(0:0))
    call avR2(8639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(10499)%branchR2(0:1))
    call avR2(10499, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10499, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(2293)%branchR2(0:0))
    call avR2(2293, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22010])

    allocate(vertices(8400)%branchR2(0:0))
    call avR2(8400, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(6014)%branchR2(0:0))
    call avR2(6014, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(9281)%branchR2(0:0))
    call avR2(9281, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8215)%branchR2(0:0))
    call avR2(8215, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(5828)%branchR2(0:3))
    call avR2(5828, 0, 20, 1, 0, VFFa0, 0, [1, 2], [nGC_22298, nGC_22297])

    call avR2(5828, 1, 20, 1, 0, VFFa0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(5828, 2, 21, 1, 0, VFFa0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(5828, 3, 21, 1, 0, VFFa0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(4385)%branchR2(0:0))
    call avR2(4385, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(8200)%branchR2(0:0))
    call avR2(8200, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22005])

    allocate(vertices(2851)%branchR2(0:0))
    call avR2(2851, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(4628)%branchR2(0:0))
    call avR2(4628, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(9606)%branchR2(0:0))
    call avR2(9606, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(5519)%branchR2(0:0))
    call avR2(5519, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(5015)%branchR2(0:0))
    call avR2(5015, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22377])

    allocate(vertices(1325)%branchR2(0:0))
    call avR2(1325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(7565)%branchR2(0:0))
    call avR2(7565, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(2341)%branchR2(0:0))
    call avR2(2341, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22064])

    allocate(vertices(8666)%branchR2(0:0))
    call avR2(8666, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(8999)%branchR2(0:0))
    call avR2(8999, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10500)%branchR2(0:1))
    call avR2(10500, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22391])

    call avR2(10500, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(1044)%branchR2(0:0))
    call avR2(1044, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(2626)%branchR2(0:0))
    call avR2(2626, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(10501)%branchR2(0:1))
    call avR2(10501, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22431])

    call avR2(10501, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22432])

    allocate(vertices(5705)%branchR2(0:0))
    call avR2(5705, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22071])

    allocate(vertices(673)%branchR2(0:1))
    call avR2(673, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22152, nGC_22154])

    call avR2(673, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22153, nGC_22155])

    allocate(vertices(9758)%branchR2(0:0))
    call avR2(9758, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10502)%branchR2(0:1))
    call avR2(10502, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22375])

    call avR2(10502, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22376])

    allocate(vertices(7835)%branchR2(0:0))
    call avR2(7835, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22006])

    allocate(vertices(200)%branchR2(0:0))
    call avR2(200, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8204)%branchR2(0:1))
    call avR2(8204, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22237, nGC_22238])

    call avR2(8204, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22239, nGC_22239])

    allocate(vertices(125)%branchR2(0:1))
    call avR2(125, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22062, nGC_22060])

    call avR2(125, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(4660)%branchR2(0:0))
    call avR2(4660, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(9957)%branchR2(0:0))
    call avR2(9957, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(116)%branchR2(0:0))
    call avR2(116, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22311])

    allocate(vertices(6424)%branchR2(0:0))
    call avR2(6424, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22025, nGC_22026])

    allocate(vertices(6741)%branchR2(0:0))
    call avR2(6741, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(4408)%branchR2(0:0))
    call avR2(4408, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22017])

    allocate(vertices(10427)%branchR2(0:0))
    call avR2(10427, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21950, nGC_21949,       &
    nGC_21951])

    allocate(vertices(9150)%branchR2(0:0))
    call avR2(9150, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(5103)%branchR2(0:0))
    call avR2(5103, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22192])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(8630)%branchR2(0:0))
    call avR2(8630, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(6094)%branchR2(0:0))
    call avR2(6094, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(1438)%branchR2(0:0))
    call avR2(1438, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(195)%branchR2(0:0))
    call avR2(195, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(9762)%branchR2(0:0))
    call avR2(9762, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22027])

    allocate(vertices(6547)%branchR2(0:0))
    call avR2(6547, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(1392)%branchR2(0:0))
    call avR2(1392, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5810)%branchR2(0:0))
    call avR2(5810, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(5791)%branchR2(0:0))
    call avR2(5791, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(8303)%branchR2(0:0))
    call avR2(8303, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(9920)%branchR2(0:0))
    call avR2(9920, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6448)%branchR2(0:0))
    call avR2(6448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8656)%branchR2(0:0))
    call avR2(8656, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(3412)%branchR2(0:0))
    call avR2(3412, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(9466)%branchR2(0:0))
    call avR2(9466, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(2502)%branchR2(0:1))
    call avR2(2502, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(2502, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22264, nGC_22263])

    allocate(vertices(1485)%branchR2(0:0))
    call avR2(1485, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(2506)%branchR2(0:0))
    call avR2(2506, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22170, nGC_22169])

    allocate(vertices(10476)%branchR2(0:0))
    call avR2(10476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(7150)%branchR2(0:0))
    call avR2(7150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(6748)%branchR2(0:0))
    call avR2(6748, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(1302)%branchR2(0:0))
    call avR2(1302, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5485)%branchR2(0:1))
    call avR2(5485, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22246])

    call avR2(5485, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22251])

    allocate(vertices(1993)%branchR2(0:0))
    call avR2(1993, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(4125)%branchR2(0:0))
    call avR2(4125, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(7280)%branchR2(0:0))
    call avR2(7280, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(1467)%branchR2(0:0))
    call avR2(1467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(7215)%branchR2(0:0))
    call avR2(7215, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22007])

    allocate(vertices(5645)%branchR2(0:0))
    call avR2(5645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(8422)%branchR2(0:0))
    call avR2(8422, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22121])

    allocate(vertices(9645)%branchR2(0:0))
    call avR2(9645, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6236)%branchR2(0:0))
    call avR2(6236, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22050])

    allocate(vertices(10503)%branchR2(0:0))
    call avR2(10503, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22322])

    allocate(vertices(6532)%branchR2(0:0))
    call avR2(6532, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22351,       &
    nGC_22353])

    allocate(vertices(7428)%branchR2(0:1))
    call avR2(7428, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(7428, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22264, nGC_22263])

    allocate(vertices(8644)%branchR2(0:0))
    call avR2(8644, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57360])

    allocate(vertices(6457)%branchR2(0:0))
    call avR2(6457, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(4480)%branchR2(0:0))
    call avR2(4480, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(9948)%branchR2(0:0))
    call avR2(9948, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9960)%branchR2(0:0))
    call avR2(9960, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22013])

    allocate(vertices(451)%branchR2(0:0))
    call avR2(451, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(2972)%branchR2(0:0))
    call avR2(2972, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22040])

    allocate(vertices(9470)%branchR2(0:0))
    call avR2(9470, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(5060)%branchR2(0:0))
    call avR2(5060, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(10504)%branchR2(0:1))
    call avR2(10504, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22391])

    call avR2(10504, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(5574)%branchR2(0:0))
    call avR2(5574, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22025, nGC_22026])

    allocate(vertices(9602)%branchR2(0:0))
    call avR2(9602, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(6134)%branchR2(0:1))
    call avR2(6134, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(6134, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22275, nGC_22274])

    allocate(vertices(9259)%branchR2(0:0))
    call avR2(9259, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2456)%branchR2(0:1))
    call avR2(2456, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22051, nGC_22053])

    call avR2(2456, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22052, nGC_22054])

    allocate(vertices(4645)%branchR2(0:0))
    call avR2(4645, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(7585)%branchR2(0:0))
    call avR2(7585, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22377])

    allocate(vertices(6773)%branchR2(0:1))
    call avR2(6773, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22237, nGC_22238])

    call avR2(6773, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22239, nGC_22239])

    allocate(vertices(9831)%branchR2(0:0))
    call avR2(9831, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6917)%branchR2(0:0))
    call avR2(6917, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(9409)%branchR2(0:1))
    call avR2(9409, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_21981, nGC_21980,       &
    nGC_21997, nGC_21997])

    call avR2(9409, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_21998, nGC_21998])

    allocate(vertices(7465)%branchR2(0:1))
    call avR2(7465, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22132, nGC_22130])

    call avR2(7465, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22133, nGC_22131])

    allocate(vertices(4818)%branchR2(0:0))
    call avR2(4818, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(5856)%branchR2(0:0))
    call avR2(5856, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22139])

    allocate(vertices(1175)%branchR2(0:0))
    call avR2(1175, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(3624)%branchR2(0:0))
    call avR2(3624, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(873)%branchR2(0:0))
    call avR2(873, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(2050)%branchR2(0:0))
    call avR2(2050, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22034, nGC_22035])

    allocate(vertices(9527)%branchR2(0:0))
    call avR2(9527, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21984, nGC_21985,       &
    nGC_21993, nGC_21993])

    allocate(vertices(2597)%branchR2(0:0))
    call avR2(2597, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(3773)%branchR2(0:0))
    call avR2(3773, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22186])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(8864)%branchR2(0:0))
    call avR2(8864, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5598)%branchR2(0:0))
    call avR2(5598, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(2153)%branchR2(0:0))
    call avR2(2153, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22271])

    allocate(vertices(3788)%branchR2(0:0))
    call avR2(3788, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(8598)%branchR2(0:0))
    call avR2(8598, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(9822)%branchR2(0:0))
    call avR2(9822, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(6907)%branchR2(0:0))
    call avR2(6907, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(8079)%branchR2(0:0))
    call avR2(8079, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(73)%branchR2(0:0))
    call avR2(73, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(2620)%branchR2(0:0))
    call avR2(2620, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(5453)%branchR2(0:0))
    call avR2(5453, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(7246)%branchR2(0:0))
    call avR2(7246, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(7017)%branchR2(0:0))
    call avR2(7017, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(7530)%branchR2(0:0))
    call avR2(7530, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22268])

    allocate(vertices(10505)%branchR2(0:1))
    call avR2(10505, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10505, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(8107)%branchR2(0:0))
    call avR2(8107, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(993)%branchR2(0:0))
    call avR2(993, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(4962)%branchR2(0:0))
    call avR2(4962, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(5251)%branchR2(0:0))
    call avR2(5251, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22352,       &
    nGC_22351])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4635)%branchR2(0:0))
    call avR2(4635, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22141])

    allocate(vertices(3589)%branchR2(0:0))
    call avR2(3589, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(3603)%branchR2(0:0))
    call avR2(3603, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10506)%branchR2(0:1))
    call avR2(10506, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22375])

    call avR2(10506, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22376])

    allocate(vertices(922)%branchR2(0:0))
    call avR2(922, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22006])

    allocate(vertices(2486)%branchR2(0:0))
    call avR2(2486, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(10227)%branchR2(0:1))
    call avR2(10227, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_21977, nGC_21976,      &
    nGC_21973, nGC_21973])

    call avR2(10227, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_21975, nGC_21975,      &
    nGC_21974, nGC_21974])

    allocate(vertices(10507)%branchR2(0:1))
    call avR2(10507, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10507, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(5071)%branchR2(0:3))
    call avR2(5071, 0, 24, 1, 0, FVFa0, 0, [1, 2], [nGC_22298, nGC_22297])

    call avR2(5071, 1, 24, 1, 0, FVFa0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(5071, 2, 25, 1, 0, FVFa0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(5071, 3, 25, 1, 0, FVFa0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(572)%branchR2(0:0))
    call avR2(572, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(9500)%branchR2(0:0))
    call avR2(9500, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(4157)%branchR2(0:0))
    call avR2(4157, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(9271)%branchR2(0:0))
    call avR2(9271, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(6256)%branchR2(0:0))
    call avR2(6256, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(5086)%branchR2(0:1))
    call avR2(5086, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22128, nGC_22126])

    call avR2(5086, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22146, nGC_22145])

    allocate(vertices(10508)%branchR2(0:1))
    call avR2(10508, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22465])

    call avR2(10508, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22466])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(9362)%branchR2(0:0))
    call avR2(9362, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57789])

    allocate(vertices(3544)%branchR2(0:0))
    call avR2(3544, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5227)%branchR2(0:0))
    call avR2(5227, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22312])

    allocate(vertices(10509)%branchR2(0:0))
    call avR2(10509, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2339)%branchR2(0:0))
    call avR2(2339, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(2161)%branchR2(0:0))
    call avR2(2161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6203)%branchR2(0:0))
    call avR2(6203, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22200, nGC_22199])

    allocate(vertices(10510)%branchR2(0:5))
    call avR2(10510, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10510, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_22371, nGC_22371,     &
    nGC_22371])

    call avR2(10510, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10510, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10510, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10510, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    allocate(vertices(8451)%branchR2(0:0))
    call avR2(8451, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(7607)%branchR2(0:1))
    call avR2(7607, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22246])

    call avR2(7607, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22247])

    allocate(vertices(10131)%branchR2(0:0))
    call avR2(10131, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(5417)%branchR2(0:0))
    call avR2(5417, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(3427)%branchR2(0:0))
    call avR2(3427, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22140])

    allocate(vertices(3058)%branchR2(0:0))
    call avR2(3058, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57811])

    allocate(vertices(9698)%branchR2(0:0))
    call avR2(9698, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22464])

    allocate(vertices(9244)%branchR2(0:0))
    call avR2(9244, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10168)%branchR2(0:0))
    call avR2(10168, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(3070)%branchR2(0:0))
    call avR2(3070, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1248)%branchR2(0:0))
    call avR2(1248, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22157])

    allocate(vertices(2660)%branchR2(0:0))
    call avR2(2660, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(7827)%branchR2(0:0))
    call avR2(7827, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(1974)%branchR2(0:0))
    call avR2(1974, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(4486)%branchR2(0:0))
    call avR2(4486, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(6494)%branchR2(0:0))
    call avR2(6494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(738)%branchR2(0:1))
    call avR2(738, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(738, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(8114)%branchR2(0:0))
    call avR2(8114, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(9020)%branchR2(0:0))
    call avR2(9020, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_21994])

    allocate(vertices(5790)%branchR2(0:0))
    call avR2(5790, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10423)%branchR2(0:0))
    call avR2(10423, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(7135)%branchR2(0:0))
    call avR2(7135, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22063])

    allocate(vertices(9121)%branchR2(0:0))
    call avR2(9121, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(4612)%branchR2(0:0))
    call avR2(4612, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10511)%branchR2(0:0))
    call avR2(10511, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22322])

    allocate(vertices(10079)%branchR2(0:0))
    call avR2(10079, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(5241)%branchR2(0:0))
    call avR2(5241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(6461)%branchR2(0:0))
    call avR2(6461, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22038])

    allocate(vertices(2586)%branchR2(0:0))
    call avR2(2586, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(6628)%branchR2(0:0))
    call avR2(6628, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57840])

    allocate(vertices(1537)%branchR2(0:0))
    call avR2(1537, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10512)%branchR2(0:1))
    call avR2(10512, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22391])

    call avR2(10512, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(6552)%branchR2(0:0))
    call avR2(6552, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(4665)%branchR2(0:1))
    call avR2(4665, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22132, nGC_22130])

    call avR2(4665, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22133, nGC_22131])

    allocate(vertices(7028)%branchR2(0:0))
    call avR2(7028, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(8539)%branchR2(0:0))
    call avR2(8539, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(7602)%branchR2(0:1))
    call avR2(7602, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22195, nGC_22195])

    call avR2(7602, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22193, nGC_22194])

    allocate(vertices(1882)%branchR2(0:0))
    call avR2(1882, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(4051)%branchR2(0:0))
    call avR2(4051, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(9104)%branchR2(0:0))
    call avR2(9104, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(8172)%branchR2(0:0))
    call avR2(8172, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10513)%branchR2(0:1))
    call avR2(10513, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22472])

    call avR2(10513, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22473])

    allocate(vertices(5577)%branchR2(0:0))
    call avR2(5577, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(3438)%branchR2(0:0))
    call avR2(3438, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22351,       &
    nGC_22352])

    allocate(vertices(10514)%branchR2(0:0))
    call avR2(10514, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22318, nGC_22318,      &
    nGC_22318])

    allocate(vertices(1162)%branchR2(0:0))
    call avR2(1162, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1490)%branchR2(0:0))
    call avR2(1490, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22470,       &
    nGC_22471])

    allocate(vertices(9131)%branchR2(0:0))
    call avR2(9131, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(1734)%branchR2(0:0))
    call avR2(1734, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(6329)%branchR2(0:0))
    call avR2(6329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(9846)%branchR2(0:0))
    call avR2(9846, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(10069)%branchR2(0:0))
    call avR2(10069, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2927)%branchR2(0:0))
    call avR2(2927, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22041])

    allocate(vertices(5818)%branchR2(0:0))
    call avR2(5818, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(5156)%branchR2(0:0))
    call avR2(5156, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22170, nGC_22169])

    allocate(vertices(10515)%branchR2(0:1))
    call avR2(10515, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22472])

    call avR2(10515, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22473])

    allocate(vertices(4641)%branchR2(0:0))
    call avR2(4641, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22068])

    allocate(vertices(1049)%branchR2(0:0))
    call avR2(1049, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(9157)%branchR2(0:0))
    call avR2(9157, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21984, nGC_21985,       &
    nGC_21986, nGC_21986])

    allocate(vertices(10516)%branchR2(0:0))
    call avR2(10516, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(5793)%branchR2(0:0))
    call avR2(5793, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(2719)%branchR2(0:0))
    call avR2(2719, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(4026)%branchR2(0:1))
    call avR2(4026, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(4026, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22015, nGC_22014])

    allocate(vertices(5322)%branchR2(0:0))
    call avR2(5322, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7218)%branchR2(0:0))
    call avR2(7218, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(4850)%branchR2(0:0))
    call avR2(4850, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57894])

    allocate(vertices(3243)%branchR2(0:0))
    call avR2(3243, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(5792)%branchR2(0:0))
    call avR2(5792, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57897])

    allocate(vertices(5290)%branchR2(0:0))
    call avR2(5290, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(728)%branchR2(0:0))
    call avR2(728, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22124])

    allocate(vertices(10333)%branchR2(0:0))
    call avR2(10333, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(10098)%branchR2(0:0))
    call avR2(10098, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57789])

    allocate(vertices(9127)%branchR2(0:0))
    call avR2(9127, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5005)%branchR2(0:0))
    call avR2(5005, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(10517)%branchR2(0:1))
    call avR2(10517, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22436])

    call avR2(10517, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22437])

    allocate(vertices(3041)%branchR2(0:0))
    call avR2(3041, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(3157)%branchR2(0:0))
    call avR2(3157, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22249])

    allocate(vertices(5573)%branchR2(0:0))
    call avR2(5573, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(1645)%branchR2(0:0))
    call avR2(1645, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22119])

    allocate(vertices(5002)%branchR2(0:0))
    call avR2(5002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(6055)%branchR2(0:0))
    call avR2(6055, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(6206)%branchR2(0:1))
    call avR2(6206, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22051, nGC_22053])

    call avR2(6206, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22052, nGC_22054])

    allocate(vertices(7164)%branchR2(0:0))
    call avR2(7164, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(8576)%branchR2(0:0))
    call avR2(8576, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22138])

    allocate(vertices(9721)%branchR2(0:0))
    call avR2(9721, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(6815)%branchR2(0:0))
    call avR2(6815, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(7031)%branchR2(0:0))
    call avR2(7031, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22356])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(8161)%branchR2(0:0))
    call avR2(8161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(2452)%branchR2(0:0))
    call avR2(2452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10518)%branchR2(0:1))
    call avR2(10518, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22431])

    call avR2(10518, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22432])

    allocate(vertices(652)%branchR2(0:0))
    call avR2(652, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(10519)%branchR2(0:1))
    call avR2(10519, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22436])

    call avR2(10519, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22437])

    allocate(vertices(9598)%branchR2(0:0))
    call avR2(9598, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(10520)%branchR2(0:1))
    call avR2(10520, 0, 35, 1, 0, VVS0, 0, [2, 1], [nGC_22232])

    call avR2(10520, 1, 36, 1, 0, VVS0, 0, [2, 1], [nGC_22233])

    allocate(vertices(1838)%branchR2(0:0))
    call avR2(1838, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(10521)%branchR2(0:1))
    call avR2(10521, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22452])

    call avR2(10521, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22453])

    allocate(vertices(3938)%branchR2(0:0))
    call avR2(3938, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(4113)%branchR2(0:0))
    call avR2(4113, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22471,       &
    nGC_22470])

    allocate(vertices(1442)%branchR2(0:0))
    call avR2(1442, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(8868)%branchR2(0:0))
    call avR2(8868, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(3901)%branchR2(0:0))
    call avR2(3901, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(296)%branchR2(0:0))
    call avR2(296, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57943])

    allocate(vertices(6713)%branchR2(0:0))
    call avR2(6713, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(4736)%branchR2(0:0))
    call avR2(4736, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(6669)%branchR2(0:0))
    call avR2(6669, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(3023)%branchR2(0:0))
    call avR2(3023, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(153)%branchR2(0:0))
    call avR2(153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(6075)%branchR2(0:0))
    call avR2(6075, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(7308)%branchR2(0:0))
    call avR2(7308, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10107)%branchR2(0:0))
    call avR2(10107, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(8171)%branchR2(0:1))
    call avR2(8171, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22128, nGC_22126])

    call avR2(8171, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22146, nGC_22145])

    allocate(vertices(7289)%branchR2(0:0))
    call avR2(7289, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(9753)%branchR2(0:0))
    call avR2(9753, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(8432)%branchR2(0:0))
    call avR2(8432, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22221])

    allocate(vertices(8740)%branchR2(0:0))
    call avR2(8740, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(8058)%branchR2(0:0))
    call avR2(8058, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22187])

    allocate(vertices(2934)%branchR2(0:0))
    call avR2(2934, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22217])

    allocate(vertices(8369)%branchR2(0:0))
    call avR2(8369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(2243)%branchR2(0:0))
    call avR2(2243, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(4160)%branchR2(0:0))
    call avR2(4160, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22311])

    allocate(vertices(9354)%branchR2(0:0))
    call avR2(9354, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(2874)%branchR2(0:1))
    call avR2(2874, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22205, nGC_22206])

    call avR2(2874, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22207, nGC_22207])

    allocate(vertices(7001)%branchR2(0:0))
    call avR2(7001, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(8026)%branchR2(0:0))
    call avR2(8026, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(9577)%branchR2(0:0))
    call avR2(9577, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(4455)%branchR2(0:1))
    call avR2(4455, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22237, nGC_22238])

    call avR2(4455, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22239, nGC_22239])

    allocate(vertices(9610)%branchR2(0:0))
    call avR2(9610, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2833)%branchR2(0:1))
    call avR2(2833, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22057, nGC_22055])

    call avR2(2833, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22058, nGC_22056])

    allocate(vertices(1327)%branchR2(0:0))
    call avR2(1327, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(2616)%branchR2(0:0))
    call avR2(2616, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(2120)%branchR2(0:0))
    call avR2(2120, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(684)%branchR2(0:1))
    call avR2(684, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22245])

    call avR2(684, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22246])

    allocate(vertices(3860)%branchR2(0:0))
    call avR2(3860, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22450])

    allocate(vertices(8468)%branchR2(0:0))
    call avR2(8468, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(6228)%branchR2(0:0))
    call avR2(6228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(7160)%branchR2(0:0))
    call avR2(7160, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(5017)%branchR2(0:0))
    call avR2(5017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(5776)%branchR2(0:0))
    call avR2(5776, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(10061)%branchR2(0:0))
    call avR2(10061, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57992])

    allocate(vertices(6216)%branchR2(0:0))
    call avR2(6216, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22143])

    allocate(vertices(6800)%branchR2(0:0))
    call avR2(6800, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(2198)%branchR2(0:0))
    call avR2(2198, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22122])

    allocate(vertices(3562)%branchR2(0:0))
    call avR2(3562, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(3671)%branchR2(0:0))
    call avR2(3671, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(2570)%branchR2(0:0))
    call avR2(2570, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(7846)%branchR2(0:0))
    call avR2(7846, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2599)%branchR2(0:0))
    call avR2(2599, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(3117)%branchR2(0:1))
    call avR2(3117, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(3117, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(4340)%branchR2(0:0))
    call avR2(4340, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22265, nGC_22266])

    allocate(vertices(10522)%branchR2(0:0))
    call avR2(10522, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22318, nGC_22318,      &
    nGC_22318])

    allocate(vertices(1869)%branchR2(0:0))
    call avR2(1869, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58010])

    allocate(vertices(2000)%branchR2(0:1))
    call avR2(2000, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22152, nGC_22154])

    call avR2(2000, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22153, nGC_22155])

    allocate(vertices(3566)%branchR2(0:0))
    call avR2(3566, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10523)%branchR2(0:0))
    call avR2(10523, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(3863)%branchR2(0:0))
    call avR2(3863, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22141])

    allocate(vertices(1849)%branchR2(0:0))
    call avR2(1849, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(4564)%branchR2(0:0))
    call avR2(4564, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22229, nGC_22228])

    allocate(vertices(10524)%branchR2(0:1))
    call avR2(10524, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10524, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(9000)%branchR2(0:0))
    call avR2(9000, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(1707)%branchR2(0:0))
    call avR2(1707, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

    allocate(vertices(10071)%branchR2(0:0))
    call avR2(10071, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5644)%branchR2(0:0))
    call avR2(5644, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(8269)%branchR2(0:0))
    call avR2(8269, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(2844)%branchR2(0:0))
    call avR2(2844, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(56)%branchR2(0:0))
    call avR2(56, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(9900)%branchR2(0:0))
    call avR2(9900, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(6826)%branchR2(0:1))
    call avR2(6826, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(6826, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22031, nGC_22030])

    allocate(vertices(10525)%branchR2(0:0))
    call avR2(10525, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22313])

    allocate(vertices(10124)%branchR2(0:0))
    call avR2(10124, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

    allocate(vertices(3678)%branchR2(0:0))
    call avR2(3678, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8569)%branchR2(0:0))
    call avR2(8569, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(5948)%branchR2(0:0))
    call avR2(5948, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58040])

    allocate(vertices(7509)%branchR2(0:0))
    call avR2(7509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(2443)%branchR2(0:1))
    call avR2(2443, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22210, nGC_22210])

    call avR2(2443, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22208, nGC_22209])

    allocate(vertices(2549)%branchR2(0:0))
    call avR2(2549, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(6345)%branchR2(0:0))
    call avR2(6345, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(3610)%branchR2(0:0))
    call avR2(3610, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22217])

    allocate(vertices(1301)%branchR2(0:0))
    call avR2(1301, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22276, nGC_22277])

    allocate(vertices(4772)%branchR2(0:0))
    call avR2(4772, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22474, nGC_22475,       &
    nGC_22475])

    allocate(vertices(1563)%branchR2(0:0))
    call avR2(1563, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(9161)%branchR2(0:0))
    call avR2(9161, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(2902)%branchR2(0:1))
    call avR2(2902, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22089, nGC_22091])

    call avR2(2902, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22090, nGC_22092])

    allocate(vertices(8054)%branchR2(0:0))
    call avR2(8054, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22418])

    allocate(vertices(9340)%branchR2(0:0))
    call avR2(9340, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(482)%branchR2(0:1))
    call avR2(482, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22218, nGC_22219])

    call avR2(482, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22220, nGC_22220])

    allocate(vertices(9332)%branchR2(0:0))
    call avR2(9332, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(7800)%branchR2(0:1))
    call avR2(7800, 0, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(7800, 1, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(10526)%branchR2(0:0))
    call avR2(10526, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(4283)%branchR2(0:0))
    call avR2(4283, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(2959)%branchR2(0:0))
    call avR2(2959, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22248])

    allocate(vertices(7989)%branchR2(0:0))
    call avR2(7989, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(7731)%branchR2(0:0))
    call avR2(7731, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8902)%branchR2(0:0))
    call avR2(8902, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(3317)%branchR2(0:0))
    call avR2(3317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(7493)%branchR2(0:1))
    call avR2(7493, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22134, nGC_22136])

    call avR2(7493, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22135, nGC_22137])

    allocate(vertices(8841)%branchR2(0:0))
    call avR2(8841, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(5704)%branchR2(0:0))
    call avR2(5704, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

  end subroutine fill_vertices_mdl20
end module vertices_info20
