!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  implicit none
  contains
  subroutine fill_vertices_mdl22()
    use class_vertices
    use class_couplings
    allocate(vertices(4990)%branchR2(0:0))
    call avR2(4990, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(9472)%branchR2(0:0))
    call avR2(9472, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57992])

    allocate(vertices(2142)%branchR2(0:0))
    call avR2(2142, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(5306)%branchR2(0:0))
    call avR2(5306, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(1144)%branchR2(0:0))
    call avR2(1144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(3446)%branchR2(0:1))
    call avR2(3446, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22213, nGC_22214])

    call avR2(3446, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22215, nGC_22215])

    allocate(vertices(6522)%branchR2(0:0))
    call avR2(6522, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(8898)%branchR2(0:0))
    call avR2(8898, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(10603)%branchR2(0:0))
    call avR2(10603, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(6270)%branchR2(0:0))
    call avR2(6270, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(8994)%branchR2(0:0))
    call avR2(8994, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22084])

    allocate(vertices(5415)%branchR2(0:0))
    call avR2(5415, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22048])

    allocate(vertices(9485)%branchR2(0:0))
    call avR2(9485, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(9455)%branchR2(0:0))
    call avR2(9455, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(1465)%branchR2(0:0))
    call avR2(1465, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(1443)%branchR2(0:0))
    call avR2(1443, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(1641)%branchR2(0:0))
    call avR2(1641, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22253])

    allocate(vertices(10604)%branchR2(0:1))
    call avR2(10604, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22391])

    call avR2(10604, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(2270)%branchR2(0:0))
    call avR2(2270, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(10605)%branchR2(0:1))
    call avR2(10605, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_22467, nGC_22467,     &
    nGC_22467])

    call avR2(10605, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_22468, nGC_22468,     &
    nGC_22468])

    allocate(vertices(3580)%branchR2(0:0))
    call avR2(3580, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22474,        &
    nGC_22475])

    allocate(vertices(10606)%branchR2(0:0))
    call avR2(10606, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(8353)%branchR2(0:0))
    call avR2(8353, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(4457)%branchR2(0:0))
    call avR2(4457, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(8871)%branchR2(0:0))
    call avR2(8871, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(470)%branchR2(0:3))
    call avR2(470, 0, 24, 1, 0, FVFa0, 0, [1, 2], [nGC_22309, nGC_22308])

    call avR2(470, 1, 24, 1, 0, FVFa0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(470, 2, 25, 1, 0, FVFa0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(470, 3, 25, 1, 0, FVFa0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(6621)%branchR2(0:0))
    call avR2(6621, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(8404)%branchR2(0:0))
    call avR2(8404, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(3286)%branchR2(0:0))
    call avR2(3286, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22004])

    allocate(vertices(10015)%branchR2(0:0))
    call avR2(10015, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(7216)%branchR2(0:0))
    call avR2(7216, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(1525)%branchR2(0:0))
    call avR2(1525, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(193)%branchR2(0:1))
    call avR2(193, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22057, nGC_22055])

    call avR2(193, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22058, nGC_22056])

    allocate(vertices(10410)%branchR2(0:0))
    call avR2(10410, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22012])

    allocate(vertices(1917)%branchR2(0:0))
    call avR2(1917, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(5272)%branchR2(0:0))
    call avR2(5272, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22042])

    allocate(vertices(2670)%branchR2(0:0))
    call avR2(2670, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(7362)%branchR2(0:0))
    call avR2(7362, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22034, nGC_22035])

    allocate(vertices(1775)%branchR2(0:0))
    call avR2(1775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(7317)%branchR2(0:0))
    call avR2(7317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(8239)%branchR2(0:1))
    call avR2(8239, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22152, nGC_22154])

    call avR2(8239, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22153, nGC_22155])

    allocate(vertices(3724)%branchR2(0:0))
    call avR2(3724, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(6938)%branchR2(0:0))
    call avR2(6938, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(1851)%branchR2(0:0))
    call avR2(1851, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(6259)%branchR2(0:0))
    call avR2(6259, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22418])

    allocate(vertices(7914)%branchR2(0:0))
    call avR2(7914, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5081)%branchR2(0:0))
    call avR2(5081, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22017])

    allocate(vertices(8226)%branchR2(0:1))
    call avR2(8226, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22054, nGC_22052])

    call avR2(8226, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22077, nGC_22076])

    allocate(vertices(10481)%branchR2(0:0))
    call avR2(10481, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(7300)%branchR2(0:0))
    call avR2(7300, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(6271)%branchR2(0:0))
    call avR2(6271, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22081])

    allocate(vertices(6157)%branchR2(0:0))
    call avR2(6157, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22088])

    allocate(vertices(10607)%branchR2(0:1))
    call avR2(10607, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22421])

    call avR2(10607, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22422])

    allocate(vertices(6771)%branchR2(0:0))
    call avR2(6771, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(6857)%branchR2(0:1))
    call avR2(6857, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22059, nGC_22061])

    call avR2(6857, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22060, nGC_22062])

    allocate(vertices(5915)%branchR2(0:0))
    call avR2(5915, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(3037)%branchR2(0:1))
    call avR2(3037, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22213, nGC_22214])

    call avR2(3037, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22215, nGC_22215])

    allocate(vertices(8342)%branchR2(0:0))
    call avR2(8342, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4503)%branchR2(0:0))
    call avR2(4503, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22068])

    allocate(vertices(1901)%branchR2(0:0))
    call avR2(1901, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(5210)%branchR2(0:0))
    call avR2(5210, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(8167)%branchR2(0:0))
    call avR2(8167, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22253])

    allocate(vertices(9475)%branchR2(0:0))
    call avR2(9475, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(8669)%branchR2(0:0))
    call avR2(8669, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22157])

    allocate(vertices(2981)%branchR2(0:0))
    call avR2(2981, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22253])

    allocate(vertices(4190)%branchR2(0:1))
    call avR2(4190, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(4190, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22033, nGC_22032])

    allocate(vertices(10608)%branchR2(0:5))
    call avR2(10608, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10608, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_22481, nGC_22481,     &
    nGC_22481])

    call avR2(10608, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10608, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10608, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10608, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(10609)%branchR2(0:0))
    call avR2(10609, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22323])

    allocate(vertices(6832)%branchR2(0:0))
    call avR2(6832, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(4163)%branchR2(0:0))
    call avR2(4163, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(1945)%branchR2(0:0))
    call avR2(1945, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22241, nGC_22240])

    allocate(vertices(4581)%branchR2(0:0))
    call avR2(4581, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1767)%branchR2(0:0))
    call avR2(1767, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22140])

    allocate(vertices(1554)%branchR2(0:0))
    call avR2(1554, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(9953)%branchR2(0:0))
    call avR2(9953, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(9668)%branchR2(0:0))
    call avR2(9668, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(4840)%branchR2(0:0))
    call avR2(4840, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22039])

    allocate(vertices(5117)%branchR2(0:0))
    call avR2(5117, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(5865)%branchR2(0:0))
    call avR2(5865, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22065])

    allocate(vertices(9208)%branchR2(0:0))
    call avR2(9208, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(5418)%branchR2(0:0))
    call avR2(5418, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(1814)%branchR2(0:0))
    call avR2(1814, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(10610)%branchR2(0:0))
    call avR2(10610, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(8153)%branchR2(0:0))
    call avR2(8153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(8146)%branchR2(0:0))
    call avR2(8146, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(8095)%branchR2(0:0))
    call avR2(8095, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(1812)%branchR2(0:0))
    call avR2(1812, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22170, nGC_22169])

    allocate(vertices(4474)%branchR2(0:1))
    call avR2(4474, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22125, nGC_22127])

    call avR2(4474, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22126, nGC_22128])

    allocate(vertices(6918)%branchR2(0:1))
    call avR2(6918, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22137, nGC_22135])

    call avR2(6918, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22150, nGC_22149])

    allocate(vertices(5803)%branchR2(0:0))
    call avR2(5803, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(9730)%branchR2(0:0))
    call avR2(9730, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5695)%branchR2(0:0))
    call avR2(5695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(9027)%branchR2(0:0))
    call avR2(9027, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(4000)%branchR2(0:0))
    call avR2(4000, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(2824)%branchR2(0:0))
    call avR2(2824, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57840])

    allocate(vertices(1629)%branchR2(0:0))
    call avR2(1629, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(9870)%branchR2(0:0))
    call avR2(9870, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21960, nGC_21959])

    allocate(vertices(8414)%branchR2(0:0))
    call avR2(8414, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(6700)%branchR2(0:0))
    call avR2(6700, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(2520)%branchR2(0:0))
    call avR2(2520, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(174)%branchR2(0:0))
    call avR2(174, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22458])

    allocate(vertices(9587)%branchR2(0:0))
    call avR2(9587, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22084])

    allocate(vertices(1179)%branchR2(0:0))
    call avR2(1179, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

    allocate(vertices(9515)%branchR2(0:0))
    call avR2(9515, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22464])

    allocate(vertices(10014)%branchR2(0:0))
    call avR2(10014, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(9981)%branchR2(0:0))
    call avR2(9981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10611)%branchR2(0:0))
    call avR2(10611, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2722)%branchR2(0:0))
    call avR2(2722, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(9554)%branchR2(0:0))
    call avR2(9554, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22029])

    allocate(vertices(3352)%branchR2(0:0))
    call avR2(3352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(4373)%branchR2(0:0))
    call avR2(4373, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(1800)%branchR2(0:0))
    call avR2(1800, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4156)%branchR2(0:0))
    call avR2(4156, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(6109)%branchR2(0:0))
    call avR2(6109, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(7821)%branchR2(0:0))
    call avR2(7821, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(3024)%branchR2(0:0))
    call avR2(3024, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22064])

    allocate(vertices(374)%branchR2(0:0))
    call avR2(374, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22158])

    allocate(vertices(10387)%branchR2(0:0))
    call avR2(10387, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(204)%branchR2(0:0))
    call avR2(204, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(437)%branchR2(0:0))
    call avR2(437, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10228)%branchR2(0:0))
    call avR2(10228, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(9780)%branchR2(0:0))
    call avR2(9780, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(1888)%branchR2(0:0))
    call avR2(1888, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(1889)%branchR2(0:0))
    call avR2(1889, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(3168)%branchR2(0:0))
    call avR2(3168, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(10612)%branchR2(0:1))
    call avR2(10612, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22391])

    call avR2(10612, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(2124)%branchR2(0:0))
    call avR2(2124, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(9345)%branchR2(0:0))
    call avR2(9345, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(2164)%branchR2(0:1))
    call avR2(2164, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22051, nGC_22053])

    call avR2(2164, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22052, nGC_22054])

    allocate(vertices(5994)%branchR2(0:0))
    call avR2(5994, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(9987)%branchR2(0:0))
    call avR2(9987, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1948)%branchR2(0:0))
    call avR2(1948, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(1357)%branchR2(0:0))
    call avR2(1357, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(8151)%branchR2(0:0))
    call avR2(8151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(9041)%branchR2(0:0))
    call avR2(9041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22004])

    allocate(vertices(8869)%branchR2(0:0))
    call avR2(8869, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(10613)%branchR2(0:1))
    call avR2(10613, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10613, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(968)%branchR2(0:0))
    call avR2(968, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(506)%branchR2(0:0))
    call avR2(506, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(3775)%branchR2(0:0))
    call avR2(3775, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22073])

    allocate(vertices(7454)%branchR2(0:0))
    call avR2(7454, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22352,       &
    nGC_22353])

    allocate(vertices(7575)%branchR2(0:0))
    call avR2(7575, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(8711)%branchR2(0:1))
    call avR2(8711, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(8711, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22273, nGC_22272])

    allocate(vertices(4725)%branchR2(0:0))
    call avR2(4725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(6350)%branchR2(0:0))
    call avR2(6350, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22138])

    allocate(vertices(4971)%branchR2(0:0))
    call avR2(4971, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2413)%branchR2(0:0))
    call avR2(2413, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(2961)%branchR2(0:0))
    call avR2(2961, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(2795)%branchR2(0:1))
    call avR2(2795, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22189, nGC_22190])

    call avR2(2795, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22191, nGC_22191])

    allocate(vertices(6441)%branchR2(0:0))
    call avR2(6441, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(8899)%branchR2(0:0))
    call avR2(8899, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21944, nGC_21943])

    allocate(vertices(10614)%branchR2(0:0))
    call avR2(10614, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22322])

    allocate(vertices(3355)%branchR2(0:0))
    call avR2(3355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22463])

    allocate(vertices(3838)%branchR2(0:0))
    call avR2(3838, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(5113)%branchR2(0:1))
    call avR2(5113, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22022, nGC_22021])

    call avR2(5113, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(4037)%branchR2(0:0))
    call avR2(4037, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(7401)%branchR2(0:0))
    call avR2(7401, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(3350)%branchR2(0:0))
    call avR2(3350, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(10615)%branchR2(0:1))
    call avR2(10615, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22460])

    call avR2(10615, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22461])

    allocate(vertices(6888)%branchR2(0:0))
    call avR2(6888, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(297)%branchR2(0:0))
    call avR2(297, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(6802)%branchR2(0:0))
    call avR2(6802, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(2891)%branchR2(0:0))
    call avR2(2891, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22221])

    allocate(vertices(2244)%branchR2(0:1))
    call avR2(2244, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(2244, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22022, nGC_22021])

    allocate(vertices(10616)%branchR2(0:1))
    call avR2(10616, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22452])

    call avR2(10616, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22453])

    allocate(vertices(3294)%branchR2(0:1))
    call avR2(3294, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(3294, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(8626)%branchR2(0:0))
    call avR2(8626, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(6498)%branchR2(0:0))
    call avR2(6498, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22351,       &
    nGC_22352])

    allocate(vertices(10617)%branchR2(0:1))
    call avR2(10617, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22465])

    call avR2(10617, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22466])

    allocate(vertices(6961)%branchR2(0:0))
    call avR2(6961, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22104, nGC_22103])

    allocate(vertices(4705)%branchR2(0:0))
    call avR2(4705, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(10618)%branchR2(0:0))
    call avR2(10618, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2228)%branchR2(0:0))
    call avR2(2228, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(2629)%branchR2(0:1))
    call avR2(2629, 0, 31, 1, 0, FaVF0, 0, [2, 1], [nGC_22246])

    call avR2(2629, 1, 31, 1, 0, FaVF0, 0, [0, 3], [nGC_22247])

    allocate(vertices(3025)%branchR2(0:0))
    call avR2(3025, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4680)%branchR2(0:0))
    call avR2(4680, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(8082)%branchR2(0:0))
    call avR2(8082, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(1761)%branchR2(0:0))
    call avR2(1761, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4394)%branchR2(0:0))
    call avR2(4394, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(10128)%branchR2(0:0))
    call avR2(10128, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22464])

    allocate(vertices(1521)%branchR2(0:0))
    call avR2(1521, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(9516)%branchR2(0:0))
    call avR2(9516, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(4989)%branchR2(0:0))
    call avR2(4989, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(732)%branchR2(0:0))
    call avR2(732, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

    allocate(vertices(8737)%branchR2(0:0))
    call avR2(8737, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(250)%branchR2(0:1))
    call avR2(250, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22181, nGC_22183])

    call avR2(250, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22182, nGC_22184])

    allocate(vertices(4573)%branchR2(0:0))
    call avR2(4573, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(9445)%branchR2(0:0))
    call avR2(9445, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(7676)%branchR2(0:0))
    call avR2(7676, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(8815)%branchR2(0:0))
    call avR2(8815, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22188])

    allocate(vertices(6630)%branchR2(0:0))
    call avR2(6630, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(9611)%branchR2(0:0))
    call avR2(9611, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(1883)%branchR2(0:0))
    call avR2(1883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(5410)%branchR2(0:0))
    call avR2(5410, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(8849)%branchR2(0:0))
    call avR2(8849, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(9983)%branchR2(0:0))
    call avR2(9983, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(4637)%branchR2(0:0))
    call avR2(4637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(7743)%branchR2(0:0))
    call avR2(7743, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(9258)%branchR2(0:0))
    call avR2(9258, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(6328)%branchR2(0:0))
    call avR2(6328, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(8665)%branchR2(0:1))
    call avR2(8665, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22171, nGC_22173])

    call avR2(8665, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22172, nGC_22174])

    allocate(vertices(10619)%branchR2(0:0))
    call avR2(10619, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22476,      &
    nGC_22476])

    allocate(vertices(6175)%branchR2(0:0))
    call avR2(6175, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22241, nGC_22240])

    allocate(vertices(792)%branchR2(0:0))
    call avR2(792, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(4380)%branchR2(0:0))
    call avR2(4380, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(3628)%branchR2(0:1))
    call avR2(3628, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22037, nGC_22036])

    call avR2(3628, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(10620)%branchR2(0:1))
    call avR2(10620, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22391])

    call avR2(10620, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(7817)%branchR2(0:0))
    call avR2(7817, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(884)%branchR2(0:0))
    call avR2(884, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(3505)%branchR2(0:1))
    call avR2(3505, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22198, nGC_22198])

    call avR2(3505, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22196, nGC_22197])

    allocate(vertices(7834)%branchR2(0:0))
    call avR2(7834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(1300)%branchR2(0:0))
    call avR2(1300, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(2910)%branchR2(0:0))
    call avR2(2910, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22471, nGC_22470,       &
    nGC_22471])

    allocate(vertices(693)%branchR2(0:1))
    call avR2(693, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22033, nGC_22032])

    call avR2(693, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(1634)%branchR2(0:0))
    call avR2(1634, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(5692)%branchR2(0:0))
    call avR2(5692, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22352,       &
    nGC_22351])

    allocate(vertices(8155)%branchR2(0:0))
    call avR2(8155, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(4469)%branchR2(0:1))
    call avR2(4469, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22208, nGC_22209])

    call avR2(4469, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22210, nGC_22210])

    allocate(vertices(10458)%branchR2(0:0))
    call avR2(10458, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(7146)%branchR2(0:0))
    call avR2(7146, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(5270)%branchR2(0:1))
    call avR2(5270, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22225, nGC_22226])

    call avR2(5270, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22227, nGC_22227])

    allocate(vertices(5469)%branchR2(0:0))
    call avR2(5469, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(3318)%branchR2(0:0))
    call avR2(3318, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(10621)%branchR2(0:0))
    call avR2(10621, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(10622)%branchR2(0:1))
    call avR2(10622, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22465])

    call avR2(10622, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22466])

    allocate(vertices(9373)%branchR2(0:0))
    call avR2(9373, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22028])

    allocate(vertices(7904)%branchR2(0:0))
    call avR2(7904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(7221)%branchR2(0:0))
    call avR2(7221, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(2718)%branchR2(0:0))
    call avR2(2718, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59573])

    allocate(vertices(992)%branchR2(0:0))
    call avR2(992, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22139])

    allocate(vertices(2527)%branchR2(0:0))
    call avR2(2527, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(9921)%branchR2(0:0))
    call avR2(9921, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(1548)%branchR2(0:0))
    call avR2(1548, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(9697)%branchR2(0:0))
    call avR2(9697, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6481)%branchR2(0:0))
    call avR2(6481, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59580])

    allocate(vertices(7775)%branchR2(0:0))
    call avR2(7775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(6646)%branchR2(0:1))
    call avR2(6646, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22257, nGC_22255])

    call avR2(6646, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22258, nGC_22256])

    allocate(vertices(10623)%branchR2(0:1))
    call avR2(10623, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22431])

    call avR2(10623, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22432])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(8248)%branchR2(0:0))
    call avR2(8248, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22065])

    allocate(vertices(5616)%branchR2(0:0))
    call avR2(5616, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(6108)%branchR2(0:0))
    call avR2(6108, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(5564)%branchR2(0:0))
    call avR2(5564, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22138])

    allocate(vertices(10624)%branchR2(0:1))
    call avR2(10624, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22436])

    call avR2(10624, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22437])

    allocate(vertices(6839)%branchR2(0:1))
    call avR2(6839, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(6839, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(6956)%branchR2(0:0))
    call avR2(6956, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59600])

    allocate(vertices(9845)%branchR2(0:0))
    call avR2(9845, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(10625)%branchR2(0:0))
    call avR2(10625, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(889)%branchR2(0:0))
    call avR2(889, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22120])

    allocate(vertices(4466)%branchR2(0:0))
    call avR2(4466, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10055)%branchR2(0:0))
    call avR2(10055, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10626)%branchR2(0:1))
    call avR2(10626, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22436])

    call avR2(10626, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22437])

    allocate(vertices(10194)%branchR2(0:0))
    call avR2(10194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(2955)%branchR2(0:0))
    call avR2(2955, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(4076)%branchR2(0:0))
    call avR2(4076, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22353,       &
    nGC_22352])

    allocate(vertices(9417)%branchR2(0:0))
    call avR2(9417, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22012])

    allocate(vertices(10468)%branchR2(0:0))
    call avR2(10468, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(10157)%branchR2(0:0))
    call avR2(10157, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(9179)%branchR2(0:0))
    call avR2(9179, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1975)%branchR2(0:0))
    call avR2(1975, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57894])

    allocate(vertices(3360)%branchR2(0:0))
    call avR2(3360, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22470, nGC_22471,       &
    nGC_22471])

    allocate(vertices(82)%branchR2(0:0))
    call avR2(82, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(2886)%branchR2(0:0))
    call avR2(2886, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22188])

    allocate(vertices(383)%branchR2(0:0))
    call avR2(383, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(10627)%branchR2(0:0))
    call avR2(10627, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22323])

    allocate(vertices(2936)%branchR2(0:0))
    call avR2(2936, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(311)%branchR2(0:0))
    call avR2(311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(4237)%branchR2(0:0))
    call avR2(4237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(7511)%branchR2(0:0))
    call avR2(7511, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(421)%branchR2(0:0))
    call avR2(421, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10628)%branchR2(0:1))
    call avR2(10628, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22391])

    call avR2(10628, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(131)%branchR2(0:0))
    call avR2(131, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2618)%branchR2(0:0))
    call avR2(2618, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22248])

    allocate(vertices(6410)%branchR2(0:0))
    call avR2(6410, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3231)%branchR2(0:1))
    call avR2(3231, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22198, nGC_22198])

    call avR2(3231, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22196, nGC_22197])

    allocate(vertices(2473)%branchR2(0:0))
    call avR2(2473, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(8668)%branchR2(0:0))
    call avR2(8668, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(3854)%branchR2(0:0))
    call avR2(3854, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(2238)%branchR2(0:0))
    call avR2(2238, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22120])

    allocate(vertices(9735)%branchR2(0:0))
    call avR2(9735, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(8012)%branchR2(0:0))
    call avR2(8012, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22023, nGC_22024])

    allocate(vertices(7327)%branchR2(0:0))
    call avR2(7327, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(8709)%branchR2(0:0))
    call avR2(8709, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(4487)%branchR2(0:0))
    call avR2(4487, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(9242)%branchR2(0:0))
    call avR2(9242, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6589)%branchR2(0:0))
    call avR2(6589, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(10017)%branchR2(0:0))
    call avR2(10017, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(4790)%branchR2(0:0))
    call avR2(4790, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(4381)%branchR2(0:3))
    call avR2(4381, 0, 28, 1, 0, FaFV0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(4381, 1, 28, 1, 0, FaFV0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(4381, 2, 29, 1, 0, FaFV0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(4381, 3, 29, 1, 0, FaFV0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(10629)%branchR2(0:1))
    call avR2(10629, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_22334, nGC_22334,     &
    nGC_22334])

    call avR2(10629, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_22335, nGC_22335,     &
    nGC_22335])

    allocate(vertices(9898)%branchR2(0:0))
    call avR2(9898, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(10630)%branchR2(0:1))
    call avR2(10630, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22391])

    call avR2(10630, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(6396)%branchR2(0:0))
    call avR2(6396, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(3314)%branchR2(0:0))
    call avR2(3314, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4904)%branchR2(0:1))
    call avR2(4904, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22246])

    call avR2(4904, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22247])

    allocate(vertices(9791)%branchR2(0:0))
    call avR2(9791, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(10184)%branchR2(0:0))
    call avR2(10184, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22027])

    allocate(vertices(5363)%branchR2(0:0))
    call avR2(5363, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(9580)%branchR2(0:0))
    call avR2(9580, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21944, nGC_21943])

    allocate(vertices(1463)%branchR2(0:0))
    call avR2(1463, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22248])

    allocate(vertices(3331)%branchR2(0:0))
    call avR2(3331, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57943])

    allocate(vertices(9019)%branchR2(0:0))
    call avR2(9019, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21968, nGC_21967,        &
    nGC_21969])

    allocate(vertices(6613)%branchR2(0:1))
    call avR2(6613, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(6613, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22037, nGC_22036])

    allocate(vertices(2146)%branchR2(0:0))
    call avR2(2146, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22458])

    allocate(vertices(483)%branchR2(0:1))
    call avR2(483, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22105, nGC_22107])

    call avR2(483, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22106, nGC_22108])

    allocate(vertices(1655)%branchR2(0:0))
    call avR2(1655, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(9786)%branchR2(0:0))
    call avR2(9786, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(9882)%branchR2(0:0))
    call avR2(9882, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21984, nGC_21985,       &
    nGC_21999, nGC_21999])

    allocate(vertices(7248)%branchR2(0:0))
    call avR2(7248, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10186)%branchR2(0:0))
    call avR2(10186, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(1472)%branchR2(0:0))
    call avR2(1472, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4022)%branchR2(0:0))
    call avR2(4022, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(6985)%branchR2(0:0))
    call avR2(6985, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(3268)%branchR2(0:0))
    call avR2(3268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(3614)%branchR2(0:1))
    call avR2(3614, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22161, nGC_22163])

    call avR2(3614, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22162, nGC_22164])

    allocate(vertices(3782)%branchR2(0:0))
    call avR2(3782, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22267])

    allocate(vertices(3620)%branchR2(0:0))
    call avR2(3620, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22320,       &
    nGC_22319])

    allocate(vertices(1737)%branchR2(0:0))
    call avR2(1737, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(492)%branchR2(0:0))
    call avR2(492, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4854)%branchR2(0:0))
    call avR2(4854, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10631)%branchR2(0:1))
    call avR2(10631, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22431])

    call avR2(10631, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22432])

    allocate(vertices(9937)%branchR2(0:0))
    call avR2(9937, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(3703)%branchR2(0:0))
    call avR2(3703, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(10632)%branchR2(0:0))
    call avR2(10632, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(10272)%branchR2(0:0))
    call avR2(10272, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8692)%branchR2(0:0))
    call avR2(8692, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(4925)%branchR2(0:0))
    call avR2(4925, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22249])

    allocate(vertices(10445)%branchR2(0:0))
    call avR2(10445, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(2487)%branchR2(0:0))
    call avR2(2487, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22311])

    allocate(vertices(6)%branchR2(0:1))
    call avR2(6, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(6, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22264, nGC_22263])

    allocate(vertices(4494)%branchR2(0:0))
    call avR2(4494, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(7605)%branchR2(0:0))
    call avR2(7605, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22241, nGC_22240])

    allocate(vertices(4205)%branchR2(0:0))
    call avR2(4205, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10041)%branchR2(0:0))
    call avR2(10041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(1240)%branchR2(0:3))
    call avR2(1240, 0, 28, 1, 0, FaFV0, 0, [1, 2], [nGC_22303, nGC_22302])

    call avR2(1240, 1, 28, 1, 0, FaFV0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(1240, 2, 29, 1, 0, FaFV0, 0, [1, 2], [nGC_22301, nGC_22300])

    call avR2(1240, 3, 29, 1, 0, FaFV0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(6119)%branchR2(0:0))
    call avR2(6119, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22231, nGC_22230])

    allocate(vertices(1764)%branchR2(0:0))
    call avR2(1764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(6459)%branchR2(0:0))
    call avR2(6459, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22377])

    allocate(vertices(9065)%branchR2(0:0))
    call avR2(9065, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(1542)%branchR2(0:0))
    call avR2(1542, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(9481)%branchR2(0:0))
    call avR2(9481, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8968)%branchR2(0:0))
    call avR2(8968, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22426])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22352,       &
    nGC_22351])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59747])

    allocate(vertices(6411)%branchR2(0:0))
    call avR2(6411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(4938)%branchR2(0:1))
    call avR2(4938, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22125, nGC_22127])

    call avR2(4938, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22126, nGC_22128])

    allocate(vertices(3306)%branchR2(0:0))
    call avR2(3306, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(10633)%branchR2(0:1))
    call avR2(10633, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10633, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(5049)%branchR2(0:1))
    call avR2(5049, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22245])

    call avR2(5049, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22246])

    allocate(vertices(6751)%branchR2(0:0))
    call avR2(6751, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(2258)%branchR2(0:1))
    call avR2(2258, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(2258, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22285, nGC_22284])

    allocate(vertices(5554)%branchR2(0:0))
    call avR2(5554, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(9350)%branchR2(0:0))
    call avR2(9350, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(1360)%branchR2(0:0))
    call avR2(1360, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(6837)%branchR2(0:0))
    call avR2(6837, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(3079)%branchR2(0:0))
    call avR2(3079, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(7073)%branchR2(0:0))
    call avR2(7073, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(2469)%branchR2(0:0))
    call avR2(2469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10103)%branchR2(0:0))
    call avR2(10103, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(888)%branchR2(0:0))
    call avR2(888, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(9550)%branchR2(0:0))
    call avR2(9550, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22083])

    allocate(vertices(10634)%branchR2(0:1))
    call avR2(10634, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22391])

    call avR2(10634, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(3804)%branchR2(0:0))
    call avR2(3804, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58548])

    allocate(vertices(9670)%branchR2(0:0))
    call avR2(9670, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59778])

    allocate(vertices(3139)%branchR2(0:0))
    call avR2(3139, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(7923)%branchR2(0:0))
    call avR2(7923, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22140])

    allocate(vertices(10635)%branchR2(0:1))
    call avR2(10635, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22460])

    call avR2(10635, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22461])

    allocate(vertices(9413)%branchR2(0:0))
    call avR2(9413, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59784])

    allocate(vertices(2705)%branchR2(0:0))
    call avR2(2705, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(2053)%branchR2(0:0))
    call avR2(2053, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22005])

    allocate(vertices(8277)%branchR2(0:0))
    call avR2(8277, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(3942)%branchR2(0:1))
    call avR2(3942, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22152, nGC_22154])

    call avR2(3942, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22153, nGC_22155])

    allocate(vertices(7570)%branchR2(0:0))
    call avR2(7570, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5319)%branchR2(0:0))
    call avR2(5319, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_59005])

    allocate(vertices(8713)%branchR2(0:1))
    call avR2(8713, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22115, nGC_22117])

    call avR2(8713, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22116, nGC_22118])

    allocate(vertices(10636)%branchR2(0:1))
    call avR2(10636, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22375])

    call avR2(10636, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22376])

    allocate(vertices(10637)%branchR2(0:0))
    call avR2(10637, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22361,      &
    nGC_22361])

    allocate(vertices(1658)%branchR2(0:0))
    call avR2(1658, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(1792)%branchR2(0:0))
    call avR2(1792, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(2423)%branchR2(0:0))
    call avR2(2423, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(6137)%branchR2(0:1))
    call avR2(6137, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22181, nGC_22183])

    call avR2(6137, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22182, nGC_22184])

    allocate(vertices(10638)%branchR2(0:0))
    call avR2(10638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(3726)%branchR2(0:0))
    call avR2(3726, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22192])

    allocate(vertices(1986)%branchR2(0:0))
    call avR2(1986, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(2942)%branchR2(0:0))
    call avR2(2942, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(6142)%branchR2(0:0))
    call avR2(6142, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(5982)%branchR2(0:0))
    call avR2(5982, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(633)%branchR2(0:1))
    call avR2(633, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22224, nGC_22224])

    call avR2(633, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22222, nGC_22223])

    allocate(vertices(720)%branchR2(0:0))
    call avR2(720, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(2941)%branchR2(0:0))
    call avR2(2941, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(6715)%branchR2(0:0))
    call avR2(6715, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22250])

    allocate(vertices(3133)%branchR2(0:0))
    call avR2(3133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1769)%branchR2(0:0))
    call avR2(1769, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(9604)%branchR2(0:0))
    call avR2(9604, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(4948)%branchR2(0:1))
    call avR2(4948, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22210, nGC_22210])

    call avR2(4948, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22208, nGC_22209])

    allocate(vertices(1452)%branchR2(0:0))
    call avR2(1452, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(1651)%branchR2(0:0))
    call avR2(1651, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(4823)%branchR2(0:0))
    call avR2(4823, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(10193)%branchR2(0:0))
    call avR2(10193, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_21994])

    allocate(vertices(479)%branchR2(0:0))
    call avR2(479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(9961)%branchR2(0:0))
    call avR2(9961, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(1578)%branchR2(0:0))
    call avR2(1578, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(7907)%branchR2(0:0))
    call avR2(7907, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(2868)%branchR2(0:0))
    call avR2(2868, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(1356)%branchR2(0:0))
    call avR2(1356, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22143])

    allocate(vertices(4871)%branchR2(0:0))
    call avR2(4871, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7486)%branchR2(0:0))
    call avR2(7486, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22072])

    allocate(vertices(10639)%branchR2(0:0))
    call avR2(10639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(6455)%branchR2(0:0))
    call avR2(6455, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(7723)%branchR2(0:0))
    call avR2(7723, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22151])

    allocate(vertices(6893)%branchR2(0:0))
    call avR2(6893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(8374)%branchR2(0:0))
    call avR2(8374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22418])

    allocate(vertices(10640)%branchR2(0:0))
    call avR2(10640, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22322])

    allocate(vertices(7713)%branchR2(0:0))
    call avR2(7713, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22267])

    allocate(vertices(1495)%branchR2(0:0))
    call avR2(1495, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(5451)%branchR2(0:0))
    call avR2(5451, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(3471)%branchR2(0:0))
    call avR2(3471, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22039])

    allocate(vertices(1447)%branchR2(0:0))
    call avR2(1447, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(9125)%branchR2(0:1))
    call avR2(9125, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21981, nGC_21980,       &
    nGC_21997, nGC_21997])

    call avR2(9125, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_21998, nGC_21998])

    allocate(vertices(2217)%branchR2(0:0))
    call avR2(2217, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22353,       &
    nGC_22351])

    allocate(vertices(7706)%branchR2(0:0))
    call avR2(7706, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(5837)%branchR2(0:0))
    call avR2(5837, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3668)%branchR2(0:0))
    call avR2(3668, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22253])

    allocate(vertices(36)%branchR2(0:0))
    call avR2(36, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22312])

    allocate(vertices(4361)%branchR2(0:0))
    call avR2(4361, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5405)%branchR2(0:0))
    call avR2(5405, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(2326)%branchR2(0:1))
    call avR2(2326, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22181, nGC_22183])

    call avR2(2326, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22182, nGC_22184])

    allocate(vertices(7963)%branchR2(0:1))
    call avR2(7963, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(7963, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22031, nGC_22030])

    allocate(vertices(194)%branchR2(0:0))
    call avR2(194, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10641)%branchR2(0:5))
    call avR2(10641, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10641, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10641, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10641, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_22371, nGC_22371,     &
    nGC_22371])

    call avR2(10641, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10641, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    allocate(vertices(9790)%branchR2(0:0))
    call avR2(9790, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(4426)%branchR2(0:0))
    call avR2(4426, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22139])

    allocate(vertices(1504)%branchR2(0:1))
    call avR2(1504, 0, 30, 1, 0, FVFa1, 0, [0, 3], [nGC_22245])

    call avR2(1504, 1, 30, 1, 0, FVFa1, 0, [2, 1], [nGC_22246])

    allocate(vertices(1404)%branchR2(0:0))
    call avR2(1404, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22450])

    allocate(vertices(9892)%branchR2(0:0))
    call avR2(9892, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(4843)%branchR2(0:0))
    call avR2(4843, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(930)%branchR2(0:0))
    call avR2(930, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(7084)%branchR2(0:0))
    call avR2(7084, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7666)%branchR2(0:0))
    call avR2(7666, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(9945)%branchR2(0:0))
    call avR2(9945, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22464])

    allocate(vertices(5959)%branchR2(0:0))
    call avR2(5959, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22063])

    allocate(vertices(10297)%branchR2(0:0))
    call avR2(10297, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(936)%branchR2(0:1))
    call avR2(936, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22245])

    call avR2(936, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22246])

    allocate(vertices(1431)%branchR2(0:0))
    call avR2(1431, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(8300)%branchR2(0:0))
    call avR2(8300, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22353, nGC_22351,       &
    nGC_22352])

    allocate(vertices(8659)%branchR2(0:0))
    call avR2(8659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(1739)%branchR2(0:1))
    call avR2(1739, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(1739, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22273, nGC_22272])

    allocate(vertices(10642)%branchR2(0:1))
    call avR2(10642, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22465])

    call avR2(10642, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22466])

    allocate(vertices(10643)%branchR2(0:1))
    call avR2(10643, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10643, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(7285)%branchR2(0:0))
    call avR2(7285, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(1031)%branchR2(0:0))
    call avR2(1031, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(4100)%branchR2(0:0))
    call avR2(4100, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(1029)%branchR2(0:0))
    call avR2(1029, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(4917)%branchR2(0:0))
    call avR2(4917, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(9261)%branchR2(0:0))
    call avR2(9261, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6110)%branchR2(0:0))
    call avR2(6110, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22352, nGC_22351,       &
    nGC_22353])

    allocate(vertices(2667)%branchR2(0:0))
    call avR2(2667, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(6971)%branchR2(0:0))
    call avR2(6971, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(4712)%branchR2(0:0))
    call avR2(4712, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(6490)%branchR2(0:1))
    call avR2(6490, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(6490, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(4711)%branchR2(0:0))
    call avR2(4711, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(8948)%branchR2(0:0))
    call avR2(8948, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22426])

    allocate(vertices(4078)%branchR2(0:0))
    call avR2(4078, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22474, nGC_22475,       &
    nGC_22475])

    allocate(vertices(10473)%branchR2(0:0))
    call avR2(10473, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(7279)%branchR2(0:0))
    call avR2(7279, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22221])

    allocate(vertices(2504)%branchR2(0:0))
    call avR2(2504, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(10361)%branchR2(0:0))
    call avR2(10361, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22046])

    allocate(vertices(9016)%branchR2(0:0))
    call avR2(9016, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(9111)%branchR2(0:0))
    call avR2(9111, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(3093)%branchR2(0:0))
    call avR2(3093, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(2254)%branchR2(0:1))
    call avR2(2254, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22246])

    call avR2(2254, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22251])

    allocate(vertices(2165)%branchR2(0:0))
    call avR2(2165, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(6102)%branchR2(0:0))
    call avR2(6102, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22034, nGC_22035])

    allocate(vertices(3563)%branchR2(0:0))
    call avR2(3563, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(10644)%branchR2(0:0))
    call avR2(10644, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(118)%branchR2(0:0))
    call avR2(118, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22231, nGC_22230])

    allocate(vertices(388)%branchR2(0:0))
    call avR2(388, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(3371)%branchR2(0:1))
    call avR2(3371, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22134, nGC_22136])

    call avR2(3371, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22135, nGC_22137])

    allocate(vertices(10645)%branchR2(0:0))
    call avR2(10645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(4427)%branchR2(0:0))
    call avR2(4427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(8547)%branchR2(0:0))
    call avR2(8547, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22039])

    allocate(vertices(2225)%branchR2(0:0))
    call avR2(2225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(7355)%branchR2(0:0))
    call avR2(7355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

    allocate(vertices(8415)%branchR2(0:1))
    call avR2(8415, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22246])

    call avR2(8415, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22251])

    allocate(vertices(6890)%branchR2(0:0))
    call avR2(6890, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10646)%branchR2(0:1))
    call avR2(10646, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22431])

    call avR2(10646, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22432])

    allocate(vertices(5857)%branchR2(0:0))
    call avR2(5857, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(5318)%branchR2(0:0))
    call avR2(5318, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10647)%branchR2(0:0))
    call avR2(10647, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22322])

    allocate(vertices(5741)%branchR2(0:0))
    call avR2(5741, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(5839)%branchR2(0:0))
    call avR2(5839, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(9163)%branchR2(0:0))
    call avR2(9163, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(7144)%branchR2(0:0))
    call avR2(7144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(6243)%branchR2(0:0))
    call avR2(6243, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(10357)%branchR2(0:0))
    call avR2(10357, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(4329)%branchR2(0:0))
    call avR2(4329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7859)%branchR2(0:0))
    call avR2(7859, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22311])

    allocate(vertices(3890)%branchR2(0:0))
    call avR2(3890, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22450])

    allocate(vertices(8896)%branchR2(0:0))
    call avR2(8896, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(9136)%branchR2(0:0))
    call avR2(9136, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21968, nGC_21967,        &
    nGC_21969])

    allocate(vertices(398)%branchR2(0:0))
    call avR2(398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(5367)%branchR2(0:0))
    call avR2(5367, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(5733)%branchR2(0:1))
    call avR2(5733, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22054, nGC_22052])

    call avR2(5733, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22077, nGC_22076])

    allocate(vertices(10648)%branchR2(0:0))
    call avR2(10648, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22313])

    allocate(vertices(9783)%branchR2(0:0))
    call avR2(9783, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(3814)%branchR2(0:0))
    call avR2(3814, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22064])

    allocate(vertices(5524)%branchR2(0:0))
    call avR2(5524, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(4366)%branchR2(0:0))
    call avR2(4366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9437)%branchR2(0:0))
    call avR2(9437, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(2769)%branchR2(0:1))
    call avR2(2769, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22062, nGC_22060])

    call avR2(2769, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(5177)%branchR2(0:0))
    call avR2(5177, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(2560)%branchR2(0:0))
    call avR2(2560, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(7571)%branchR2(0:0))
    call avR2(7571, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6851)%branchR2(0:1))
    call avR2(6851, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22246])

    call avR2(6851, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22251])

    allocate(vertices(3134)%branchR2(0:0))
    call avR2(3134, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(8957)%branchR2(0:1))
    call avR2(8957, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21981, nGC_21980,       &
    nGC_21978, nGC_21978])

    call avR2(8957, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_21979, nGC_21979])

    allocate(vertices(2854)%branchR2(0:0))
    call avR2(2854, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22356])

    allocate(vertices(10649)%branchR2(0:0))
    call avR2(10649, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(5040)%branchR2(0:0))
    call avR2(5040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(3615)%branchR2(0:0))
    call avR2(3615, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(1047)%branchR2(0:1))
    call avR2(1047, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22227, nGC_22227])

    call avR2(1047, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22225, nGC_22226])

    allocate(vertices(10650)%branchR2(0:0))
    call avR2(10650, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22328, nGC_22329,      &
    nGC_22329])

    allocate(vertices(1317)%branchR2(0:0))
    call avR2(1317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10651)%branchR2(0:0))
    call avR2(10651, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(1292)%branchR2(0:1))
    call avR2(1292, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(1292, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22019, nGC_22018])

    allocate(vertices(5206)%branchR2(0:0))
    call avR2(5206, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22140])

    allocate(vertices(3744)%branchR2(0:1))
    call avR2(3744, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22037, nGC_22036])

    call avR2(3744, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(7266)%branchR2(0:0))
    call avR2(7266, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22102, nGC_22101])

    allocate(vertices(2093)%branchR2(0:0))
    call avR2(2093, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(7074)%branchR2(0:0))
    call avR2(7074, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(5500)%branchR2(0:3))
    call avR2(5500, 0, 24, 1, 0, FVFa0, 0, [1, 2], [nGC_22303, nGC_22302])

    call avR2(5500, 1, 24, 1, 0, FVFa0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(5500, 2, 25, 1, 0, FVFa0, 0, [1, 2], [nGC_22301, nGC_22300])

    call avR2(5500, 3, 25, 1, 0, FVFa0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(2568)%branchR2(0:0))
    call avR2(2568, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22138])

    allocate(vertices(6693)%branchR2(0:0))
    call avR2(6693, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22034, nGC_22035])

    allocate(vertices(9003)%branchR2(0:0))
    call avR2(9003, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1417)%branchR2(0:0))
    call avR2(1417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(2139)%branchR2(0:0))
    call avR2(2139, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9889)%branchR2(0:0))
    call avR2(9889, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(6359)%branchR2(0:0))
    call avR2(6359, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(213)%branchR2(0:1))
    call avR2(213, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22016, nGC_22016])

    call avR2(213, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22031, nGC_22030])

    allocate(vertices(6810)%branchR2(0:0))
    call avR2(6810, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(3082)%branchR2(0:0))
    call avR2(3082, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4096)%branchR2(0:1))
    call avR2(4096, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22033, nGC_22032])

    call avR2(4096, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(10652)%branchR2(0:1))
    call avR2(10652, 0, 33, 1, 0, SVV0, 0, [2, 1], [nGC_22232])

    call avR2(10652, 1, 34, 1, 0, SVV0, 0, [2, 1], [nGC_22233])

    allocate(vertices(10653)%branchR2(0:0))
    call avR2(10653, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22313])

    allocate(vertices(2049)%branchR2(0:1))
    call avR2(2049, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22019, nGC_22018])

    call avR2(2049, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22020, nGC_22020])

    allocate(vertices(1711)%branchR2(0:0))
    call avR2(1711, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10022)%branchR2(0:0))
    call avR2(10022, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2475)%branchR2(0:0))
    call avR2(2475, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(7566)%branchR2(0:1))
    call avR2(7566, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22056, nGC_22058])

    call avR2(7566, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22074, nGC_22075])

    allocate(vertices(10654)%branchR2(0:0))
    call avR2(10654, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(5612)%branchR2(0:0))
    call avR2(5612, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22010])

    allocate(vertices(8331)%branchR2(0:0))
    call avR2(8331, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(9876)%branchR2(0:0))
    call avR2(9876, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22027])

    allocate(vertices(7596)%branchR2(0:0))
    call avR2(7596, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(1299)%branchR2(0:0))
    call avR2(1299, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(1354)%branchR2(0:0))
    call avR2(1354, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(3787)%branchR2(0:1))
    call avR2(3787, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22062, nGC_22060])

    call avR2(3787, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(1894)%branchR2(0:0))
    call avR2(1894, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(3701)%branchR2(0:0))
    call avR2(3701, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(1398)%branchR2(0:1))
    call avR2(1398, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(1398, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(9653)%branchR2(0:0))
    call avR2(9653, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(1879)%branchR2(0:0))
    call avR2(1879, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(3432)%branchR2(0:0))
    call avR2(3432, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22050])

    allocate(vertices(6954)%branchR2(0:0))
    call avR2(6954, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(7810)%branchR2(0:0))
    call avR2(7810, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(7782)%branchR2(0:1))
    call avR2(7782, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22242, nGC_22243])

    call avR2(7782, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22244, nGC_22244])

    allocate(vertices(9833)%branchR2(0:0))
    call avR2(9833, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(6439)%branchR2(0:0))
    call avR2(6439, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(8063)%branchR2(0:0))
    call avR2(8063, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(1323)%branchR2(0:0))
    call avR2(1323, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(1371)%branchR2(0:1))
    call avR2(1371, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(1371, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22285, nGC_22284])

    allocate(vertices(9700)%branchR2(0:0))
    call avR2(9700, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(6199)%branchR2(0:0))
    call avR2(6199, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22377])

    allocate(vertices(1310)%branchR2(0:0))
    call avR2(1310, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(1733)%branchR2(0:0))
    call avR2(1733, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(4532)%branchR2(0:0))
    call avR2(4532, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(2889)%branchR2(0:1))
    call avR2(2889, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22062, nGC_22060])

    call avR2(2889, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(6089)%branchR2(0:0))
    call avR2(6089, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(7489)%branchR2(0:0))
    call avR2(7489, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(5132)%branchR2(0:0))
    call avR2(5132, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22119])

    allocate(vertices(6792)%branchR2(0:0))
    call avR2(6792, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(3651)%branchR2(0:0))
    call avR2(3651, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22063])

    allocate(vertices(4349)%branchR2(0:1))
    call avR2(4349, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22193, nGC_22194])

    call avR2(4349, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22195, nGC_22195])

    allocate(vertices(9026)%branchR2(0:0))
    call avR2(9026, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22028])

    allocate(vertices(2418)%branchR2(0:1))
    call avR2(2418, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22191, nGC_22191])

    call avR2(2418, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22189, nGC_22190])

    allocate(vertices(3933)%branchR2(0:0))
    call avR2(3933, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22276, nGC_22277])

    allocate(vertices(8501)%branchR2(0:1))
    call avR2(8501, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22193, nGC_22194])

    call avR2(8501, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22195, nGC_22195])

    allocate(vertices(10363)%branchR2(0:0))
    call avR2(10363, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(3889)%branchR2(0:0))
    call avR2(3889, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(4016)%branchR2(0:0))
    call avR2(4016, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(5057)%branchR2(0:1))
    call avR2(5057, 0, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22207, nGC_22207])

    call avR2(5057, 1, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22205, nGC_22206])

    allocate(vertices(10312)%branchR2(0:0))
    call avR2(10312, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6957)%branchR2(0:0))
    call avR2(6957, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22139])

    allocate(vertices(3886)%branchR2(0:0))
    call avR2(3886, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(6959)%branchR2(0:0))
    call avR2(6959, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22006])

    allocate(vertices(4639)%branchR2(0:0))
    call avR2(4639, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22311])

    allocate(vertices(4863)%branchR2(0:1))
    call avR2(4863, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22131, nGC_22133])

    call avR2(4863, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22147, nGC_22148])

    allocate(vertices(6829)%branchR2(0:0))
    call avR2(6829, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(3232)%branchR2(0:0))
    call avR2(3232, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(9394)%branchR2(0:0))
    call avR2(9394, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(10205)%branchR2(0:0))
    call avR2(10205, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2988)%branchR2(0:0))
    call avR2(2988, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22087])

    allocate(vertices(8884)%branchR2(0:0))
    call avR2(8884, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(8237)%branchR2(0:0))
    call avR2(8237, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(4984)%branchR2(0:0))
    call avR2(4984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(10655)%branchR2(0:1))
    call avR2(10655, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_22477, nGC_22477,     &
    nGC_22477])

    call avR2(10655, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_22478, nGC_22478,     &
    nGC_22478])

    allocate(vertices(6757)%branchR2(0:0))
    call avR2(6757, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

    allocate(vertices(8366)%branchR2(0:0))
    call avR2(8366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4297)%branchR2(0:0))
    call avR2(4297, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(148)%branchR2(0:1))
    call avR2(148, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22181, nGC_22183])

    call avR2(148, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22182, nGC_22184])

    allocate(vertices(1783)%branchR2(0:0))
    call avR2(1783, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(10656)%branchR2(0:1))
    call avR2(10656, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22391])

    call avR2(10656, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(3276)%branchR2(0:0))
    call avR2(3276, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(4728)%branchR2(0:0))
    call avR2(4728, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(8296)%branchR2(0:0))
    call avR2(8296, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(7184)%branchR2(0:0))
    call avR2(7184, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22200, nGC_22199])

    allocate(vertices(4482)%branchR2(0:0))
    call avR2(4482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(5414)%branchR2(0:0))
    call avR2(5414, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(10657)%branchR2(0:0))
    call avR2(10657, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22008])

    allocate(vertices(709)%branchR2(0:1))
    call avR2(709, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(709, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(10658)%branchR2(0:0))
    call avR2(10658, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22313])

    allocate(vertices(1614)%branchR2(0:0))
    call avR2(1614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(5899)%branchR2(0:0))
    call avR2(5899, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22265, nGC_22266])

    allocate(vertices(9507)%branchR2(0:0))
    call avR2(9507, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(4399)%branchR2(0:0))
    call avR2(4399, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(29)%branchR2(0:0))
    call avR2(29, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(2181)%branchR2(0:0))
    call avR2(2181, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22123])

    allocate(vertices(4944)%branchR2(0:0))
    call avR2(4944, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(9686)%branchR2(0:0))
    call avR2(9686, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21948, nGC_21947])

    allocate(vertices(5600)%branchR2(0:0))
    call avR2(5600, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8621)%branchR2(0:0))
    call avR2(8621, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22356])

    allocate(vertices(1183)%branchR2(0:0))
    call avR2(1183, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(2799)%branchR2(0:0))
    call avR2(2799, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59573])

    allocate(vertices(4774)%branchR2(0:0))
    call avR2(4774, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(9883)%branchR2(0:0))
    call avR2(9883, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(914)%branchR2(0:0))
    call avR2(914, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22160, nGC_22159])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22139])

    allocate(vertices(3229)%branchR2(0:0))
    call avR2(3229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22382])

    allocate(vertices(8577)%branchR2(0:0))
    call avR2(8577, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5098)%branchR2(0:0))
    call avR2(5098, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22253])

    allocate(vertices(8503)%branchR2(0:0))
    call avR2(8503, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(10036)%branchR2(0:0))
    call avR2(10036, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(10659)%branchR2(0:0))
    call avR2(10659, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22322])

    allocate(vertices(4634)%branchR2(0:0))
    call avR2(4634, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(7189)%branchR2(0:0))
    call avR2(7189, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59600])

    allocate(vertices(6185)%branchR2(0:0))
    call avR2(6185, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(5011)%branchR2(0:0))
    call avR2(5011, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22271])

    allocate(vertices(3538)%branchR2(0:0))
    call avR2(3538, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(2046)%branchR2(0:0))
    call avR2(2046, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22217])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(8933)%branchR2(0:0))
    call avR2(8933, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21984, nGC_21985,       &
    nGC_21986, nGC_21986])

    allocate(vertices(2621)%branchR2(0:0))
    call avR2(2621, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(9710)%branchR2(0:0))
    call avR2(9710, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59778])

    allocate(vertices(5034)%branchR2(0:0))
    call avR2(5034, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(5237)%branchR2(0:0))
    call avR2(5237, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22138])

    allocate(vertices(8516)%branchR2(0:0))
    call avR2(8516, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(6156)%branchR2(0:0))
    call avR2(6156, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(857)%branchR2(0:0))
    call avR2(857, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22469])

    allocate(vertices(10660)%branchR2(0:0))
    call avR2(10660, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22318, nGC_22318,      &
    nGC_22318])

    allocate(vertices(9549)%branchR2(0:0))
    call avR2(9549, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(4395)%branchR2(0:0))
    call avR2(4395, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(4274)%branchR2(0:0))
    call avR2(4274, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(439)%branchR2(0:0))
    call avR2(439, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58184])

    allocate(vertices(2733)%branchR2(0:0))
    call avR2(2733, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22311])

    allocate(vertices(3077)%branchR2(0:0))
    call avR2(3077, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(9585)%branchR2(0:0))
    call avR2(9585, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22028])

    allocate(vertices(6488)%branchR2(0:0))
    call avR2(6488, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(2983)%branchR2(0:0))
    call avR2(2983, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22156])

    allocate(vertices(8379)%branchR2(0:0))
    call avR2(8379, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(9391)%branchR2(0:0))
    call avR2(9391, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22464])

    allocate(vertices(3948)%branchR2(0:0))
    call avR2(3948, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22120])

    allocate(vertices(6419)%branchR2(0:0))
    call avR2(6419, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22170, nGC_22169])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22265, nGC_22266])

    allocate(vertices(6786)%branchR2(0:0))
    call avR2(6786, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22405])

    allocate(vertices(3756)%branchR2(0:0))
    call avR2(3756, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(2068)%branchR2(0:0))
    call avR2(2068, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(9620)%branchR2(0:0))
    call avR2(9620, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22070])

    allocate(vertices(2180)%branchR2(0:0))
    call avR2(2180, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(6362)%branchR2(0:0))
    call avR2(6362, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22373])

    allocate(vertices(1004)%branchR2(0:0))
    call avR2(1004, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(3086)%branchR2(0:0))
    call avR2(3086, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10661)%branchR2(0:1))
    call avR2(10661, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_22334, nGC_22334,     &
    nGC_22334])

    call avR2(10661, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_22335, nGC_22335,     &
    nGC_22335])

    allocate(vertices(10278)%branchR2(0:0))
    call avR2(10278, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(6288)%branchR2(0:3))
    call avR2(6288, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_22289, nGC_22288])

    call avR2(6288, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(6288, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_22287, nGC_22286])

    call avR2(6288, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(9875)%branchR2(0:0))
    call avR2(9875, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(1080)%branchR2(0:0))
    call avR2(1080, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2490)%branchR2(0:0))
    call avR2(2490, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57440])

    allocate(vertices(10395)%branchR2(0:0))
    call avR2(10395, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22426])

    allocate(vertices(10662)%branchR2(0:1))
    call avR2(10662, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_22364, nGC_22364,     &
    nGC_22364])

    call avR2(10662, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_22365, nGC_22365,     &
    nGC_22365])

    allocate(vertices(5133)%branchR2(0:0))
    call avR2(5133, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10663)%branchR2(0:1))
    call avR2(10663, 0, 33, 1, 0, SVV0, 0, [2, 1], [nGC_22201])

    call avR2(10663, 1, 34, 1, 0, SVV0, 0, [2, 1], [nGC_22202])

    allocate(vertices(6778)%branchR2(0:0))
    call avR2(6778, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(4580)%branchR2(0:1))
    call avR2(4580, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22196, nGC_22197])

    call avR2(4580, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22198, nGC_22198])

    allocate(vertices(4488)%branchR2(0:0))
    call avR2(4488, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(9573)%branchR2(0:0))
    call avR2(9573, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(1032)%branchR2(0:0))
    call avR2(1032, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(4915)%branchR2(0:0))
    call avR2(4915, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(5313)%branchR2(0:0))
    call avR2(5313, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(4616)%branchR2(0:0))
    call avR2(4616, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22025, nGC_22026])

    allocate(vertices(9196)%branchR2(0:0))
    call avR2(9196, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(2538)%branchR2(0:0))
    call avR2(2538, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(6733)%branchR2(0:0))
    call avR2(6733, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(2702)%branchR2(0:0))
    call avR2(2702, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(8364)%branchR2(0:1))
    call avR2(8364, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(8364, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22273, nGC_22272])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7519)%branchR2(0:0))
    call avR2(7519, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(7954)%branchR2(0:0))
    call avR2(7954, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22138])

    allocate(vertices(5646)%branchR2(0:0))
    call avR2(5646, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(3210)%branchR2(0:1))
    call avR2(3210, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(3210, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22285, nGC_22284])

    allocate(vertices(10267)%branchR2(0:0))
    call avR2(10267, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(538)%branchR2(0:0))
    call avR2(538, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

    allocate(vertices(6597)%branchR2(0:0))
    call avR2(6597, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(8985)%branchR2(0:0))
    call avR2(8985, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(9557)%branchR2(0:0))
    call avR2(9557, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10403)%branchR2(0:0))
    call avR2(10403, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6053)%branchR2(0:0))
    call avR2(6053, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(8349)%branchR2(0:0))
    call avR2(8349, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(1519)%branchR2(0:0))
    call avR2(1519, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22140])

    allocate(vertices(4617)%branchR2(0:1))
    call avR2(4617, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22257, nGC_22255])

    call avR2(4617, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22258, nGC_22256])

    allocate(vertices(4900)%branchR2(0:0))
    call avR2(4900, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(3617)%branchR2(0:0))
    call avR2(3617, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59168])

    allocate(vertices(4281)%branchR2(0:0))
    call avR2(4281, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(7410)%branchR2(0:0))
    call avR2(7410, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10664)%branchR2(0:0))
    call avR2(10664, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(2974)%branchR2(0:1))
    call avR2(2974, 0, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22215, nGC_22215])

    call avR2(2974, 1, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22213, nGC_22214])

    allocate(vertices(6861)%branchR2(0:0))
    call avR2(6861, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(5416)%branchR2(0:0))
    call avR2(5416, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5723)%branchR2(0:0))
    call avR2(5723, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58040])

    allocate(vertices(6865)%branchR2(0:0))
    call avR2(6865, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22049])

    allocate(vertices(4148)%branchR2(0:0))
    call avR2(4148, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(9290)%branchR2(0:0))
    call avR2(9290, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(6850)%branchR2(0:0))
    call avR2(6850, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2678)%branchR2(0:0))
    call avR2(2678, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22144])

    allocate(vertices(5786)%branchR2(0:0))
    call avR2(5786, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(7166)%branchR2(0:0))
    call avR2(7166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(4681)%branchR2(0:3))
    call avR2(4681, 0, 26, 1, 0, FaVF1, 0, [1, 2], [nGC_22309, nGC_22308])

    call avR2(4681, 1, 26, 1, 0, FaVF1, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(4681, 2, 27, 1, 0, FaVF1, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(4681, 3, 27, 1, 0, FaVF1, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(941)%branchR2(0:0))
    call avR2(941, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(3236)%branchR2(0:0))
    call avR2(3236, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9346)%branchR2(0:0))
    call avR2(9346, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(6079)%branchR2(0:0))
    call avR2(6079, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(474)%branchR2(0:0))
    call avR2(474, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(124)%branchR2(0:0))
    call avR2(124, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(5199)%branchR2(0:0))
    call avR2(5199, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22312])

    allocate(vertices(3877)%branchR2(0:0))
    call avR2(3877, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(9574)%branchR2(0:0))
    call avR2(9574, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(3982)%branchR2(0:1))
    call avR2(3982, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22105, nGC_22107])

    call avR2(3982, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22106, nGC_22108])

    allocate(vertices(5863)%branchR2(0:1))
    call avR2(5863, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22258, nGC_22256])

    call avR2(5863, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22264, nGC_22263])

    allocate(vertices(2724)%branchR2(0:0))
    call avR2(2724, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(7864)%branchR2(0:0))
    call avR2(7864, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22265, nGC_22266])

    allocate(vertices(5988)%branchR2(0:0))
    call avR2(5988, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22475,       &
    nGC_22474])

    allocate(vertices(9617)%branchR2(0:0))
    call avR2(9617, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22046])

    allocate(vertices(4624)%branchR2(0:0))
    call avR2(4624, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(318)%branchR2(0:0))
    call avR2(318, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(7483)%branchR2(0:0))
    call avR2(7483, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22249])

    allocate(vertices(9420)%branchR2(0:0))
    call avR2(9420, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(3861)%branchR2(0:0))
    call avR2(3861, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

    allocate(vertices(6681)%branchR2(0:0))
    call avR2(6681, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(4412)%branchR2(0:0))
    call avR2(4412, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22139])

    allocate(vertices(3118)%branchR2(0:0))
    call avR2(3118, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3193)%branchR2(0:0))
    call avR2(3193, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(6389)%branchR2(0:0))
    call avR2(6389, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(4833)%branchR2(0:0))
    call avR2(4833, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(7141)%branchR2(0:0))
    call avR2(7141, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(214)%branchR2(0:0))
    call avR2(214, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(4597)%branchR2(0:1))
    call avR2(4597, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(4597, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(293)%branchR2(0:0))
    call avR2(293, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22446])

    allocate(vertices(8308)%branchR2(0:0))
    call avR2(8308, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22249])

    allocate(vertices(8279)%branchR2(0:0))
    call avR2(8279, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(10665)%branchR2(0:0))
    call avR2(10665, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(7239)%branchR2(0:0))
    call avR2(7239, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(6263)%branchR2(0:0))
    call avR2(6263, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22212, nGC_22211])

    allocate(vertices(6005)%branchR2(0:0))
    call avR2(6005, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22160, nGC_22159])

    allocate(vertices(9834)%branchR2(0:0))
    call avR2(9834, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(5911)%branchR2(0:1))
    call avR2(5911, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22062, nGC_22060])

    call avR2(5911, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(5881)%branchR2(0:0))
    call avR2(5881, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(6339)%branchR2(0:0))
    call avR2(6339, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(3152)%branchR2(0:0))
    call avR2(3152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(70)%branchR2(0:0))
    call avR2(70, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(1168)%branchR2(0:0))
    call avR2(1168, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(9701)%branchR2(0:0))
    call avR2(9701, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(3056)%branchR2(0:0))
    call avR2(3056, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(1561)%branchR2(0:0))
    call avR2(1561, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22312])

  end subroutine fill_vertices_mdl22
end module vertices_info22
