!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  implicit none
  contains
  subroutine fill_vertices_mdl24()
    use class_vertices
    use class_couplings
    allocate(vertices(5404)%branchR2(0:0))
    call avR2(5404, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22377])

    allocate(vertices(348)%branchR2(0:0))
    call avR2(348, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58548])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(168)%branchR2(0:0))
    call avR2(168, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(964)%branchR2(0:0))
    call avR2(964, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10728)%branchR2(0:1))
    call avR2(10728, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22391])

    call avR2(10728, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(4292)%branchR2(0:0))
    call avR2(4292, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(4670)%branchR2(0:3))
    call avR2(4670, 0, 26, 1, 0, FaVF1, 0, [1, 2], [nGC_22298, nGC_22297])

    call avR2(4670, 1, 26, 1, 0, FaVF1, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(4670, 2, 27, 1, 0, FaVF1, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(4670, 3, 27, 1, 0, FaVF1, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(2931)%branchR2(0:0))
    call avR2(2931, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10086)%branchR2(0:0))
    call avR2(10086, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(7354)%branchR2(0:0))
    call avR2(7354, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(1949)%branchR2(0:0))
    call avR2(1949, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_61006])

    allocate(vertices(2313)%branchR2(0:0))
    call avR2(2313, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(9714)%branchR2(0:0))
    call avR2(9714, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5380)%branchR2(0:0))
    call avR2(5380, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(6234)%branchR2(0:0))
    call avR2(6234, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(9772)%branchR2(0:0))
    call avR2(9772, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(1976)%branchR2(0:0))
    call avR2(1976, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22187])

    allocate(vertices(8157)%branchR2(0:0))
    call avR2(8157, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22440])

    allocate(vertices(10729)%branchR2(0:5))
    call avR2(10729, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    call avR2(10729, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10729, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10729, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_22481, nGC_22481,     &
    nGC_22481])

    call avR2(10729, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_22480, nGC_22480,     &
    nGC_22480])

    call avR2(10729, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_22479, nGC_22479,     &
    nGC_22479])

    allocate(vertices(38)%branchR2(0:1))
    call avR2(38, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(38, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22275, nGC_22274])

    allocate(vertices(9998)%branchR2(0:0))
    call avR2(9998, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(7886)%branchR2(0:0))
    call avR2(7886, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(2479)%branchR2(0:0))
    call avR2(2479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(6091)%branchR2(0:0))
    call avR2(6091, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7111)%branchR2(0:0))
    call avR2(7111, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(8773)%branchR2(0:0))
    call avR2(8773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(10730)%branchR2(0:1))
    call avR2(10730, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_22472])

    call avR2(10730, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_22473])

    allocate(vertices(2637)%branchR2(0:0))
    call avR2(2637, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8955)%branchR2(0:0))
    call avR2(8955, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(8240)%branchR2(0:0))
    call avR2(8240, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(4142)%branchR2(0:0))
    call avR2(4142, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(8040)%branchR2(0:0))
    call avR2(8040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(4285)%branchR2(0:0))
    call avR2(4285, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10731)%branchR2(0:0))
    call avR2(10731, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(1954)%branchR2(0:1))
    call avR2(1954, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22246])

    call avR2(1954, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22251])

    allocate(vertices(1006)%branchR2(0:0))
    call avR2(1006, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(9371)%branchR2(0:0))
    call avR2(9371, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21964, nGC_21963])

    allocate(vertices(8224)%branchR2(0:0))
    call avR2(8224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(8123)%branchR2(0:1))
    call avR2(8123, 0, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(8123, 1, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22037, nGC_22036])

    allocate(vertices(9352)%branchR2(0:0))
    call avR2(9352, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(9708)%branchR2(0:0))
    call avR2(9708, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(5809)%branchR2(0:0))
    call avR2(5809, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57440])

    allocate(vertices(10214)%branchR2(0:0))
    call avR2(10214, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(2635)%branchR2(0:0))
    call avR2(2635, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(5291)%branchR2(0:0))
    call avR2(5291, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22144])

    allocate(vertices(52)%branchR2(0:0))
    call avR2(52, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(8615)%branchR2(0:0))
    call avR2(8615, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22249])

    allocate(vertices(1192)%branchR2(0:0))
    call avR2(1192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(4217)%branchR2(0:0))
    call avR2(4217, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22311])

    allocate(vertices(6019)%branchR2(0:0))
    call avR2(6019, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57840])

    allocate(vertices(904)%branchR2(0:1))
    call avR2(904, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22022, nGC_22021])

    call avR2(904, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22016, nGC_22016])

    allocate(vertices(8083)%branchR2(0:0))
    call avR2(8083, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6035)%branchR2(0:0))
    call avR2(6035, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22138])

    allocate(vertices(3174)%branchR2(0:0))
    call avR2(3174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9469)%branchR2(0:0))
    call avR2(9469, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(10732)%branchR2(0:0))
    call avR2(10732, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(1603)%branchR2(0:1))
    call avR2(1603, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22245])

    call avR2(1603, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22246])

    allocate(vertices(5666)%branchR2(0:0))
    call avR2(5666, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8604)%branchR2(0:0))
    call avR2(8604, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(1866)%branchR2(0:0))
    call avR2(1866, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(7885)%branchR2(0:0))
    call avR2(7885, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(1241)%branchR2(0:1))
    call avR2(1241, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(1241, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(8147)%branchR2(0:0))
    call avR2(8147, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(6033)%branchR2(0:0))
    call avR2(6033, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(1158)%branchR2(0:0))
    call avR2(1158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(4249)%branchR2(0:0))
    call avR2(4249, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22066])

    allocate(vertices(10733)%branchR2(0:0))
    call avR2(10733, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10734)%branchR2(0:0))
    call avR2(10734, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(4223)%branchR2(0:0))
    call avR2(4223, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22023, nGC_22024])

    allocate(vertices(504)%branchR2(0:0))
    call avR2(504, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(3488)%branchR2(0:1))
    call avR2(3488, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22057, nGC_22055])

    call avR2(3488, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22058, nGC_22056])

    allocate(vertices(9622)%branchR2(0:0))
    call avR2(9622, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(8112)%branchR2(0:0))
    call avR2(8112, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(4663)%branchR2(0:0))
    call avR2(4663, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(7979)%branchR2(0:0))
    call avR2(7979, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(9538)%branchR2(0:0))
    call avR2(9538, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(10735)%branchR2(0:0))
    call avR2(10735, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22316, nGC_22316,      &
    nGC_22316])

    allocate(vertices(10188)%branchR2(0:0))
    call avR2(10188, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21944, nGC_21943])

    allocate(vertices(7533)%branchR2(0:1))
    call avR2(7533, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(7533, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22019, nGC_22018])

    allocate(vertices(3473)%branchR2(0:0))
    call avR2(3473, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22311])

    allocate(vertices(2387)%branchR2(0:0))
    call avR2(2387, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22312])

    allocate(vertices(9932)%branchR2(0:0))
    call avR2(9932, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(2420)%branchR2(0:0))
    call avR2(2420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(6274)%branchR2(0:0))
    call avR2(6274, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22073])

    allocate(vertices(3715)%branchR2(0:0))
    call avR2(3715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(7045)%branchR2(0:0))
    call avR2(7045, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22071])

    allocate(vertices(1909)%branchR2(0:0))
    call avR2(1909, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(2191)%branchR2(0:0))
    call avR2(2191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(8680)%branchR2(0:0))
    call avR2(8680, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22129])

    allocate(vertices(8078)%branchR2(0:0))
    call avR2(8078, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(3870)%branchR2(0:0))
    call avR2(3870, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(1236)%branchR2(0:0))
    call avR2(1236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(4252)%branchR2(0:0))
    call avR2(4252, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22114, nGC_22113])

    allocate(vertices(962)%branchR2(0:0))
    call avR2(962, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(4314)%branchR2(0:1))
    call avR2(4314, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22246])

    call avR2(4314, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22251])

    allocate(vertices(2150)%branchR2(0:0))
    call avR2(2150, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(7597)%branchR2(0:0))
    call avR2(7597, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(10736)%branchR2(0:0))
    call avR2(10736, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22008])

    allocate(vertices(6801)%branchR2(0:0))
    call avR2(6801, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(7638)%branchR2(0:0))
    call avR2(7638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(4003)%branchR2(0:0))
    call avR2(4003, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22023, nGC_22024])

    allocate(vertices(5820)%branchR2(0:0))
    call avR2(5820, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(3398)%branchR2(0:1))
    call avR2(3398, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22205, nGC_22206])

    call avR2(3398, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22207, nGC_22207])

    allocate(vertices(6235)%branchR2(0:1))
    call avR2(6235, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22051, nGC_22053])

    call avR2(6235, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22052, nGC_22054])

    allocate(vertices(1399)%branchR2(0:0))
    call avR2(1399, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(1687)%branchR2(0:0))
    call avR2(1687, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22241, nGC_22240])

    allocate(vertices(9105)%branchR2(0:0))
    call avR2(9105, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2973)%branchR2(0:0))
    call avR2(2973, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(2455)%branchR2(0:3))
    call avR2(2455, 0, 28, 1, 0, FaFV0, 0, [1, 2], [nGC_22298, nGC_22297])

    call avR2(2455, 1, 28, 1, 0, FaFV0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(2455, 2, 29, 1, 0, FaFV0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(2455, 3, 29, 1, 0, FaFV0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(2717)%branchR2(0:0))
    call avR2(2717, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10737)%branchR2(0:1))
    call avR2(10737, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_22477, nGC_22477,     &
    nGC_22477])

    call avR2(10737, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_22478, nGC_22478,     &
    nGC_22478])

    allocate(vertices(8858)%branchR2(0:0))
    call avR2(8858, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10738)%branchR2(0:0))
    call avR2(10738, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22313])

    allocate(vertices(6556)%branchR2(0:0))
    call avR2(6556, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(8517)%branchR2(0:0))
    call avR2(8517, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(9536)%branchR2(0:1))
    call avR2(9536, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21977, nGC_21976,       &
    nGC_21982, nGC_21982])

    call avR2(9536, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21975, nGC_21975,       &
    nGC_21983, nGC_21983])

    allocate(vertices(2605)%branchR2(0:0))
    call avR2(2605, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(6340)%branchR2(0:0))
    call avR2(6340, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(2630)%branchR2(0:0))
    call avR2(2630, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9766)%branchR2(0:0))
    call avR2(9766, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10739)%branchR2(0:0))
    call avR2(10739, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22318, nGC_22318,      &
    nGC_22318])

    allocate(vertices(3750)%branchR2(0:0))
    call avR2(3750, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

    allocate(vertices(2895)%branchR2(0:0))
    call avR2(2895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(3247)%branchR2(0:0))
    call avR2(3247, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22124])

    allocate(vertices(8930)%branchR2(0:0))
    call avR2(8930, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(1795)%branchR2(0:3))
    call avR2(1795, 0, 20, 1, 0, VFFa0, 0, [1, 2], [nGC_22283, nGC_22281])

    call avR2(1795, 1, 20, 1, 0, VFFa0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(1795, 2, 21, 1, 0, VFFa0, 0, [1, 2], [nGC_22280, nGC_22278])

    call avR2(1795, 3, 21, 1, 0, VFFa0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(10740)%branchR2(0:0))
    call avR2(10740, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22080])

    allocate(vertices(10172)%branchR2(0:0))
    call avR2(10172, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(10741)%branchR2(0:0))
    call avR2(10741, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(10742)%branchR2(0:1))
    call avR2(10742, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22465])

    call avR2(10742, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22466])

    allocate(vertices(8036)%branchR2(0:0))
    call avR2(8036, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

    allocate(vertices(5083)%branchR2(0:0))
    call avR2(5083, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22267])

    allocate(vertices(7152)%branchR2(0:1))
    call avR2(7152, 0, 31, 1, 0, FaSF0, 0, [0, 3], [nGC_22089, nGC_22091])

    call avR2(7152, 1, 31, 1, 0, FaSF0, 0, [2, 1], [nGC_22090, nGC_22092])

    allocate(vertices(5614)%branchR2(0:0))
    call avR2(5614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(7844)%branchR2(0:0))
    call avR2(7844, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(2224)%branchR2(0:0))
    call avR2(2224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(9218)%branchR2(0:0))
    call avR2(9218, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22047])

    allocate(vertices(6338)%branchR2(0:0))
    call avR2(6338, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(3370)%branchR2(0:0))
    call avR2(3370, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(3223)%branchR2(0:0))
    call avR2(3223, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10743)%branchR2(0:0))
    call avR2(10743, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10744)%branchR2(0:1))
    call avR2(10744, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22391])

    call avR2(10744, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(2742)%branchR2(0:1))
    call avR2(2742, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(2742, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(9658)%branchR2(0:0))
    call avR2(9658, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(4515)%branchR2(0:0))
    call avR2(4515, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22065])

    allocate(vertices(5716)%branchR2(0:0))
    call avR2(5716, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(8352)%branchR2(0:0))
    call avR2(8352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(4514)%branchR2(0:3))
    call avR2(4514, 0, 26, 1, 0, FaVF1, 0, [1, 2], [nGC_22283, nGC_22281])

    call avR2(4514, 1, 26, 1, 0, FaVF1, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(4514, 2, 27, 1, 0, FaVF1, 0, [1, 2], [nGC_22280, nGC_22278])

    call avR2(4514, 3, 27, 1, 0, FaVF1, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(7868)%branchR2(0:0))
    call avR2(7868, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(9276)%branchR2(0:0))
    call avR2(9276, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(6491)%branchR2(0:0))
    call avR2(6491, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(1752)%branchR2(0:1))
    call avR2(1752, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22059, nGC_22061])

    call avR2(1752, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22060, nGC_22062])

    allocate(vertices(9386)%branchR2(0:0))
    call avR2(9386, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57992])

    allocate(vertices(8635)%branchR2(0:0))
    call avR2(8635, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4311)%branchR2(0:1))
    call avR2(4311, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(4311, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(4657)%branchR2(0:3))
    call avR2(4657, 0, 22, 1, 0, VFaF0, 0, [1, 2], [nGC_22309, nGC_22308])

    call avR2(4657, 1, 22, 1, 0, VFaF0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(4657, 2, 23, 1, 0, VFaF0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(4657, 3, 23, 1, 0, VFaF0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(4454)%branchR2(0:0))
    call avR2(4454, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

    allocate(vertices(6963)%branchR2(0:0))
    call avR2(6963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(3199)%branchR2(0:0))
    call avR2(3199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7880)%branchR2(0:0))
    call avR2(7880, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22142])

    allocate(vertices(385)%branchR2(0:0))
    call avR2(385, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(1801)%branchR2(0:0))
    call avR2(1801, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8325)%branchR2(0:0))
    call avR2(8325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9804)%branchR2(0:0))
    call avR2(9804, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7621)%branchR2(0:0))
    call avR2(7621, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(6980)%branchR2(0:1))
    call avR2(6980, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22207, nGC_22207])

    call avR2(6980, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22205, nGC_22206])

    allocate(vertices(4834)%branchR2(0:0))
    call avR2(4834, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6427)%branchR2(0:0))
    call avR2(6427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(1712)%branchR2(0:0))
    call avR2(1712, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22073])

    allocate(vertices(6921)%branchR2(0:0))
    call avR2(6921, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(156)%branchR2(0:1))
    call avR2(156, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22056, nGC_22058])

    call avR2(156, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22074, nGC_22075])

    allocate(vertices(1384)%branchR2(0:0))
    call avR2(1384, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(1139)%branchR2(0:0))
    call avR2(1139, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22404])

    allocate(vertices(10745)%branchR2(0:1))
    call avR2(10745, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22436])

    call avR2(10745, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22437])

    allocate(vertices(9001)%branchR2(0:0))
    call avR2(9001, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(8314)%branchR2(0:1))
    call avR2(8314, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(8314, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(4365)%branchR2(0:0))
    call avR2(4365, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(5281)%branchR2(0:0))
    call avR2(5281, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(3647)%branchR2(0:0))
    call avR2(3647, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(7303)%branchR2(0:0))
    call avR2(7303, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(5093)%branchR2(0:1))
    call avR2(5093, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22161, nGC_22163])

    call avR2(5093, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22162, nGC_22164])

    allocate(vertices(6955)%branchR2(0:0))
    call avR2(6955, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(9908)%branchR2(0:0))
    call avR2(9908, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(4302)%branchR2(0:0))
    call avR2(4302, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22192])

    allocate(vertices(9262)%branchR2(0:0))
    call avR2(9262, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(10746)%branchR2(0:1))
    call avR2(10746, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_22477, nGC_22477,     &
    nGC_22477])

    call avR2(10746, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_22478, nGC_22478,     &
    nGC_22478])

    allocate(vertices(9926)%branchR2(0:0))
    call avR2(9926, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(1224)%branchR2(0:1))
    call avR2(1224, 0, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22257, nGC_22255])

    call avR2(1224, 1, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22258, nGC_22256])

    allocate(vertices(5571)%branchR2(0:0))
    call avR2(5571, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22229, nGC_22228])

    allocate(vertices(1361)%branchR2(0:1))
    call avR2(1361, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(1361, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(5433)%branchR2(0:1))
    call avR2(5433, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(5433, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(7590)%branchR2(0:0))
    call avR2(7590, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22404])

    allocate(vertices(6937)%branchR2(0:0))
    call avR2(6937, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22430])

    allocate(vertices(4309)%branchR2(0:0))
    call avR2(4309, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(10747)%branchR2(0:0))
    call avR2(10747, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22322])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(1790)%branchR2(0:0))
    call avR2(1790, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22025, nGC_22026])

    allocate(vertices(10244)%branchR2(0:0))
    call avR2(10244, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22083])

    allocate(vertices(2924)%branchR2(0:1))
    call avR2(2924, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22171, nGC_22173])

    call avR2(2924, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22172, nGC_22174])

    allocate(vertices(10156)%branchR2(0:0))
    call avR2(10156, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(7968)%branchR2(0:0))
    call avR2(7968, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

    allocate(vertices(10748)%branchR2(0:0))
    call avR2(10748, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(5681)%branchR2(0:0))
    call avR2(5681, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22025, nGC_22026])

    allocate(vertices(1921)%branchR2(0:0))
    call avR2(1921, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(9364)%branchR2(0:0))
    call avR2(9364, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5926)%branchR2(0:0))
    call avR2(5926, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22065])

    allocate(vertices(9583)%branchR2(0:0))
    call avR2(9583, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

    allocate(vertices(1391)%branchR2(0:0))
    call avR2(1391, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22435])

    allocate(vertices(7690)%branchR2(0:0))
    call avR2(7690, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(9279)%branchR2(0:0))
    call avR2(9279, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

    allocate(vertices(8634)%branchR2(0:0))
    call avR2(8634, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(9852)%branchR2(0:0))
    call avR2(9852, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(9827)%branchR2(0:0))
    call avR2(9827, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21994])

    allocate(vertices(5991)%branchR2(0:1))
    call avR2(5991, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22220, nGC_22220])

    call avR2(5991, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22218, nGC_22219])

    allocate(vertices(10749)%branchR2(0:0))
    call avR2(10749, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(2991)%branchR2(0:1))
    call avR2(2991, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22137, nGC_22135])

    call avR2(2991, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22150, nGC_22149])

    allocate(vertices(4279)%branchR2(0:0))
    call avR2(4279, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(2310)%branchR2(0:0))
    call avR2(2310, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(4671)%branchR2(0:0))
    call avR2(4671, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(548)%branchR2(0:0))
    call avR2(548, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(9619)%branchR2(0:0))
    call avR2(9619, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(4325)%branchR2(0:0))
    call avR2(4325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1559)%branchR2(0:0))
    call avR2(1559, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(2033)%branchR2(0:1))
    call avR2(2033, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22215, nGC_22215])

    call avR2(2033, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22213, nGC_22214])

    allocate(vertices(6330)%branchR2(0:0))
    call avR2(6330, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(6730)%branchR2(0:1))
    call avR2(6730, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(6730, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22033, nGC_22032])

    allocate(vertices(7129)%branchR2(0:1))
    call avR2(7129, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22181, nGC_22183])

    call avR2(7129, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22182, nGC_22184])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22377])

    allocate(vertices(8080)%branchR2(0:0))
    call avR2(8080, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10750)%branchR2(0:0))
    call avR2(10750, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(8677)%branchR2(0:0))
    call avR2(8677, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22144])

    allocate(vertices(5068)%branchR2(0:0))
    call avR2(5068, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

    allocate(vertices(6200)%branchR2(0:0))
    call avR2(6200, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22038])

    allocate(vertices(3866)%branchR2(0:0))
    call avR2(3866, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22357])

    allocate(vertices(4805)%branchR2(0:0))
    call avR2(4805, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(2655)%branchR2(0:0))
    call avR2(2655, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(2349)%branchR2(0:0))
    call avR2(2349, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(1167)%branchR2(0:0))
    call avR2(1167, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22229, nGC_22228])

    allocate(vertices(4423)%branchR2(0:0))
    call avR2(4423, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22469])

    allocate(vertices(178)%branchR2(0:0))
    call avR2(178, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(3203)%branchR2(0:0))
    call avR2(3203, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(9699)%branchR2(0:0))
    call avR2(9699, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(497)%branchR2(0:0))
    call avR2(497, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6184)%branchR2(0:0))
    call avR2(6184, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(5669)%branchR2(0:0))
    call avR2(5669, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(295)%branchR2(0:0))
    call avR2(295, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(9024)%branchR2(0:0))
    call avR2(9024, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(9165)%branchR2(0:0))
    call avR2(9165, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22028])

    allocate(vertices(4278)%branchR2(0:0))
    call avR2(4278, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(8518)%branchR2(0:0))
    call avR2(8518, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(7470)%branchR2(0:0))
    call avR2(7470, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22158])

    allocate(vertices(10159)%branchR2(0:0))
    call avR2(10159, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(5020)%branchR2(0:1))
    call avR2(5020, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(5020, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(9188)%branchR2(0:0))
    call avR2(9188, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(2058)%branchR2(0:0))
    call avR2(2058, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(2749)%branchR2(0:0))
    call avR2(2749, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22271])

    allocate(vertices(4587)%branchR2(0:0))
    call avR2(4587, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(4762)%branchR2(0:0))
    call avR2(4762, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(10269)%branchR2(0:0))
    call avR2(10269, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(2827)%branchR2(0:0))
    call avR2(2827, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22050])

    allocate(vertices(10751)%branchR2(0:0))
    call avR2(10751, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(4709)%branchR2(0:0))
    call avR2(4709, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3239)%branchR2(0:0))
    call avR2(3239, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22114, nGC_22113])

    allocate(vertices(5279)%branchR2(0:1))
    call avR2(5279, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22208, nGC_22209])

    call avR2(5279, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22210, nGC_22210])

    allocate(vertices(9430)%branchR2(0:0))
    call avR2(9430, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(1748)%branchR2(0:0))
    call avR2(1748, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22353,       &
    nGC_22352])

    allocate(vertices(5566)%branchR2(0:1))
    call avR2(5566, 0, 31, 1, 0, FaVF1, 0, [2, 1], [nGC_22020, nGC_22020])

    call avR2(5566, 1, 31, 1, 0, FaVF1, 0, [0, 3], [nGC_22037, nGC_22036])

    allocate(vertices(1588)%branchR2(0:0))
    call avR2(1588, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60708])

    allocate(vertices(8870)%branchR2(0:0))
    call avR2(8870, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5444)%branchR2(0:0))
    call avR2(5444, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(7615)%branchR2(0:3))
    call avR2(7615, 0, 28, 1, 0, FaFV0, 0, [1, 2], [nGC_22289, nGC_22288])

    call avR2(7615, 1, 28, 1, 0, FaFV0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(7615, 2, 29, 1, 0, FaFV0, 0, [1, 2], [nGC_22287, nGC_22286])

    call avR2(7615, 3, 29, 1, 0, FaFV0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(2195)%branchR2(0:0))
    call avR2(2195, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(7548)%branchR2(0:0))
    call avR2(7548, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22440])

    allocate(vertices(8788)%branchR2(0:1))
    call avR2(8788, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22245])

    call avR2(8788, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22246])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(2639)%branchR2(0:0))
    call avR2(2639, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22063])

    allocate(vertices(3191)%branchR2(0:0))
    call avR2(3191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(9055)%branchR2(0:0))
    call avR2(9055, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22013])

    allocate(vertices(9967)%branchR2(0:0))
    call avR2(9967, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(6355)%branchR2(0:0))
    call avR2(6355, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

    allocate(vertices(3673)%branchR2(0:1))
    call avR2(3673, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22242, nGC_22243])

    call avR2(3673, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22244, nGC_22244])

    allocate(vertices(9257)%branchR2(0:0))
    call avR2(9257, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22426])

    allocate(vertices(3020)%branchR2(0:0))
    call avR2(3020, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(4144)%branchR2(0:0))
    call avR2(4144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(1855)%branchR2(0:0))
    call avR2(1855, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10752)%branchR2(0:0))
    call avR2(10752, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22009])

    allocate(vertices(3059)%branchR2(0:0))
    call avR2(3059, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59580])

    allocate(vertices(7948)%branchR2(0:0))
    call avR2(7948, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(976)%branchR2(0:0))
    call avR2(976, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(10753)%branchR2(0:1))
    call avR2(10753, 0, 49, 1, 0, VSVS0, 0, [2, 2], [nGC_22452])

    call avR2(10753, 1, 50, 1, 0, VSVS0, 0, [2, 2], [nGC_22453])

    allocate(vertices(356)%branchR2(0:0))
    call avR2(356, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(1358)%branchR2(0:1))
    call avR2(1358, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22218, nGC_22219])

    call avR2(1358, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22220, nGC_22220])

    allocate(vertices(4448)%branchR2(0:1))
    call avR2(4448, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22222, nGC_22223])

    call avR2(4448, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22224, nGC_22224])

    allocate(vertices(3797)%branchR2(0:0))
    call avR2(3797, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(5447)%branchR2(0:0))
    call avR2(5447, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(1908)%branchR2(0:0))
    call avR2(1908, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(9509)%branchR2(0:0))
    call avR2(9509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(10234)%branchR2(0:0))
    call avR2(10234, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(8617)%branchR2(0:1))
    call avR2(8617, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22234, nGC_22235])

    call avR2(8617, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22236, nGC_22236])

    allocate(vertices(1003)%branchR2(0:0))
    call avR2(1003, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(9905)%branchR2(0:0))
    call avR2(9905, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22083])

    allocate(vertices(1784)%branchR2(0:0))
    call avR2(1784, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(9667)%branchR2(0:0))
    call avR2(9667, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8935)%branchR2(0:0))
    call avR2(8935, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22310])

    allocate(vertices(1432)%branchR2(0:0))
    call avR2(1432, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3719)%branchR2(0:1))
    call avR2(3719, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(3719, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(6131)%branchR2(0:0))
    call avR2(6131, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(983)%branchR2(0:0))
    call avR2(983, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_61006])

    allocate(vertices(8484)%branchR2(0:1))
    call avR2(8484, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(8484, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(9915)%branchR2(0:0))
    call avR2(9915, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5167)%branchR2(0:0))
    call avR2(5167, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22352,       &
    nGC_22353])

    allocate(vertices(3953)%branchR2(0:0))
    call avR2(3953, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10754)%branchR2(0:1))
    call avR2(10754, 0, 51, 1, 0, VSSV0, 0, [2, 2], [nGC_22460])

    call avR2(10754, 1, 52, 1, 0, VSSV0, 0, [2, 2], [nGC_22461])

    allocate(vertices(8726)%branchR2(0:0))
    call avR2(8726, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(8769)%branchR2(0:0))
    call avR2(8769, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(9644)%branchR2(0:0))
    call avR2(9644, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(7046)%branchR2(0:0))
    call avR2(7046, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22114, nGC_22113])

    allocate(vertices(10032)%branchR2(0:0))
    call avR2(10032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1606)%branchR2(0:1))
    call avR2(1606, 0, 30, 1, 0, FVFa0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(1606, 1, 30, 1, 0, FVFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(4145)%branchR2(0:0))
    call avR2(4145, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(8343)%branchR2(0:0))
    call avR2(8343, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(5277)%branchR2(0:0))
    call avR2(5277, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59747])

    allocate(vertices(4438)%branchR2(0:0))
    call avR2(4438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(2793)%branchR2(0:0))
    call avR2(2793, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(7193)%branchR2(0:0))
    call avR2(7193, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22138])

    allocate(vertices(7996)%branchR2(0:0))
    call avR2(7996, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(6691)%branchR2(0:0))
    call avR2(6691, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22066])

    allocate(vertices(8304)%branchR2(0:0))
    call avR2(8304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(10270)%branchR2(0:0))
    call avR2(10270, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(1806)%branchR2(0:0))
    call avR2(1806, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(51)%branchR2(0:0))
    call avR2(51, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(3530)%branchR2(0:0))
    call avR2(3530, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(6740)%branchR2(0:0))
    call avR2(6740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(9999)%branchR2(0:0))
    call avR2(9999, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21946, nGC_21945])

    allocate(vertices(5121)%branchR2(0:0))
    call avR2(5121, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22081])

    allocate(vertices(10347)%branchR2(0:0))
    call avR2(10347, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22416])

    allocate(vertices(10755)%branchR2(0:0))
    call avR2(10755, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22323])

    allocate(vertices(5273)%branchR2(0:0))
    call avR2(5273, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22377])

    allocate(vertices(10756)%branchR2(0:0))
    call avR2(10756, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2608)%branchR2(0:0))
    call avR2(2608, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

    allocate(vertices(6550)%branchR2(0:0))
    call avR2(6550, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(2823)%branchR2(0:0))
    call avR2(2823, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(9917)%branchR2(0:0))
    call avR2(9917, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22002])

    allocate(vertices(8060)%branchR2(0:0))
    call avR2(8060, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10409)%branchR2(0:0))
    call avR2(10409, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22388])

    allocate(vertices(7933)%branchR2(0:0))
    call avR2(7933, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(8426)%branchR2(0:0))
    call avR2(8426, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22122])

    allocate(vertices(401)%branchR2(0:0))
    call avR2(401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(8700)%branchR2(0:0))
    call avR2(8700, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(3105)%branchR2(0:1))
    call avR2(3105, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(3105, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(9287)%branchR2(0:0))
    call avR2(9287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22457])

    allocate(vertices(4082)%branchR2(0:0))
    call avR2(4082, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(4583)%branchR2(0:3))
    call avR2(4583, 0, 20, 1, 0, VFFa0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(4583, 1, 20, 1, 0, VFFa0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(4583, 2, 21, 1, 0, VFFa0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(4583, 3, 21, 1, 0, VFFa0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(4375)%branchR2(0:0))
    call avR2(4375, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(2843)%branchR2(0:0))
    call avR2(2843, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22249])

    allocate(vertices(7365)%branchR2(0:0))
    call avR2(7365, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(7802)%branchR2(0:0))
    call avR2(7802, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(8288)%branchR2(0:1))
    call avR2(8288, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22132, nGC_22130])

    call avR2(8288, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22133, nGC_22131])

    allocate(vertices(9878)%branchR2(0:0))
    call avR2(9878, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(9776)%branchR2(0:0))
    call avR2(9776, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(4288)%branchR2(0:3))
    call avR2(4288, 0, 26, 1, 0, FaVF1, 0, [1, 2], [nGC_22303, nGC_22302])

    call avR2(4288, 1, 26, 1, 0, FaVF1, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(4288, 2, 27, 1, 0, FaVF1, 0, [1, 2], [nGC_22301, nGC_22300])

    call avR2(4288, 3, 27, 1, 0, FaVF1, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(6429)%branchR2(0:0))
    call avR2(6429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(8759)%branchR2(0:0))
    call avR2(8759, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(9525)%branchR2(0:0))
    call avR2(9525, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10030)%branchR2(0:0))
    call avR2(10030, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(2398)%branchR2(0:0))
    call avR2(2398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(5834)%branchR2(0:0))
    call avR2(5834, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22180, nGC_22179])

    allocate(vertices(3511)%branchR2(0:0))
    call avR2(3511, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22007])

    allocate(vertices(9119)%branchR2(0:0))
    call avR2(9119, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22326])

    allocate(vertices(8410)%branchR2(0:0))
    call avR2(8410, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57897])

    allocate(vertices(7490)%branchR2(0:0))
    call avR2(7490, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(5183)%branchR2(0:0))
    call avR2(5183, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59573])

    allocate(vertices(9398)%branchR2(0:0))
    call avR2(9398, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22426])

    allocate(vertices(1918)%branchR2(0:0))
    call avR2(1918, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(6583)%branchR2(0:0))
    call avR2(6583, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(9567)%branchR2(0:0))
    call avR2(9567, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(8908)%branchR2(0:0))
    call avR2(8908, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(3129)%branchR2(0:0))
    call avR2(3129, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(4286)%branchR2(0:0))
    call avR2(4286, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59580])

    allocate(vertices(4804)%branchR2(0:0))
    call avR2(4804, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(2998)%branchR2(0:0))
    call avR2(2998, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22217])

    allocate(vertices(453)%branchR2(0:0))
    call avR2(453, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(10757)%branchR2(0:1))
    call avR2(10757, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22391])

    call avR2(10757, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(3482)%branchR2(0:0))
    call avR2(3482, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(2762)%branchR2(0:0))
    call avR2(2762, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22217])

    allocate(vertices(8477)%branchR2(0:0))
    call avR2(8477, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22268])

    allocate(vertices(7893)%branchR2(0:0))
    call avR2(7893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(10758)%branchR2(0:0))
    call avR2(10758, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22322])

    allocate(vertices(10759)%branchR2(0:0))
    call avR2(10759, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22323])

    allocate(vertices(10242)%branchR2(0:0))
    call avR2(10242, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22426])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22229, nGC_22228])

    allocate(vertices(2758)%branchR2(0:0))
    call avR2(2758, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(320)%branchR2(0:1))
    call avR2(320, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22246])

    call avR2(320, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22247])

    allocate(vertices(3254)%branchR2(0:0))
    call avR2(3254, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(10760)%branchR2(0:1))
    call avR2(10760, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_22334, nGC_22334,     &
    nGC_22334])

    call avR2(10760, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_22335, nGC_22335,     &
    nGC_22335])

    allocate(vertices(3789)%branchR2(0:0))
    call avR2(3789, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22187])

    allocate(vertices(1460)%branchR2(0:0))
    call avR2(1460, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1427)%branchR2(0:0))
    call avR2(1427, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(9433)%branchR2(0:0))
    call avR2(9433, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22424])

    allocate(vertices(5546)%branchR2(0:0))
    call avR2(5546, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(1640)%branchR2(0:0))
    call avR2(1640, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22120])

    allocate(vertices(10761)%branchR2(0:1))
    call avR2(10761, 0, 45, 1, 0, SVVS0, 0, [2, 2], [nGC_22391])

    call avR2(10761, 1, 46, 1, 0, SVVS0, 0, [2, 2], [nGC_22392])

    allocate(vertices(6116)%branchR2(0:0))
    call avR2(6116, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22004])

    allocate(vertices(10762)%branchR2(0:0))
    call avR2(10762, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10763)%branchR2(0:0))
    call avR2(10763, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2811)%branchR2(0:0))
    call avR2(2811, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(508)%branchR2(0:0))
    call avR2(508, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

    allocate(vertices(3224)%branchR2(0:0))
    call avR2(3224, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(1773)%branchR2(0:0))
    call avR2(1773, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58847])

    allocate(vertices(9818)%branchR2(0:0))
    call avR2(9818, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(7200)%branchR2(0:0))
    call avR2(7200, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22271])

    allocate(vertices(7374)%branchR2(0:1))
    call avR2(7374, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22246])

    call avR2(7374, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22252])

    allocate(vertices(4924)%branchR2(0:0))
    call avR2(4924, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10764)%branchR2(0:5))
    call avR2(10764, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10764, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_22371, nGC_22371,     &
    nGC_22371])

    call avR2(10764, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10764, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    call avR2(10764, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_22369, nGC_22369,     &
    nGC_22369])

    call avR2(10764, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_22370, nGC_22370,     &
    nGC_22370])

    allocate(vertices(715)%branchR2(0:1))
    call avR2(715, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22257, nGC_22255])

    call avR2(715, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22258, nGC_22256])

    allocate(vertices(5242)%branchR2(0:1))
    call avR2(5242, 0, 30, 1, 0, FSFa0, 0, [0, 3], [nGC_22134, nGC_22136])

    call avR2(5242, 1, 30, 1, 0, FSFa0, 0, [2, 1], [nGC_22135, nGC_22137])

    allocate(vertices(5111)%branchR2(0:23))
    call avR2(5111, 0, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_22483, nGC_22483,       &
    nGC_22482])

    call avR2(5111, 1, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_22483, nGC_22483,       &
    nGC_22482])

    call avR2(5111, 2, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_22482, nGC_22487,       &
    nGC_22489])

    call avR2(5111, 3, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_22487, nGC_22482,       &
    nGC_22488])

    call avR2(5111, 4, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_22482, nGC_22487,       &
    nGC_22489])

    call avR2(5111, 5, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_22487, nGC_22482,       &
    nGC_22488])

    call avR2(5111, 6, 79, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,      &
    nGC_22484])

    call avR2(5111, 7, 80, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,      &
    nGC_22484])

    call avR2(5111, 8, 81, 1, 0, VVVV0, 0, [4, 0], [nGC_22486, nGC_22485,      &
    nGC_22485])

    call avR2(5111, 9, 82, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,      &
    nGC_22484])

    call avR2(5111, 10, 83, 1, 0, VVVV0, 0, [4, 0], [nGC_22485, nGC_22485,     &
    nGC_22486])

    call avR2(5111, 11, 84, 1, 0, VVVV0, 0, [4, 0], [nGC_22485, nGC_22486,     &
    nGC_22485])

    call avR2(5111, 12, 85, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,     &
    nGC_22484])

    call avR2(5111, 13, 86, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,     &
    nGC_22484])

    call avR2(5111, 14, 87, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,     &
    nGC_22484])

    call avR2(5111, 15, 88, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,     &
    nGC_22484])

    call avR2(5111, 16, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_22484, nGC_22484,     &
    nGC_22484])

    call avR2(5111, 17, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,     &
    nGC_22490])

    call avR2(5111, 18, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,     &
    nGC_22490])

    call avR2(5111, 19, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,     &
    nGC_22490])

    call avR2(5111, 20, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,     &
    nGC_22491])

    call avR2(5111, 21, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,     &
    nGC_22490])

    call avR2(5111, 22, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,     &
    nGC_22490])

    call avR2(5111, 23, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,     &
    nGC_22490])

    allocate(vertices(1486)%branchR2(0:0))
    call avR2(1486, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22446])

    allocate(vertices(7626)%branchR2(0:0))
    call avR2(7626, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22142])

    allocate(vertices(3127)%branchR2(0:0))
    call avR2(3127, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(6311)%branchR2(0:0))
    call avR2(6311, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22064])

    allocate(vertices(4632)%branchR2(0:1))
    call avR2(4632, 0, 30, 1, 0, FVFa1, 0, [0, 3], [nGC_22245])

    call avR2(4632, 1, 30, 1, 0, FVFa1, 0, [2, 1], [nGC_22246])

    allocate(vertices(830)%branchR2(0:0))
    call avR2(830, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(4207)%branchR2(0:0))
    call avR2(4207, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(9138)%branchR2(0:0))
    call avR2(9138, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58261])

    allocate(vertices(8181)%branchR2(0:0))
    call avR2(8181, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22351, nGC_22352,       &
    nGC_22353])

    allocate(vertices(5028)%branchR2(0:0))
    call avR2(5028, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

    allocate(vertices(10206)%branchR2(0:0))
    call avR2(10206, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(7783)%branchR2(0:0))
    call avR2(7783, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(2578)%branchR2(0:3))
    call avR2(2578, 0, 22, 1, 0, VFaF0, 0, [1, 2], [nGC_22303, nGC_22302])

    call avR2(2578, 1, 22, 1, 0, VFaF0, 0, [3, 0], [nGC_22299, nGC_22299])

    call avR2(2578, 2, 23, 1, 0, VFaF0, 0, [1, 2], [nGC_22301, nGC_22300])

    call avR2(2578, 3, 23, 1, 0, VFaF0, 0, [3, 0], [nGC_22296, nGC_22296])

    allocate(vertices(5661)%branchR2(0:0))
    call avR2(5661, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(2999)%branchR2(0:0))
    call avR2(2999, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(2643)%branchR2(0:0))
    call avR2(2643, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22250])

    allocate(vertices(9703)%branchR2(0:0))
    call avR2(9703, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(9215)%branchR2(0:0))
    call avR2(9215, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59778])

    allocate(vertices(7588)%branchR2(0:0))
    call avR2(7588, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(6164)%branchR2(0:3))
    call avR2(6164, 0, 24, 1, 0, FVFa0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(6164, 1, 24, 1, 0, FVFa0, 0, [3, 0], [nGC_22282, nGC_22282])

    call avR2(6164, 2, 25, 1, 0, FVFa0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(6164, 3, 25, 1, 0, FVFa0, 0, [3, 0], [nGC_22279, nGC_22279])

    allocate(vertices(10217)%branchR2(0:0))
    call avR2(10217, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22326])

    allocate(vertices(6596)%branchR2(0:0))
    call avR2(6596, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(7620)%branchR2(0:0))
    call avR2(7620, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(8960)%branchR2(0:0))
    call avR2(8960, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60860])

    allocate(vertices(5996)%branchR2(0:0))
    call avR2(5996, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(6559)%branchR2(0:0))
    call avR2(6559, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22358])

    allocate(vertices(8449)%branchR2(0:0))
    call avR2(8449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(3189)%branchR2(0:1))
    call avR2(3189, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22054, nGC_22052])

    call avR2(3189, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22077, nGC_22076])

    allocate(vertices(2488)%branchR2(0:0))
    call avR2(2488, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(540)%branchR2(0:0))
    call avR2(540, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(4897)%branchR2(0:1))
    call avR2(4897, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22246])

    call avR2(4897, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22252])

    allocate(vertices(10394)%branchR2(0:1))
    call avR2(10394, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_21977, nGC_21976,      &
    nGC_21995, nGC_21995])

    call avR2(10394, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_21975, nGC_21975,      &
    nGC_21996, nGC_21996])

    allocate(vertices(9482)%branchR2(0:0))
    call avR2(9482, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(2051)%branchR2(0:0))
    call avR2(2051, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(2984)%branchR2(0:0))
    call avR2(2984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22447])

    allocate(vertices(8177)%branchR2(0:0))
    call avR2(8177, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22063])

    allocate(vertices(10765)%branchR2(0:1))
    call avR2(10765, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_22391])

    call avR2(10765, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(3878)%branchR2(0:0))
    call avR2(3878, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22065])

    allocate(vertices(6021)%branchR2(0:0))
    call avR2(6021, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22458])

    allocate(vertices(10766)%branchR2(0:0))
    call avR2(10766, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(5006)%branchR2(0:1))
    call avR2(5006, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22134, nGC_22136])

    call avR2(5006, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22135, nGC_22137])

    allocate(vertices(9801)%branchR2(0:0))
    call avR2(9801, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22310])

    allocate(vertices(1740)%branchR2(0:0))
    call avR2(1740, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2136)%branchR2(0:0))
    call avR2(2136, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22063])

    allocate(vertices(10767)%branchR2(0:0))
    call avR2(10767, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(8222)%branchR2(0:0))
    call avR2(8222, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22140])

    allocate(vertices(2281)%branchR2(0:0))
    call avR2(2281, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(2778)%branchR2(0:0))
    call avR2(2778, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22311])

    allocate(vertices(9378)%branchR2(0:0))
    call avR2(9378, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22047])

    allocate(vertices(8531)%branchR2(0:0))
    call avR2(8531, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(4856)%branchR2(0:0))
    call avR2(4856, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

    allocate(vertices(10478)%branchR2(0:0))
    call avR2(10478, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22464])

    allocate(vertices(6798)%branchR2(0:0))
    call avR2(6798, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

    allocate(vertices(4678)%branchR2(0:1))
    call avR2(4678, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22171, nGC_22173])

    call avR2(4678, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22172, nGC_22174])

    allocate(vertices(5867)%branchR2(0:0))
    call avR2(5867, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(7077)%branchR2(0:0))
    call avR2(7077, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(1848)%branchR2(0:0))
    call avR2(1848, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22405])

    allocate(vertices(7232)%branchR2(0:0))
    call avR2(7232, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22119])

    allocate(vertices(1781)%branchR2(0:0))
    call avR2(1781, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22469])

    allocate(vertices(10768)%branchR2(0:1))
    call avR2(10768, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22375])

    call avR2(10768, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22376])

    allocate(vertices(9669)%branchR2(0:0))
    call avR2(9669, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22012])

    allocate(vertices(10769)%branchR2(0:1))
    call avR2(10769, 0, 47, 1, 0, SVSV0, 0, [2, 2], [nGC_22391])

    call avR2(10769, 1, 48, 1, 0, SVSV0, 0, [2, 2], [nGC_22392])

    allocate(vertices(2659)%branchR2(0:1))
    call avR2(2659, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(2659, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(4654)%branchR2(0:0))
    call avR2(4654, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

    allocate(vertices(3527)%branchR2(0:0))
    call avR2(3527, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22066])

    allocate(vertices(8253)%branchR2(0:0))
    call avR2(8253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7168)%branchR2(0:1))
    call avR2(7168, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22245])

    call avR2(7168, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22246])

  end subroutine fill_vertices_mdl24
end module vertices_info24
